/**
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
import { Jellyfin, RecommendedServerInfo, RecommendedServerInfoScore } from '..';
/** Class to discover and evaluate potential servers. */
export declare class RecommendedServerDiscovery {
    private jellyfin;
    constructor(jellyfin: Jellyfin);
    /**
     * Fetches the RecommendedServerInfo for a single server address.
     * @param address The server address.
     * @returns The resulting RecommendedServerInfo.
     */
    fetchRecommendedServerInfo(address: string): Promise<RecommendedServerInfo>;
    /**
     * Fetches the RecommendedServerInfo for multiple server addresses.
     * @param servers An array of server addresses.
     * @returns The RecommendedServerInfo for each address.
     */
    discover(servers: Array<string>, minimumScore?: RecommendedServerInfoScore): Promise<Array<RecommendedServerInfo>>;
}
