/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { ActivityLogEntryQueryResult } from '../models';
/**
 * ActivityLogApi - axios parameter creator
 * @export
 */
export declare const ActivityLogApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets activity log entries.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {string} [minDate] Optional. The minimum date. Format &#x3D; ISO.
     * @param {boolean} [hasUserId] Optional. Filter log entries if it has user id, or not.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLogEntries: (startIndex?: number | undefined, limit?: number | undefined, minDate?: string | undefined, hasUserId?: boolean | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * ActivityLogApi - functional programming interface
 * @export
 */
export declare const ActivityLogApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets activity log entries.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {string} [minDate] Optional. The minimum date. Format &#x3D; ISO.
     * @param {boolean} [hasUserId] Optional. Filter log entries if it has user id, or not.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLogEntries(startIndex?: number | undefined, limit?: number | undefined, minDate?: string | undefined, hasUserId?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<ActivityLogEntryQueryResult>>;
};
/**
 * ActivityLogApi - factory interface
 * @export
 */
export declare const ActivityLogApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Gets activity log entries.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {string} [minDate] Optional. The minimum date. Format &#x3D; ISO.
     * @param {boolean} [hasUserId] Optional. Filter log entries if it has user id, or not.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLogEntries(startIndex?: number | undefined, limit?: number | undefined, minDate?: string | undefined, hasUserId?: boolean | undefined, options?: any): AxiosPromise<ActivityLogEntryQueryResult>;
};
/**
 * Request parameters for getLogEntries operation in ActivityLogApi.
 * @export
 * @interface ActivityLogApiGetLogEntriesRequest
 */
export interface ActivityLogApiGetLogEntriesRequest {
    /**
     * Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @type {number}
     * @memberof ActivityLogApiGetLogEntries
     */
    readonly startIndex?: number;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof ActivityLogApiGetLogEntries
     */
    readonly limit?: number;
    /**
     * Optional. The minimum date. Format &#x3D; ISO.
     * @type {string}
     * @memberof ActivityLogApiGetLogEntries
     */
    readonly minDate?: string;
    /**
     * Optional. Filter log entries if it has user id, or not.
     * @type {boolean}
     * @memberof ActivityLogApiGetLogEntries
     */
    readonly hasUserId?: boolean;
}
/**
 * ActivityLogApi - object-oriented interface
 * @export
 * @class ActivityLogApi
 * @extends {BaseAPI}
 */
export declare class ActivityLogApi extends BaseAPI {
    /**
     *
     * @summary Gets activity log entries.
     * @param {ActivityLogApiGetLogEntriesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ActivityLogApi
     */
    getLogEntries(requestParameters?: ActivityLogApiGetLogEntriesRequest, options?: any): Promise<import("axios").AxiosResponse<ActivityLogEntryQueryResult, any>>;
}
