/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { AuthenticationInfoQueryResult } from '../models';
/**
 * ApiKeyApi - axios parameter creator
 * @export
 */
export declare const ApiKeyApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Create a new api key.
     * @param {string} app Name of the app using the authentication key.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createKey: (app: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all keys.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getKeys: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Remove an api key.
     * @param {string} key The access token to delete.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    revokeKey: (key: string, options?: any) => Promise<RequestArgs>;
};
/**
 * ApiKeyApi - functional programming interface
 * @export
 */
export declare const ApiKeyApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Create a new api key.
     * @param {string} app Name of the app using the authentication key.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createKey(app: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Get all keys.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getKeys(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<AuthenticationInfoQueryResult>>;
    /**
     *
     * @summary Remove an api key.
     * @param {string} key The access token to delete.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    revokeKey(key: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * ApiKeyApi - factory interface
 * @export
 */
export declare const ApiKeyApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Create a new api key.
     * @param {string} app Name of the app using the authentication key.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createKey(app: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Get all keys.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getKeys(options?: any): AxiosPromise<AuthenticationInfoQueryResult>;
    /**
     *
     * @summary Remove an api key.
     * @param {string} key The access token to delete.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    revokeKey(key: string, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for createKey operation in ApiKeyApi.
 * @export
 * @interface ApiKeyApiCreateKeyRequest
 */
export interface ApiKeyApiCreateKeyRequest {
    /**
     * Name of the app using the authentication key.
     * @type {string}
     * @memberof ApiKeyApiCreateKey
     */
    readonly app: string;
}
/**
 * Request parameters for revokeKey operation in ApiKeyApi.
 * @export
 * @interface ApiKeyApiRevokeKeyRequest
 */
export interface ApiKeyApiRevokeKeyRequest {
    /**
     * The access token to delete.
     * @type {string}
     * @memberof ApiKeyApiRevokeKey
     */
    readonly key: string;
}
/**
 * ApiKeyApi - object-oriented interface
 * @export
 * @class ApiKeyApi
 * @extends {BaseAPI}
 */
export declare class ApiKeyApi extends BaseAPI {
    /**
     *
     * @summary Create a new api key.
     * @param {ApiKeyApiCreateKeyRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ApiKeyApi
     */
    createKey(requestParameters: ApiKeyApiCreateKeyRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Get all keys.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ApiKeyApi
     */
    getKeys(options?: any): Promise<import("axios").AxiosResponse<AuthenticationInfoQueryResult, any>>;
    /**
     *
     * @summary Remove an api key.
     * @param {ApiKeyApiRevokeKeyRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ApiKeyApi
     */
    revokeKey(requestParameters: ApiKeyApiRevokeKeyRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
