/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { BaseItemDto } from '../models';
import { BaseItemDtoQueryResult } from '../models';
import { ImageType } from '../models';
import { ItemFields } from '../models';
import { ItemFilter } from '../models';
/**
 * ArtistsApi - axios parameter creator
 * @export
 */
export declare const ArtistsApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets all album artists from a given item, folder, or the entire library.
     * @param {number} [minCommunityRating] Optional filter by minimum community rating.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {string} [searchTerm] Optional. Search term.
     * @param {string} [parentId] Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {Array<string>} [excludeItemTypes] Optional. If specified, results will be filtered out based on item type. This allows multiple, comma delimited.
     * @param {Array<string>} [includeItemTypes] Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @param {Array<ItemFilter>} [filters] Optional. Specify additional filters to apply.
     * @param {boolean} [isFavorite] Optional filter by items that are marked as favorite, or not.
     * @param {Array<string>} [mediaTypes] Optional filter by MediaType. Allows multiple, comma delimited.
     * @param {Array<string>} [genres] Optional. If specified, results will be filtered based on genre. This allows multiple, pipe delimited.
     * @param {Array<string>} [genreIds] Optional. If specified, results will be filtered based on genre id. This allows multiple, pipe delimited.
     * @param {Array<string>} [officialRatings] Optional. If specified, results will be filtered based on OfficialRating. This allows multiple, pipe delimited.
     * @param {Array<string>} [tags] Optional. If specified, results will be filtered based on tag. This allows multiple, pipe delimited.
     * @param {Array<number>} [years] Optional. If specified, results will be filtered based on production year. This allows multiple, comma delimited.
     * @param {boolean} [enableUserData] Optional, include user data.
     * @param {number} [imageTypeLimit] Optional, the max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {string} [person] Optional. If specified, results will be filtered to include only those containing the specified person.
     * @param {Array<string>} [personIds] Optional. If specified, results will be filtered to include only those containing the specified person ids.
     * @param {Array<string>} [personTypes] Optional. If specified, along with Person, results will be filtered to include only those containing the specified person and PersonType. Allows multiple, comma-delimited.
     * @param {Array<string>} [studios] Optional. If specified, results will be filtered based on studio. This allows multiple, pipe delimited.
     * @param {Array<string>} [studioIds] Optional. If specified, results will be filtered based on studio id. This allows multiple, pipe delimited.
     * @param {string} [userId] User id.
     * @param {string} [nameStartsWithOrGreater] Optional filter by items whose name is sorted equally or greater than a given input string.
     * @param {string} [nameStartsWith] Optional filter by items whose name is sorted equally than a given input string.
     * @param {string} [nameLessThan] Optional filter by items whose name is equally or lesser than a given input string.
     * @param {boolean} [enableImages] Optional, include image information in output.
     * @param {boolean} [enableTotalRecordCount] Total record count.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getAlbumArtists: (minCommunityRating?: number | undefined, startIndex?: number | undefined, limit?: number | undefined, searchTerm?: string | undefined, parentId?: string | undefined, fields?: ItemFields[] | undefined, excludeItemTypes?: string[] | undefined, includeItemTypes?: string[] | undefined, filters?: ItemFilter[] | undefined, isFavorite?: boolean | undefined, mediaTypes?: string[] | undefined, genres?: string[] | undefined, genreIds?: string[] | undefined, officialRatings?: string[] | undefined, tags?: string[] | undefined, years?: number[] | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, person?: string | undefined, personIds?: string[] | undefined, personTypes?: string[] | undefined, studios?: string[] | undefined, studioIds?: string[] | undefined, userId?: string | undefined, nameStartsWithOrGreater?: string | undefined, nameStartsWith?: string | undefined, nameLessThan?: string | undefined, enableImages?: boolean | undefined, enableTotalRecordCount?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets an artist by name.
     * @param {string} name Studio name.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getArtistByName: (name: string, userId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets all artists from a given item, folder, or the entire library.
     * @param {number} [minCommunityRating] Optional filter by minimum community rating.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {string} [searchTerm] Optional. Search term.
     * @param {string} [parentId] Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {Array<string>} [excludeItemTypes] Optional. If specified, results will be filtered out based on item type. This allows multiple, comma delimited.
     * @param {Array<string>} [includeItemTypes] Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @param {Array<ItemFilter>} [filters] Optional. Specify additional filters to apply.
     * @param {boolean} [isFavorite] Optional filter by items that are marked as favorite, or not.
     * @param {Array<string>} [mediaTypes] Optional filter by MediaType. Allows multiple, comma delimited.
     * @param {Array<string>} [genres] Optional. If specified, results will be filtered based on genre. This allows multiple, pipe delimited.
     * @param {Array<string>} [genreIds] Optional. If specified, results will be filtered based on genre id. This allows multiple, pipe delimited.
     * @param {Array<string>} [officialRatings] Optional. If specified, results will be filtered based on OfficialRating. This allows multiple, pipe delimited.
     * @param {Array<string>} [tags] Optional. If specified, results will be filtered based on tag. This allows multiple, pipe delimited.
     * @param {Array<number>} [years] Optional. If specified, results will be filtered based on production year. This allows multiple, comma delimited.
     * @param {boolean} [enableUserData] Optional, include user data.
     * @param {number} [imageTypeLimit] Optional, the max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {string} [person] Optional. If specified, results will be filtered to include only those containing the specified person.
     * @param {Array<string>} [personIds] Optional. If specified, results will be filtered to include only those containing the specified person ids.
     * @param {Array<string>} [personTypes] Optional. If specified, along with Person, results will be filtered to include only those containing the specified person and PersonType. Allows multiple, comma-delimited.
     * @param {Array<string>} [studios] Optional. If specified, results will be filtered based on studio. This allows multiple, pipe delimited.
     * @param {Array<string>} [studioIds] Optional. If specified, results will be filtered based on studio id. This allows multiple, pipe delimited.
     * @param {string} [userId] User id.
     * @param {string} [nameStartsWithOrGreater] Optional filter by items whose name is sorted equally or greater than a given input string.
     * @param {string} [nameStartsWith] Optional filter by items whose name is sorted equally than a given input string.
     * @param {string} [nameLessThan] Optional filter by items whose name is equally or lesser than a given input string.
     * @param {boolean} [enableImages] Optional, include image information in output.
     * @param {boolean} [enableTotalRecordCount] Total record count.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getArtists: (minCommunityRating?: number | undefined, startIndex?: number | undefined, limit?: number | undefined, searchTerm?: string | undefined, parentId?: string | undefined, fields?: ItemFields[] | undefined, excludeItemTypes?: string[] | undefined, includeItemTypes?: string[] | undefined, filters?: ItemFilter[] | undefined, isFavorite?: boolean | undefined, mediaTypes?: string[] | undefined, genres?: string[] | undefined, genreIds?: string[] | undefined, officialRatings?: string[] | undefined, tags?: string[] | undefined, years?: number[] | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, person?: string | undefined, personIds?: string[] | undefined, personTypes?: string[] | undefined, studios?: string[] | undefined, studioIds?: string[] | undefined, userId?: string | undefined, nameStartsWithOrGreater?: string | undefined, nameStartsWith?: string | undefined, nameLessThan?: string | undefined, enableImages?: boolean | undefined, enableTotalRecordCount?: boolean | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * ArtistsApi - functional programming interface
 * @export
 */
export declare const ArtistsApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets all album artists from a given item, folder, or the entire library.
     * @param {number} [minCommunityRating] Optional filter by minimum community rating.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {string} [searchTerm] Optional. Search term.
     * @param {string} [parentId] Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {Array<string>} [excludeItemTypes] Optional. If specified, results will be filtered out based on item type. This allows multiple, comma delimited.
     * @param {Array<string>} [includeItemTypes] Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @param {Array<ItemFilter>} [filters] Optional. Specify additional filters to apply.
     * @param {boolean} [isFavorite] Optional filter by items that are marked as favorite, or not.
     * @param {Array<string>} [mediaTypes] Optional filter by MediaType. Allows multiple, comma delimited.
     * @param {Array<string>} [genres] Optional. If specified, results will be filtered based on genre. This allows multiple, pipe delimited.
     * @param {Array<string>} [genreIds] Optional. If specified, results will be filtered based on genre id. This allows multiple, pipe delimited.
     * @param {Array<string>} [officialRatings] Optional. If specified, results will be filtered based on OfficialRating. This allows multiple, pipe delimited.
     * @param {Array<string>} [tags] Optional. If specified, results will be filtered based on tag. This allows multiple, pipe delimited.
     * @param {Array<number>} [years] Optional. If specified, results will be filtered based on production year. This allows multiple, comma delimited.
     * @param {boolean} [enableUserData] Optional, include user data.
     * @param {number} [imageTypeLimit] Optional, the max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {string} [person] Optional. If specified, results will be filtered to include only those containing the specified person.
     * @param {Array<string>} [personIds] Optional. If specified, results will be filtered to include only those containing the specified person ids.
     * @param {Array<string>} [personTypes] Optional. If specified, along with Person, results will be filtered to include only those containing the specified person and PersonType. Allows multiple, comma-delimited.
     * @param {Array<string>} [studios] Optional. If specified, results will be filtered based on studio. This allows multiple, pipe delimited.
     * @param {Array<string>} [studioIds] Optional. If specified, results will be filtered based on studio id. This allows multiple, pipe delimited.
     * @param {string} [userId] User id.
     * @param {string} [nameStartsWithOrGreater] Optional filter by items whose name is sorted equally or greater than a given input string.
     * @param {string} [nameStartsWith] Optional filter by items whose name is sorted equally than a given input string.
     * @param {string} [nameLessThan] Optional filter by items whose name is equally or lesser than a given input string.
     * @param {boolean} [enableImages] Optional, include image information in output.
     * @param {boolean} [enableTotalRecordCount] Total record count.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getAlbumArtists(minCommunityRating?: number | undefined, startIndex?: number | undefined, limit?: number | undefined, searchTerm?: string | undefined, parentId?: string | undefined, fields?: ItemFields[] | undefined, excludeItemTypes?: string[] | undefined, includeItemTypes?: string[] | undefined, filters?: ItemFilter[] | undefined, isFavorite?: boolean | undefined, mediaTypes?: string[] | undefined, genres?: string[] | undefined, genreIds?: string[] | undefined, officialRatings?: string[] | undefined, tags?: string[] | undefined, years?: number[] | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, person?: string | undefined, personIds?: string[] | undefined, personTypes?: string[] | undefined, studios?: string[] | undefined, studioIds?: string[] | undefined, userId?: string | undefined, nameStartsWithOrGreater?: string | undefined, nameStartsWith?: string | undefined, nameLessThan?: string | undefined, enableImages?: boolean | undefined, enableTotalRecordCount?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets an artist by name.
     * @param {string} name Studio name.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getArtistByName(name: string, userId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDto>>;
    /**
     *
     * @summary Gets all artists from a given item, folder, or the entire library.
     * @param {number} [minCommunityRating] Optional filter by minimum community rating.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {string} [searchTerm] Optional. Search term.
     * @param {string} [parentId] Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {Array<string>} [excludeItemTypes] Optional. If specified, results will be filtered out based on item type. This allows multiple, comma delimited.
     * @param {Array<string>} [includeItemTypes] Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @param {Array<ItemFilter>} [filters] Optional. Specify additional filters to apply.
     * @param {boolean} [isFavorite] Optional filter by items that are marked as favorite, or not.
     * @param {Array<string>} [mediaTypes] Optional filter by MediaType. Allows multiple, comma delimited.
     * @param {Array<string>} [genres] Optional. If specified, results will be filtered based on genre. This allows multiple, pipe delimited.
     * @param {Array<string>} [genreIds] Optional. If specified, results will be filtered based on genre id. This allows multiple, pipe delimited.
     * @param {Array<string>} [officialRatings] Optional. If specified, results will be filtered based on OfficialRating. This allows multiple, pipe delimited.
     * @param {Array<string>} [tags] Optional. If specified, results will be filtered based on tag. This allows multiple, pipe delimited.
     * @param {Array<number>} [years] Optional. If specified, results will be filtered based on production year. This allows multiple, comma delimited.
     * @param {boolean} [enableUserData] Optional, include user data.
     * @param {number} [imageTypeLimit] Optional, the max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {string} [person] Optional. If specified, results will be filtered to include only those containing the specified person.
     * @param {Array<string>} [personIds] Optional. If specified, results will be filtered to include only those containing the specified person ids.
     * @param {Array<string>} [personTypes] Optional. If specified, along with Person, results will be filtered to include only those containing the specified person and PersonType. Allows multiple, comma-delimited.
     * @param {Array<string>} [studios] Optional. If specified, results will be filtered based on studio. This allows multiple, pipe delimited.
     * @param {Array<string>} [studioIds] Optional. If specified, results will be filtered based on studio id. This allows multiple, pipe delimited.
     * @param {string} [userId] User id.
     * @param {string} [nameStartsWithOrGreater] Optional filter by items whose name is sorted equally or greater than a given input string.
     * @param {string} [nameStartsWith] Optional filter by items whose name is sorted equally than a given input string.
     * @param {string} [nameLessThan] Optional filter by items whose name is equally or lesser than a given input string.
     * @param {boolean} [enableImages] Optional, include image information in output.
     * @param {boolean} [enableTotalRecordCount] Total record count.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getArtists(minCommunityRating?: number | undefined, startIndex?: number | undefined, limit?: number | undefined, searchTerm?: string | undefined, parentId?: string | undefined, fields?: ItemFields[] | undefined, excludeItemTypes?: string[] | undefined, includeItemTypes?: string[] | undefined, filters?: ItemFilter[] | undefined, isFavorite?: boolean | undefined, mediaTypes?: string[] | undefined, genres?: string[] | undefined, genreIds?: string[] | undefined, officialRatings?: string[] | undefined, tags?: string[] | undefined, years?: number[] | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, person?: string | undefined, personIds?: string[] | undefined, personTypes?: string[] | undefined, studios?: string[] | undefined, studioIds?: string[] | undefined, userId?: string | undefined, nameStartsWithOrGreater?: string | undefined, nameStartsWith?: string | undefined, nameLessThan?: string | undefined, enableImages?: boolean | undefined, enableTotalRecordCount?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
};
/**
 * ArtistsApi - factory interface
 * @export
 */
export declare const ArtistsApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Gets all album artists from a given item, folder, or the entire library.
     * @param {number} [minCommunityRating] Optional filter by minimum community rating.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {string} [searchTerm] Optional. Search term.
     * @param {string} [parentId] Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {Array<string>} [excludeItemTypes] Optional. If specified, results will be filtered out based on item type. This allows multiple, comma delimited.
     * @param {Array<string>} [includeItemTypes] Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @param {Array<ItemFilter>} [filters] Optional. Specify additional filters to apply.
     * @param {boolean} [isFavorite] Optional filter by items that are marked as favorite, or not.
     * @param {Array<string>} [mediaTypes] Optional filter by MediaType. Allows multiple, comma delimited.
     * @param {Array<string>} [genres] Optional. If specified, results will be filtered based on genre. This allows multiple, pipe delimited.
     * @param {Array<string>} [genreIds] Optional. If specified, results will be filtered based on genre id. This allows multiple, pipe delimited.
     * @param {Array<string>} [officialRatings] Optional. If specified, results will be filtered based on OfficialRating. This allows multiple, pipe delimited.
     * @param {Array<string>} [tags] Optional. If specified, results will be filtered based on tag. This allows multiple, pipe delimited.
     * @param {Array<number>} [years] Optional. If specified, results will be filtered based on production year. This allows multiple, comma delimited.
     * @param {boolean} [enableUserData] Optional, include user data.
     * @param {number} [imageTypeLimit] Optional, the max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {string} [person] Optional. If specified, results will be filtered to include only those containing the specified person.
     * @param {Array<string>} [personIds] Optional. If specified, results will be filtered to include only those containing the specified person ids.
     * @param {Array<string>} [personTypes] Optional. If specified, along with Person, results will be filtered to include only those containing the specified person and PersonType. Allows multiple, comma-delimited.
     * @param {Array<string>} [studios] Optional. If specified, results will be filtered based on studio. This allows multiple, pipe delimited.
     * @param {Array<string>} [studioIds] Optional. If specified, results will be filtered based on studio id. This allows multiple, pipe delimited.
     * @param {string} [userId] User id.
     * @param {string} [nameStartsWithOrGreater] Optional filter by items whose name is sorted equally or greater than a given input string.
     * @param {string} [nameStartsWith] Optional filter by items whose name is sorted equally than a given input string.
     * @param {string} [nameLessThan] Optional filter by items whose name is equally or lesser than a given input string.
     * @param {boolean} [enableImages] Optional, include image information in output.
     * @param {boolean} [enableTotalRecordCount] Total record count.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getAlbumArtists(minCommunityRating?: number | undefined, startIndex?: number | undefined, limit?: number | undefined, searchTerm?: string | undefined, parentId?: string | undefined, fields?: ItemFields[] | undefined, excludeItemTypes?: string[] | undefined, includeItemTypes?: string[] | undefined, filters?: ItemFilter[] | undefined, isFavorite?: boolean | undefined, mediaTypes?: string[] | undefined, genres?: string[] | undefined, genreIds?: string[] | undefined, officialRatings?: string[] | undefined, tags?: string[] | undefined, years?: number[] | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, person?: string | undefined, personIds?: string[] | undefined, personTypes?: string[] | undefined, studios?: string[] | undefined, studioIds?: string[] | undefined, userId?: string | undefined, nameStartsWithOrGreater?: string | undefined, nameStartsWith?: string | undefined, nameLessThan?: string | undefined, enableImages?: boolean | undefined, enableTotalRecordCount?: boolean | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets an artist by name.
     * @param {string} name Studio name.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getArtistByName(name: string, userId?: string | undefined, options?: any): AxiosPromise<BaseItemDto>;
    /**
     *
     * @summary Gets all artists from a given item, folder, or the entire library.
     * @param {number} [minCommunityRating] Optional filter by minimum community rating.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {string} [searchTerm] Optional. Search term.
     * @param {string} [parentId] Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {Array<string>} [excludeItemTypes] Optional. If specified, results will be filtered out based on item type. This allows multiple, comma delimited.
     * @param {Array<string>} [includeItemTypes] Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @param {Array<ItemFilter>} [filters] Optional. Specify additional filters to apply.
     * @param {boolean} [isFavorite] Optional filter by items that are marked as favorite, or not.
     * @param {Array<string>} [mediaTypes] Optional filter by MediaType. Allows multiple, comma delimited.
     * @param {Array<string>} [genres] Optional. If specified, results will be filtered based on genre. This allows multiple, pipe delimited.
     * @param {Array<string>} [genreIds] Optional. If specified, results will be filtered based on genre id. This allows multiple, pipe delimited.
     * @param {Array<string>} [officialRatings] Optional. If specified, results will be filtered based on OfficialRating. This allows multiple, pipe delimited.
     * @param {Array<string>} [tags] Optional. If specified, results will be filtered based on tag. This allows multiple, pipe delimited.
     * @param {Array<number>} [years] Optional. If specified, results will be filtered based on production year. This allows multiple, comma delimited.
     * @param {boolean} [enableUserData] Optional, include user data.
     * @param {number} [imageTypeLimit] Optional, the max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {string} [person] Optional. If specified, results will be filtered to include only those containing the specified person.
     * @param {Array<string>} [personIds] Optional. If specified, results will be filtered to include only those containing the specified person ids.
     * @param {Array<string>} [personTypes] Optional. If specified, along with Person, results will be filtered to include only those containing the specified person and PersonType. Allows multiple, comma-delimited.
     * @param {Array<string>} [studios] Optional. If specified, results will be filtered based on studio. This allows multiple, pipe delimited.
     * @param {Array<string>} [studioIds] Optional. If specified, results will be filtered based on studio id. This allows multiple, pipe delimited.
     * @param {string} [userId] User id.
     * @param {string} [nameStartsWithOrGreater] Optional filter by items whose name is sorted equally or greater than a given input string.
     * @param {string} [nameStartsWith] Optional filter by items whose name is sorted equally than a given input string.
     * @param {string} [nameLessThan] Optional filter by items whose name is equally or lesser than a given input string.
     * @param {boolean} [enableImages] Optional, include image information in output.
     * @param {boolean} [enableTotalRecordCount] Total record count.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getArtists(minCommunityRating?: number | undefined, startIndex?: number | undefined, limit?: number | undefined, searchTerm?: string | undefined, parentId?: string | undefined, fields?: ItemFields[] | undefined, excludeItemTypes?: string[] | undefined, includeItemTypes?: string[] | undefined, filters?: ItemFilter[] | undefined, isFavorite?: boolean | undefined, mediaTypes?: string[] | undefined, genres?: string[] | undefined, genreIds?: string[] | undefined, officialRatings?: string[] | undefined, tags?: string[] | undefined, years?: number[] | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, person?: string | undefined, personIds?: string[] | undefined, personTypes?: string[] | undefined, studios?: string[] | undefined, studioIds?: string[] | undefined, userId?: string | undefined, nameStartsWithOrGreater?: string | undefined, nameStartsWith?: string | undefined, nameLessThan?: string | undefined, enableImages?: boolean | undefined, enableTotalRecordCount?: boolean | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
};
/**
 * Request parameters for getAlbumArtists operation in ArtistsApi.
 * @export
 * @interface ArtistsApiGetAlbumArtistsRequest
 */
export interface ArtistsApiGetAlbumArtistsRequest {
    /**
     * Optional filter by minimum community rating.
     * @type {number}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly minCommunityRating?: number;
    /**
     * Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @type {number}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly startIndex?: number;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly limit?: number;
    /**
     * Optional. Search term.
     * @type {string}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly searchTerm?: string;
    /**
     * Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @type {string}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly parentId?: string;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. If specified, results will be filtered out based on item type. This allows multiple, comma delimited.
     * @type {Array<string>}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly excludeItemTypes?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @type {Array<string>}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly includeItemTypes?: Array<string>;
    /**
     * Optional. Specify additional filters to apply.
     * @type {Array<ItemFilter>}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly filters?: Array<ItemFilter>;
    /**
     * Optional filter by items that are marked as favorite, or not.
     * @type {boolean}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly isFavorite?: boolean;
    /**
     * Optional filter by MediaType. Allows multiple, comma delimited.
     * @type {Array<string>}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly mediaTypes?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on genre. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly genres?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on genre id. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly genreIds?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on OfficialRating. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly officialRatings?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on tag. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly tags?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on production year. This allows multiple, comma delimited.
     * @type {Array<number>}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly years?: Array<number>;
    /**
     * Optional, include user data.
     * @type {boolean}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly enableUserData?: boolean;
    /**
     * Optional, the max number of images to return, per image type.
     * @type {number}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly enableImageTypes?: Array<ImageType>;
    /**
     * Optional. If specified, results will be filtered to include only those containing the specified person.
     * @type {string}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly person?: string;
    /**
     * Optional. If specified, results will be filtered to include only those containing the specified person ids.
     * @type {Array<string>}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly personIds?: Array<string>;
    /**
     * Optional. If specified, along with Person, results will be filtered to include only those containing the specified person and PersonType. Allows multiple, comma-delimited.
     * @type {Array<string>}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly personTypes?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on studio. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly studios?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on studio id. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly studioIds?: Array<string>;
    /**
     * User id.
     * @type {string}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly userId?: string;
    /**
     * Optional filter by items whose name is sorted equally or greater than a given input string.
     * @type {string}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly nameStartsWithOrGreater?: string;
    /**
     * Optional filter by items whose name is sorted equally than a given input string.
     * @type {string}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly nameStartsWith?: string;
    /**
     * Optional filter by items whose name is equally or lesser than a given input string.
     * @type {string}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly nameLessThan?: string;
    /**
     * Optional, include image information in output.
     * @type {boolean}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly enableImages?: boolean;
    /**
     * Total record count.
     * @type {boolean}
     * @memberof ArtistsApiGetAlbumArtists
     */
    readonly enableTotalRecordCount?: boolean;
}
/**
 * Request parameters for getArtistByName operation in ArtistsApi.
 * @export
 * @interface ArtistsApiGetArtistByNameRequest
 */
export interface ArtistsApiGetArtistByNameRequest {
    /**
     * Studio name.
     * @type {string}
     * @memberof ArtistsApiGetArtistByName
     */
    readonly name: string;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof ArtistsApiGetArtistByName
     */
    readonly userId?: string;
}
/**
 * Request parameters for getArtists operation in ArtistsApi.
 * @export
 * @interface ArtistsApiGetArtistsRequest
 */
export interface ArtistsApiGetArtistsRequest {
    /**
     * Optional filter by minimum community rating.
     * @type {number}
     * @memberof ArtistsApiGetArtists
     */
    readonly minCommunityRating?: number;
    /**
     * Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @type {number}
     * @memberof ArtistsApiGetArtists
     */
    readonly startIndex?: number;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof ArtistsApiGetArtists
     */
    readonly limit?: number;
    /**
     * Optional. Search term.
     * @type {string}
     * @memberof ArtistsApiGetArtists
     */
    readonly searchTerm?: string;
    /**
     * Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @type {string}
     * @memberof ArtistsApiGetArtists
     */
    readonly parentId?: string;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof ArtistsApiGetArtists
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. If specified, results will be filtered out based on item type. This allows multiple, comma delimited.
     * @type {Array<string>}
     * @memberof ArtistsApiGetArtists
     */
    readonly excludeItemTypes?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @type {Array<string>}
     * @memberof ArtistsApiGetArtists
     */
    readonly includeItemTypes?: Array<string>;
    /**
     * Optional. Specify additional filters to apply.
     * @type {Array<ItemFilter>}
     * @memberof ArtistsApiGetArtists
     */
    readonly filters?: Array<ItemFilter>;
    /**
     * Optional filter by items that are marked as favorite, or not.
     * @type {boolean}
     * @memberof ArtistsApiGetArtists
     */
    readonly isFavorite?: boolean;
    /**
     * Optional filter by MediaType. Allows multiple, comma delimited.
     * @type {Array<string>}
     * @memberof ArtistsApiGetArtists
     */
    readonly mediaTypes?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on genre. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof ArtistsApiGetArtists
     */
    readonly genres?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on genre id. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof ArtistsApiGetArtists
     */
    readonly genreIds?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on OfficialRating. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof ArtistsApiGetArtists
     */
    readonly officialRatings?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on tag. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof ArtistsApiGetArtists
     */
    readonly tags?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on production year. This allows multiple, comma delimited.
     * @type {Array<number>}
     * @memberof ArtistsApiGetArtists
     */
    readonly years?: Array<number>;
    /**
     * Optional, include user data.
     * @type {boolean}
     * @memberof ArtistsApiGetArtists
     */
    readonly enableUserData?: boolean;
    /**
     * Optional, the max number of images to return, per image type.
     * @type {number}
     * @memberof ArtistsApiGetArtists
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof ArtistsApiGetArtists
     */
    readonly enableImageTypes?: Array<ImageType>;
    /**
     * Optional. If specified, results will be filtered to include only those containing the specified person.
     * @type {string}
     * @memberof ArtistsApiGetArtists
     */
    readonly person?: string;
    /**
     * Optional. If specified, results will be filtered to include only those containing the specified person ids.
     * @type {Array<string>}
     * @memberof ArtistsApiGetArtists
     */
    readonly personIds?: Array<string>;
    /**
     * Optional. If specified, along with Person, results will be filtered to include only those containing the specified person and PersonType. Allows multiple, comma-delimited.
     * @type {Array<string>}
     * @memberof ArtistsApiGetArtists
     */
    readonly personTypes?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on studio. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof ArtistsApiGetArtists
     */
    readonly studios?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on studio id. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof ArtistsApiGetArtists
     */
    readonly studioIds?: Array<string>;
    /**
     * User id.
     * @type {string}
     * @memberof ArtistsApiGetArtists
     */
    readonly userId?: string;
    /**
     * Optional filter by items whose name is sorted equally or greater than a given input string.
     * @type {string}
     * @memberof ArtistsApiGetArtists
     */
    readonly nameStartsWithOrGreater?: string;
    /**
     * Optional filter by items whose name is sorted equally than a given input string.
     * @type {string}
     * @memberof ArtistsApiGetArtists
     */
    readonly nameStartsWith?: string;
    /**
     * Optional filter by items whose name is equally or lesser than a given input string.
     * @type {string}
     * @memberof ArtistsApiGetArtists
     */
    readonly nameLessThan?: string;
    /**
     * Optional, include image information in output.
     * @type {boolean}
     * @memberof ArtistsApiGetArtists
     */
    readonly enableImages?: boolean;
    /**
     * Total record count.
     * @type {boolean}
     * @memberof ArtistsApiGetArtists
     */
    readonly enableTotalRecordCount?: boolean;
}
/**
 * ArtistsApi - object-oriented interface
 * @export
 * @class ArtistsApi
 * @extends {BaseAPI}
 */
export declare class ArtistsApi extends BaseAPI {
    /**
     *
     * @summary Gets all album artists from a given item, folder, or the entire library.
     * @param {ArtistsApiGetAlbumArtistsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArtistsApi
     */
    getAlbumArtists(requestParameters?: ArtistsApiGetAlbumArtistsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets an artist by name.
     * @param {ArtistsApiGetArtistByNameRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArtistsApi
     */
    getArtistByName(requestParameters: ArtistsApiGetArtistByNameRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDto, any>>;
    /**
     *
     * @summary Gets all artists from a given item, folder, or the entire library.
     * @param {ArtistsApiGetArtistsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArtistsApi
     */
    getArtists(requestParameters?: ArtistsApiGetArtistsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
}
