/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { BaseItemDtoQueryResult } from '../models';
import { ChannelFeatures } from '../models';
import { ItemFields } from '../models';
import { ItemFilter } from '../models';
import { SortOrder } from '../models';
/**
 * ChannelsApi - axios parameter creator
 * @export
 */
export declare const ChannelsApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Get all channel features.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getAllChannelFeatures: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get channel features.
     * @param {string} channelId Channel id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getChannelFeatures: (channelId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get channel items.
     * @param {string} channelId Channel Id.
     * @param {string} [folderId] Optional. Folder Id.
     * @param {string} [userId] Optional. User Id.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<SortOrder>} [sortOrder] Optional. Sort Order - Ascending,Descending.
     * @param {Array<ItemFilter>} [filters] Optional. Specify additional filters to apply.
     * @param {Array<string>} [sortBy] Optional. Specify one or more sort orders, comma delimited. Options: Album, AlbumArtist, Artist, Budget, CommunityRating, CriticRating, DateCreated, DatePlayed, PlayCount, PremiereDate, ProductionYear, SortName, Random, Revenue, Runtime.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getChannelItems: (channelId: string, folderId?: string | undefined, userId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, sortOrder?: SortOrder[] | undefined, filters?: ItemFilter[] | undefined, sortBy?: string[] | undefined, fields?: ItemFields[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets available channels.
     * @param {string} [userId] User Id to filter by. Use System.Guid.Empty to not filter by user.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {boolean} [supportsLatestItems] Optional. Filter by channels that support getting latest items.
     * @param {boolean} [supportsMediaDeletion] Optional. Filter by channels that support media deletion.
     * @param {boolean} [isFavorite] Optional. Filter by channels that are favorite.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getChannels: (userId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, supportsLatestItems?: boolean | undefined, supportsMediaDeletion?: boolean | undefined, isFavorite?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets latest channel items.
     * @param {string} [userId] Optional. User Id.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFilter>} [filters] Optional. Specify additional filters to apply.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {Array<string>} [channelIds] Optional. Specify one or more channel id\&#39;s, comma delimited.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLatestChannelItems: (userId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, filters?: ItemFilter[] | undefined, fields?: ItemFields[] | undefined, channelIds?: string[] | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * ChannelsApi - functional programming interface
 * @export
 */
export declare const ChannelsApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Get all channel features.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getAllChannelFeatures(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<ChannelFeatures>>>;
    /**
     *
     * @summary Get channel features.
     * @param {string} channelId Channel id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getChannelFeatures(channelId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<ChannelFeatures>>;
    /**
     *
     * @summary Get channel items.
     * @param {string} channelId Channel Id.
     * @param {string} [folderId] Optional. Folder Id.
     * @param {string} [userId] Optional. User Id.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<SortOrder>} [sortOrder] Optional. Sort Order - Ascending,Descending.
     * @param {Array<ItemFilter>} [filters] Optional. Specify additional filters to apply.
     * @param {Array<string>} [sortBy] Optional. Specify one or more sort orders, comma delimited. Options: Album, AlbumArtist, Artist, Budget, CommunityRating, CriticRating, DateCreated, DatePlayed, PlayCount, PremiereDate, ProductionYear, SortName, Random, Revenue, Runtime.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getChannelItems(channelId: string, folderId?: string | undefined, userId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, sortOrder?: SortOrder[] | undefined, filters?: ItemFilter[] | undefined, sortBy?: string[] | undefined, fields?: ItemFields[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets available channels.
     * @param {string} [userId] User Id to filter by. Use System.Guid.Empty to not filter by user.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {boolean} [supportsLatestItems] Optional. Filter by channels that support getting latest items.
     * @param {boolean} [supportsMediaDeletion] Optional. Filter by channels that support media deletion.
     * @param {boolean} [isFavorite] Optional. Filter by channels that are favorite.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getChannels(userId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, supportsLatestItems?: boolean | undefined, supportsMediaDeletion?: boolean | undefined, isFavorite?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets latest channel items.
     * @param {string} [userId] Optional. User Id.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFilter>} [filters] Optional. Specify additional filters to apply.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {Array<string>} [channelIds] Optional. Specify one or more channel id\&#39;s, comma delimited.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLatestChannelItems(userId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, filters?: ItemFilter[] | undefined, fields?: ItemFields[] | undefined, channelIds?: string[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
};
/**
 * ChannelsApi - factory interface
 * @export
 */
export declare const ChannelsApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Get all channel features.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getAllChannelFeatures(options?: any): AxiosPromise<Array<ChannelFeatures>>;
    /**
     *
     * @summary Get channel features.
     * @param {string} channelId Channel id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getChannelFeatures(channelId: string, options?: any): AxiosPromise<ChannelFeatures>;
    /**
     *
     * @summary Get channel items.
     * @param {string} channelId Channel Id.
     * @param {string} [folderId] Optional. Folder Id.
     * @param {string} [userId] Optional. User Id.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<SortOrder>} [sortOrder] Optional. Sort Order - Ascending,Descending.
     * @param {Array<ItemFilter>} [filters] Optional. Specify additional filters to apply.
     * @param {Array<string>} [sortBy] Optional. Specify one or more sort orders, comma delimited. Options: Album, AlbumArtist, Artist, Budget, CommunityRating, CriticRating, DateCreated, DatePlayed, PlayCount, PremiereDate, ProductionYear, SortName, Random, Revenue, Runtime.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getChannelItems(channelId: string, folderId?: string | undefined, userId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, sortOrder?: SortOrder[] | undefined, filters?: ItemFilter[] | undefined, sortBy?: string[] | undefined, fields?: ItemFields[] | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets available channels.
     * @param {string} [userId] User Id to filter by. Use System.Guid.Empty to not filter by user.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {boolean} [supportsLatestItems] Optional. Filter by channels that support getting latest items.
     * @param {boolean} [supportsMediaDeletion] Optional. Filter by channels that support media deletion.
     * @param {boolean} [isFavorite] Optional. Filter by channels that are favorite.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getChannels(userId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, supportsLatestItems?: boolean | undefined, supportsMediaDeletion?: boolean | undefined, isFavorite?: boolean | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets latest channel items.
     * @param {string} [userId] Optional. User Id.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFilter>} [filters] Optional. Specify additional filters to apply.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {Array<string>} [channelIds] Optional. Specify one or more channel id\&#39;s, comma delimited.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLatestChannelItems(userId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, filters?: ItemFilter[] | undefined, fields?: ItemFields[] | undefined, channelIds?: string[] | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
};
/**
 * Request parameters for getChannelFeatures operation in ChannelsApi.
 * @export
 * @interface ChannelsApiGetChannelFeaturesRequest
 */
export interface ChannelsApiGetChannelFeaturesRequest {
    /**
     * Channel id.
     * @type {string}
     * @memberof ChannelsApiGetChannelFeatures
     */
    readonly channelId: string;
}
/**
 * Request parameters for getChannelItems operation in ChannelsApi.
 * @export
 * @interface ChannelsApiGetChannelItemsRequest
 */
export interface ChannelsApiGetChannelItemsRequest {
    /**
     * Channel Id.
     * @type {string}
     * @memberof ChannelsApiGetChannelItems
     */
    readonly channelId: string;
    /**
     * Optional. Folder Id.
     * @type {string}
     * @memberof ChannelsApiGetChannelItems
     */
    readonly folderId?: string;
    /**
     * Optional. User Id.
     * @type {string}
     * @memberof ChannelsApiGetChannelItems
     */
    readonly userId?: string;
    /**
     * Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @type {number}
     * @memberof ChannelsApiGetChannelItems
     */
    readonly startIndex?: number;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof ChannelsApiGetChannelItems
     */
    readonly limit?: number;
    /**
     * Optional. Sort Order - Ascending,Descending.
     * @type {Array<SortOrder>}
     * @memberof ChannelsApiGetChannelItems
     */
    readonly sortOrder?: Array<SortOrder>;
    /**
     * Optional. Specify additional filters to apply.
     * @type {Array<ItemFilter>}
     * @memberof ChannelsApiGetChannelItems
     */
    readonly filters?: Array<ItemFilter>;
    /**
     * Optional. Specify one or more sort orders, comma delimited. Options: Album, AlbumArtist, Artist, Budget, CommunityRating, CriticRating, DateCreated, DatePlayed, PlayCount, PremiereDate, ProductionYear, SortName, Random, Revenue, Runtime.
     * @type {Array<string>}
     * @memberof ChannelsApiGetChannelItems
     */
    readonly sortBy?: Array<string>;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof ChannelsApiGetChannelItems
     */
    readonly fields?: Array<ItemFields>;
}
/**
 * Request parameters for getChannels operation in ChannelsApi.
 * @export
 * @interface ChannelsApiGetChannelsRequest
 */
export interface ChannelsApiGetChannelsRequest {
    /**
     * User Id to filter by. Use System.Guid.Empty to not filter by user.
     * @type {string}
     * @memberof ChannelsApiGetChannels
     */
    readonly userId?: string;
    /**
     * Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @type {number}
     * @memberof ChannelsApiGetChannels
     */
    readonly startIndex?: number;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof ChannelsApiGetChannels
     */
    readonly limit?: number;
    /**
     * Optional. Filter by channels that support getting latest items.
     * @type {boolean}
     * @memberof ChannelsApiGetChannels
     */
    readonly supportsLatestItems?: boolean;
    /**
     * Optional. Filter by channels that support media deletion.
     * @type {boolean}
     * @memberof ChannelsApiGetChannels
     */
    readonly supportsMediaDeletion?: boolean;
    /**
     * Optional. Filter by channels that are favorite.
     * @type {boolean}
     * @memberof ChannelsApiGetChannels
     */
    readonly isFavorite?: boolean;
}
/**
 * Request parameters for getLatestChannelItems operation in ChannelsApi.
 * @export
 * @interface ChannelsApiGetLatestChannelItemsRequest
 */
export interface ChannelsApiGetLatestChannelItemsRequest {
    /**
     * Optional. User Id.
     * @type {string}
     * @memberof ChannelsApiGetLatestChannelItems
     */
    readonly userId?: string;
    /**
     * Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @type {number}
     * @memberof ChannelsApiGetLatestChannelItems
     */
    readonly startIndex?: number;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof ChannelsApiGetLatestChannelItems
     */
    readonly limit?: number;
    /**
     * Optional. Specify additional filters to apply.
     * @type {Array<ItemFilter>}
     * @memberof ChannelsApiGetLatestChannelItems
     */
    readonly filters?: Array<ItemFilter>;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof ChannelsApiGetLatestChannelItems
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. Specify one or more channel id\&#39;s, comma delimited.
     * @type {Array<string>}
     * @memberof ChannelsApiGetLatestChannelItems
     */
    readonly channelIds?: Array<string>;
}
/**
 * ChannelsApi - object-oriented interface
 * @export
 * @class ChannelsApi
 * @extends {BaseAPI}
 */
export declare class ChannelsApi extends BaseAPI {
    /**
     *
     * @summary Get all channel features.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ChannelsApi
     */
    getAllChannelFeatures(options?: any): Promise<import("axios").AxiosResponse<ChannelFeatures[], any>>;
    /**
     *
     * @summary Get channel features.
     * @param {ChannelsApiGetChannelFeaturesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ChannelsApi
     */
    getChannelFeatures(requestParameters: ChannelsApiGetChannelFeaturesRequest, options?: any): Promise<import("axios").AxiosResponse<ChannelFeatures, any>>;
    /**
     *
     * @summary Get channel items.
     * @param {ChannelsApiGetChannelItemsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ChannelsApi
     */
    getChannelItems(requestParameters: ChannelsApiGetChannelItemsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets available channels.
     * @param {ChannelsApiGetChannelsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ChannelsApi
     */
    getChannels(requestParameters?: ChannelsApiGetChannelsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets latest channel items.
     * @param {ChannelsApiGetLatestChannelItemsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ChannelsApi
     */
    getLatestChannelItems(requestParameters?: ChannelsApiGetLatestChannelItemsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
}
