/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { CollectionCreationResult } from '../models';
/**
 * CollectionApi - axios parameter creator
 * @export
 */
export declare const CollectionApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Adds items to a collection.
     * @param {string} collectionId The collection id.
     * @param {Array<string>} ids Item ids, comma delimited.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addToCollection: (collectionId: string, ids: Array<string>, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Creates a new collection.
     * @param {string} [name] The name of the collection.
     * @param {Array<string>} [ids] Item Ids to add to the collection.
     * @param {string} [parentId] Optional. Create the collection within a specific folder.
     * @param {boolean} [isLocked] Whether or not to lock the new collection.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createCollection: (name?: string | undefined, ids?: string[] | undefined, parentId?: string | undefined, isLocked?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Removes items from a collection.
     * @param {string} collectionId The collection id.
     * @param {Array<string>} ids Item ids, comma delimited.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    removeFromCollection: (collectionId: string, ids: Array<string>, options?: any) => Promise<RequestArgs>;
};
/**
 * CollectionApi - functional programming interface
 * @export
 */
export declare const CollectionApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Adds items to a collection.
     * @param {string} collectionId The collection id.
     * @param {Array<string>} ids Item ids, comma delimited.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addToCollection(collectionId: string, ids: Array<string>, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Creates a new collection.
     * @param {string} [name] The name of the collection.
     * @param {Array<string>} [ids] Item Ids to add to the collection.
     * @param {string} [parentId] Optional. Create the collection within a specific folder.
     * @param {boolean} [isLocked] Whether or not to lock the new collection.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createCollection(name?: string | undefined, ids?: string[] | undefined, parentId?: string | undefined, isLocked?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<CollectionCreationResult>>;
    /**
     *
     * @summary Removes items from a collection.
     * @param {string} collectionId The collection id.
     * @param {Array<string>} ids Item ids, comma delimited.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    removeFromCollection(collectionId: string, ids: Array<string>, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * CollectionApi - factory interface
 * @export
 */
export declare const CollectionApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Adds items to a collection.
     * @param {string} collectionId The collection id.
     * @param {Array<string>} ids Item ids, comma delimited.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addToCollection(collectionId: string, ids: Array<string>, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Creates a new collection.
     * @param {string} [name] The name of the collection.
     * @param {Array<string>} [ids] Item Ids to add to the collection.
     * @param {string} [parentId] Optional. Create the collection within a specific folder.
     * @param {boolean} [isLocked] Whether or not to lock the new collection.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createCollection(name?: string | undefined, ids?: string[] | undefined, parentId?: string | undefined, isLocked?: boolean | undefined, options?: any): AxiosPromise<CollectionCreationResult>;
    /**
     *
     * @summary Removes items from a collection.
     * @param {string} collectionId The collection id.
     * @param {Array<string>} ids Item ids, comma delimited.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    removeFromCollection(collectionId: string, ids: Array<string>, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for addToCollection operation in CollectionApi.
 * @export
 * @interface CollectionApiAddToCollectionRequest
 */
export interface CollectionApiAddToCollectionRequest {
    /**
     * The collection id.
     * @type {string}
     * @memberof CollectionApiAddToCollection
     */
    readonly collectionId: string;
    /**
     * Item ids, comma delimited.
     * @type {Array<string>}
     * @memberof CollectionApiAddToCollection
     */
    readonly ids: Array<string>;
}
/**
 * Request parameters for createCollection operation in CollectionApi.
 * @export
 * @interface CollectionApiCreateCollectionRequest
 */
export interface CollectionApiCreateCollectionRequest {
    /**
     * The name of the collection.
     * @type {string}
     * @memberof CollectionApiCreateCollection
     */
    readonly name?: string;
    /**
     * Item Ids to add to the collection.
     * @type {Array<string>}
     * @memberof CollectionApiCreateCollection
     */
    readonly ids?: Array<string>;
    /**
     * Optional. Create the collection within a specific folder.
     * @type {string}
     * @memberof CollectionApiCreateCollection
     */
    readonly parentId?: string;
    /**
     * Whether or not to lock the new collection.
     * @type {boolean}
     * @memberof CollectionApiCreateCollection
     */
    readonly isLocked?: boolean;
}
/**
 * Request parameters for removeFromCollection operation in CollectionApi.
 * @export
 * @interface CollectionApiRemoveFromCollectionRequest
 */
export interface CollectionApiRemoveFromCollectionRequest {
    /**
     * The collection id.
     * @type {string}
     * @memberof CollectionApiRemoveFromCollection
     */
    readonly collectionId: string;
    /**
     * Item ids, comma delimited.
     * @type {Array<string>}
     * @memberof CollectionApiRemoveFromCollection
     */
    readonly ids: Array<string>;
}
/**
 * CollectionApi - object-oriented interface
 * @export
 * @class CollectionApi
 * @extends {BaseAPI}
 */
export declare class CollectionApi extends BaseAPI {
    /**
     *
     * @summary Adds items to a collection.
     * @param {CollectionApiAddToCollectionRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CollectionApi
     */
    addToCollection(requestParameters: CollectionApiAddToCollectionRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Creates a new collection.
     * @param {CollectionApiCreateCollectionRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CollectionApi
     */
    createCollection(requestParameters?: CollectionApiCreateCollectionRequest, options?: any): Promise<import("axios").AxiosResponse<CollectionCreationResult, any>>;
    /**
     *
     * @summary Removes items from a collection.
     * @param {CollectionApiRemoveFromCollectionRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CollectionApi
     */
    removeFromCollection(requestParameters: CollectionApiRemoveFromCollectionRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
