/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { MediaEncoderPathDto } from '../models';
import { MetadataOptions } from '../models';
import { ServerConfiguration } from '../models';
/**
 * ConfigurationApi - axios parameter creator
 * @export
 */
export declare const ConfigurationApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets application configuration.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getConfiguration: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a default MetadataOptions object.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDefaultMetadataOptions: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a named configuration.
     * @param {string} key Configuration key.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getNamedConfiguration: (key: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Updates application configuration.
     * @param {ServerConfiguration} serverConfiguration Configuration.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateConfiguration: (serverConfiguration: ServerConfiguration, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Updates the path to the media encoder.
     * @param {MediaEncoderPathDto} mediaEncoderPathDto Media encoder path form body.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateMediaEncoderPath: (mediaEncoderPathDto: MediaEncoderPathDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Updates named configuration.
     * @param {string} key Configuration key.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateNamedConfiguration: (key: string, options?: any) => Promise<RequestArgs>;
};
/**
 * ConfigurationApi - functional programming interface
 * @export
 */
export declare const ConfigurationApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets application configuration.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getConfiguration(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<ServerConfiguration>>;
    /**
     *
     * @summary Gets a default MetadataOptions object.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDefaultMetadataOptions(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<MetadataOptions>>;
    /**
     *
     * @summary Gets a named configuration.
     * @param {string} key Configuration key.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getNamedConfiguration(key: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Updates application configuration.
     * @param {ServerConfiguration} serverConfiguration Configuration.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateConfiguration(serverConfiguration: ServerConfiguration, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Updates the path to the media encoder.
     * @param {MediaEncoderPathDto} mediaEncoderPathDto Media encoder path form body.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateMediaEncoderPath(mediaEncoderPathDto: MediaEncoderPathDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Updates named configuration.
     * @param {string} key Configuration key.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateNamedConfiguration(key: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * ConfigurationApi - factory interface
 * @export
 */
export declare const ConfigurationApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Gets application configuration.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getConfiguration(options?: any): AxiosPromise<ServerConfiguration>;
    /**
     *
     * @summary Gets a default MetadataOptions object.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDefaultMetadataOptions(options?: any): AxiosPromise<MetadataOptions>;
    /**
     *
     * @summary Gets a named configuration.
     * @param {string} key Configuration key.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getNamedConfiguration(key: string, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Updates application configuration.
     * @param {ServerConfiguration} serverConfiguration Configuration.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateConfiguration(serverConfiguration: ServerConfiguration, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Updates the path to the media encoder.
     * @param {MediaEncoderPathDto} mediaEncoderPathDto Media encoder path form body.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateMediaEncoderPath(mediaEncoderPathDto: MediaEncoderPathDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Updates named configuration.
     * @param {string} key Configuration key.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateNamedConfiguration(key: string, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for getNamedConfiguration operation in ConfigurationApi.
 * @export
 * @interface ConfigurationApiGetNamedConfigurationRequest
 */
export interface ConfigurationApiGetNamedConfigurationRequest {
    /**
     * Configuration key.
     * @type {string}
     * @memberof ConfigurationApiGetNamedConfiguration
     */
    readonly key: string;
}
/**
 * Request parameters for updateConfiguration operation in ConfigurationApi.
 * @export
 * @interface ConfigurationApiUpdateConfigurationRequest
 */
export interface ConfigurationApiUpdateConfigurationRequest {
    /**
     * Configuration.
     * @type {ServerConfiguration}
     * @memberof ConfigurationApiUpdateConfiguration
     */
    readonly serverConfiguration: ServerConfiguration;
}
/**
 * Request parameters for updateMediaEncoderPath operation in ConfigurationApi.
 * @export
 * @interface ConfigurationApiUpdateMediaEncoderPathRequest
 */
export interface ConfigurationApiUpdateMediaEncoderPathRequest {
    /**
     * Media encoder path form body.
     * @type {MediaEncoderPathDto}
     * @memberof ConfigurationApiUpdateMediaEncoderPath
     */
    readonly mediaEncoderPathDto: MediaEncoderPathDto;
}
/**
 * Request parameters for updateNamedConfiguration operation in ConfigurationApi.
 * @export
 * @interface ConfigurationApiUpdateNamedConfigurationRequest
 */
export interface ConfigurationApiUpdateNamedConfigurationRequest {
    /**
     * Configuration key.
     * @type {string}
     * @memberof ConfigurationApiUpdateNamedConfiguration
     */
    readonly key: string;
}
/**
 * ConfigurationApi - object-oriented interface
 * @export
 * @class ConfigurationApi
 * @extends {BaseAPI}
 */
export declare class ConfigurationApi extends BaseAPI {
    /**
     *
     * @summary Gets application configuration.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ConfigurationApi
     */
    getConfiguration(options?: any): Promise<import("axios").AxiosResponse<ServerConfiguration, any>>;
    /**
     *
     * @summary Gets a default MetadataOptions object.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ConfigurationApi
     */
    getDefaultMetadataOptions(options?: any): Promise<import("axios").AxiosResponse<MetadataOptions, any>>;
    /**
     *
     * @summary Gets a named configuration.
     * @param {ConfigurationApiGetNamedConfigurationRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ConfigurationApi
     */
    getNamedConfiguration(requestParameters: ConfigurationApiGetNamedConfigurationRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Updates application configuration.
     * @param {ConfigurationApiUpdateConfigurationRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ConfigurationApi
     */
    updateConfiguration(requestParameters: ConfigurationApiUpdateConfigurationRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Updates the path to the media encoder.
     * @param {ConfigurationApiUpdateMediaEncoderPathRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ConfigurationApi
     */
    updateMediaEncoderPath(requestParameters: ConfigurationApiUpdateMediaEncoderPathRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Updates named configuration.
     * @param {ConfigurationApiUpdateNamedConfigurationRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ConfigurationApi
     */
    updateNamedConfiguration(requestParameters: ConfigurationApiUpdateNamedConfigurationRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
