/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { ConfigurationPageInfo } from '../models';
import { ConfigurationPageType } from '../models';
/**
 * DashboardApi - axios parameter creator
 * @export
 */
export declare const DashboardApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets the configuration pages.
     * @param {boolean} [enableInMainMenu] Whether to enable in the main menu.
     * @param {ConfigurationPageType} [pageType] The Jellyfin.Api.Models.ConfigurationPageInfo.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getConfigurationPages: (enableInMainMenu?: boolean | undefined, pageType?: ConfigurationPageType | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a dashboard configuration page.
     * @param {string} [name] The name of the page.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDashboardConfigurationPage: (name?: string | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * DashboardApi - functional programming interface
 * @export
 */
export declare const DashboardApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets the configuration pages.
     * @param {boolean} [enableInMainMenu] Whether to enable in the main menu.
     * @param {ConfigurationPageType} [pageType] The Jellyfin.Api.Models.ConfigurationPageInfo.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getConfigurationPages(enableInMainMenu?: boolean | undefined, pageType?: ConfigurationPageType | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<ConfigurationPageInfo>>>;
    /**
     *
     * @summary Gets a dashboard configuration page.
     * @param {string} [name] The name of the page.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDashboardConfigurationPage(name?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
};
/**
 * DashboardApi - factory interface
 * @export
 */
export declare const DashboardApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Gets the configuration pages.
     * @param {boolean} [enableInMainMenu] Whether to enable in the main menu.
     * @param {ConfigurationPageType} [pageType] The Jellyfin.Api.Models.ConfigurationPageInfo.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getConfigurationPages(enableInMainMenu?: boolean | undefined, pageType?: ConfigurationPageType | undefined, options?: any): AxiosPromise<Array<ConfigurationPageInfo>>;
    /**
     *
     * @summary Gets a dashboard configuration page.
     * @param {string} [name] The name of the page.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDashboardConfigurationPage(name?: string | undefined, options?: any): AxiosPromise<any>;
};
/**
 * Request parameters for getConfigurationPages operation in DashboardApi.
 * @export
 * @interface DashboardApiGetConfigurationPagesRequest
 */
export interface DashboardApiGetConfigurationPagesRequest {
    /**
     * Whether to enable in the main menu.
     * @type {boolean}
     * @memberof DashboardApiGetConfigurationPages
     */
    readonly enableInMainMenu?: boolean;
    /**
     * The Jellyfin.Api.Models.ConfigurationPageInfo.
     * @type {ConfigurationPageType}
     * @memberof DashboardApiGetConfigurationPages
     */
    readonly pageType?: ConfigurationPageType;
}
/**
 * Request parameters for getDashboardConfigurationPage operation in DashboardApi.
 * @export
 * @interface DashboardApiGetDashboardConfigurationPageRequest
 */
export interface DashboardApiGetDashboardConfigurationPageRequest {
    /**
     * The name of the page.
     * @type {string}
     * @memberof DashboardApiGetDashboardConfigurationPage
     */
    readonly name?: string;
}
/**
 * DashboardApi - object-oriented interface
 * @export
 * @class DashboardApi
 * @extends {BaseAPI}
 */
export declare class DashboardApi extends BaseAPI {
    /**
     *
     * @summary Gets the configuration pages.
     * @param {DashboardApiGetConfigurationPagesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DashboardApi
     */
    getConfigurationPages(requestParameters?: DashboardApiGetConfigurationPagesRequest, options?: any): Promise<import("axios").AxiosResponse<ConfigurationPageInfo[], any>>;
    /**
     *
     * @summary Gets a dashboard configuration page.
     * @param {DashboardApiGetDashboardConfigurationPageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DashboardApi
     */
    getDashboardConfigurationPage(requestParameters?: DashboardApiGetDashboardConfigurationPageRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
}
