/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { DeviceInfo } from '../models';
import { DeviceInfoQueryResult } from '../models';
import { DeviceOptions } from '../models';
/**
 * DevicesApi - axios parameter creator
 * @export
 */
export declare const DevicesApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Deletes a device.
     * @param {string} id Device Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteDevice: (id: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get info for a device.
     * @param {string} id Device Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDeviceInfo: (id: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get options for a device.
     * @param {string} id Device Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDeviceOptions: (id: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get Devices.
     * @param {boolean} [supportsSync] Gets or sets a value indicating whether [supports synchronize].
     * @param {string} [userId] Gets or sets the user identifier.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDevices: (supportsSync?: boolean | undefined, userId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Update device options.
     * @param {string} id Device Id.
     * @param {DeviceOptions} deviceOptions Device Options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateDeviceOptions: (id: string, deviceOptions: DeviceOptions, options?: any) => Promise<RequestArgs>;
};
/**
 * DevicesApi - functional programming interface
 * @export
 */
export declare const DevicesApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Deletes a device.
     * @param {string} id Device Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteDevice(id: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Get info for a device.
     * @param {string} id Device Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDeviceInfo(id: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<DeviceInfo>>;
    /**
     *
     * @summary Get options for a device.
     * @param {string} id Device Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDeviceOptions(id: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<DeviceOptions>>;
    /**
     *
     * @summary Get Devices.
     * @param {boolean} [supportsSync] Gets or sets a value indicating whether [supports synchronize].
     * @param {string} [userId] Gets or sets the user identifier.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDevices(supportsSync?: boolean | undefined, userId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<DeviceInfoQueryResult>>;
    /**
     *
     * @summary Update device options.
     * @param {string} id Device Id.
     * @param {DeviceOptions} deviceOptions Device Options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateDeviceOptions(id: string, deviceOptions: DeviceOptions, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * DevicesApi - factory interface
 * @export
 */
export declare const DevicesApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Deletes a device.
     * @param {string} id Device Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteDevice(id: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Get info for a device.
     * @param {string} id Device Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDeviceInfo(id: string, options?: any): AxiosPromise<DeviceInfo>;
    /**
     *
     * @summary Get options for a device.
     * @param {string} id Device Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDeviceOptions(id: string, options?: any): AxiosPromise<DeviceOptions>;
    /**
     *
     * @summary Get Devices.
     * @param {boolean} [supportsSync] Gets or sets a value indicating whether [supports synchronize].
     * @param {string} [userId] Gets or sets the user identifier.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDevices(supportsSync?: boolean | undefined, userId?: string | undefined, options?: any): AxiosPromise<DeviceInfoQueryResult>;
    /**
     *
     * @summary Update device options.
     * @param {string} id Device Id.
     * @param {DeviceOptions} deviceOptions Device Options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateDeviceOptions(id: string, deviceOptions: DeviceOptions, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for deleteDevice operation in DevicesApi.
 * @export
 * @interface DevicesApiDeleteDeviceRequest
 */
export interface DevicesApiDeleteDeviceRequest {
    /**
     * Device Id.
     * @type {string}
     * @memberof DevicesApiDeleteDevice
     */
    readonly id: string;
}
/**
 * Request parameters for getDeviceInfo operation in DevicesApi.
 * @export
 * @interface DevicesApiGetDeviceInfoRequest
 */
export interface DevicesApiGetDeviceInfoRequest {
    /**
     * Device Id.
     * @type {string}
     * @memberof DevicesApiGetDeviceInfo
     */
    readonly id: string;
}
/**
 * Request parameters for getDeviceOptions operation in DevicesApi.
 * @export
 * @interface DevicesApiGetDeviceOptionsRequest
 */
export interface DevicesApiGetDeviceOptionsRequest {
    /**
     * Device Id.
     * @type {string}
     * @memberof DevicesApiGetDeviceOptions
     */
    readonly id: string;
}
/**
 * Request parameters for getDevices operation in DevicesApi.
 * @export
 * @interface DevicesApiGetDevicesRequest
 */
export interface DevicesApiGetDevicesRequest {
    /**
     * Gets or sets a value indicating whether [supports synchronize].
     * @type {boolean}
     * @memberof DevicesApiGetDevices
     */
    readonly supportsSync?: boolean;
    /**
     * Gets or sets the user identifier.
     * @type {string}
     * @memberof DevicesApiGetDevices
     */
    readonly userId?: string;
}
/**
 * Request parameters for updateDeviceOptions operation in DevicesApi.
 * @export
 * @interface DevicesApiUpdateDeviceOptionsRequest
 */
export interface DevicesApiUpdateDeviceOptionsRequest {
    /**
     * Device Id.
     * @type {string}
     * @memberof DevicesApiUpdateDeviceOptions
     */
    readonly id: string;
    /**
     * Device Options.
     * @type {DeviceOptions}
     * @memberof DevicesApiUpdateDeviceOptions
     */
    readonly deviceOptions: DeviceOptions;
}
/**
 * DevicesApi - object-oriented interface
 * @export
 * @class DevicesApi
 * @extends {BaseAPI}
 */
export declare class DevicesApi extends BaseAPI {
    /**
     *
     * @summary Deletes a device.
     * @param {DevicesApiDeleteDeviceRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DevicesApi
     */
    deleteDevice(requestParameters: DevicesApiDeleteDeviceRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Get info for a device.
     * @param {DevicesApiGetDeviceInfoRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DevicesApi
     */
    getDeviceInfo(requestParameters: DevicesApiGetDeviceInfoRequest, options?: any): Promise<import("axios").AxiosResponse<DeviceInfo, any>>;
    /**
     *
     * @summary Get options for a device.
     * @param {DevicesApiGetDeviceOptionsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DevicesApi
     */
    getDeviceOptions(requestParameters: DevicesApiGetDeviceOptionsRequest, options?: any): Promise<import("axios").AxiosResponse<DeviceOptions, any>>;
    /**
     *
     * @summary Get Devices.
     * @param {DevicesApiGetDevicesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DevicesApi
     */
    getDevices(requestParameters?: DevicesApiGetDevicesRequest, options?: any): Promise<import("axios").AxiosResponse<DeviceInfoQueryResult, any>>;
    /**
     *
     * @summary Update device options.
     * @param {DevicesApiUpdateDeviceOptionsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DevicesApi
     */
    updateDeviceOptions(requestParameters: DevicesApiUpdateDeviceOptionsRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
