/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { DisplayPreferencesDto } from '../models';
/**
 * DisplayPreferencesApi - axios parameter creator
 * @export
 */
export declare const DisplayPreferencesApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Get Display Preferences.
     * @param {string} displayPreferencesId Display preferences id.
     * @param {string} userId User id.
     * @param {string} client Client.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDisplayPreferences: (displayPreferencesId: string, userId: string, client: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Update Display Preferences.
     * @param {string} displayPreferencesId Display preferences id.
     * @param {string} userId User Id.
     * @param {string} client Client.
     * @param {DisplayPreferencesDto} displayPreferencesDto New Display Preferences object.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateDisplayPreferences: (displayPreferencesId: string, userId: string, client: string, displayPreferencesDto: DisplayPreferencesDto, options?: any) => Promise<RequestArgs>;
};
/**
 * DisplayPreferencesApi - functional programming interface
 * @export
 */
export declare const DisplayPreferencesApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Get Display Preferences.
     * @param {string} displayPreferencesId Display preferences id.
     * @param {string} userId User id.
     * @param {string} client Client.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDisplayPreferences(displayPreferencesId: string, userId: string, client: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<DisplayPreferencesDto>>;
    /**
     *
     * @summary Update Display Preferences.
     * @param {string} displayPreferencesId Display preferences id.
     * @param {string} userId User Id.
     * @param {string} client Client.
     * @param {DisplayPreferencesDto} displayPreferencesDto New Display Preferences object.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateDisplayPreferences(displayPreferencesId: string, userId: string, client: string, displayPreferencesDto: DisplayPreferencesDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * DisplayPreferencesApi - factory interface
 * @export
 */
export declare const DisplayPreferencesApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Get Display Preferences.
     * @param {string} displayPreferencesId Display preferences id.
     * @param {string} userId User id.
     * @param {string} client Client.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDisplayPreferences(displayPreferencesId: string, userId: string, client: string, options?: any): AxiosPromise<DisplayPreferencesDto>;
    /**
     *
     * @summary Update Display Preferences.
     * @param {string} displayPreferencesId Display preferences id.
     * @param {string} userId User Id.
     * @param {string} client Client.
     * @param {DisplayPreferencesDto} displayPreferencesDto New Display Preferences object.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateDisplayPreferences(displayPreferencesId: string, userId: string, client: string, displayPreferencesDto: DisplayPreferencesDto, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for getDisplayPreferences operation in DisplayPreferencesApi.
 * @export
 * @interface DisplayPreferencesApiGetDisplayPreferencesRequest
 */
export interface DisplayPreferencesApiGetDisplayPreferencesRequest {
    /**
     * Display preferences id.
     * @type {string}
     * @memberof DisplayPreferencesApiGetDisplayPreferences
     */
    readonly displayPreferencesId: string;
    /**
     * User id.
     * @type {string}
     * @memberof DisplayPreferencesApiGetDisplayPreferences
     */
    readonly userId: string;
    /**
     * Client.
     * @type {string}
     * @memberof DisplayPreferencesApiGetDisplayPreferences
     */
    readonly client: string;
}
/**
 * Request parameters for updateDisplayPreferences operation in DisplayPreferencesApi.
 * @export
 * @interface DisplayPreferencesApiUpdateDisplayPreferencesRequest
 */
export interface DisplayPreferencesApiUpdateDisplayPreferencesRequest {
    /**
     * Display preferences id.
     * @type {string}
     * @memberof DisplayPreferencesApiUpdateDisplayPreferences
     */
    readonly displayPreferencesId: string;
    /**
     * User Id.
     * @type {string}
     * @memberof DisplayPreferencesApiUpdateDisplayPreferences
     */
    readonly userId: string;
    /**
     * Client.
     * @type {string}
     * @memberof DisplayPreferencesApiUpdateDisplayPreferences
     */
    readonly client: string;
    /**
     * New Display Preferences object.
     * @type {DisplayPreferencesDto}
     * @memberof DisplayPreferencesApiUpdateDisplayPreferences
     */
    readonly displayPreferencesDto: DisplayPreferencesDto;
}
/**
 * DisplayPreferencesApi - object-oriented interface
 * @export
 * @class DisplayPreferencesApi
 * @extends {BaseAPI}
 */
export declare class DisplayPreferencesApi extends BaseAPI {
    /**
     *
     * @summary Get Display Preferences.
     * @param {DisplayPreferencesApiGetDisplayPreferencesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DisplayPreferencesApi
     */
    getDisplayPreferences(requestParameters: DisplayPreferencesApiGetDisplayPreferencesRequest, options?: any): Promise<import("axios").AxiosResponse<DisplayPreferencesDto, any>>;
    /**
     *
     * @summary Update Display Preferences.
     * @param {DisplayPreferencesApiUpdateDisplayPreferencesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DisplayPreferencesApi
     */
    updateDisplayPreferences(requestParameters: DisplayPreferencesApiUpdateDisplayPreferencesRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
