/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { DeviceProfile } from '../models';
import { DeviceProfileInfo } from '../models';
/**
 * DlnaApi - axios parameter creator
 * @export
 */
export declare const DlnaApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Creates a profile.
     * @param {DeviceProfile} [deviceProfile] Device profile.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createProfile: (deviceProfile?: DeviceProfile | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Deletes a profile.
     * @param {string} profileId Profile id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteProfile: (profileId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the default profile.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDefaultProfile: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a single profile.
     * @param {string} profileId Profile Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getProfile: (profileId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get profile infos.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getProfileInfos: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Updates a profile.
     * @param {string} profileId Profile id.
     * @param {DeviceProfile} [deviceProfile] Device profile.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateProfile: (profileId: string, deviceProfile?: DeviceProfile | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * DlnaApi - functional programming interface
 * @export
 */
export declare const DlnaApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Creates a profile.
     * @param {DeviceProfile} [deviceProfile] Device profile.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createProfile(deviceProfile?: DeviceProfile | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Deletes a profile.
     * @param {string} profileId Profile id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteProfile(profileId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Gets the default profile.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDefaultProfile(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<DeviceProfile>>;
    /**
     *
     * @summary Gets a single profile.
     * @param {string} profileId Profile Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getProfile(profileId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<DeviceProfile>>;
    /**
     *
     * @summary Get profile infos.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getProfileInfos(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<DeviceProfileInfo>>>;
    /**
     *
     * @summary Updates a profile.
     * @param {string} profileId Profile id.
     * @param {DeviceProfile} [deviceProfile] Device profile.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateProfile(profileId: string, deviceProfile?: DeviceProfile | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * DlnaApi - factory interface
 * @export
 */
export declare const DlnaApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Creates a profile.
     * @param {DeviceProfile} [deviceProfile] Device profile.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createProfile(deviceProfile?: DeviceProfile | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Deletes a profile.
     * @param {string} profileId Profile id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteProfile(profileId: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Gets the default profile.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDefaultProfile(options?: any): AxiosPromise<DeviceProfile>;
    /**
     *
     * @summary Gets a single profile.
     * @param {string} profileId Profile Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getProfile(profileId: string, options?: any): AxiosPromise<DeviceProfile>;
    /**
     *
     * @summary Get profile infos.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getProfileInfos(options?: any): AxiosPromise<Array<DeviceProfileInfo>>;
    /**
     *
     * @summary Updates a profile.
     * @param {string} profileId Profile id.
     * @param {DeviceProfile} [deviceProfile] Device profile.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateProfile(profileId: string, deviceProfile?: DeviceProfile | undefined, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for createProfile operation in DlnaApi.
 * @export
 * @interface DlnaApiCreateProfileRequest
 */
export interface DlnaApiCreateProfileRequest {
    /**
     * Device profile.
     * @type {DeviceProfile}
     * @memberof DlnaApiCreateProfile
     */
    readonly deviceProfile?: DeviceProfile;
}
/**
 * Request parameters for deleteProfile operation in DlnaApi.
 * @export
 * @interface DlnaApiDeleteProfileRequest
 */
export interface DlnaApiDeleteProfileRequest {
    /**
     * Profile id.
     * @type {string}
     * @memberof DlnaApiDeleteProfile
     */
    readonly profileId: string;
}
/**
 * Request parameters for getProfile operation in DlnaApi.
 * @export
 * @interface DlnaApiGetProfileRequest
 */
export interface DlnaApiGetProfileRequest {
    /**
     * Profile Id.
     * @type {string}
     * @memberof DlnaApiGetProfile
     */
    readonly profileId: string;
}
/**
 * Request parameters for updateProfile operation in DlnaApi.
 * @export
 * @interface DlnaApiUpdateProfileRequest
 */
export interface DlnaApiUpdateProfileRequest {
    /**
     * Profile id.
     * @type {string}
     * @memberof DlnaApiUpdateProfile
     */
    readonly profileId: string;
    /**
     * Device profile.
     * @type {DeviceProfile}
     * @memberof DlnaApiUpdateProfile
     */
    readonly deviceProfile?: DeviceProfile;
}
/**
 * DlnaApi - object-oriented interface
 * @export
 * @class DlnaApi
 * @extends {BaseAPI}
 */
export declare class DlnaApi extends BaseAPI {
    /**
     *
     * @summary Creates a profile.
     * @param {DlnaApiCreateProfileRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DlnaApi
     */
    createProfile(requestParameters?: DlnaApiCreateProfileRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Deletes a profile.
     * @param {DlnaApiDeleteProfileRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DlnaApi
     */
    deleteProfile(requestParameters: DlnaApiDeleteProfileRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Gets the default profile.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DlnaApi
     */
    getDefaultProfile(options?: any): Promise<import("axios").AxiosResponse<DeviceProfile, any>>;
    /**
     *
     * @summary Gets a single profile.
     * @param {DlnaApiGetProfileRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DlnaApi
     */
    getProfile(requestParameters: DlnaApiGetProfileRequest, options?: any): Promise<import("axios").AxiosResponse<DeviceProfile, any>>;
    /**
     *
     * @summary Get profile infos.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DlnaApi
     */
    getProfileInfos(options?: any): Promise<import("axios").AxiosResponse<DeviceProfileInfo[], any>>;
    /**
     *
     * @summary Updates a profile.
     * @param {DlnaApiUpdateProfileRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DlnaApi
     */
    updateProfile(requestParameters: DlnaApiUpdateProfileRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
