/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { DefaultDirectoryBrowserInfoDto } from '../models';
import { FileSystemEntryInfo } from '../models';
import { ValidatePathDto } from '../models';
/**
 * EnvironmentApi - axios parameter creator
 * @export
 */
export declare const EnvironmentApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Get Default directory browser.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDefaultDirectoryBrowser: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the contents of a given directory in the file system.
     * @param {string} path The path.
     * @param {boolean} [includeFiles] An optional filter to include or exclude files from the results. true/false.
     * @param {boolean} [includeDirectories] An optional filter to include or exclude folders from the results. true/false.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDirectoryContents: (path: string, includeFiles?: boolean | undefined, includeDirectories?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets available drives from the server\'s file system.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDrives: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets network paths.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getNetworkShares: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the parent path of a given path.
     * @param {string} path The path.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getParentPath: (path: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Validates path.
     * @param {ValidatePathDto} validatePathDto Validate request object.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    validatePath: (validatePathDto: ValidatePathDto, options?: any) => Promise<RequestArgs>;
};
/**
 * EnvironmentApi - functional programming interface
 * @export
 */
export declare const EnvironmentApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Get Default directory browser.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDefaultDirectoryBrowser(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<DefaultDirectoryBrowserInfoDto>>;
    /**
     *
     * @summary Gets the contents of a given directory in the file system.
     * @param {string} path The path.
     * @param {boolean} [includeFiles] An optional filter to include or exclude files from the results. true/false.
     * @param {boolean} [includeDirectories] An optional filter to include or exclude folders from the results. true/false.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDirectoryContents(path: string, includeFiles?: boolean | undefined, includeDirectories?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<FileSystemEntryInfo>>>;
    /**
     *
     * @summary Gets available drives from the server\'s file system.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDrives(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<FileSystemEntryInfo>>>;
    /**
     *
     * @summary Gets network paths.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getNetworkShares(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<FileSystemEntryInfo>>>;
    /**
     *
     * @summary Gets the parent path of a given path.
     * @param {string} path The path.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getParentPath(path: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<string>>;
    /**
     *
     * @summary Validates path.
     * @param {ValidatePathDto} validatePathDto Validate request object.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    validatePath(validatePathDto: ValidatePathDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * EnvironmentApi - factory interface
 * @export
 */
export declare const EnvironmentApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Get Default directory browser.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDefaultDirectoryBrowser(options?: any): AxiosPromise<DefaultDirectoryBrowserInfoDto>;
    /**
     *
     * @summary Gets the contents of a given directory in the file system.
     * @param {string} path The path.
     * @param {boolean} [includeFiles] An optional filter to include or exclude files from the results. true/false.
     * @param {boolean} [includeDirectories] An optional filter to include or exclude folders from the results. true/false.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDirectoryContents(path: string, includeFiles?: boolean | undefined, includeDirectories?: boolean | undefined, options?: any): AxiosPromise<Array<FileSystemEntryInfo>>;
    /**
     *
     * @summary Gets available drives from the server\'s file system.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDrives(options?: any): AxiosPromise<Array<FileSystemEntryInfo>>;
    /**
     *
     * @summary Gets network paths.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getNetworkShares(options?: any): AxiosPromise<Array<FileSystemEntryInfo>>;
    /**
     *
     * @summary Gets the parent path of a given path.
     * @param {string} path The path.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getParentPath(path: string, options?: any): AxiosPromise<string>;
    /**
     *
     * @summary Validates path.
     * @param {ValidatePathDto} validatePathDto Validate request object.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    validatePath(validatePathDto: ValidatePathDto, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for getDirectoryContents operation in EnvironmentApi.
 * @export
 * @interface EnvironmentApiGetDirectoryContentsRequest
 */
export interface EnvironmentApiGetDirectoryContentsRequest {
    /**
     * The path.
     * @type {string}
     * @memberof EnvironmentApiGetDirectoryContents
     */
    readonly path: string;
    /**
     * An optional filter to include or exclude files from the results. true/false.
     * @type {boolean}
     * @memberof EnvironmentApiGetDirectoryContents
     */
    readonly includeFiles?: boolean;
    /**
     * An optional filter to include or exclude folders from the results. true/false.
     * @type {boolean}
     * @memberof EnvironmentApiGetDirectoryContents
     */
    readonly includeDirectories?: boolean;
}
/**
 * Request parameters for getParentPath operation in EnvironmentApi.
 * @export
 * @interface EnvironmentApiGetParentPathRequest
 */
export interface EnvironmentApiGetParentPathRequest {
    /**
     * The path.
     * @type {string}
     * @memberof EnvironmentApiGetParentPath
     */
    readonly path: string;
}
/**
 * Request parameters for validatePath operation in EnvironmentApi.
 * @export
 * @interface EnvironmentApiValidatePathRequest
 */
export interface EnvironmentApiValidatePathRequest {
    /**
     * Validate request object.
     * @type {ValidatePathDto}
     * @memberof EnvironmentApiValidatePath
     */
    readonly validatePathDto: ValidatePathDto;
}
/**
 * EnvironmentApi - object-oriented interface
 * @export
 * @class EnvironmentApi
 * @extends {BaseAPI}
 */
export declare class EnvironmentApi extends BaseAPI {
    /**
     *
     * @summary Get Default directory browser.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof EnvironmentApi
     */
    getDefaultDirectoryBrowser(options?: any): Promise<import("axios").AxiosResponse<DefaultDirectoryBrowserInfoDto, any>>;
    /**
     *
     * @summary Gets the contents of a given directory in the file system.
     * @param {EnvironmentApiGetDirectoryContentsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof EnvironmentApi
     */
    getDirectoryContents(requestParameters: EnvironmentApiGetDirectoryContentsRequest, options?: any): Promise<import("axios").AxiosResponse<FileSystemEntryInfo[], any>>;
    /**
     *
     * @summary Gets available drives from the server\'s file system.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof EnvironmentApi
     */
    getDrives(options?: any): Promise<import("axios").AxiosResponse<FileSystemEntryInfo[], any>>;
    /**
     *
     * @summary Gets network paths.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     * @memberof EnvironmentApi
     */
    getNetworkShares(options?: any): Promise<import("axios").AxiosResponse<FileSystemEntryInfo[], any>>;
    /**
     *
     * @summary Gets the parent path of a given path.
     * @param {EnvironmentApiGetParentPathRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof EnvironmentApi
     */
    getParentPath(requestParameters: EnvironmentApiGetParentPathRequest, options?: any): Promise<import("axios").AxiosResponse<string, any>>;
    /**
     *
     * @summary Validates path.
     * @param {EnvironmentApiValidatePathRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof EnvironmentApi
     */
    validatePath(requestParameters: EnvironmentApiValidatePathRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
