/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { QueryFilters } from '../models';
import { QueryFiltersLegacy } from '../models';
/**
 * FilterApi - axios parameter creator
 * @export
 */
export declare const FilterApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets query filters.
     * @param {string} [userId] Optional. User id.
     * @param {string} [parentId] Optional. Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<string>} [includeItemTypes] Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @param {boolean} [isAiring] Optional. Is item airing.
     * @param {boolean} [isMovie] Optional. Is item movie.
     * @param {boolean} [isSports] Optional. Is item sports.
     * @param {boolean} [isKids] Optional. Is item kids.
     * @param {boolean} [isNews] Optional. Is item news.
     * @param {boolean} [isSeries] Optional. Is item series.
     * @param {boolean} [recursive] Optional. Search recursive.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getQueryFilters: (userId?: string | undefined, parentId?: string | undefined, includeItemTypes?: string[] | undefined, isAiring?: boolean | undefined, isMovie?: boolean | undefined, isSports?: boolean | undefined, isKids?: boolean | undefined, isNews?: boolean | undefined, isSeries?: boolean | undefined, recursive?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets legacy query filters.
     * @param {string} [userId] Optional. User id.
     * @param {string} [parentId] Optional. Parent id.
     * @param {Array<string>} [includeItemTypes] Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @param {Array<string>} [mediaTypes] Optional. Filter by MediaType. Allows multiple, comma delimited.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getQueryFiltersLegacy: (userId?: string | undefined, parentId?: string | undefined, includeItemTypes?: string[] | undefined, mediaTypes?: string[] | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * FilterApi - functional programming interface
 * @export
 */
export declare const FilterApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets query filters.
     * @param {string} [userId] Optional. User id.
     * @param {string} [parentId] Optional. Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<string>} [includeItemTypes] Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @param {boolean} [isAiring] Optional. Is item airing.
     * @param {boolean} [isMovie] Optional. Is item movie.
     * @param {boolean} [isSports] Optional. Is item sports.
     * @param {boolean} [isKids] Optional. Is item kids.
     * @param {boolean} [isNews] Optional. Is item news.
     * @param {boolean} [isSeries] Optional. Is item series.
     * @param {boolean} [recursive] Optional. Search recursive.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getQueryFilters(userId?: string | undefined, parentId?: string | undefined, includeItemTypes?: string[] | undefined, isAiring?: boolean | undefined, isMovie?: boolean | undefined, isSports?: boolean | undefined, isKids?: boolean | undefined, isNews?: boolean | undefined, isSeries?: boolean | undefined, recursive?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<QueryFilters>>;
    /**
     *
     * @summary Gets legacy query filters.
     * @param {string} [userId] Optional. User id.
     * @param {string} [parentId] Optional. Parent id.
     * @param {Array<string>} [includeItemTypes] Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @param {Array<string>} [mediaTypes] Optional. Filter by MediaType. Allows multiple, comma delimited.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getQueryFiltersLegacy(userId?: string | undefined, parentId?: string | undefined, includeItemTypes?: string[] | undefined, mediaTypes?: string[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<QueryFiltersLegacy>>;
};
/**
 * FilterApi - factory interface
 * @export
 */
export declare const FilterApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Gets query filters.
     * @param {string} [userId] Optional. User id.
     * @param {string} [parentId] Optional. Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<string>} [includeItemTypes] Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @param {boolean} [isAiring] Optional. Is item airing.
     * @param {boolean} [isMovie] Optional. Is item movie.
     * @param {boolean} [isSports] Optional. Is item sports.
     * @param {boolean} [isKids] Optional. Is item kids.
     * @param {boolean} [isNews] Optional. Is item news.
     * @param {boolean} [isSeries] Optional. Is item series.
     * @param {boolean} [recursive] Optional. Search recursive.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getQueryFilters(userId?: string | undefined, parentId?: string | undefined, includeItemTypes?: string[] | undefined, isAiring?: boolean | undefined, isMovie?: boolean | undefined, isSports?: boolean | undefined, isKids?: boolean | undefined, isNews?: boolean | undefined, isSeries?: boolean | undefined, recursive?: boolean | undefined, options?: any): AxiosPromise<QueryFilters>;
    /**
     *
     * @summary Gets legacy query filters.
     * @param {string} [userId] Optional. User id.
     * @param {string} [parentId] Optional. Parent id.
     * @param {Array<string>} [includeItemTypes] Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @param {Array<string>} [mediaTypes] Optional. Filter by MediaType. Allows multiple, comma delimited.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getQueryFiltersLegacy(userId?: string | undefined, parentId?: string | undefined, includeItemTypes?: string[] | undefined, mediaTypes?: string[] | undefined, options?: any): AxiosPromise<QueryFiltersLegacy>;
};
/**
 * Request parameters for getQueryFilters operation in FilterApi.
 * @export
 * @interface FilterApiGetQueryFiltersRequest
 */
export interface FilterApiGetQueryFiltersRequest {
    /**
     * Optional. User id.
     * @type {string}
     * @memberof FilterApiGetQueryFilters
     */
    readonly userId?: string;
    /**
     * Optional. Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @type {string}
     * @memberof FilterApiGetQueryFilters
     */
    readonly parentId?: string;
    /**
     * Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @type {Array<string>}
     * @memberof FilterApiGetQueryFilters
     */
    readonly includeItemTypes?: Array<string>;
    /**
     * Optional. Is item airing.
     * @type {boolean}
     * @memberof FilterApiGetQueryFilters
     */
    readonly isAiring?: boolean;
    /**
     * Optional. Is item movie.
     * @type {boolean}
     * @memberof FilterApiGetQueryFilters
     */
    readonly isMovie?: boolean;
    /**
     * Optional. Is item sports.
     * @type {boolean}
     * @memberof FilterApiGetQueryFilters
     */
    readonly isSports?: boolean;
    /**
     * Optional. Is item kids.
     * @type {boolean}
     * @memberof FilterApiGetQueryFilters
     */
    readonly isKids?: boolean;
    /**
     * Optional. Is item news.
     * @type {boolean}
     * @memberof FilterApiGetQueryFilters
     */
    readonly isNews?: boolean;
    /**
     * Optional. Is item series.
     * @type {boolean}
     * @memberof FilterApiGetQueryFilters
     */
    readonly isSeries?: boolean;
    /**
     * Optional. Search recursive.
     * @type {boolean}
     * @memberof FilterApiGetQueryFilters
     */
    readonly recursive?: boolean;
}
/**
 * Request parameters for getQueryFiltersLegacy operation in FilterApi.
 * @export
 * @interface FilterApiGetQueryFiltersLegacyRequest
 */
export interface FilterApiGetQueryFiltersLegacyRequest {
    /**
     * Optional. User id.
     * @type {string}
     * @memberof FilterApiGetQueryFiltersLegacy
     */
    readonly userId?: string;
    /**
     * Optional. Parent id.
     * @type {string}
     * @memberof FilterApiGetQueryFiltersLegacy
     */
    readonly parentId?: string;
    /**
     * Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @type {Array<string>}
     * @memberof FilterApiGetQueryFiltersLegacy
     */
    readonly includeItemTypes?: Array<string>;
    /**
     * Optional. Filter by MediaType. Allows multiple, comma delimited.
     * @type {Array<string>}
     * @memberof FilterApiGetQueryFiltersLegacy
     */
    readonly mediaTypes?: Array<string>;
}
/**
 * FilterApi - object-oriented interface
 * @export
 * @class FilterApi
 * @extends {BaseAPI}
 */
export declare class FilterApi extends BaseAPI {
    /**
     *
     * @summary Gets query filters.
     * @param {FilterApiGetQueryFiltersRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof FilterApi
     */
    getQueryFilters(requestParameters?: FilterApiGetQueryFiltersRequest, options?: any): Promise<import("axios").AxiosResponse<QueryFilters, any>>;
    /**
     *
     * @summary Gets legacy query filters.
     * @param {FilterApiGetQueryFiltersLegacyRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof FilterApi
     */
    getQueryFiltersLegacy(requestParameters?: FilterApiGetQueryFiltersLegacyRequest, options?: any): Promise<import("axios").AxiosResponse<QueryFiltersLegacy, any>>;
}
