/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
/**
 * HlsSegmentApi - axios parameter creator
 * @export
 */
export declare const HlsSegmentApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets the specified audio segment for an audio item.
     * @param {string} itemId The item id.
     * @param {string} segmentId The segment id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHlsAudioSegmentLegacyAac: (itemId: string, segmentId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the specified audio segment for an audio item.
     * @param {string} itemId The item id.
     * @param {string} segmentId The segment id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHlsAudioSegmentLegacyMp3: (itemId: string, segmentId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a hls video playlist.
     * @param {string} itemId The video id.
     * @param {string} playlistId The playlist id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHlsPlaylistLegacy: (itemId: string, playlistId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a hls video segment.
     * @param {string} itemId The item id.
     * @param {string} playlistId The playlist id.
     * @param {string} segmentId The segment id.
     * @param {string} segmentContainer The segment container.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHlsVideoSegmentLegacy: (itemId: string, playlistId: string, segmentId: string, segmentContainer: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Stops an active encoding.
     * @param {string} deviceId The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} playSessionId The play session id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    stopEncodingProcess: (deviceId: string, playSessionId: string, options?: any) => Promise<RequestArgs>;
};
/**
 * HlsSegmentApi - functional programming interface
 * @export
 */
export declare const HlsSegmentApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets the specified audio segment for an audio item.
     * @param {string} itemId The item id.
     * @param {string} segmentId The segment id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHlsAudioSegmentLegacyAac(itemId: string, segmentId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets the specified audio segment for an audio item.
     * @param {string} itemId The item id.
     * @param {string} segmentId The segment id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHlsAudioSegmentLegacyMp3(itemId: string, segmentId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets a hls video playlist.
     * @param {string} itemId The video id.
     * @param {string} playlistId The playlist id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHlsPlaylistLegacy(itemId: string, playlistId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets a hls video segment.
     * @param {string} itemId The item id.
     * @param {string} playlistId The playlist id.
     * @param {string} segmentId The segment id.
     * @param {string} segmentContainer The segment container.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHlsVideoSegmentLegacy(itemId: string, playlistId: string, segmentId: string, segmentContainer: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Stops an active encoding.
     * @param {string} deviceId The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} playSessionId The play session id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    stopEncodingProcess(deviceId: string, playSessionId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * HlsSegmentApi - factory interface
 * @export
 */
export declare const HlsSegmentApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Gets the specified audio segment for an audio item.
     * @param {string} itemId The item id.
     * @param {string} segmentId The segment id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHlsAudioSegmentLegacyAac(itemId: string, segmentId: string, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets the specified audio segment for an audio item.
     * @param {string} itemId The item id.
     * @param {string} segmentId The segment id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHlsAudioSegmentLegacyMp3(itemId: string, segmentId: string, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets a hls video playlist.
     * @param {string} itemId The video id.
     * @param {string} playlistId The playlist id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHlsPlaylistLegacy(itemId: string, playlistId: string, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets a hls video segment.
     * @param {string} itemId The item id.
     * @param {string} playlistId The playlist id.
     * @param {string} segmentId The segment id.
     * @param {string} segmentContainer The segment container.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHlsVideoSegmentLegacy(itemId: string, playlistId: string, segmentId: string, segmentContainer: string, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Stops an active encoding.
     * @param {string} deviceId The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} playSessionId The play session id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    stopEncodingProcess(deviceId: string, playSessionId: string, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for getHlsAudioSegmentLegacyAac operation in HlsSegmentApi.
 * @export
 * @interface HlsSegmentApiGetHlsAudioSegmentLegacyAacRequest
 */
export interface HlsSegmentApiGetHlsAudioSegmentLegacyAacRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof HlsSegmentApiGetHlsAudioSegmentLegacyAac
     */
    readonly itemId: string;
    /**
     * The segment id.
     * @type {string}
     * @memberof HlsSegmentApiGetHlsAudioSegmentLegacyAac
     */
    readonly segmentId: string;
}
/**
 * Request parameters for getHlsAudioSegmentLegacyMp3 operation in HlsSegmentApi.
 * @export
 * @interface HlsSegmentApiGetHlsAudioSegmentLegacyMp3Request
 */
export interface HlsSegmentApiGetHlsAudioSegmentLegacyMp3Request {
    /**
     * The item id.
     * @type {string}
     * @memberof HlsSegmentApiGetHlsAudioSegmentLegacyMp3
     */
    readonly itemId: string;
    /**
     * The segment id.
     * @type {string}
     * @memberof HlsSegmentApiGetHlsAudioSegmentLegacyMp3
     */
    readonly segmentId: string;
}
/**
 * Request parameters for getHlsPlaylistLegacy operation in HlsSegmentApi.
 * @export
 * @interface HlsSegmentApiGetHlsPlaylistLegacyRequest
 */
export interface HlsSegmentApiGetHlsPlaylistLegacyRequest {
    /**
     * The video id.
     * @type {string}
     * @memberof HlsSegmentApiGetHlsPlaylistLegacy
     */
    readonly itemId: string;
    /**
     * The playlist id.
     * @type {string}
     * @memberof HlsSegmentApiGetHlsPlaylistLegacy
     */
    readonly playlistId: string;
}
/**
 * Request parameters for getHlsVideoSegmentLegacy operation in HlsSegmentApi.
 * @export
 * @interface HlsSegmentApiGetHlsVideoSegmentLegacyRequest
 */
export interface HlsSegmentApiGetHlsVideoSegmentLegacyRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof HlsSegmentApiGetHlsVideoSegmentLegacy
     */
    readonly itemId: string;
    /**
     * The playlist id.
     * @type {string}
     * @memberof HlsSegmentApiGetHlsVideoSegmentLegacy
     */
    readonly playlistId: string;
    /**
     * The segment id.
     * @type {string}
     * @memberof HlsSegmentApiGetHlsVideoSegmentLegacy
     */
    readonly segmentId: string;
    /**
     * The segment container.
     * @type {string}
     * @memberof HlsSegmentApiGetHlsVideoSegmentLegacy
     */
    readonly segmentContainer: string;
}
/**
 * Request parameters for stopEncodingProcess operation in HlsSegmentApi.
 * @export
 * @interface HlsSegmentApiStopEncodingProcessRequest
 */
export interface HlsSegmentApiStopEncodingProcessRequest {
    /**
     * The device id of the client requesting. Used to stop encoding processes when needed.
     * @type {string}
     * @memberof HlsSegmentApiStopEncodingProcess
     */
    readonly deviceId: string;
    /**
     * The play session id.
     * @type {string}
     * @memberof HlsSegmentApiStopEncodingProcess
     */
    readonly playSessionId: string;
}
/**
 * HlsSegmentApi - object-oriented interface
 * @export
 * @class HlsSegmentApi
 * @extends {BaseAPI}
 */
export declare class HlsSegmentApi extends BaseAPI {
    /**
     *
     * @summary Gets the specified audio segment for an audio item.
     * @param {HlsSegmentApiGetHlsAudioSegmentLegacyAacRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof HlsSegmentApi
     */
    getHlsAudioSegmentLegacyAac(requestParameters: HlsSegmentApiGetHlsAudioSegmentLegacyAacRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets the specified audio segment for an audio item.
     * @param {HlsSegmentApiGetHlsAudioSegmentLegacyMp3Request} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof HlsSegmentApi
     */
    getHlsAudioSegmentLegacyMp3(requestParameters: HlsSegmentApiGetHlsAudioSegmentLegacyMp3Request, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets a hls video playlist.
     * @param {HlsSegmentApiGetHlsPlaylistLegacyRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof HlsSegmentApi
     */
    getHlsPlaylistLegacy(requestParameters: HlsSegmentApiGetHlsPlaylistLegacyRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets a hls video segment.
     * @param {HlsSegmentApiGetHlsVideoSegmentLegacyRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof HlsSegmentApi
     */
    getHlsVideoSegmentLegacy(requestParameters: HlsSegmentApiGetHlsVideoSegmentLegacyRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Stops an active encoding.
     * @param {HlsSegmentApiStopEncodingProcessRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof HlsSegmentApi
     */
    stopEncodingProcess(requestParameters: HlsSegmentApiStopEncodingProcessRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
