/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { ImageByNameInfo } from '../models';
/**
 * ImageByNameApi - axios parameter creator
 * @export
 */
export declare const ImageByNameApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Get General Image.
     * @param {string} name The name of the image.
     * @param {string} type Image Type (primary, backdrop, logo, etc).
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGeneralImage: (name: string, type: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all general images.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGeneralImages: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get media info image.
     * @param {string} theme The theme to get the image from.
     * @param {string} name The name of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMediaInfoImage: (theme: string, name: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all media info images.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMediaInfoImages: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get rating image.
     * @param {string} theme The theme to get the image from.
     * @param {string} name The name of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRatingImage: (theme: string, name: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all general images.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRatingImages: (options?: any) => Promise<RequestArgs>;
};
/**
 * ImageByNameApi - functional programming interface
 * @export
 */
export declare const ImageByNameApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Get General Image.
     * @param {string} name The name of the image.
     * @param {string} type Image Type (primary, backdrop, logo, etc).
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGeneralImage(name: string, type: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get all general images.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGeneralImages(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<ImageByNameInfo>>>;
    /**
     *
     * @summary Get media info image.
     * @param {string} theme The theme to get the image from.
     * @param {string} name The name of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMediaInfoImage(theme: string, name: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get all media info images.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMediaInfoImages(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<ImageByNameInfo>>>;
    /**
     *
     * @summary Get rating image.
     * @param {string} theme The theme to get the image from.
     * @param {string} name The name of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRatingImage(theme: string, name: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get all general images.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRatingImages(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<ImageByNameInfo>>>;
};
/**
 * ImageByNameApi - factory interface
 * @export
 */
export declare const ImageByNameApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Get General Image.
     * @param {string} name The name of the image.
     * @param {string} type Image Type (primary, backdrop, logo, etc).
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGeneralImage(name: string, type: string, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get all general images.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGeneralImages(options?: any): AxiosPromise<Array<ImageByNameInfo>>;
    /**
     *
     * @summary Get media info image.
     * @param {string} theme The theme to get the image from.
     * @param {string} name The name of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMediaInfoImage(theme: string, name: string, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get all media info images.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMediaInfoImages(options?: any): AxiosPromise<Array<ImageByNameInfo>>;
    /**
     *
     * @summary Get rating image.
     * @param {string} theme The theme to get the image from.
     * @param {string} name The name of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRatingImage(theme: string, name: string, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get all general images.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRatingImages(options?: any): AxiosPromise<Array<ImageByNameInfo>>;
};
/**
 * Request parameters for getGeneralImage operation in ImageByNameApi.
 * @export
 * @interface ImageByNameApiGetGeneralImageRequest
 */
export interface ImageByNameApiGetGeneralImageRequest {
    /**
     * The name of the image.
     * @type {string}
     * @memberof ImageByNameApiGetGeneralImage
     */
    readonly name: string;
    /**
     * Image Type (primary, backdrop, logo, etc).
     * @type {string}
     * @memberof ImageByNameApiGetGeneralImage
     */
    readonly type: string;
}
/**
 * Request parameters for getMediaInfoImage operation in ImageByNameApi.
 * @export
 * @interface ImageByNameApiGetMediaInfoImageRequest
 */
export interface ImageByNameApiGetMediaInfoImageRequest {
    /**
     * The theme to get the image from.
     * @type {string}
     * @memberof ImageByNameApiGetMediaInfoImage
     */
    readonly theme: string;
    /**
     * The name of the image.
     * @type {string}
     * @memberof ImageByNameApiGetMediaInfoImage
     */
    readonly name: string;
}
/**
 * Request parameters for getRatingImage operation in ImageByNameApi.
 * @export
 * @interface ImageByNameApiGetRatingImageRequest
 */
export interface ImageByNameApiGetRatingImageRequest {
    /**
     * The theme to get the image from.
     * @type {string}
     * @memberof ImageByNameApiGetRatingImage
     */
    readonly theme: string;
    /**
     * The name of the image.
     * @type {string}
     * @memberof ImageByNameApiGetRatingImage
     */
    readonly name: string;
}
/**
 * ImageByNameApi - object-oriented interface
 * @export
 * @class ImageByNameApi
 * @extends {BaseAPI}
 */
export declare class ImageByNameApi extends BaseAPI {
    /**
     *
     * @summary Get General Image.
     * @param {ImageByNameApiGetGeneralImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageByNameApi
     */
    getGeneralImage(requestParameters: ImageByNameApiGetGeneralImageRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get all general images.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageByNameApi
     */
    getGeneralImages(options?: any): Promise<import("axios").AxiosResponse<ImageByNameInfo[], any>>;
    /**
     *
     * @summary Get media info image.
     * @param {ImageByNameApiGetMediaInfoImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageByNameApi
     */
    getMediaInfoImage(requestParameters: ImageByNameApiGetMediaInfoImageRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get all media info images.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageByNameApi
     */
    getMediaInfoImages(options?: any): Promise<import("axios").AxiosResponse<ImageByNameInfo[], any>>;
    /**
     *
     * @summary Get rating image.
     * @param {ImageByNameApiGetRatingImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageByNameApi
     */
    getRatingImage(requestParameters: ImageByNameApiGetRatingImageRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get all general images.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageByNameApi
     */
    getRatingImages(options?: any): Promise<import("axios").AxiosResponse<ImageByNameInfo[], any>>;
}
