/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { BaseItemDtoQueryResult } from '../models';
import { ImageType } from '../models';
import { ItemFields } from '../models';
/**
 * InstantMixApi - axios parameter creator
 * @export
 */
export declare const InstantMixApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Creates an instant playlist based on a given album.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromAlbum: (id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Creates an instant playlist based on a given artist.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromArtists: (id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Creates an instant playlist based on a given artist.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getInstantMixFromArtists2: (id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Creates an instant playlist based on a given item.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromItem: (id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Creates an instant playlist based on a given genre.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromMusicGenreById: (id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Creates an instant playlist based on a given genre.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getInstantMixFromMusicGenreById2: (id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Creates an instant playlist based on a given genre.
     * @param {string} name The genre name.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromMusicGenreByName: (name: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Creates an instant playlist based on a given playlist.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromPlaylist: (id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Creates an instant playlist based on a given song.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromSong: (id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * InstantMixApi - functional programming interface
 * @export
 */
export declare const InstantMixApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Creates an instant playlist based on a given album.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromAlbum(id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Creates an instant playlist based on a given artist.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromArtists(id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Creates an instant playlist based on a given artist.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getInstantMixFromArtists2(id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Creates an instant playlist based on a given item.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromItem(id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Creates an instant playlist based on a given genre.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromMusicGenreById(id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Creates an instant playlist based on a given genre.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getInstantMixFromMusicGenreById2(id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Creates an instant playlist based on a given genre.
     * @param {string} name The genre name.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromMusicGenreByName(name: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Creates an instant playlist based on a given playlist.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromPlaylist(id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Creates an instant playlist based on a given song.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromSong(id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
};
/**
 * InstantMixApi - factory interface
 * @export
 */
export declare const InstantMixApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Creates an instant playlist based on a given album.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromAlbum(id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Creates an instant playlist based on a given artist.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromArtists(id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Creates an instant playlist based on a given artist.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getInstantMixFromArtists2(id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Creates an instant playlist based on a given item.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromItem(id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Creates an instant playlist based on a given genre.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromMusicGenreById(id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Creates an instant playlist based on a given genre.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getInstantMixFromMusicGenreById2(id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Creates an instant playlist based on a given genre.
     * @param {string} name The genre name.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromMusicGenreByName(name: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Creates an instant playlist based on a given playlist.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromPlaylist(id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Creates an instant playlist based on a given song.
     * @param {string} id The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getInstantMixFromSong(id: string, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
};
/**
 * Request parameters for getInstantMixFromAlbum operation in InstantMixApi.
 * @export
 * @interface InstantMixApiGetInstantMixFromAlbumRequest
 */
export interface InstantMixApiGetInstantMixFromAlbumRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof InstantMixApiGetInstantMixFromAlbum
     */
    readonly id: string;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof InstantMixApiGetInstantMixFromAlbum
     */
    readonly userId?: string;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof InstantMixApiGetInstantMixFromAlbum
     */
    readonly limit?: number;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof InstantMixApiGetInstantMixFromAlbum
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. Include image information in output.
     * @type {boolean}
     * @memberof InstantMixApiGetInstantMixFromAlbum
     */
    readonly enableImages?: boolean;
    /**
     * Optional. Include user data.
     * @type {boolean}
     * @memberof InstantMixApiGetInstantMixFromAlbum
     */
    readonly enableUserData?: boolean;
    /**
     * Optional. The max number of images to return, per image type.
     * @type {number}
     * @memberof InstantMixApiGetInstantMixFromAlbum
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof InstantMixApiGetInstantMixFromAlbum
     */
    readonly enableImageTypes?: Array<ImageType>;
}
/**
 * Request parameters for getInstantMixFromArtists operation in InstantMixApi.
 * @export
 * @interface InstantMixApiGetInstantMixFromArtistsRequest
 */
export interface InstantMixApiGetInstantMixFromArtistsRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof InstantMixApiGetInstantMixFromArtists
     */
    readonly id: string;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof InstantMixApiGetInstantMixFromArtists
     */
    readonly userId?: string;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof InstantMixApiGetInstantMixFromArtists
     */
    readonly limit?: number;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof InstantMixApiGetInstantMixFromArtists
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. Include image information in output.
     * @type {boolean}
     * @memberof InstantMixApiGetInstantMixFromArtists
     */
    readonly enableImages?: boolean;
    /**
     * Optional. Include user data.
     * @type {boolean}
     * @memberof InstantMixApiGetInstantMixFromArtists
     */
    readonly enableUserData?: boolean;
    /**
     * Optional. The max number of images to return, per image type.
     * @type {number}
     * @memberof InstantMixApiGetInstantMixFromArtists
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof InstantMixApiGetInstantMixFromArtists
     */
    readonly enableImageTypes?: Array<ImageType>;
}
/**
 * Request parameters for getInstantMixFromArtists2 operation in InstantMixApi.
 * @export
 * @interface InstantMixApiGetInstantMixFromArtists2Request
 */
export interface InstantMixApiGetInstantMixFromArtists2Request {
    /**
     * The item id.
     * @type {string}
     * @memberof InstantMixApiGetInstantMixFromArtists2
     */
    readonly id: string;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof InstantMixApiGetInstantMixFromArtists2
     */
    readonly userId?: string;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof InstantMixApiGetInstantMixFromArtists2
     */
    readonly limit?: number;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof InstantMixApiGetInstantMixFromArtists2
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. Include image information in output.
     * @type {boolean}
     * @memberof InstantMixApiGetInstantMixFromArtists2
     */
    readonly enableImages?: boolean;
    /**
     * Optional. Include user data.
     * @type {boolean}
     * @memberof InstantMixApiGetInstantMixFromArtists2
     */
    readonly enableUserData?: boolean;
    /**
     * Optional. The max number of images to return, per image type.
     * @type {number}
     * @memberof InstantMixApiGetInstantMixFromArtists2
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof InstantMixApiGetInstantMixFromArtists2
     */
    readonly enableImageTypes?: Array<ImageType>;
}
/**
 * Request parameters for getInstantMixFromItem operation in InstantMixApi.
 * @export
 * @interface InstantMixApiGetInstantMixFromItemRequest
 */
export interface InstantMixApiGetInstantMixFromItemRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof InstantMixApiGetInstantMixFromItem
     */
    readonly id: string;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof InstantMixApiGetInstantMixFromItem
     */
    readonly userId?: string;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof InstantMixApiGetInstantMixFromItem
     */
    readonly limit?: number;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof InstantMixApiGetInstantMixFromItem
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. Include image information in output.
     * @type {boolean}
     * @memberof InstantMixApiGetInstantMixFromItem
     */
    readonly enableImages?: boolean;
    /**
     * Optional. Include user data.
     * @type {boolean}
     * @memberof InstantMixApiGetInstantMixFromItem
     */
    readonly enableUserData?: boolean;
    /**
     * Optional. The max number of images to return, per image type.
     * @type {number}
     * @memberof InstantMixApiGetInstantMixFromItem
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof InstantMixApiGetInstantMixFromItem
     */
    readonly enableImageTypes?: Array<ImageType>;
}
/**
 * Request parameters for getInstantMixFromMusicGenreById operation in InstantMixApi.
 * @export
 * @interface InstantMixApiGetInstantMixFromMusicGenreByIdRequest
 */
export interface InstantMixApiGetInstantMixFromMusicGenreByIdRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreById
     */
    readonly id: string;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreById
     */
    readonly userId?: string;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreById
     */
    readonly limit?: number;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreById
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. Include image information in output.
     * @type {boolean}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreById
     */
    readonly enableImages?: boolean;
    /**
     * Optional. Include user data.
     * @type {boolean}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreById
     */
    readonly enableUserData?: boolean;
    /**
     * Optional. The max number of images to return, per image type.
     * @type {number}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreById
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreById
     */
    readonly enableImageTypes?: Array<ImageType>;
}
/**
 * Request parameters for getInstantMixFromMusicGenreById2 operation in InstantMixApi.
 * @export
 * @interface InstantMixApiGetInstantMixFromMusicGenreById2Request
 */
export interface InstantMixApiGetInstantMixFromMusicGenreById2Request {
    /**
     * The item id.
     * @type {string}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreById2
     */
    readonly id: string;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreById2
     */
    readonly userId?: string;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreById2
     */
    readonly limit?: number;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreById2
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. Include image information in output.
     * @type {boolean}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreById2
     */
    readonly enableImages?: boolean;
    /**
     * Optional. Include user data.
     * @type {boolean}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreById2
     */
    readonly enableUserData?: boolean;
    /**
     * Optional. The max number of images to return, per image type.
     * @type {number}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreById2
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreById2
     */
    readonly enableImageTypes?: Array<ImageType>;
}
/**
 * Request parameters for getInstantMixFromMusicGenreByName operation in InstantMixApi.
 * @export
 * @interface InstantMixApiGetInstantMixFromMusicGenreByNameRequest
 */
export interface InstantMixApiGetInstantMixFromMusicGenreByNameRequest {
    /**
     * The genre name.
     * @type {string}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreByName
     */
    readonly name: string;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreByName
     */
    readonly userId?: string;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreByName
     */
    readonly limit?: number;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreByName
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. Include image information in output.
     * @type {boolean}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreByName
     */
    readonly enableImages?: boolean;
    /**
     * Optional. Include user data.
     * @type {boolean}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreByName
     */
    readonly enableUserData?: boolean;
    /**
     * Optional. The max number of images to return, per image type.
     * @type {number}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreByName
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof InstantMixApiGetInstantMixFromMusicGenreByName
     */
    readonly enableImageTypes?: Array<ImageType>;
}
/**
 * Request parameters for getInstantMixFromPlaylist operation in InstantMixApi.
 * @export
 * @interface InstantMixApiGetInstantMixFromPlaylistRequest
 */
export interface InstantMixApiGetInstantMixFromPlaylistRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof InstantMixApiGetInstantMixFromPlaylist
     */
    readonly id: string;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof InstantMixApiGetInstantMixFromPlaylist
     */
    readonly userId?: string;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof InstantMixApiGetInstantMixFromPlaylist
     */
    readonly limit?: number;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof InstantMixApiGetInstantMixFromPlaylist
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. Include image information in output.
     * @type {boolean}
     * @memberof InstantMixApiGetInstantMixFromPlaylist
     */
    readonly enableImages?: boolean;
    /**
     * Optional. Include user data.
     * @type {boolean}
     * @memberof InstantMixApiGetInstantMixFromPlaylist
     */
    readonly enableUserData?: boolean;
    /**
     * Optional. The max number of images to return, per image type.
     * @type {number}
     * @memberof InstantMixApiGetInstantMixFromPlaylist
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof InstantMixApiGetInstantMixFromPlaylist
     */
    readonly enableImageTypes?: Array<ImageType>;
}
/**
 * Request parameters for getInstantMixFromSong operation in InstantMixApi.
 * @export
 * @interface InstantMixApiGetInstantMixFromSongRequest
 */
export interface InstantMixApiGetInstantMixFromSongRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof InstantMixApiGetInstantMixFromSong
     */
    readonly id: string;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof InstantMixApiGetInstantMixFromSong
     */
    readonly userId?: string;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof InstantMixApiGetInstantMixFromSong
     */
    readonly limit?: number;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof InstantMixApiGetInstantMixFromSong
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. Include image information in output.
     * @type {boolean}
     * @memberof InstantMixApiGetInstantMixFromSong
     */
    readonly enableImages?: boolean;
    /**
     * Optional. Include user data.
     * @type {boolean}
     * @memberof InstantMixApiGetInstantMixFromSong
     */
    readonly enableUserData?: boolean;
    /**
     * Optional. The max number of images to return, per image type.
     * @type {number}
     * @memberof InstantMixApiGetInstantMixFromSong
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof InstantMixApiGetInstantMixFromSong
     */
    readonly enableImageTypes?: Array<ImageType>;
}
/**
 * InstantMixApi - object-oriented interface
 * @export
 * @class InstantMixApi
 * @extends {BaseAPI}
 */
export declare class InstantMixApi extends BaseAPI {
    /**
     *
     * @summary Creates an instant playlist based on a given album.
     * @param {InstantMixApiGetInstantMixFromAlbumRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof InstantMixApi
     */
    getInstantMixFromAlbum(requestParameters: InstantMixApiGetInstantMixFromAlbumRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Creates an instant playlist based on a given artist.
     * @param {InstantMixApiGetInstantMixFromArtistsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof InstantMixApi
     */
    getInstantMixFromArtists(requestParameters: InstantMixApiGetInstantMixFromArtistsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Creates an instant playlist based on a given artist.
     * @param {InstantMixApiGetInstantMixFromArtists2Request} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     * @memberof InstantMixApi
     */
    getInstantMixFromArtists2(requestParameters: InstantMixApiGetInstantMixFromArtists2Request, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Creates an instant playlist based on a given item.
     * @param {InstantMixApiGetInstantMixFromItemRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof InstantMixApi
     */
    getInstantMixFromItem(requestParameters: InstantMixApiGetInstantMixFromItemRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Creates an instant playlist based on a given genre.
     * @param {InstantMixApiGetInstantMixFromMusicGenreByIdRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof InstantMixApi
     */
    getInstantMixFromMusicGenreById(requestParameters: InstantMixApiGetInstantMixFromMusicGenreByIdRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Creates an instant playlist based on a given genre.
     * @param {InstantMixApiGetInstantMixFromMusicGenreById2Request} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     * @memberof InstantMixApi
     */
    getInstantMixFromMusicGenreById2(requestParameters: InstantMixApiGetInstantMixFromMusicGenreById2Request, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Creates an instant playlist based on a given genre.
     * @param {InstantMixApiGetInstantMixFromMusicGenreByNameRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof InstantMixApi
     */
    getInstantMixFromMusicGenreByName(requestParameters: InstantMixApiGetInstantMixFromMusicGenreByNameRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Creates an instant playlist based on a given playlist.
     * @param {InstantMixApiGetInstantMixFromPlaylistRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof InstantMixApi
     */
    getInstantMixFromPlaylist(requestParameters: InstantMixApiGetInstantMixFromPlaylistRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Creates an instant playlist based on a given song.
     * @param {InstantMixApiGetInstantMixFromSongRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof InstantMixApi
     */
    getInstantMixFromSong(requestParameters: InstantMixApiGetInstantMixFromSongRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
}
