/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { AlbumInfoRemoteSearchQuery } from '../models';
import { ArtistInfoRemoteSearchQuery } from '../models';
import { BookInfoRemoteSearchQuery } from '../models';
import { BoxSetInfoRemoteSearchQuery } from '../models';
import { ExternalIdInfo } from '../models';
import { MovieInfoRemoteSearchQuery } from '../models';
import { MusicVideoInfoRemoteSearchQuery } from '../models';
import { PersonLookupInfoRemoteSearchQuery } from '../models';
import { RemoteSearchResult } from '../models';
import { SeriesInfoRemoteSearchQuery } from '../models';
import { TrailerInfoRemoteSearchQuery } from '../models';
/**
 * ItemLookupApi - axios parameter creator
 * @export
 */
export declare const ItemLookupApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Applies search criteria to an item and refreshes metadata.
     * @param {string} itemId Item id.
     * @param {RemoteSearchResult} remoteSearchResult The remote search result.
     * @param {boolean} [replaceAllImages] Optional. Whether or not to replace all images. Default: True.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    applySearchCriteria: (itemId: string, remoteSearchResult: RemoteSearchResult, replaceAllImages?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get book remote search.
     * @param {BookInfoRemoteSearchQuery} bookInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getBookRemoteSearchResults: (bookInfoRemoteSearchQuery: BookInfoRemoteSearchQuery, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get box set remote search.
     * @param {BoxSetInfoRemoteSearchQuery} boxSetInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getBoxSetRemoteSearchResults: (boxSetInfoRemoteSearchQuery: BoxSetInfoRemoteSearchQuery, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get the item\'s external id info.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getExternalIdInfos: (itemId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get movie remote search.
     * @param {MovieInfoRemoteSearchQuery} movieInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMovieRemoteSearchResults: (movieInfoRemoteSearchQuery: MovieInfoRemoteSearchQuery, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get music album remote search.
     * @param {AlbumInfoRemoteSearchQuery} albumInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMusicAlbumRemoteSearchResults: (albumInfoRemoteSearchQuery: AlbumInfoRemoteSearchQuery, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get music artist remote search.
     * @param {ArtistInfoRemoteSearchQuery} artistInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMusicArtistRemoteSearchResults: (artistInfoRemoteSearchQuery: ArtistInfoRemoteSearchQuery, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get music video remote search.
     * @param {MusicVideoInfoRemoteSearchQuery} musicVideoInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMusicVideoRemoteSearchResults: (musicVideoInfoRemoteSearchQuery: MusicVideoInfoRemoteSearchQuery, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get person remote search.
     * @param {PersonLookupInfoRemoteSearchQuery} personLookupInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPersonRemoteSearchResults: (personLookupInfoRemoteSearchQuery: PersonLookupInfoRemoteSearchQuery, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get series remote search.
     * @param {SeriesInfoRemoteSearchQuery} seriesInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSeriesRemoteSearchResults: (seriesInfoRemoteSearchQuery: SeriesInfoRemoteSearchQuery, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get trailer remote search.
     * @param {TrailerInfoRemoteSearchQuery} trailerInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTrailerRemoteSearchResults: (trailerInfoRemoteSearchQuery: TrailerInfoRemoteSearchQuery, options?: any) => Promise<RequestArgs>;
};
/**
 * ItemLookupApi - functional programming interface
 * @export
 */
export declare const ItemLookupApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Applies search criteria to an item and refreshes metadata.
     * @param {string} itemId Item id.
     * @param {RemoteSearchResult} remoteSearchResult The remote search result.
     * @param {boolean} [replaceAllImages] Optional. Whether or not to replace all images. Default: True.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    applySearchCriteria(itemId: string, remoteSearchResult: RemoteSearchResult, replaceAllImages?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Get book remote search.
     * @param {BookInfoRemoteSearchQuery} bookInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getBookRemoteSearchResults(bookInfoRemoteSearchQuery: BookInfoRemoteSearchQuery, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<RemoteSearchResult>>>;
    /**
     *
     * @summary Get box set remote search.
     * @param {BoxSetInfoRemoteSearchQuery} boxSetInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getBoxSetRemoteSearchResults(boxSetInfoRemoteSearchQuery: BoxSetInfoRemoteSearchQuery, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<RemoteSearchResult>>>;
    /**
     *
     * @summary Get the item\'s external id info.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getExternalIdInfos(itemId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<ExternalIdInfo>>>;
    /**
     *
     * @summary Get movie remote search.
     * @param {MovieInfoRemoteSearchQuery} movieInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMovieRemoteSearchResults(movieInfoRemoteSearchQuery: MovieInfoRemoteSearchQuery, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<RemoteSearchResult>>>;
    /**
     *
     * @summary Get music album remote search.
     * @param {AlbumInfoRemoteSearchQuery} albumInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMusicAlbumRemoteSearchResults(albumInfoRemoteSearchQuery: AlbumInfoRemoteSearchQuery, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<RemoteSearchResult>>>;
    /**
     *
     * @summary Get music artist remote search.
     * @param {ArtistInfoRemoteSearchQuery} artistInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMusicArtistRemoteSearchResults(artistInfoRemoteSearchQuery: ArtistInfoRemoteSearchQuery, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<RemoteSearchResult>>>;
    /**
     *
     * @summary Get music video remote search.
     * @param {MusicVideoInfoRemoteSearchQuery} musicVideoInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMusicVideoRemoteSearchResults(musicVideoInfoRemoteSearchQuery: MusicVideoInfoRemoteSearchQuery, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<RemoteSearchResult>>>;
    /**
     *
     * @summary Get person remote search.
     * @param {PersonLookupInfoRemoteSearchQuery} personLookupInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPersonRemoteSearchResults(personLookupInfoRemoteSearchQuery: PersonLookupInfoRemoteSearchQuery, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<RemoteSearchResult>>>;
    /**
     *
     * @summary Get series remote search.
     * @param {SeriesInfoRemoteSearchQuery} seriesInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSeriesRemoteSearchResults(seriesInfoRemoteSearchQuery: SeriesInfoRemoteSearchQuery, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<RemoteSearchResult>>>;
    /**
     *
     * @summary Get trailer remote search.
     * @param {TrailerInfoRemoteSearchQuery} trailerInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTrailerRemoteSearchResults(trailerInfoRemoteSearchQuery: TrailerInfoRemoteSearchQuery, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<RemoteSearchResult>>>;
};
/**
 * ItemLookupApi - factory interface
 * @export
 */
export declare const ItemLookupApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Applies search criteria to an item and refreshes metadata.
     * @param {string} itemId Item id.
     * @param {RemoteSearchResult} remoteSearchResult The remote search result.
     * @param {boolean} [replaceAllImages] Optional. Whether or not to replace all images. Default: True.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    applySearchCriteria(itemId: string, remoteSearchResult: RemoteSearchResult, replaceAllImages?: boolean | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Get book remote search.
     * @param {BookInfoRemoteSearchQuery} bookInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getBookRemoteSearchResults(bookInfoRemoteSearchQuery: BookInfoRemoteSearchQuery, options?: any): AxiosPromise<Array<RemoteSearchResult>>;
    /**
     *
     * @summary Get box set remote search.
     * @param {BoxSetInfoRemoteSearchQuery} boxSetInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getBoxSetRemoteSearchResults(boxSetInfoRemoteSearchQuery: BoxSetInfoRemoteSearchQuery, options?: any): AxiosPromise<Array<RemoteSearchResult>>;
    /**
     *
     * @summary Get the item\'s external id info.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getExternalIdInfos(itemId: string, options?: any): AxiosPromise<Array<ExternalIdInfo>>;
    /**
     *
     * @summary Get movie remote search.
     * @param {MovieInfoRemoteSearchQuery} movieInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMovieRemoteSearchResults(movieInfoRemoteSearchQuery: MovieInfoRemoteSearchQuery, options?: any): AxiosPromise<Array<RemoteSearchResult>>;
    /**
     *
     * @summary Get music album remote search.
     * @param {AlbumInfoRemoteSearchQuery} albumInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMusicAlbumRemoteSearchResults(albumInfoRemoteSearchQuery: AlbumInfoRemoteSearchQuery, options?: any): AxiosPromise<Array<RemoteSearchResult>>;
    /**
     *
     * @summary Get music artist remote search.
     * @param {ArtistInfoRemoteSearchQuery} artistInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMusicArtistRemoteSearchResults(artistInfoRemoteSearchQuery: ArtistInfoRemoteSearchQuery, options?: any): AxiosPromise<Array<RemoteSearchResult>>;
    /**
     *
     * @summary Get music video remote search.
     * @param {MusicVideoInfoRemoteSearchQuery} musicVideoInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMusicVideoRemoteSearchResults(musicVideoInfoRemoteSearchQuery: MusicVideoInfoRemoteSearchQuery, options?: any): AxiosPromise<Array<RemoteSearchResult>>;
    /**
     *
     * @summary Get person remote search.
     * @param {PersonLookupInfoRemoteSearchQuery} personLookupInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPersonRemoteSearchResults(personLookupInfoRemoteSearchQuery: PersonLookupInfoRemoteSearchQuery, options?: any): AxiosPromise<Array<RemoteSearchResult>>;
    /**
     *
     * @summary Get series remote search.
     * @param {SeriesInfoRemoteSearchQuery} seriesInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSeriesRemoteSearchResults(seriesInfoRemoteSearchQuery: SeriesInfoRemoteSearchQuery, options?: any): AxiosPromise<Array<RemoteSearchResult>>;
    /**
     *
     * @summary Get trailer remote search.
     * @param {TrailerInfoRemoteSearchQuery} trailerInfoRemoteSearchQuery Remote search query.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTrailerRemoteSearchResults(trailerInfoRemoteSearchQuery: TrailerInfoRemoteSearchQuery, options?: any): AxiosPromise<Array<RemoteSearchResult>>;
};
/**
 * Request parameters for applySearchCriteria operation in ItemLookupApi.
 * @export
 * @interface ItemLookupApiApplySearchCriteriaRequest
 */
export interface ItemLookupApiApplySearchCriteriaRequest {
    /**
     * Item id.
     * @type {string}
     * @memberof ItemLookupApiApplySearchCriteria
     */
    readonly itemId: string;
    /**
     * The remote search result.
     * @type {RemoteSearchResult}
     * @memberof ItemLookupApiApplySearchCriteria
     */
    readonly remoteSearchResult: RemoteSearchResult;
    /**
     * Optional. Whether or not to replace all images. Default: True.
     * @type {boolean}
     * @memberof ItemLookupApiApplySearchCriteria
     */
    readonly replaceAllImages?: boolean;
}
/**
 * Request parameters for getBookRemoteSearchResults operation in ItemLookupApi.
 * @export
 * @interface ItemLookupApiGetBookRemoteSearchResultsRequest
 */
export interface ItemLookupApiGetBookRemoteSearchResultsRequest {
    /**
     * Remote search query.
     * @type {BookInfoRemoteSearchQuery}
     * @memberof ItemLookupApiGetBookRemoteSearchResults
     */
    readonly bookInfoRemoteSearchQuery: BookInfoRemoteSearchQuery;
}
/**
 * Request parameters for getBoxSetRemoteSearchResults operation in ItemLookupApi.
 * @export
 * @interface ItemLookupApiGetBoxSetRemoteSearchResultsRequest
 */
export interface ItemLookupApiGetBoxSetRemoteSearchResultsRequest {
    /**
     * Remote search query.
     * @type {BoxSetInfoRemoteSearchQuery}
     * @memberof ItemLookupApiGetBoxSetRemoteSearchResults
     */
    readonly boxSetInfoRemoteSearchQuery: BoxSetInfoRemoteSearchQuery;
}
/**
 * Request parameters for getExternalIdInfos operation in ItemLookupApi.
 * @export
 * @interface ItemLookupApiGetExternalIdInfosRequest
 */
export interface ItemLookupApiGetExternalIdInfosRequest {
    /**
     * Item id.
     * @type {string}
     * @memberof ItemLookupApiGetExternalIdInfos
     */
    readonly itemId: string;
}
/**
 * Request parameters for getMovieRemoteSearchResults operation in ItemLookupApi.
 * @export
 * @interface ItemLookupApiGetMovieRemoteSearchResultsRequest
 */
export interface ItemLookupApiGetMovieRemoteSearchResultsRequest {
    /**
     * Remote search query.
     * @type {MovieInfoRemoteSearchQuery}
     * @memberof ItemLookupApiGetMovieRemoteSearchResults
     */
    readonly movieInfoRemoteSearchQuery: MovieInfoRemoteSearchQuery;
}
/**
 * Request parameters for getMusicAlbumRemoteSearchResults operation in ItemLookupApi.
 * @export
 * @interface ItemLookupApiGetMusicAlbumRemoteSearchResultsRequest
 */
export interface ItemLookupApiGetMusicAlbumRemoteSearchResultsRequest {
    /**
     * Remote search query.
     * @type {AlbumInfoRemoteSearchQuery}
     * @memberof ItemLookupApiGetMusicAlbumRemoteSearchResults
     */
    readonly albumInfoRemoteSearchQuery: AlbumInfoRemoteSearchQuery;
}
/**
 * Request parameters for getMusicArtistRemoteSearchResults operation in ItemLookupApi.
 * @export
 * @interface ItemLookupApiGetMusicArtistRemoteSearchResultsRequest
 */
export interface ItemLookupApiGetMusicArtistRemoteSearchResultsRequest {
    /**
     * Remote search query.
     * @type {ArtistInfoRemoteSearchQuery}
     * @memberof ItemLookupApiGetMusicArtistRemoteSearchResults
     */
    readonly artistInfoRemoteSearchQuery: ArtistInfoRemoteSearchQuery;
}
/**
 * Request parameters for getMusicVideoRemoteSearchResults operation in ItemLookupApi.
 * @export
 * @interface ItemLookupApiGetMusicVideoRemoteSearchResultsRequest
 */
export interface ItemLookupApiGetMusicVideoRemoteSearchResultsRequest {
    /**
     * Remote search query.
     * @type {MusicVideoInfoRemoteSearchQuery}
     * @memberof ItemLookupApiGetMusicVideoRemoteSearchResults
     */
    readonly musicVideoInfoRemoteSearchQuery: MusicVideoInfoRemoteSearchQuery;
}
/**
 * Request parameters for getPersonRemoteSearchResults operation in ItemLookupApi.
 * @export
 * @interface ItemLookupApiGetPersonRemoteSearchResultsRequest
 */
export interface ItemLookupApiGetPersonRemoteSearchResultsRequest {
    /**
     * Remote search query.
     * @type {PersonLookupInfoRemoteSearchQuery}
     * @memberof ItemLookupApiGetPersonRemoteSearchResults
     */
    readonly personLookupInfoRemoteSearchQuery: PersonLookupInfoRemoteSearchQuery;
}
/**
 * Request parameters for getSeriesRemoteSearchResults operation in ItemLookupApi.
 * @export
 * @interface ItemLookupApiGetSeriesRemoteSearchResultsRequest
 */
export interface ItemLookupApiGetSeriesRemoteSearchResultsRequest {
    /**
     * Remote search query.
     * @type {SeriesInfoRemoteSearchQuery}
     * @memberof ItemLookupApiGetSeriesRemoteSearchResults
     */
    readonly seriesInfoRemoteSearchQuery: SeriesInfoRemoteSearchQuery;
}
/**
 * Request parameters for getTrailerRemoteSearchResults operation in ItemLookupApi.
 * @export
 * @interface ItemLookupApiGetTrailerRemoteSearchResultsRequest
 */
export interface ItemLookupApiGetTrailerRemoteSearchResultsRequest {
    /**
     * Remote search query.
     * @type {TrailerInfoRemoteSearchQuery}
     * @memberof ItemLookupApiGetTrailerRemoteSearchResults
     */
    readonly trailerInfoRemoteSearchQuery: TrailerInfoRemoteSearchQuery;
}
/**
 * ItemLookupApi - object-oriented interface
 * @export
 * @class ItemLookupApi
 * @extends {BaseAPI}
 */
export declare class ItemLookupApi extends BaseAPI {
    /**
     *
     * @summary Applies search criteria to an item and refreshes metadata.
     * @param {ItemLookupApiApplySearchCriteriaRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ItemLookupApi
     */
    applySearchCriteria(requestParameters: ItemLookupApiApplySearchCriteriaRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Get book remote search.
     * @param {ItemLookupApiGetBookRemoteSearchResultsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ItemLookupApi
     */
    getBookRemoteSearchResults(requestParameters: ItemLookupApiGetBookRemoteSearchResultsRequest, options?: any): Promise<import("axios").AxiosResponse<RemoteSearchResult[], any>>;
    /**
     *
     * @summary Get box set remote search.
     * @param {ItemLookupApiGetBoxSetRemoteSearchResultsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ItemLookupApi
     */
    getBoxSetRemoteSearchResults(requestParameters: ItemLookupApiGetBoxSetRemoteSearchResultsRequest, options?: any): Promise<import("axios").AxiosResponse<RemoteSearchResult[], any>>;
    /**
     *
     * @summary Get the item\'s external id info.
     * @param {ItemLookupApiGetExternalIdInfosRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ItemLookupApi
     */
    getExternalIdInfos(requestParameters: ItemLookupApiGetExternalIdInfosRequest, options?: any): Promise<import("axios").AxiosResponse<ExternalIdInfo[], any>>;
    /**
     *
     * @summary Get movie remote search.
     * @param {ItemLookupApiGetMovieRemoteSearchResultsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ItemLookupApi
     */
    getMovieRemoteSearchResults(requestParameters: ItemLookupApiGetMovieRemoteSearchResultsRequest, options?: any): Promise<import("axios").AxiosResponse<RemoteSearchResult[], any>>;
    /**
     *
     * @summary Get music album remote search.
     * @param {ItemLookupApiGetMusicAlbumRemoteSearchResultsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ItemLookupApi
     */
    getMusicAlbumRemoteSearchResults(requestParameters: ItemLookupApiGetMusicAlbumRemoteSearchResultsRequest, options?: any): Promise<import("axios").AxiosResponse<RemoteSearchResult[], any>>;
    /**
     *
     * @summary Get music artist remote search.
     * @param {ItemLookupApiGetMusicArtistRemoteSearchResultsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ItemLookupApi
     */
    getMusicArtistRemoteSearchResults(requestParameters: ItemLookupApiGetMusicArtistRemoteSearchResultsRequest, options?: any): Promise<import("axios").AxiosResponse<RemoteSearchResult[], any>>;
    /**
     *
     * @summary Get music video remote search.
     * @param {ItemLookupApiGetMusicVideoRemoteSearchResultsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ItemLookupApi
     */
    getMusicVideoRemoteSearchResults(requestParameters: ItemLookupApiGetMusicVideoRemoteSearchResultsRequest, options?: any): Promise<import("axios").AxiosResponse<RemoteSearchResult[], any>>;
    /**
     *
     * @summary Get person remote search.
     * @param {ItemLookupApiGetPersonRemoteSearchResultsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ItemLookupApi
     */
    getPersonRemoteSearchResults(requestParameters: ItemLookupApiGetPersonRemoteSearchResultsRequest, options?: any): Promise<import("axios").AxiosResponse<RemoteSearchResult[], any>>;
    /**
     *
     * @summary Get series remote search.
     * @param {ItemLookupApiGetSeriesRemoteSearchResultsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ItemLookupApi
     */
    getSeriesRemoteSearchResults(requestParameters: ItemLookupApiGetSeriesRemoteSearchResultsRequest, options?: any): Promise<import("axios").AxiosResponse<RemoteSearchResult[], any>>;
    /**
     *
     * @summary Get trailer remote search.
     * @param {ItemLookupApiGetTrailerRemoteSearchResultsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ItemLookupApi
     */
    getTrailerRemoteSearchResults(requestParameters: ItemLookupApiGetTrailerRemoteSearchResultsRequest, options?: any): Promise<import("axios").AxiosResponse<RemoteSearchResult[], any>>;
}
