/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { MetadataRefreshMode } from '../models';
/**
 * ItemRefreshApi - axios parameter creator
 * @export
 */
export declare const ItemRefreshApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Refreshes metadata for an item.
     * @param {string} itemId Item id.
     * @param {MetadataRefreshMode} [metadataRefreshMode] (Optional) Specifies the metadata refresh mode.
     * @param {MetadataRefreshMode} [imageRefreshMode] (Optional) Specifies the image refresh mode.
     * @param {boolean} [replaceAllMetadata] (Optional) Determines if metadata should be replaced. Only applicable if mode is FullRefresh.
     * @param {boolean} [replaceAllImages] (Optional) Determines if images should be replaced. Only applicable if mode is FullRefresh.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    post: (itemId: string, metadataRefreshMode?: MetadataRefreshMode | undefined, imageRefreshMode?: MetadataRefreshMode | undefined, replaceAllMetadata?: boolean | undefined, replaceAllImages?: boolean | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * ItemRefreshApi - functional programming interface
 * @export
 */
export declare const ItemRefreshApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Refreshes metadata for an item.
     * @param {string} itemId Item id.
     * @param {MetadataRefreshMode} [metadataRefreshMode] (Optional) Specifies the metadata refresh mode.
     * @param {MetadataRefreshMode} [imageRefreshMode] (Optional) Specifies the image refresh mode.
     * @param {boolean} [replaceAllMetadata] (Optional) Determines if metadata should be replaced. Only applicable if mode is FullRefresh.
     * @param {boolean} [replaceAllImages] (Optional) Determines if images should be replaced. Only applicable if mode is FullRefresh.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    post(itemId: string, metadataRefreshMode?: MetadataRefreshMode | undefined, imageRefreshMode?: MetadataRefreshMode | undefined, replaceAllMetadata?: boolean | undefined, replaceAllImages?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * ItemRefreshApi - factory interface
 * @export
 */
export declare const ItemRefreshApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Refreshes metadata for an item.
     * @param {string} itemId Item id.
     * @param {MetadataRefreshMode} [metadataRefreshMode] (Optional) Specifies the metadata refresh mode.
     * @param {MetadataRefreshMode} [imageRefreshMode] (Optional) Specifies the image refresh mode.
     * @param {boolean} [replaceAllMetadata] (Optional) Determines if metadata should be replaced. Only applicable if mode is FullRefresh.
     * @param {boolean} [replaceAllImages] (Optional) Determines if images should be replaced. Only applicable if mode is FullRefresh.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    post(itemId: string, metadataRefreshMode?: MetadataRefreshMode | undefined, imageRefreshMode?: MetadataRefreshMode | undefined, replaceAllMetadata?: boolean | undefined, replaceAllImages?: boolean | undefined, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for post operation in ItemRefreshApi.
 * @export
 * @interface ItemRefreshApiPostRequest
 */
export interface ItemRefreshApiPostRequest {
    /**
     * Item id.
     * @type {string}
     * @memberof ItemRefreshApiPost
     */
    readonly itemId: string;
    /**
     * (Optional) Specifies the metadata refresh mode.
     * @type {MetadataRefreshMode}
     * @memberof ItemRefreshApiPost
     */
    readonly metadataRefreshMode?: MetadataRefreshMode;
    /**
     * (Optional) Specifies the image refresh mode.
     * @type {MetadataRefreshMode}
     * @memberof ItemRefreshApiPost
     */
    readonly imageRefreshMode?: MetadataRefreshMode;
    /**
     * (Optional) Determines if metadata should be replaced. Only applicable if mode is FullRefresh.
     * @type {boolean}
     * @memberof ItemRefreshApiPost
     */
    readonly replaceAllMetadata?: boolean;
    /**
     * (Optional) Determines if images should be replaced. Only applicable if mode is FullRefresh.
     * @type {boolean}
     * @memberof ItemRefreshApiPost
     */
    readonly replaceAllImages?: boolean;
}
/**
 * ItemRefreshApi - object-oriented interface
 * @export
 * @class ItemRefreshApi
 * @extends {BaseAPI}
 */
export declare class ItemRefreshApi extends BaseAPI {
    /**
     *
     * @summary Refreshes metadata for an item.
     * @param {ItemRefreshApiPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ItemRefreshApi
     */
    post(requestParameters: ItemRefreshApiPostRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
