/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { BaseItemDto } from '../models';
import { MetadataEditorInfo } from '../models';
/**
 * ItemUpdateApi - axios parameter creator
 * @export
 */
export declare const ItemUpdateApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets metadata editor info for an item.
     * @param {string} itemId The item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMetadataEditorInfo: (itemId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Updates an item.
     * @param {string} itemId The item id.
     * @param {BaseItemDto} baseItemDto The new item properties.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateItem: (itemId: string, baseItemDto: BaseItemDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Updates an item\'s content type.
     * @param {string} itemId The item id.
     * @param {string} [contentType] The content type of the item.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateItemContentType: (itemId: string, contentType?: string | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * ItemUpdateApi - functional programming interface
 * @export
 */
export declare const ItemUpdateApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets metadata editor info for an item.
     * @param {string} itemId The item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMetadataEditorInfo(itemId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<MetadataEditorInfo>>;
    /**
     *
     * @summary Updates an item.
     * @param {string} itemId The item id.
     * @param {BaseItemDto} baseItemDto The new item properties.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateItem(itemId: string, baseItemDto: BaseItemDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Updates an item\'s content type.
     * @param {string} itemId The item id.
     * @param {string} [contentType] The content type of the item.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateItemContentType(itemId: string, contentType?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * ItemUpdateApi - factory interface
 * @export
 */
export declare const ItemUpdateApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Gets metadata editor info for an item.
     * @param {string} itemId The item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMetadataEditorInfo(itemId: string, options?: any): AxiosPromise<MetadataEditorInfo>;
    /**
     *
     * @summary Updates an item.
     * @param {string} itemId The item id.
     * @param {BaseItemDto} baseItemDto The new item properties.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateItem(itemId: string, baseItemDto: BaseItemDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Updates an item\'s content type.
     * @param {string} itemId The item id.
     * @param {string} [contentType] The content type of the item.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateItemContentType(itemId: string, contentType?: string | undefined, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for getMetadataEditorInfo operation in ItemUpdateApi.
 * @export
 * @interface ItemUpdateApiGetMetadataEditorInfoRequest
 */
export interface ItemUpdateApiGetMetadataEditorInfoRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof ItemUpdateApiGetMetadataEditorInfo
     */
    readonly itemId: string;
}
/**
 * Request parameters for updateItem operation in ItemUpdateApi.
 * @export
 * @interface ItemUpdateApiUpdateItemRequest
 */
export interface ItemUpdateApiUpdateItemRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof ItemUpdateApiUpdateItem
     */
    readonly itemId: string;
    /**
     * The new item properties.
     * @type {BaseItemDto}
     * @memberof ItemUpdateApiUpdateItem
     */
    readonly baseItemDto: BaseItemDto;
}
/**
 * Request parameters for updateItemContentType operation in ItemUpdateApi.
 * @export
 * @interface ItemUpdateApiUpdateItemContentTypeRequest
 */
export interface ItemUpdateApiUpdateItemContentTypeRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof ItemUpdateApiUpdateItemContentType
     */
    readonly itemId: string;
    /**
     * The content type of the item.
     * @type {string}
     * @memberof ItemUpdateApiUpdateItemContentType
     */
    readonly contentType?: string;
}
/**
 * ItemUpdateApi - object-oriented interface
 * @export
 * @class ItemUpdateApi
 * @extends {BaseAPI}
 */
export declare class ItemUpdateApi extends BaseAPI {
    /**
     *
     * @summary Gets metadata editor info for an item.
     * @param {ItemUpdateApiGetMetadataEditorInfoRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ItemUpdateApi
     */
    getMetadataEditorInfo(requestParameters: ItemUpdateApiGetMetadataEditorInfoRequest, options?: any): Promise<import("axios").AxiosResponse<MetadataEditorInfo, any>>;
    /**
     *
     * @summary Updates an item.
     * @param {ItemUpdateApiUpdateItemRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ItemUpdateApi
     */
    updateItem(requestParameters: ItemUpdateApiUpdateItemRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Updates an item\'s content type.
     * @param {ItemUpdateApiUpdateItemContentTypeRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ItemUpdateApi
     */
    updateItemContentType(requestParameters: ItemUpdateApiUpdateItemContentTypeRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
