/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { AllThemeMediaResult } from '../models';
import { BaseItemDto } from '../models';
import { BaseItemDtoQueryResult } from '../models';
import { ItemCounts } from '../models';
import { ItemFields } from '../models';
import { LibraryOptionsResultDto } from '../models';
import { MediaUpdateInfoDto } from '../models';
import { ThemeMediaResult } from '../models';
/**
 * LibraryApi - axios parameter creator
 * @export
 */
export declare const LibraryApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Deletes an item from the library and filesystem.
     * @param {string} itemId The item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteItem: (itemId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Deletes items from the library and filesystem.
     * @param {Array<string>} [ids] The item ids.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteItems: (ids?: string[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets all parents of an item.
     * @param {string} itemId The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getAncestors: (itemId: string, userId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets critic review for an item.
     * @param {string} itemId
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getCriticReviews: (itemId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Downloads item media.
     * @param {string} itemId The item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDownload: (itemId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get the original file of an item.
     * @param {string} itemId The item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFile: (itemId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get item counts.
     * @param {string} [userId] Optional. Get counts from a specific user\&#39;s library.
     * @param {boolean} [isFavorite] Optional. Get counts of favorite items.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getItemCounts: (userId?: string | undefined, isFavorite?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the library options info.
     * @param {string} [libraryContentType] Library content type.
     * @param {boolean} [isNewLibrary] Whether this is a new library.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLibraryOptionsInfo: (libraryContentType?: string | undefined, isNewLibrary?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets all user media folders.
     * @param {boolean} [isHidden] Optional. Filter by folders that are marked hidden, or not.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMediaFolders: (isHidden?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a list of physical paths from virtual folders.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPhysicalPaths: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets similar items.
     * @param {string} itemId The item id.
     * @param {Array<string>} [excludeArtistIds] Exclude artist ids.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSimilarAlbums: (itemId: string, excludeArtistIds?: string[] | undefined, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets similar items.
     * @param {string} itemId The item id.
     * @param {Array<string>} [excludeArtistIds] Exclude artist ids.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSimilarArtists: (itemId: string, excludeArtistIds?: string[] | undefined, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets similar items.
     * @param {string} itemId The item id.
     * @param {Array<string>} [excludeArtistIds] Exclude artist ids.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSimilarItems: (itemId: string, excludeArtistIds?: string[] | undefined, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets similar items.
     * @param {string} itemId The item id.
     * @param {Array<string>} [excludeArtistIds] Exclude artist ids.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSimilarMovies: (itemId: string, excludeArtistIds?: string[] | undefined, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets similar items.
     * @param {string} itemId The item id.
     * @param {Array<string>} [excludeArtistIds] Exclude artist ids.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSimilarShows: (itemId: string, excludeArtistIds?: string[] | undefined, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets similar items.
     * @param {string} itemId The item id.
     * @param {Array<string>} [excludeArtistIds] Exclude artist ids.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSimilarTrailers: (itemId: string, excludeArtistIds?: string[] | undefined, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get theme songs and videos for an item.
     * @param {string} itemId The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {boolean} [inheritFromParent] Optional. Determines whether or not parent items should be searched for theme media.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getThemeMedia: (itemId: string, userId?: string | undefined, inheritFromParent?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get theme songs for an item.
     * @param {string} itemId The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {boolean} [inheritFromParent] Optional. Determines whether or not parent items should be searched for theme media.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getThemeSongs: (itemId: string, userId?: string | undefined, inheritFromParent?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get theme videos for an item.
     * @param {string} itemId The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {boolean} [inheritFromParent] Optional. Determines whether or not parent items should be searched for theme media.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getThemeVideos: (itemId: string, userId?: string | undefined, inheritFromParent?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Reports that new movies have been added by an external source.
     * @param {string} [tmdbId] The tmdbId.
     * @param {string} [imdbId] The imdbId.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postAddedMovies: (tmdbId?: string | undefined, imdbId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Reports that new episodes of a series have been added by an external source.
     * @param {string} [tvdbId] The tvdbId.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postAddedSeries: (tvdbId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Reports that new movies have been added by an external source.
     * @param {MediaUpdateInfoDto} mediaUpdateInfoDto The update paths.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postUpdatedMedia: (mediaUpdateInfoDto: MediaUpdateInfoDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Reports that new movies have been added by an external source.
     * @param {string} [tmdbId] The tmdbId.
     * @param {string} [imdbId] The imdbId.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postUpdatedMovies: (tmdbId?: string | undefined, imdbId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Reports that new episodes of a series have been added by an external source.
     * @param {string} [tvdbId] The tvdbId.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postUpdatedSeries: (tvdbId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Starts a library scan.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    refreshLibrary: (options?: any) => Promise<RequestArgs>;
};
/**
 * LibraryApi - functional programming interface
 * @export
 */
export declare const LibraryApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Deletes an item from the library and filesystem.
     * @param {string} itemId The item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteItem(itemId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Deletes items from the library and filesystem.
     * @param {Array<string>} [ids] The item ids.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteItems(ids?: string[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Gets all parents of an item.
     * @param {string} itemId The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getAncestors(itemId: string, userId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<BaseItemDto>>>;
    /**
     *
     * @summary Gets critic review for an item.
     * @param {string} itemId
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getCriticReviews(itemId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Downloads item media.
     * @param {string} itemId The item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDownload(itemId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get the original file of an item.
     * @param {string} itemId The item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFile(itemId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get item counts.
     * @param {string} [userId] Optional. Get counts from a specific user\&#39;s library.
     * @param {boolean} [isFavorite] Optional. Get counts of favorite items.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getItemCounts(userId?: string | undefined, isFavorite?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<ItemCounts>>;
    /**
     *
     * @summary Gets the library options info.
     * @param {string} [libraryContentType] Library content type.
     * @param {boolean} [isNewLibrary] Whether this is a new library.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLibraryOptionsInfo(libraryContentType?: string | undefined, isNewLibrary?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<LibraryOptionsResultDto>>;
    /**
     *
     * @summary Gets all user media folders.
     * @param {boolean} [isHidden] Optional. Filter by folders that are marked hidden, or not.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMediaFolders(isHidden?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets a list of physical paths from virtual folders.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPhysicalPaths(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<string>>>;
    /**
     *
     * @summary Gets similar items.
     * @param {string} itemId The item id.
     * @param {Array<string>} [excludeArtistIds] Exclude artist ids.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSimilarAlbums(itemId: string, excludeArtistIds?: string[] | undefined, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets similar items.
     * @param {string} itemId The item id.
     * @param {Array<string>} [excludeArtistIds] Exclude artist ids.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSimilarArtists(itemId: string, excludeArtistIds?: string[] | undefined, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets similar items.
     * @param {string} itemId The item id.
     * @param {Array<string>} [excludeArtistIds] Exclude artist ids.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSimilarItems(itemId: string, excludeArtistIds?: string[] | undefined, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets similar items.
     * @param {string} itemId The item id.
     * @param {Array<string>} [excludeArtistIds] Exclude artist ids.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSimilarMovies(itemId: string, excludeArtistIds?: string[] | undefined, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets similar items.
     * @param {string} itemId The item id.
     * @param {Array<string>} [excludeArtistIds] Exclude artist ids.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSimilarShows(itemId: string, excludeArtistIds?: string[] | undefined, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets similar items.
     * @param {string} itemId The item id.
     * @param {Array<string>} [excludeArtistIds] Exclude artist ids.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSimilarTrailers(itemId: string, excludeArtistIds?: string[] | undefined, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Get theme songs and videos for an item.
     * @param {string} itemId The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {boolean} [inheritFromParent] Optional. Determines whether or not parent items should be searched for theme media.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getThemeMedia(itemId: string, userId?: string | undefined, inheritFromParent?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<AllThemeMediaResult>>;
    /**
     *
     * @summary Get theme songs for an item.
     * @param {string} itemId The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {boolean} [inheritFromParent] Optional. Determines whether or not parent items should be searched for theme media.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getThemeSongs(itemId: string, userId?: string | undefined, inheritFromParent?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<ThemeMediaResult>>;
    /**
     *
     * @summary Get theme videos for an item.
     * @param {string} itemId The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {boolean} [inheritFromParent] Optional. Determines whether or not parent items should be searched for theme media.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getThemeVideos(itemId: string, userId?: string | undefined, inheritFromParent?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<ThemeMediaResult>>;
    /**
     *
     * @summary Reports that new movies have been added by an external source.
     * @param {string} [tmdbId] The tmdbId.
     * @param {string} [imdbId] The imdbId.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postAddedMovies(tmdbId?: string | undefined, imdbId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Reports that new episodes of a series have been added by an external source.
     * @param {string} [tvdbId] The tvdbId.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postAddedSeries(tvdbId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Reports that new movies have been added by an external source.
     * @param {MediaUpdateInfoDto} mediaUpdateInfoDto The update paths.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postUpdatedMedia(mediaUpdateInfoDto: MediaUpdateInfoDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Reports that new movies have been added by an external source.
     * @param {string} [tmdbId] The tmdbId.
     * @param {string} [imdbId] The imdbId.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postUpdatedMovies(tmdbId?: string | undefined, imdbId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Reports that new episodes of a series have been added by an external source.
     * @param {string} [tvdbId] The tvdbId.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postUpdatedSeries(tvdbId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Starts a library scan.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    refreshLibrary(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * LibraryApi - factory interface
 * @export
 */
export declare const LibraryApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Deletes an item from the library and filesystem.
     * @param {string} itemId The item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteItem(itemId: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Deletes items from the library and filesystem.
     * @param {Array<string>} [ids] The item ids.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteItems(ids?: string[] | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Gets all parents of an item.
     * @param {string} itemId The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getAncestors(itemId: string, userId?: string | undefined, options?: any): AxiosPromise<Array<BaseItemDto>>;
    /**
     *
     * @summary Gets critic review for an item.
     * @param {string} itemId
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getCriticReviews(itemId: string, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Downloads item media.
     * @param {string} itemId The item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDownload(itemId: string, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get the original file of an item.
     * @param {string} itemId The item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFile(itemId: string, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get item counts.
     * @param {string} [userId] Optional. Get counts from a specific user\&#39;s library.
     * @param {boolean} [isFavorite] Optional. Get counts of favorite items.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getItemCounts(userId?: string | undefined, isFavorite?: boolean | undefined, options?: any): AxiosPromise<ItemCounts>;
    /**
     *
     * @summary Gets the library options info.
     * @param {string} [libraryContentType] Library content type.
     * @param {boolean} [isNewLibrary] Whether this is a new library.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLibraryOptionsInfo(libraryContentType?: string | undefined, isNewLibrary?: boolean | undefined, options?: any): AxiosPromise<LibraryOptionsResultDto>;
    /**
     *
     * @summary Gets all user media folders.
     * @param {boolean} [isHidden] Optional. Filter by folders that are marked hidden, or not.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMediaFolders(isHidden?: boolean | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets a list of physical paths from virtual folders.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPhysicalPaths(options?: any): AxiosPromise<Array<string>>;
    /**
     *
     * @summary Gets similar items.
     * @param {string} itemId The item id.
     * @param {Array<string>} [excludeArtistIds] Exclude artist ids.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSimilarAlbums(itemId: string, excludeArtistIds?: string[] | undefined, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets similar items.
     * @param {string} itemId The item id.
     * @param {Array<string>} [excludeArtistIds] Exclude artist ids.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSimilarArtists(itemId: string, excludeArtistIds?: string[] | undefined, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets similar items.
     * @param {string} itemId The item id.
     * @param {Array<string>} [excludeArtistIds] Exclude artist ids.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSimilarItems(itemId: string, excludeArtistIds?: string[] | undefined, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets similar items.
     * @param {string} itemId The item id.
     * @param {Array<string>} [excludeArtistIds] Exclude artist ids.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSimilarMovies(itemId: string, excludeArtistIds?: string[] | undefined, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets similar items.
     * @param {string} itemId The item id.
     * @param {Array<string>} [excludeArtistIds] Exclude artist ids.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSimilarShows(itemId: string, excludeArtistIds?: string[] | undefined, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets similar items.
     * @param {string} itemId The item id.
     * @param {Array<string>} [excludeArtistIds] Exclude artist ids.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSimilarTrailers(itemId: string, excludeArtistIds?: string[] | undefined, userId?: string | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Get theme songs and videos for an item.
     * @param {string} itemId The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {boolean} [inheritFromParent] Optional. Determines whether or not parent items should be searched for theme media.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getThemeMedia(itemId: string, userId?: string | undefined, inheritFromParent?: boolean | undefined, options?: any): AxiosPromise<AllThemeMediaResult>;
    /**
     *
     * @summary Get theme songs for an item.
     * @param {string} itemId The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {boolean} [inheritFromParent] Optional. Determines whether or not parent items should be searched for theme media.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getThemeSongs(itemId: string, userId?: string | undefined, inheritFromParent?: boolean | undefined, options?: any): AxiosPromise<ThemeMediaResult>;
    /**
     *
     * @summary Get theme videos for an item.
     * @param {string} itemId The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {boolean} [inheritFromParent] Optional. Determines whether or not parent items should be searched for theme media.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getThemeVideos(itemId: string, userId?: string | undefined, inheritFromParent?: boolean | undefined, options?: any): AxiosPromise<ThemeMediaResult>;
    /**
     *
     * @summary Reports that new movies have been added by an external source.
     * @param {string} [tmdbId] The tmdbId.
     * @param {string} [imdbId] The imdbId.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postAddedMovies(tmdbId?: string | undefined, imdbId?: string | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Reports that new episodes of a series have been added by an external source.
     * @param {string} [tvdbId] The tvdbId.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postAddedSeries(tvdbId?: string | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Reports that new movies have been added by an external source.
     * @param {MediaUpdateInfoDto} mediaUpdateInfoDto The update paths.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postUpdatedMedia(mediaUpdateInfoDto: MediaUpdateInfoDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Reports that new movies have been added by an external source.
     * @param {string} [tmdbId] The tmdbId.
     * @param {string} [imdbId] The imdbId.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postUpdatedMovies(tmdbId?: string | undefined, imdbId?: string | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Reports that new episodes of a series have been added by an external source.
     * @param {string} [tvdbId] The tvdbId.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postUpdatedSeries(tvdbId?: string | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Starts a library scan.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    refreshLibrary(options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for deleteItem operation in LibraryApi.
 * @export
 * @interface LibraryApiDeleteItemRequest
 */
export interface LibraryApiDeleteItemRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof LibraryApiDeleteItem
     */
    readonly itemId: string;
}
/**
 * Request parameters for deleteItems operation in LibraryApi.
 * @export
 * @interface LibraryApiDeleteItemsRequest
 */
export interface LibraryApiDeleteItemsRequest {
    /**
     * The item ids.
     * @type {Array<string>}
     * @memberof LibraryApiDeleteItems
     */
    readonly ids?: Array<string>;
}
/**
 * Request parameters for getAncestors operation in LibraryApi.
 * @export
 * @interface LibraryApiGetAncestorsRequest
 */
export interface LibraryApiGetAncestorsRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof LibraryApiGetAncestors
     */
    readonly itemId: string;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof LibraryApiGetAncestors
     */
    readonly userId?: string;
}
/**
 * Request parameters for getCriticReviews operation in LibraryApi.
 * @export
 * @interface LibraryApiGetCriticReviewsRequest
 */
export interface LibraryApiGetCriticReviewsRequest {
    /**
     *
     * @type {string}
     * @memberof LibraryApiGetCriticReviews
     */
    readonly itemId: string;
}
/**
 * Request parameters for getDownload operation in LibraryApi.
 * @export
 * @interface LibraryApiGetDownloadRequest
 */
export interface LibraryApiGetDownloadRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof LibraryApiGetDownload
     */
    readonly itemId: string;
}
/**
 * Request parameters for getFile operation in LibraryApi.
 * @export
 * @interface LibraryApiGetFileRequest
 */
export interface LibraryApiGetFileRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof LibraryApiGetFile
     */
    readonly itemId: string;
}
/**
 * Request parameters for getItemCounts operation in LibraryApi.
 * @export
 * @interface LibraryApiGetItemCountsRequest
 */
export interface LibraryApiGetItemCountsRequest {
    /**
     * Optional. Get counts from a specific user\&#39;s library.
     * @type {string}
     * @memberof LibraryApiGetItemCounts
     */
    readonly userId?: string;
    /**
     * Optional. Get counts of favorite items.
     * @type {boolean}
     * @memberof LibraryApiGetItemCounts
     */
    readonly isFavorite?: boolean;
}
/**
 * Request parameters for getLibraryOptionsInfo operation in LibraryApi.
 * @export
 * @interface LibraryApiGetLibraryOptionsInfoRequest
 */
export interface LibraryApiGetLibraryOptionsInfoRequest {
    /**
     * Library content type.
     * @type {string}
     * @memberof LibraryApiGetLibraryOptionsInfo
     */
    readonly libraryContentType?: string;
    /**
     * Whether this is a new library.
     * @type {boolean}
     * @memberof LibraryApiGetLibraryOptionsInfo
     */
    readonly isNewLibrary?: boolean;
}
/**
 * Request parameters for getMediaFolders operation in LibraryApi.
 * @export
 * @interface LibraryApiGetMediaFoldersRequest
 */
export interface LibraryApiGetMediaFoldersRequest {
    /**
     * Optional. Filter by folders that are marked hidden, or not.
     * @type {boolean}
     * @memberof LibraryApiGetMediaFolders
     */
    readonly isHidden?: boolean;
}
/**
 * Request parameters for getSimilarAlbums operation in LibraryApi.
 * @export
 * @interface LibraryApiGetSimilarAlbumsRequest
 */
export interface LibraryApiGetSimilarAlbumsRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof LibraryApiGetSimilarAlbums
     */
    readonly itemId: string;
    /**
     * Exclude artist ids.
     * @type {Array<string>}
     * @memberof LibraryApiGetSimilarAlbums
     */
    readonly excludeArtistIds?: Array<string>;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof LibraryApiGetSimilarAlbums
     */
    readonly userId?: string;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof LibraryApiGetSimilarAlbums
     */
    readonly limit?: number;
    /**
     * Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @type {Array<ItemFields>}
     * @memberof LibraryApiGetSimilarAlbums
     */
    readonly fields?: Array<ItemFields>;
}
/**
 * Request parameters for getSimilarArtists operation in LibraryApi.
 * @export
 * @interface LibraryApiGetSimilarArtistsRequest
 */
export interface LibraryApiGetSimilarArtistsRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof LibraryApiGetSimilarArtists
     */
    readonly itemId: string;
    /**
     * Exclude artist ids.
     * @type {Array<string>}
     * @memberof LibraryApiGetSimilarArtists
     */
    readonly excludeArtistIds?: Array<string>;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof LibraryApiGetSimilarArtists
     */
    readonly userId?: string;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof LibraryApiGetSimilarArtists
     */
    readonly limit?: number;
    /**
     * Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @type {Array<ItemFields>}
     * @memberof LibraryApiGetSimilarArtists
     */
    readonly fields?: Array<ItemFields>;
}
/**
 * Request parameters for getSimilarItems operation in LibraryApi.
 * @export
 * @interface LibraryApiGetSimilarItemsRequest
 */
export interface LibraryApiGetSimilarItemsRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof LibraryApiGetSimilarItems
     */
    readonly itemId: string;
    /**
     * Exclude artist ids.
     * @type {Array<string>}
     * @memberof LibraryApiGetSimilarItems
     */
    readonly excludeArtistIds?: Array<string>;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof LibraryApiGetSimilarItems
     */
    readonly userId?: string;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof LibraryApiGetSimilarItems
     */
    readonly limit?: number;
    /**
     * Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @type {Array<ItemFields>}
     * @memberof LibraryApiGetSimilarItems
     */
    readonly fields?: Array<ItemFields>;
}
/**
 * Request parameters for getSimilarMovies operation in LibraryApi.
 * @export
 * @interface LibraryApiGetSimilarMoviesRequest
 */
export interface LibraryApiGetSimilarMoviesRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof LibraryApiGetSimilarMovies
     */
    readonly itemId: string;
    /**
     * Exclude artist ids.
     * @type {Array<string>}
     * @memberof LibraryApiGetSimilarMovies
     */
    readonly excludeArtistIds?: Array<string>;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof LibraryApiGetSimilarMovies
     */
    readonly userId?: string;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof LibraryApiGetSimilarMovies
     */
    readonly limit?: number;
    /**
     * Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @type {Array<ItemFields>}
     * @memberof LibraryApiGetSimilarMovies
     */
    readonly fields?: Array<ItemFields>;
}
/**
 * Request parameters for getSimilarShows operation in LibraryApi.
 * @export
 * @interface LibraryApiGetSimilarShowsRequest
 */
export interface LibraryApiGetSimilarShowsRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof LibraryApiGetSimilarShows
     */
    readonly itemId: string;
    /**
     * Exclude artist ids.
     * @type {Array<string>}
     * @memberof LibraryApiGetSimilarShows
     */
    readonly excludeArtistIds?: Array<string>;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof LibraryApiGetSimilarShows
     */
    readonly userId?: string;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof LibraryApiGetSimilarShows
     */
    readonly limit?: number;
    /**
     * Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @type {Array<ItemFields>}
     * @memberof LibraryApiGetSimilarShows
     */
    readonly fields?: Array<ItemFields>;
}
/**
 * Request parameters for getSimilarTrailers operation in LibraryApi.
 * @export
 * @interface LibraryApiGetSimilarTrailersRequest
 */
export interface LibraryApiGetSimilarTrailersRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof LibraryApiGetSimilarTrailers
     */
    readonly itemId: string;
    /**
     * Exclude artist ids.
     * @type {Array<string>}
     * @memberof LibraryApiGetSimilarTrailers
     */
    readonly excludeArtistIds?: Array<string>;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof LibraryApiGetSimilarTrailers
     */
    readonly userId?: string;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof LibraryApiGetSimilarTrailers
     */
    readonly limit?: number;
    /**
     * Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @type {Array<ItemFields>}
     * @memberof LibraryApiGetSimilarTrailers
     */
    readonly fields?: Array<ItemFields>;
}
/**
 * Request parameters for getThemeMedia operation in LibraryApi.
 * @export
 * @interface LibraryApiGetThemeMediaRequest
 */
export interface LibraryApiGetThemeMediaRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof LibraryApiGetThemeMedia
     */
    readonly itemId: string;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof LibraryApiGetThemeMedia
     */
    readonly userId?: string;
    /**
     * Optional. Determines whether or not parent items should be searched for theme media.
     * @type {boolean}
     * @memberof LibraryApiGetThemeMedia
     */
    readonly inheritFromParent?: boolean;
}
/**
 * Request parameters for getThemeSongs operation in LibraryApi.
 * @export
 * @interface LibraryApiGetThemeSongsRequest
 */
export interface LibraryApiGetThemeSongsRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof LibraryApiGetThemeSongs
     */
    readonly itemId: string;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof LibraryApiGetThemeSongs
     */
    readonly userId?: string;
    /**
     * Optional. Determines whether or not parent items should be searched for theme media.
     * @type {boolean}
     * @memberof LibraryApiGetThemeSongs
     */
    readonly inheritFromParent?: boolean;
}
/**
 * Request parameters for getThemeVideos operation in LibraryApi.
 * @export
 * @interface LibraryApiGetThemeVideosRequest
 */
export interface LibraryApiGetThemeVideosRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof LibraryApiGetThemeVideos
     */
    readonly itemId: string;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof LibraryApiGetThemeVideos
     */
    readonly userId?: string;
    /**
     * Optional. Determines whether or not parent items should be searched for theme media.
     * @type {boolean}
     * @memberof LibraryApiGetThemeVideos
     */
    readonly inheritFromParent?: boolean;
}
/**
 * Request parameters for postAddedMovies operation in LibraryApi.
 * @export
 * @interface LibraryApiPostAddedMoviesRequest
 */
export interface LibraryApiPostAddedMoviesRequest {
    /**
     * The tmdbId.
     * @type {string}
     * @memberof LibraryApiPostAddedMovies
     */
    readonly tmdbId?: string;
    /**
     * The imdbId.
     * @type {string}
     * @memberof LibraryApiPostAddedMovies
     */
    readonly imdbId?: string;
}
/**
 * Request parameters for postAddedSeries operation in LibraryApi.
 * @export
 * @interface LibraryApiPostAddedSeriesRequest
 */
export interface LibraryApiPostAddedSeriesRequest {
    /**
     * The tvdbId.
     * @type {string}
     * @memberof LibraryApiPostAddedSeries
     */
    readonly tvdbId?: string;
}
/**
 * Request parameters for postUpdatedMedia operation in LibraryApi.
 * @export
 * @interface LibraryApiPostUpdatedMediaRequest
 */
export interface LibraryApiPostUpdatedMediaRequest {
    /**
     * The update paths.
     * @type {MediaUpdateInfoDto}
     * @memberof LibraryApiPostUpdatedMedia
     */
    readonly mediaUpdateInfoDto: MediaUpdateInfoDto;
}
/**
 * Request parameters for postUpdatedMovies operation in LibraryApi.
 * @export
 * @interface LibraryApiPostUpdatedMoviesRequest
 */
export interface LibraryApiPostUpdatedMoviesRequest {
    /**
     * The tmdbId.
     * @type {string}
     * @memberof LibraryApiPostUpdatedMovies
     */
    readonly tmdbId?: string;
    /**
     * The imdbId.
     * @type {string}
     * @memberof LibraryApiPostUpdatedMovies
     */
    readonly imdbId?: string;
}
/**
 * Request parameters for postUpdatedSeries operation in LibraryApi.
 * @export
 * @interface LibraryApiPostUpdatedSeriesRequest
 */
export interface LibraryApiPostUpdatedSeriesRequest {
    /**
     * The tvdbId.
     * @type {string}
     * @memberof LibraryApiPostUpdatedSeries
     */
    readonly tvdbId?: string;
}
/**
 * LibraryApi - object-oriented interface
 * @export
 * @class LibraryApi
 * @extends {BaseAPI}
 */
export declare class LibraryApi extends BaseAPI {
    /**
     *
     * @summary Deletes an item from the library and filesystem.
     * @param {LibraryApiDeleteItemRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    deleteItem(requestParameters: LibraryApiDeleteItemRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Deletes items from the library and filesystem.
     * @param {LibraryApiDeleteItemsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    deleteItems(requestParameters?: LibraryApiDeleteItemsRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Gets all parents of an item.
     * @param {LibraryApiGetAncestorsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    getAncestors(requestParameters: LibraryApiGetAncestorsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDto[], any>>;
    /**
     *
     * @summary Gets critic review for an item.
     * @param {LibraryApiGetCriticReviewsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    getCriticReviews(requestParameters: LibraryApiGetCriticReviewsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Downloads item media.
     * @param {LibraryApiGetDownloadRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    getDownload(requestParameters: LibraryApiGetDownloadRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get the original file of an item.
     * @param {LibraryApiGetFileRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    getFile(requestParameters: LibraryApiGetFileRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get item counts.
     * @param {LibraryApiGetItemCountsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    getItemCounts(requestParameters?: LibraryApiGetItemCountsRequest, options?: any): Promise<import("axios").AxiosResponse<ItemCounts, any>>;
    /**
     *
     * @summary Gets the library options info.
     * @param {LibraryApiGetLibraryOptionsInfoRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    getLibraryOptionsInfo(requestParameters?: LibraryApiGetLibraryOptionsInfoRequest, options?: any): Promise<import("axios").AxiosResponse<LibraryOptionsResultDto, any>>;
    /**
     *
     * @summary Gets all user media folders.
     * @param {LibraryApiGetMediaFoldersRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    getMediaFolders(requestParameters?: LibraryApiGetMediaFoldersRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets a list of physical paths from virtual folders.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    getPhysicalPaths(options?: any): Promise<import("axios").AxiosResponse<string[], any>>;
    /**
     *
     * @summary Gets similar items.
     * @param {LibraryApiGetSimilarAlbumsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    getSimilarAlbums(requestParameters: LibraryApiGetSimilarAlbumsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets similar items.
     * @param {LibraryApiGetSimilarArtistsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    getSimilarArtists(requestParameters: LibraryApiGetSimilarArtistsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets similar items.
     * @param {LibraryApiGetSimilarItemsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    getSimilarItems(requestParameters: LibraryApiGetSimilarItemsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets similar items.
     * @param {LibraryApiGetSimilarMoviesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    getSimilarMovies(requestParameters: LibraryApiGetSimilarMoviesRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets similar items.
     * @param {LibraryApiGetSimilarShowsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    getSimilarShows(requestParameters: LibraryApiGetSimilarShowsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets similar items.
     * @param {LibraryApiGetSimilarTrailersRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    getSimilarTrailers(requestParameters: LibraryApiGetSimilarTrailersRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Get theme songs and videos for an item.
     * @param {LibraryApiGetThemeMediaRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    getThemeMedia(requestParameters: LibraryApiGetThemeMediaRequest, options?: any): Promise<import("axios").AxiosResponse<AllThemeMediaResult, any>>;
    /**
     *
     * @summary Get theme songs for an item.
     * @param {LibraryApiGetThemeSongsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    getThemeSongs(requestParameters: LibraryApiGetThemeSongsRequest, options?: any): Promise<import("axios").AxiosResponse<ThemeMediaResult, any>>;
    /**
     *
     * @summary Get theme videos for an item.
     * @param {LibraryApiGetThemeVideosRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    getThemeVideos(requestParameters: LibraryApiGetThemeVideosRequest, options?: any): Promise<import("axios").AxiosResponse<ThemeMediaResult, any>>;
    /**
     *
     * @summary Reports that new movies have been added by an external source.
     * @param {LibraryApiPostAddedMoviesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    postAddedMovies(requestParameters?: LibraryApiPostAddedMoviesRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Reports that new episodes of a series have been added by an external source.
     * @param {LibraryApiPostAddedSeriesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    postAddedSeries(requestParameters?: LibraryApiPostAddedSeriesRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Reports that new movies have been added by an external source.
     * @param {LibraryApiPostUpdatedMediaRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    postUpdatedMedia(requestParameters: LibraryApiPostUpdatedMediaRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Reports that new movies have been added by an external source.
     * @param {LibraryApiPostUpdatedMoviesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    postUpdatedMovies(requestParameters?: LibraryApiPostUpdatedMoviesRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Reports that new episodes of a series have been added by an external source.
     * @param {LibraryApiPostUpdatedSeriesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    postUpdatedSeries(requestParameters?: LibraryApiPostUpdatedSeriesRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Starts a library scan.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryApi
     */
    refreshLibrary(options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
