/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { AddVirtualFolderDto } from '../models';
import { CollectionTypeOptions } from '../models';
import { MediaPathDto } from '../models';
import { UpdateLibraryOptionsDto } from '../models';
import { UpdateMediaPathRequestDto } from '../models';
import { VirtualFolderInfo } from '../models';
/**
 * LibraryStructureApi - axios parameter creator
 * @export
 */
export declare const LibraryStructureApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Add a media path to a library.
     * @param {MediaPathDto} mediaPathDto The media path dto.
     * @param {boolean} [refreshLibrary] Whether to refresh the library.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addMediaPath: (mediaPathDto: MediaPathDto, refreshLibrary?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Adds a virtual folder.
     * @param {string} [name] The name of the virtual folder.
     * @param {CollectionTypeOptions} [collectionType] The type of the collection.
     * @param {Array<string>} [paths] The paths of the virtual folder.
     * @param {boolean} [refreshLibrary] Whether to refresh the library.
     * @param {AddVirtualFolderDto} [addVirtualFolderDto] The library options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addVirtualFolder: (name?: string | undefined, collectionType?: CollectionTypeOptions | undefined, paths?: string[] | undefined, refreshLibrary?: boolean | undefined, addVirtualFolderDto?: AddVirtualFolderDto | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets all virtual folders.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getVirtualFolders: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Remove a media path.
     * @param {string} [name] The name of the library.
     * @param {string} [path] The path to remove.
     * @param {boolean} [refreshLibrary] Whether to refresh the library.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    removeMediaPath: (name?: string | undefined, path?: string | undefined, refreshLibrary?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Removes a virtual folder.
     * @param {string} [name] The name of the folder.
     * @param {boolean} [refreshLibrary] Whether to refresh the library.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    removeVirtualFolder: (name?: string | undefined, refreshLibrary?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Renames a virtual folder.
     * @param {string} [name] The name of the virtual folder.
     * @param {string} [newName] The new name.
     * @param {boolean} [refreshLibrary] Whether to refresh the library.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    renameVirtualFolder: (name?: string | undefined, newName?: string | undefined, refreshLibrary?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Update library options.
     * @param {UpdateLibraryOptionsDto} [updateLibraryOptionsDto] The library name and options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateLibraryOptions: (updateLibraryOptionsDto?: UpdateLibraryOptionsDto | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Updates a media path.
     * @param {UpdateMediaPathRequestDto} updateMediaPathRequestDto The name of the library and path infos.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateMediaPath: (updateMediaPathRequestDto: UpdateMediaPathRequestDto, options?: any) => Promise<RequestArgs>;
};
/**
 * LibraryStructureApi - functional programming interface
 * @export
 */
export declare const LibraryStructureApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Add a media path to a library.
     * @param {MediaPathDto} mediaPathDto The media path dto.
     * @param {boolean} [refreshLibrary] Whether to refresh the library.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addMediaPath(mediaPathDto: MediaPathDto, refreshLibrary?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Adds a virtual folder.
     * @param {string} [name] The name of the virtual folder.
     * @param {CollectionTypeOptions} [collectionType] The type of the collection.
     * @param {Array<string>} [paths] The paths of the virtual folder.
     * @param {boolean} [refreshLibrary] Whether to refresh the library.
     * @param {AddVirtualFolderDto} [addVirtualFolderDto] The library options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addVirtualFolder(name?: string | undefined, collectionType?: CollectionTypeOptions | undefined, paths?: string[] | undefined, refreshLibrary?: boolean | undefined, addVirtualFolderDto?: AddVirtualFolderDto | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Gets all virtual folders.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getVirtualFolders(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<VirtualFolderInfo>>>;
    /**
     *
     * @summary Remove a media path.
     * @param {string} [name] The name of the library.
     * @param {string} [path] The path to remove.
     * @param {boolean} [refreshLibrary] Whether to refresh the library.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    removeMediaPath(name?: string | undefined, path?: string | undefined, refreshLibrary?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Removes a virtual folder.
     * @param {string} [name] The name of the folder.
     * @param {boolean} [refreshLibrary] Whether to refresh the library.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    removeVirtualFolder(name?: string | undefined, refreshLibrary?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Renames a virtual folder.
     * @param {string} [name] The name of the virtual folder.
     * @param {string} [newName] The new name.
     * @param {boolean} [refreshLibrary] Whether to refresh the library.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    renameVirtualFolder(name?: string | undefined, newName?: string | undefined, refreshLibrary?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Update library options.
     * @param {UpdateLibraryOptionsDto} [updateLibraryOptionsDto] The library name and options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateLibraryOptions(updateLibraryOptionsDto?: UpdateLibraryOptionsDto | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Updates a media path.
     * @param {UpdateMediaPathRequestDto} updateMediaPathRequestDto The name of the library and path infos.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateMediaPath(updateMediaPathRequestDto: UpdateMediaPathRequestDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * LibraryStructureApi - factory interface
 * @export
 */
export declare const LibraryStructureApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Add a media path to a library.
     * @param {MediaPathDto} mediaPathDto The media path dto.
     * @param {boolean} [refreshLibrary] Whether to refresh the library.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addMediaPath(mediaPathDto: MediaPathDto, refreshLibrary?: boolean | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Adds a virtual folder.
     * @param {string} [name] The name of the virtual folder.
     * @param {CollectionTypeOptions} [collectionType] The type of the collection.
     * @param {Array<string>} [paths] The paths of the virtual folder.
     * @param {boolean} [refreshLibrary] Whether to refresh the library.
     * @param {AddVirtualFolderDto} [addVirtualFolderDto] The library options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addVirtualFolder(name?: string | undefined, collectionType?: CollectionTypeOptions | undefined, paths?: string[] | undefined, refreshLibrary?: boolean | undefined, addVirtualFolderDto?: AddVirtualFolderDto | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Gets all virtual folders.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getVirtualFolders(options?: any): AxiosPromise<Array<VirtualFolderInfo>>;
    /**
     *
     * @summary Remove a media path.
     * @param {string} [name] The name of the library.
     * @param {string} [path] The path to remove.
     * @param {boolean} [refreshLibrary] Whether to refresh the library.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    removeMediaPath(name?: string | undefined, path?: string | undefined, refreshLibrary?: boolean | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Removes a virtual folder.
     * @param {string} [name] The name of the folder.
     * @param {boolean} [refreshLibrary] Whether to refresh the library.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    removeVirtualFolder(name?: string | undefined, refreshLibrary?: boolean | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Renames a virtual folder.
     * @param {string} [name] The name of the virtual folder.
     * @param {string} [newName] The new name.
     * @param {boolean} [refreshLibrary] Whether to refresh the library.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    renameVirtualFolder(name?: string | undefined, newName?: string | undefined, refreshLibrary?: boolean | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Update library options.
     * @param {UpdateLibraryOptionsDto} [updateLibraryOptionsDto] The library name and options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateLibraryOptions(updateLibraryOptionsDto?: UpdateLibraryOptionsDto | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Updates a media path.
     * @param {UpdateMediaPathRequestDto} updateMediaPathRequestDto The name of the library and path infos.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateMediaPath(updateMediaPathRequestDto: UpdateMediaPathRequestDto, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for addMediaPath operation in LibraryStructureApi.
 * @export
 * @interface LibraryStructureApiAddMediaPathRequest
 */
export interface LibraryStructureApiAddMediaPathRequest {
    /**
     * The media path dto.
     * @type {MediaPathDto}
     * @memberof LibraryStructureApiAddMediaPath
     */
    readonly mediaPathDto: MediaPathDto;
    /**
     * Whether to refresh the library.
     * @type {boolean}
     * @memberof LibraryStructureApiAddMediaPath
     */
    readonly refreshLibrary?: boolean;
}
/**
 * Request parameters for addVirtualFolder operation in LibraryStructureApi.
 * @export
 * @interface LibraryStructureApiAddVirtualFolderRequest
 */
export interface LibraryStructureApiAddVirtualFolderRequest {
    /**
     * The name of the virtual folder.
     * @type {string}
     * @memberof LibraryStructureApiAddVirtualFolder
     */
    readonly name?: string;
    /**
     * The type of the collection.
     * @type {CollectionTypeOptions}
     * @memberof LibraryStructureApiAddVirtualFolder
     */
    readonly collectionType?: CollectionTypeOptions;
    /**
     * The paths of the virtual folder.
     * @type {Array<string>}
     * @memberof LibraryStructureApiAddVirtualFolder
     */
    readonly paths?: Array<string>;
    /**
     * Whether to refresh the library.
     * @type {boolean}
     * @memberof LibraryStructureApiAddVirtualFolder
     */
    readonly refreshLibrary?: boolean;
    /**
     * The library options.
     * @type {AddVirtualFolderDto}
     * @memberof LibraryStructureApiAddVirtualFolder
     */
    readonly addVirtualFolderDto?: AddVirtualFolderDto;
}
/**
 * Request parameters for removeMediaPath operation in LibraryStructureApi.
 * @export
 * @interface LibraryStructureApiRemoveMediaPathRequest
 */
export interface LibraryStructureApiRemoveMediaPathRequest {
    /**
     * The name of the library.
     * @type {string}
     * @memberof LibraryStructureApiRemoveMediaPath
     */
    readonly name?: string;
    /**
     * The path to remove.
     * @type {string}
     * @memberof LibraryStructureApiRemoveMediaPath
     */
    readonly path?: string;
    /**
     * Whether to refresh the library.
     * @type {boolean}
     * @memberof LibraryStructureApiRemoveMediaPath
     */
    readonly refreshLibrary?: boolean;
}
/**
 * Request parameters for removeVirtualFolder operation in LibraryStructureApi.
 * @export
 * @interface LibraryStructureApiRemoveVirtualFolderRequest
 */
export interface LibraryStructureApiRemoveVirtualFolderRequest {
    /**
     * The name of the folder.
     * @type {string}
     * @memberof LibraryStructureApiRemoveVirtualFolder
     */
    readonly name?: string;
    /**
     * Whether to refresh the library.
     * @type {boolean}
     * @memberof LibraryStructureApiRemoveVirtualFolder
     */
    readonly refreshLibrary?: boolean;
}
/**
 * Request parameters for renameVirtualFolder operation in LibraryStructureApi.
 * @export
 * @interface LibraryStructureApiRenameVirtualFolderRequest
 */
export interface LibraryStructureApiRenameVirtualFolderRequest {
    /**
     * The name of the virtual folder.
     * @type {string}
     * @memberof LibraryStructureApiRenameVirtualFolder
     */
    readonly name?: string;
    /**
     * The new name.
     * @type {string}
     * @memberof LibraryStructureApiRenameVirtualFolder
     */
    readonly newName?: string;
    /**
     * Whether to refresh the library.
     * @type {boolean}
     * @memberof LibraryStructureApiRenameVirtualFolder
     */
    readonly refreshLibrary?: boolean;
}
/**
 * Request parameters for updateLibraryOptions operation in LibraryStructureApi.
 * @export
 * @interface LibraryStructureApiUpdateLibraryOptionsRequest
 */
export interface LibraryStructureApiUpdateLibraryOptionsRequest {
    /**
     * The library name and options.
     * @type {UpdateLibraryOptionsDto}
     * @memberof LibraryStructureApiUpdateLibraryOptions
     */
    readonly updateLibraryOptionsDto?: UpdateLibraryOptionsDto;
}
/**
 * Request parameters for updateMediaPath operation in LibraryStructureApi.
 * @export
 * @interface LibraryStructureApiUpdateMediaPathRequest
 */
export interface LibraryStructureApiUpdateMediaPathRequest {
    /**
     * The name of the library and path infos.
     * @type {UpdateMediaPathRequestDto}
     * @memberof LibraryStructureApiUpdateMediaPath
     */
    readonly updateMediaPathRequestDto: UpdateMediaPathRequestDto;
}
/**
 * LibraryStructureApi - object-oriented interface
 * @export
 * @class LibraryStructureApi
 * @extends {BaseAPI}
 */
export declare class LibraryStructureApi extends BaseAPI {
    /**
     *
     * @summary Add a media path to a library.
     * @param {LibraryStructureApiAddMediaPathRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryStructureApi
     */
    addMediaPath(requestParameters: LibraryStructureApiAddMediaPathRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Adds a virtual folder.
     * @param {LibraryStructureApiAddVirtualFolderRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryStructureApi
     */
    addVirtualFolder(requestParameters?: LibraryStructureApiAddVirtualFolderRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Gets all virtual folders.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryStructureApi
     */
    getVirtualFolders(options?: any): Promise<import("axios").AxiosResponse<VirtualFolderInfo[], any>>;
    /**
     *
     * @summary Remove a media path.
     * @param {LibraryStructureApiRemoveMediaPathRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryStructureApi
     */
    removeMediaPath(requestParameters?: LibraryStructureApiRemoveMediaPathRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Removes a virtual folder.
     * @param {LibraryStructureApiRemoveVirtualFolderRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryStructureApi
     */
    removeVirtualFolder(requestParameters?: LibraryStructureApiRemoveVirtualFolderRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Renames a virtual folder.
     * @param {LibraryStructureApiRenameVirtualFolderRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryStructureApi
     */
    renameVirtualFolder(requestParameters?: LibraryStructureApiRenameVirtualFolderRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Update library options.
     * @param {LibraryStructureApiUpdateLibraryOptionsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryStructureApi
     */
    updateLibraryOptions(requestParameters?: LibraryStructureApiUpdateLibraryOptionsRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Updates a media path.
     * @param {LibraryStructureApiUpdateMediaPathRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LibraryStructureApi
     */
    updateMediaPath(requestParameters: LibraryStructureApiUpdateMediaPathRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
