/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { BaseItemDto } from '../models';
import { BaseItemDtoQueryResult } from '../models';
import { ChannelMappingOptionsDto } from '../models';
import { ChannelType } from '../models';
import { GetProgramsDto } from '../models';
import { GuideInfo } from '../models';
import { ImageType } from '../models';
import { ItemFields } from '../models';
import { ListingsProviderInfo } from '../models';
import { LiveTvInfo } from '../models';
import { NameIdPair } from '../models';
import { RecordingStatus } from '../models';
import { SeriesTimerInfoDto } from '../models';
import { SeriesTimerInfoDtoQueryResult } from '../models';
import { SetChannelMappingDto } from '../models';
import { SortOrder } from '../models';
import { TimerInfoDto } from '../models';
import { TimerInfoDtoQueryResult } from '../models';
import { TunerChannelMapping } from '../models';
import { TunerHostInfo } from '../models';
/**
 * LiveTvApi - axios parameter creator
 * @export
 */
export declare const LiveTvApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Adds a listings provider.
     * @param {string} [pw] Password.
     * @param {boolean} [validateListings] Validate listings.
     * @param {boolean} [validateLogin] Validate login.
     * @param {ListingsProviderInfo} [listingsProviderInfo] New listings info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addListingProvider: (pw?: string | undefined, validateListings?: boolean | undefined, validateLogin?: boolean | undefined, listingsProviderInfo?: ListingsProviderInfo | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Adds a tuner host.
     * @param {TunerHostInfo} [tunerHostInfo] New tuner host.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addTunerHost: (tunerHostInfo?: TunerHostInfo | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Cancels a live tv series timer.
     * @param {string} timerId Timer id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    cancelSeriesTimer: (timerId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Cancels a live tv timer.
     * @param {string} timerId Timer id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    cancelTimer: (timerId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Creates a live tv series timer.
     * @param {SeriesTimerInfoDto} [seriesTimerInfoDto] New series timer info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createSeriesTimer: (seriesTimerInfoDto?: SeriesTimerInfoDto | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Creates a live tv timer.
     * @param {TimerInfoDto} [timerInfoDto] New timer info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createTimer: (timerInfoDto?: TimerInfoDto | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete listing provider.
     * @param {string} [id] Listing provider id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteListingProvider: (id?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Deletes a live tv recording.
     * @param {string} recordingId Recording id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteRecording: (recordingId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Deletes a tuner host.
     * @param {string} [id] Tuner host id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteTunerHost: (id?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Discover tuners.
     * @param {boolean} [newDevicesOnly] Only discover new tuners.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    discoverTuners: (newDevicesOnly?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Discover tuners.
     * @param {boolean} [newDevicesOnly] Only discover new tuners.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    discvoverTuners: (newDevicesOnly?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a live tv channel.
     * @param {string} channelId Channel id.
     * @param {string} [userId] Optional. Attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getChannel: (channelId: string, userId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get channel mapping options.
     * @param {string} [providerId] Provider id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getChannelMappingOptions: (providerId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets default listings provider info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDefaultListingProvider: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the default values for a new timer.
     * @param {string} [programId] Optional. To attach default values based on a program.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDefaultTimer: (programId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get guid info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGuideInfo: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets available lineups.
     * @param {string} [id] Provider id.
     * @param {string} [type] Provider type.
     * @param {string} [location] Location.
     * @param {string} [country] Country.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLineups: (id?: string | undefined, type?: string | undefined, location?: string | undefined, country?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a live tv recording stream.
     * @param {string} recordingId Recording id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLiveRecordingFile: (recordingId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a live tv channel stream.
     * @param {string} streamId Stream id.
     * @param {string} container Container type.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLiveStreamFile: (streamId: string, container: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets available live tv channels.
     * @param {ChannelType} [type] Optional. Filter by channel type.
     * @param {string} [userId] Optional. Filter by user and attach user data.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {boolean} [isMovie] Optional. Filter for movies.
     * @param {boolean} [isSeries] Optional. Filter for series.
     * @param {boolean} [isNews] Optional. Filter for news.
     * @param {boolean} [isKids] Optional. Filter for kids.
     * @param {boolean} [isSports] Optional. Filter for sports.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {boolean} [isFavorite] Optional. Filter by channels that are favorites, or not.
     * @param {boolean} [isLiked] Optional. Filter by channels that are liked, or not.
     * @param {boolean} [isDisliked] Optional. Filter by channels that are disliked, or not.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] \&quot;Optional. The image types to include in the output.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {Array<string>} [sortBy] Optional. Key to sort by.
     * @param {SortOrder} [sortOrder] Optional. Sort order.
     * @param {boolean} [enableFavoriteSorting] Optional. Incorporate favorite and like status into channel sorting.
     * @param {boolean} [addCurrentProgram] Optional. Adds current program info to each channel.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLiveTvChannels: (type?: ChannelType | undefined, userId?: string | undefined, startIndex?: number | undefined, isMovie?: boolean | undefined, isSeries?: boolean | undefined, isNews?: boolean | undefined, isKids?: boolean | undefined, isSports?: boolean | undefined, limit?: number | undefined, isFavorite?: boolean | undefined, isLiked?: boolean | undefined, isDisliked?: boolean | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, fields?: ItemFields[] | undefined, enableUserData?: boolean | undefined, sortBy?: string[] | undefined, sortOrder?: SortOrder | undefined, enableFavoriteSorting?: boolean | undefined, addCurrentProgram?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets available live tv services.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLiveTvInfo: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets available live tv epgs.
     * @param {Array<string>} [channelIds] The channels to return guide information for.
     * @param {string} [userId] Optional. Filter by user id.
     * @param {string} [minStartDate] Optional. The minimum premiere start date.
     * @param {boolean} [hasAired] Optional. Filter by programs that have completed airing, or not.
     * @param {boolean} [isAiring] Optional. Filter by programs that are currently airing, or not.
     * @param {string} [maxStartDate] Optional. The maximum premiere start date.
     * @param {string} [minEndDate] Optional. The minimum premiere end date.
     * @param {string} [maxEndDate] Optional. The maximum premiere end date.
     * @param {boolean} [isMovie] Optional. Filter for movies.
     * @param {boolean} [isSeries] Optional. Filter for series.
     * @param {boolean} [isNews] Optional. Filter for news.
     * @param {boolean} [isKids] Optional. Filter for kids.
     * @param {boolean} [isSports] Optional. Filter for sports.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<string>} [sortBy] Optional. Specify one or more sort orders, comma delimited. Options: Name, StartDate.
     * @param {Array<SortOrder>} [sortOrder] Sort Order - Ascending,Descending.
     * @param {Array<string>} [genres] The genres to return guide information for.
     * @param {Array<string>} [genreIds] The genre ids to return guide information for.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {string} [seriesTimerId] Optional. Filter by series timer id.
     * @param {string} [librarySeriesId] Optional. Filter by library series id.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableTotalRecordCount] Retrieve total record count.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLiveTvPrograms: (channelIds?: string[] | undefined, userId?: string | undefined, minStartDate?: string | undefined, hasAired?: boolean | undefined, isAiring?: boolean | undefined, maxStartDate?: string | undefined, minEndDate?: string | undefined, maxEndDate?: string | undefined, isMovie?: boolean | undefined, isSeries?: boolean | undefined, isNews?: boolean | undefined, isKids?: boolean | undefined, isSports?: boolean | undefined, startIndex?: number | undefined, limit?: number | undefined, sortBy?: string[] | undefined, sortOrder?: SortOrder[] | undefined, genres?: string[] | undefined, genreIds?: string[] | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, enableUserData?: boolean | undefined, seriesTimerId?: string | undefined, librarySeriesId?: string | undefined, fields?: ItemFields[] | undefined, enableTotalRecordCount?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a live tv program.
     * @param {string} programId Program id.
     * @param {string} [userId] Optional. Attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getProgram: (programId: string, userId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets available live tv epgs.
     * @param {GetProgramsDto} [getProgramsDto] Request body.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPrograms: (getProgramsDto?: GetProgramsDto | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets recommended live tv epgs.
     * @param {string} [userId] Optional. filter by user id.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {boolean} [isAiring] Optional. Filter by programs that are currently airing, or not.
     * @param {boolean} [hasAired] Optional. Filter by programs that have completed airing, or not.
     * @param {boolean} [isSeries] Optional. Filter for series.
     * @param {boolean} [isMovie] Optional. Filter for movies.
     * @param {boolean} [isNews] Optional. Filter for news.
     * @param {boolean} [isKids] Optional. Filter for kids.
     * @param {boolean} [isSports] Optional. Filter for sports.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {Array<string>} [genreIds] The genres to return guide information for.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableUserData] Optional. include user data.
     * @param {boolean} [enableTotalRecordCount] Retrieve total record count.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRecommendedPrograms: (userId?: string | undefined, limit?: number | undefined, isAiring?: boolean | undefined, hasAired?: boolean | undefined, isSeries?: boolean | undefined, isMovie?: boolean | undefined, isNews?: boolean | undefined, isKids?: boolean | undefined, isSports?: boolean | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, genreIds?: string[] | undefined, fields?: ItemFields[] | undefined, enableUserData?: boolean | undefined, enableTotalRecordCount?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a live tv recording.
     * @param {string} recordingId Recording id.
     * @param {string} [userId] Optional. Attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRecording: (recordingId: string, userId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets recording folders.
     * @param {string} [userId] Optional. Filter by user and attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRecordingFolders: (userId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get recording group.
     * @param {string} groupId Group id.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getRecordingGroup: (groupId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets live tv recording groups.
     * @param {string} [userId] Optional. Filter by user and attach user data.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getRecordingGroups: (userId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets live tv recordings.
     * @param {string} [channelId] Optional. Filter by channel id.
     * @param {string} [userId] Optional. Filter by user and attach user data.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {RecordingStatus} [status] Optional. Filter by recording status.
     * @param {boolean} [isInProgress] Optional. Filter by recordings that are in progress, or not.
     * @param {string} [seriesTimerId] Optional. Filter by recordings belonging to a series timer.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {boolean} [isMovie] Optional. Filter for movies.
     * @param {boolean} [isSeries] Optional. Filter for series.
     * @param {boolean} [isKids] Optional. Filter for kids.
     * @param {boolean} [isSports] Optional. Filter for sports.
     * @param {boolean} [isNews] Optional. Filter for news.
     * @param {boolean} [isLibraryItem] Optional. Filter for is library item.
     * @param {boolean} [enableTotalRecordCount] Optional. Return total record count.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRecordings: (channelId?: string | undefined, userId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, status?: RecordingStatus | undefined, isInProgress?: boolean | undefined, seriesTimerId?: string | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, fields?: ItemFields[] | undefined, enableUserData?: boolean | undefined, isMovie?: boolean | undefined, isSeries?: boolean | undefined, isKids?: boolean | undefined, isSports?: boolean | undefined, isNews?: boolean | undefined, isLibraryItem?: boolean | undefined, enableTotalRecordCount?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets live tv recording series.
     * @param {string} [channelId] Optional. Filter by channel id.
     * @param {string} [userId] Optional. Filter by user and attach user data.
     * @param {string} [groupId] Optional. Filter by recording group.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {RecordingStatus} [status] Optional. Filter by recording status.
     * @param {boolean} [isInProgress] Optional. Filter by recordings that are in progress, or not.
     * @param {string} [seriesTimerId] Optional. Filter by recordings belonging to a series timer.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {boolean} [enableTotalRecordCount] Optional. Return total record count.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getRecordingsSeries: (channelId?: string | undefined, userId?: string | undefined, groupId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, status?: RecordingStatus | undefined, isInProgress?: boolean | undefined, seriesTimerId?: string | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, fields?: ItemFields[] | undefined, enableUserData?: boolean | undefined, enableTotalRecordCount?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets available countries.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSchedulesDirectCountries: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a live tv series timer.
     * @param {string} timerId Timer id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSeriesTimer: (timerId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets live tv series timers.
     * @param {string} [sortBy] Optional. Sort by SortName or Priority.
     * @param {SortOrder} [sortOrder] Optional. Sort in Ascending or Descending order.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSeriesTimers: (sortBy?: string | undefined, sortOrder?: SortOrder | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a timer.
     * @param {string} timerId Timer id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTimer: (timerId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the live tv timers.
     * @param {string} [channelId] Optional. Filter by channel id.
     * @param {string} [seriesTimerId] Optional. Filter by timers belonging to a series timer.
     * @param {boolean} [isActive] Optional. Filter by timers that are active.
     * @param {boolean} [isScheduled] Optional. Filter by timers that are scheduled.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTimers: (channelId?: string | undefined, seriesTimerId?: string | undefined, isActive?: boolean | undefined, isScheduled?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get tuner host types.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTunerHostTypes: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Resets a tv tuner.
     * @param {string} tunerId Tuner id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    resetTuner: (tunerId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Set channel mappings.
     * @param {SetChannelMappingDto} setChannelMappingDto The set channel mapping dto.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    setChannelMapping: (setChannelMappingDto: SetChannelMappingDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Updates a live tv series timer.
     * @param {string} timerId Timer id.
     * @param {SeriesTimerInfoDto} [seriesTimerInfoDto] New series timer info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateSeriesTimer: (timerId: string, seriesTimerInfoDto?: SeriesTimerInfoDto | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Updates a live tv timer.
     * @param {string} timerId Timer id.
     * @param {TimerInfoDto} [timerInfoDto] New timer info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateTimer: (timerId: string, timerInfoDto?: TimerInfoDto | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * LiveTvApi - functional programming interface
 * @export
 */
export declare const LiveTvApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Adds a listings provider.
     * @param {string} [pw] Password.
     * @param {boolean} [validateListings] Validate listings.
     * @param {boolean} [validateLogin] Validate login.
     * @param {ListingsProviderInfo} [listingsProviderInfo] New listings info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addListingProvider(pw?: string | undefined, validateListings?: boolean | undefined, validateLogin?: boolean | undefined, listingsProviderInfo?: ListingsProviderInfo | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<ListingsProviderInfo>>;
    /**
     *
     * @summary Adds a tuner host.
     * @param {TunerHostInfo} [tunerHostInfo] New tuner host.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addTunerHost(tunerHostInfo?: TunerHostInfo | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<TunerHostInfo>>;
    /**
     *
     * @summary Cancels a live tv series timer.
     * @param {string} timerId Timer id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    cancelSeriesTimer(timerId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Cancels a live tv timer.
     * @param {string} timerId Timer id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    cancelTimer(timerId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Creates a live tv series timer.
     * @param {SeriesTimerInfoDto} [seriesTimerInfoDto] New series timer info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createSeriesTimer(seriesTimerInfoDto?: SeriesTimerInfoDto | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Creates a live tv timer.
     * @param {TimerInfoDto} [timerInfoDto] New timer info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createTimer(timerInfoDto?: TimerInfoDto | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete listing provider.
     * @param {string} [id] Listing provider id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteListingProvider(id?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Deletes a live tv recording.
     * @param {string} recordingId Recording id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteRecording(recordingId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Deletes a tuner host.
     * @param {string} [id] Tuner host id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteTunerHost(id?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Discover tuners.
     * @param {boolean} [newDevicesOnly] Only discover new tuners.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    discoverTuners(newDevicesOnly?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<TunerHostInfo>>>;
    /**
     *
     * @summary Discover tuners.
     * @param {boolean} [newDevicesOnly] Only discover new tuners.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    discvoverTuners(newDevicesOnly?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<TunerHostInfo>>>;
    /**
     *
     * @summary Gets a live tv channel.
     * @param {string} channelId Channel id.
     * @param {string} [userId] Optional. Attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getChannel(channelId: string, userId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDto>>;
    /**
     *
     * @summary Get channel mapping options.
     * @param {string} [providerId] Provider id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getChannelMappingOptions(providerId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<ChannelMappingOptionsDto>>;
    /**
     *
     * @summary Gets default listings provider info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDefaultListingProvider(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<ListingsProviderInfo>>;
    /**
     *
     * @summary Gets the default values for a new timer.
     * @param {string} [programId] Optional. To attach default values based on a program.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDefaultTimer(programId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<SeriesTimerInfoDto>>;
    /**
     *
     * @summary Get guid info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGuideInfo(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<GuideInfo>>;
    /**
     *
     * @summary Gets available lineups.
     * @param {string} [id] Provider id.
     * @param {string} [type] Provider type.
     * @param {string} [location] Location.
     * @param {string} [country] Country.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLineups(id?: string | undefined, type?: string | undefined, location?: string | undefined, country?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<NameIdPair>>>;
    /**
     *
     * @summary Gets a live tv recording stream.
     * @param {string} recordingId Recording id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLiveRecordingFile(recordingId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets a live tv channel stream.
     * @param {string} streamId Stream id.
     * @param {string} container Container type.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLiveStreamFile(streamId: string, container: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets available live tv channels.
     * @param {ChannelType} [type] Optional. Filter by channel type.
     * @param {string} [userId] Optional. Filter by user and attach user data.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {boolean} [isMovie] Optional. Filter for movies.
     * @param {boolean} [isSeries] Optional. Filter for series.
     * @param {boolean} [isNews] Optional. Filter for news.
     * @param {boolean} [isKids] Optional. Filter for kids.
     * @param {boolean} [isSports] Optional. Filter for sports.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {boolean} [isFavorite] Optional. Filter by channels that are favorites, or not.
     * @param {boolean} [isLiked] Optional. Filter by channels that are liked, or not.
     * @param {boolean} [isDisliked] Optional. Filter by channels that are disliked, or not.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] \&quot;Optional. The image types to include in the output.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {Array<string>} [sortBy] Optional. Key to sort by.
     * @param {SortOrder} [sortOrder] Optional. Sort order.
     * @param {boolean} [enableFavoriteSorting] Optional. Incorporate favorite and like status into channel sorting.
     * @param {boolean} [addCurrentProgram] Optional. Adds current program info to each channel.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLiveTvChannels(type?: ChannelType | undefined, userId?: string | undefined, startIndex?: number | undefined, isMovie?: boolean | undefined, isSeries?: boolean | undefined, isNews?: boolean | undefined, isKids?: boolean | undefined, isSports?: boolean | undefined, limit?: number | undefined, isFavorite?: boolean | undefined, isLiked?: boolean | undefined, isDisliked?: boolean | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, fields?: ItemFields[] | undefined, enableUserData?: boolean | undefined, sortBy?: string[] | undefined, sortOrder?: SortOrder | undefined, enableFavoriteSorting?: boolean | undefined, addCurrentProgram?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets available live tv services.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLiveTvInfo(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<LiveTvInfo>>;
    /**
     *
     * @summary Gets available live tv epgs.
     * @param {Array<string>} [channelIds] The channels to return guide information for.
     * @param {string} [userId] Optional. Filter by user id.
     * @param {string} [minStartDate] Optional. The minimum premiere start date.
     * @param {boolean} [hasAired] Optional. Filter by programs that have completed airing, or not.
     * @param {boolean} [isAiring] Optional. Filter by programs that are currently airing, or not.
     * @param {string} [maxStartDate] Optional. The maximum premiere start date.
     * @param {string} [minEndDate] Optional. The minimum premiere end date.
     * @param {string} [maxEndDate] Optional. The maximum premiere end date.
     * @param {boolean} [isMovie] Optional. Filter for movies.
     * @param {boolean} [isSeries] Optional. Filter for series.
     * @param {boolean} [isNews] Optional. Filter for news.
     * @param {boolean} [isKids] Optional. Filter for kids.
     * @param {boolean} [isSports] Optional. Filter for sports.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<string>} [sortBy] Optional. Specify one or more sort orders, comma delimited. Options: Name, StartDate.
     * @param {Array<SortOrder>} [sortOrder] Sort Order - Ascending,Descending.
     * @param {Array<string>} [genres] The genres to return guide information for.
     * @param {Array<string>} [genreIds] The genre ids to return guide information for.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {string} [seriesTimerId] Optional. Filter by series timer id.
     * @param {string} [librarySeriesId] Optional. Filter by library series id.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableTotalRecordCount] Retrieve total record count.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLiveTvPrograms(channelIds?: string[] | undefined, userId?: string | undefined, minStartDate?: string | undefined, hasAired?: boolean | undefined, isAiring?: boolean | undefined, maxStartDate?: string | undefined, minEndDate?: string | undefined, maxEndDate?: string | undefined, isMovie?: boolean | undefined, isSeries?: boolean | undefined, isNews?: boolean | undefined, isKids?: boolean | undefined, isSports?: boolean | undefined, startIndex?: number | undefined, limit?: number | undefined, sortBy?: string[] | undefined, sortOrder?: SortOrder[] | undefined, genres?: string[] | undefined, genreIds?: string[] | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, enableUserData?: boolean | undefined, seriesTimerId?: string | undefined, librarySeriesId?: string | undefined, fields?: ItemFields[] | undefined, enableTotalRecordCount?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets a live tv program.
     * @param {string} programId Program id.
     * @param {string} [userId] Optional. Attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getProgram(programId: string, userId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDto>>;
    /**
     *
     * @summary Gets available live tv epgs.
     * @param {GetProgramsDto} [getProgramsDto] Request body.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPrograms(getProgramsDto?: GetProgramsDto | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets recommended live tv epgs.
     * @param {string} [userId] Optional. filter by user id.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {boolean} [isAiring] Optional. Filter by programs that are currently airing, or not.
     * @param {boolean} [hasAired] Optional. Filter by programs that have completed airing, or not.
     * @param {boolean} [isSeries] Optional. Filter for series.
     * @param {boolean} [isMovie] Optional. Filter for movies.
     * @param {boolean} [isNews] Optional. Filter for news.
     * @param {boolean} [isKids] Optional. Filter for kids.
     * @param {boolean} [isSports] Optional. Filter for sports.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {Array<string>} [genreIds] The genres to return guide information for.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableUserData] Optional. include user data.
     * @param {boolean} [enableTotalRecordCount] Retrieve total record count.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRecommendedPrograms(userId?: string | undefined, limit?: number | undefined, isAiring?: boolean | undefined, hasAired?: boolean | undefined, isSeries?: boolean | undefined, isMovie?: boolean | undefined, isNews?: boolean | undefined, isKids?: boolean | undefined, isSports?: boolean | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, genreIds?: string[] | undefined, fields?: ItemFields[] | undefined, enableUserData?: boolean | undefined, enableTotalRecordCount?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets a live tv recording.
     * @param {string} recordingId Recording id.
     * @param {string} [userId] Optional. Attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRecording(recordingId: string, userId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDto>>;
    /**
     *
     * @summary Gets recording folders.
     * @param {string} [userId] Optional. Filter by user and attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRecordingFolders(userId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Get recording group.
     * @param {string} groupId Group id.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getRecordingGroup(groupId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Gets live tv recording groups.
     * @param {string} [userId] Optional. Filter by user and attach user data.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getRecordingGroups(userId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets live tv recordings.
     * @param {string} [channelId] Optional. Filter by channel id.
     * @param {string} [userId] Optional. Filter by user and attach user data.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {RecordingStatus} [status] Optional. Filter by recording status.
     * @param {boolean} [isInProgress] Optional. Filter by recordings that are in progress, or not.
     * @param {string} [seriesTimerId] Optional. Filter by recordings belonging to a series timer.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {boolean} [isMovie] Optional. Filter for movies.
     * @param {boolean} [isSeries] Optional. Filter for series.
     * @param {boolean} [isKids] Optional. Filter for kids.
     * @param {boolean} [isSports] Optional. Filter for sports.
     * @param {boolean} [isNews] Optional. Filter for news.
     * @param {boolean} [isLibraryItem] Optional. Filter for is library item.
     * @param {boolean} [enableTotalRecordCount] Optional. Return total record count.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRecordings(channelId?: string | undefined, userId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, status?: RecordingStatus | undefined, isInProgress?: boolean | undefined, seriesTimerId?: string | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, fields?: ItemFields[] | undefined, enableUserData?: boolean | undefined, isMovie?: boolean | undefined, isSeries?: boolean | undefined, isKids?: boolean | undefined, isSports?: boolean | undefined, isNews?: boolean | undefined, isLibraryItem?: boolean | undefined, enableTotalRecordCount?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets live tv recording series.
     * @param {string} [channelId] Optional. Filter by channel id.
     * @param {string} [userId] Optional. Filter by user and attach user data.
     * @param {string} [groupId] Optional. Filter by recording group.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {RecordingStatus} [status] Optional. Filter by recording status.
     * @param {boolean} [isInProgress] Optional. Filter by recordings that are in progress, or not.
     * @param {string} [seriesTimerId] Optional. Filter by recordings belonging to a series timer.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {boolean} [enableTotalRecordCount] Optional. Return total record count.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getRecordingsSeries(channelId?: string | undefined, userId?: string | undefined, groupId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, status?: RecordingStatus | undefined, isInProgress?: boolean | undefined, seriesTimerId?: string | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, fields?: ItemFields[] | undefined, enableUserData?: boolean | undefined, enableTotalRecordCount?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets available countries.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSchedulesDirectCountries(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets a live tv series timer.
     * @param {string} timerId Timer id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSeriesTimer(timerId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<SeriesTimerInfoDto>>;
    /**
     *
     * @summary Gets live tv series timers.
     * @param {string} [sortBy] Optional. Sort by SortName or Priority.
     * @param {SortOrder} [sortOrder] Optional. Sort in Ascending or Descending order.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSeriesTimers(sortBy?: string | undefined, sortOrder?: SortOrder | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<SeriesTimerInfoDtoQueryResult>>;
    /**
     *
     * @summary Gets a timer.
     * @param {string} timerId Timer id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTimer(timerId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<TimerInfoDto>>;
    /**
     *
     * @summary Gets the live tv timers.
     * @param {string} [channelId] Optional. Filter by channel id.
     * @param {string} [seriesTimerId] Optional. Filter by timers belonging to a series timer.
     * @param {boolean} [isActive] Optional. Filter by timers that are active.
     * @param {boolean} [isScheduled] Optional. Filter by timers that are scheduled.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTimers(channelId?: string | undefined, seriesTimerId?: string | undefined, isActive?: boolean | undefined, isScheduled?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<TimerInfoDtoQueryResult>>;
    /**
     *
     * @summary Get tuner host types.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTunerHostTypes(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<NameIdPair>>>;
    /**
     *
     * @summary Resets a tv tuner.
     * @param {string} tunerId Tuner id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    resetTuner(tunerId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Set channel mappings.
     * @param {SetChannelMappingDto} setChannelMappingDto The set channel mapping dto.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    setChannelMapping(setChannelMappingDto: SetChannelMappingDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<TunerChannelMapping>>;
    /**
     *
     * @summary Updates a live tv series timer.
     * @param {string} timerId Timer id.
     * @param {SeriesTimerInfoDto} [seriesTimerInfoDto] New series timer info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateSeriesTimer(timerId: string, seriesTimerInfoDto?: SeriesTimerInfoDto | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Updates a live tv timer.
     * @param {string} timerId Timer id.
     * @param {TimerInfoDto} [timerInfoDto] New timer info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateTimer(timerId: string, timerInfoDto?: TimerInfoDto | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * LiveTvApi - factory interface
 * @export
 */
export declare const LiveTvApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Adds a listings provider.
     * @param {string} [pw] Password.
     * @param {boolean} [validateListings] Validate listings.
     * @param {boolean} [validateLogin] Validate login.
     * @param {ListingsProviderInfo} [listingsProviderInfo] New listings info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addListingProvider(pw?: string | undefined, validateListings?: boolean | undefined, validateLogin?: boolean | undefined, listingsProviderInfo?: ListingsProviderInfo | undefined, options?: any): AxiosPromise<ListingsProviderInfo>;
    /**
     *
     * @summary Adds a tuner host.
     * @param {TunerHostInfo} [tunerHostInfo] New tuner host.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addTunerHost(tunerHostInfo?: TunerHostInfo | undefined, options?: any): AxiosPromise<TunerHostInfo>;
    /**
     *
     * @summary Cancels a live tv series timer.
     * @param {string} timerId Timer id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    cancelSeriesTimer(timerId: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Cancels a live tv timer.
     * @param {string} timerId Timer id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    cancelTimer(timerId: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Creates a live tv series timer.
     * @param {SeriesTimerInfoDto} [seriesTimerInfoDto] New series timer info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createSeriesTimer(seriesTimerInfoDto?: SeriesTimerInfoDto | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Creates a live tv timer.
     * @param {TimerInfoDto} [timerInfoDto] New timer info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createTimer(timerInfoDto?: TimerInfoDto | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete listing provider.
     * @param {string} [id] Listing provider id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteListingProvider(id?: string | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Deletes a live tv recording.
     * @param {string} recordingId Recording id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteRecording(recordingId: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Deletes a tuner host.
     * @param {string} [id] Tuner host id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteTunerHost(id?: string | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Discover tuners.
     * @param {boolean} [newDevicesOnly] Only discover new tuners.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    discoverTuners(newDevicesOnly?: boolean | undefined, options?: any): AxiosPromise<Array<TunerHostInfo>>;
    /**
     *
     * @summary Discover tuners.
     * @param {boolean} [newDevicesOnly] Only discover new tuners.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    discvoverTuners(newDevicesOnly?: boolean | undefined, options?: any): AxiosPromise<Array<TunerHostInfo>>;
    /**
     *
     * @summary Gets a live tv channel.
     * @param {string} channelId Channel id.
     * @param {string} [userId] Optional. Attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getChannel(channelId: string, userId?: string | undefined, options?: any): AxiosPromise<BaseItemDto>;
    /**
     *
     * @summary Get channel mapping options.
     * @param {string} [providerId] Provider id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getChannelMappingOptions(providerId?: string | undefined, options?: any): AxiosPromise<ChannelMappingOptionsDto>;
    /**
     *
     * @summary Gets default listings provider info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDefaultListingProvider(options?: any): AxiosPromise<ListingsProviderInfo>;
    /**
     *
     * @summary Gets the default values for a new timer.
     * @param {string} [programId] Optional. To attach default values based on a program.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getDefaultTimer(programId?: string | undefined, options?: any): AxiosPromise<SeriesTimerInfoDto>;
    /**
     *
     * @summary Get guid info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGuideInfo(options?: any): AxiosPromise<GuideInfo>;
    /**
     *
     * @summary Gets available lineups.
     * @param {string} [id] Provider id.
     * @param {string} [type] Provider type.
     * @param {string} [location] Location.
     * @param {string} [country] Country.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLineups(id?: string | undefined, type?: string | undefined, location?: string | undefined, country?: string | undefined, options?: any): AxiosPromise<Array<NameIdPair>>;
    /**
     *
     * @summary Gets a live tv recording stream.
     * @param {string} recordingId Recording id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLiveRecordingFile(recordingId: string, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets a live tv channel stream.
     * @param {string} streamId Stream id.
     * @param {string} container Container type.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLiveStreamFile(streamId: string, container: string, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets available live tv channels.
     * @param {ChannelType} [type] Optional. Filter by channel type.
     * @param {string} [userId] Optional. Filter by user and attach user data.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {boolean} [isMovie] Optional. Filter for movies.
     * @param {boolean} [isSeries] Optional. Filter for series.
     * @param {boolean} [isNews] Optional. Filter for news.
     * @param {boolean} [isKids] Optional. Filter for kids.
     * @param {boolean} [isSports] Optional. Filter for sports.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {boolean} [isFavorite] Optional. Filter by channels that are favorites, or not.
     * @param {boolean} [isLiked] Optional. Filter by channels that are liked, or not.
     * @param {boolean} [isDisliked] Optional. Filter by channels that are disliked, or not.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] \&quot;Optional. The image types to include in the output.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {Array<string>} [sortBy] Optional. Key to sort by.
     * @param {SortOrder} [sortOrder] Optional. Sort order.
     * @param {boolean} [enableFavoriteSorting] Optional. Incorporate favorite and like status into channel sorting.
     * @param {boolean} [addCurrentProgram] Optional. Adds current program info to each channel.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLiveTvChannels(type?: ChannelType | undefined, userId?: string | undefined, startIndex?: number | undefined, isMovie?: boolean | undefined, isSeries?: boolean | undefined, isNews?: boolean | undefined, isKids?: boolean | undefined, isSports?: boolean | undefined, limit?: number | undefined, isFavorite?: boolean | undefined, isLiked?: boolean | undefined, isDisliked?: boolean | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, fields?: ItemFields[] | undefined, enableUserData?: boolean | undefined, sortBy?: string[] | undefined, sortOrder?: SortOrder | undefined, enableFavoriteSorting?: boolean | undefined, addCurrentProgram?: boolean | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets available live tv services.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLiveTvInfo(options?: any): AxiosPromise<LiveTvInfo>;
    /**
     *
     * @summary Gets available live tv epgs.
     * @param {Array<string>} [channelIds] The channels to return guide information for.
     * @param {string} [userId] Optional. Filter by user id.
     * @param {string} [minStartDate] Optional. The minimum premiere start date.
     * @param {boolean} [hasAired] Optional. Filter by programs that have completed airing, or not.
     * @param {boolean} [isAiring] Optional. Filter by programs that are currently airing, or not.
     * @param {string} [maxStartDate] Optional. The maximum premiere start date.
     * @param {string} [minEndDate] Optional. The minimum premiere end date.
     * @param {string} [maxEndDate] Optional. The maximum premiere end date.
     * @param {boolean} [isMovie] Optional. Filter for movies.
     * @param {boolean} [isSeries] Optional. Filter for series.
     * @param {boolean} [isNews] Optional. Filter for news.
     * @param {boolean} [isKids] Optional. Filter for kids.
     * @param {boolean} [isSports] Optional. Filter for sports.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<string>} [sortBy] Optional. Specify one or more sort orders, comma delimited. Options: Name, StartDate.
     * @param {Array<SortOrder>} [sortOrder] Sort Order - Ascending,Descending.
     * @param {Array<string>} [genres] The genres to return guide information for.
     * @param {Array<string>} [genreIds] The genre ids to return guide information for.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {string} [seriesTimerId] Optional. Filter by series timer id.
     * @param {string} [librarySeriesId] Optional. Filter by library series id.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableTotalRecordCount] Retrieve total record count.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLiveTvPrograms(channelIds?: string[] | undefined, userId?: string | undefined, minStartDate?: string | undefined, hasAired?: boolean | undefined, isAiring?: boolean | undefined, maxStartDate?: string | undefined, minEndDate?: string | undefined, maxEndDate?: string | undefined, isMovie?: boolean | undefined, isSeries?: boolean | undefined, isNews?: boolean | undefined, isKids?: boolean | undefined, isSports?: boolean | undefined, startIndex?: number | undefined, limit?: number | undefined, sortBy?: string[] | undefined, sortOrder?: SortOrder[] | undefined, genres?: string[] | undefined, genreIds?: string[] | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, enableUserData?: boolean | undefined, seriesTimerId?: string | undefined, librarySeriesId?: string | undefined, fields?: ItemFields[] | undefined, enableTotalRecordCount?: boolean | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets a live tv program.
     * @param {string} programId Program id.
     * @param {string} [userId] Optional. Attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getProgram(programId: string, userId?: string | undefined, options?: any): AxiosPromise<BaseItemDto>;
    /**
     *
     * @summary Gets available live tv epgs.
     * @param {GetProgramsDto} [getProgramsDto] Request body.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPrograms(getProgramsDto?: GetProgramsDto | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets recommended live tv epgs.
     * @param {string} [userId] Optional. filter by user id.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {boolean} [isAiring] Optional. Filter by programs that are currently airing, or not.
     * @param {boolean} [hasAired] Optional. Filter by programs that have completed airing, or not.
     * @param {boolean} [isSeries] Optional. Filter for series.
     * @param {boolean} [isMovie] Optional. Filter for movies.
     * @param {boolean} [isNews] Optional. Filter for news.
     * @param {boolean} [isKids] Optional. Filter for kids.
     * @param {boolean} [isSports] Optional. Filter for sports.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {Array<string>} [genreIds] The genres to return guide information for.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableUserData] Optional. include user data.
     * @param {boolean} [enableTotalRecordCount] Retrieve total record count.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRecommendedPrograms(userId?: string | undefined, limit?: number | undefined, isAiring?: boolean | undefined, hasAired?: boolean | undefined, isSeries?: boolean | undefined, isMovie?: boolean | undefined, isNews?: boolean | undefined, isKids?: boolean | undefined, isSports?: boolean | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, genreIds?: string[] | undefined, fields?: ItemFields[] | undefined, enableUserData?: boolean | undefined, enableTotalRecordCount?: boolean | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets a live tv recording.
     * @param {string} recordingId Recording id.
     * @param {string} [userId] Optional. Attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRecording(recordingId: string, userId?: string | undefined, options?: any): AxiosPromise<BaseItemDto>;
    /**
     *
     * @summary Gets recording folders.
     * @param {string} [userId] Optional. Filter by user and attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRecordingFolders(userId?: string | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Get recording group.
     * @param {string} groupId Group id.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getRecordingGroup(groupId: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Gets live tv recording groups.
     * @param {string} [userId] Optional. Filter by user and attach user data.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getRecordingGroups(userId?: string | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets live tv recordings.
     * @param {string} [channelId] Optional. Filter by channel id.
     * @param {string} [userId] Optional. Filter by user and attach user data.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {RecordingStatus} [status] Optional. Filter by recording status.
     * @param {boolean} [isInProgress] Optional. Filter by recordings that are in progress, or not.
     * @param {string} [seriesTimerId] Optional. Filter by recordings belonging to a series timer.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {boolean} [isMovie] Optional. Filter for movies.
     * @param {boolean} [isSeries] Optional. Filter for series.
     * @param {boolean} [isKids] Optional. Filter for kids.
     * @param {boolean} [isSports] Optional. Filter for sports.
     * @param {boolean} [isNews] Optional. Filter for news.
     * @param {boolean} [isLibraryItem] Optional. Filter for is library item.
     * @param {boolean} [enableTotalRecordCount] Optional. Return total record count.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRecordings(channelId?: string | undefined, userId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, status?: RecordingStatus | undefined, isInProgress?: boolean | undefined, seriesTimerId?: string | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, fields?: ItemFields[] | undefined, enableUserData?: boolean | undefined, isMovie?: boolean | undefined, isSeries?: boolean | undefined, isKids?: boolean | undefined, isSports?: boolean | undefined, isNews?: boolean | undefined, isLibraryItem?: boolean | undefined, enableTotalRecordCount?: boolean | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets live tv recording series.
     * @param {string} [channelId] Optional. Filter by channel id.
     * @param {string} [userId] Optional. Filter by user and attach user data.
     * @param {string} [groupId] Optional. Filter by recording group.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {RecordingStatus} [status] Optional. Filter by recording status.
     * @param {boolean} [isInProgress] Optional. Filter by recordings that are in progress, or not.
     * @param {string} [seriesTimerId] Optional. Filter by recordings belonging to a series timer.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {boolean} [enableTotalRecordCount] Optional. Return total record count.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    getRecordingsSeries(channelId?: string | undefined, userId?: string | undefined, groupId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, status?: RecordingStatus | undefined, isInProgress?: boolean | undefined, seriesTimerId?: string | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, fields?: ItemFields[] | undefined, enableUserData?: boolean | undefined, enableTotalRecordCount?: boolean | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets available countries.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSchedulesDirectCountries(options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets a live tv series timer.
     * @param {string} timerId Timer id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSeriesTimer(timerId: string, options?: any): AxiosPromise<SeriesTimerInfoDto>;
    /**
     *
     * @summary Gets live tv series timers.
     * @param {string} [sortBy] Optional. Sort by SortName or Priority.
     * @param {SortOrder} [sortOrder] Optional. Sort in Ascending or Descending order.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSeriesTimers(sortBy?: string | undefined, sortOrder?: SortOrder | undefined, options?: any): AxiosPromise<SeriesTimerInfoDtoQueryResult>;
    /**
     *
     * @summary Gets a timer.
     * @param {string} timerId Timer id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTimer(timerId: string, options?: any): AxiosPromise<TimerInfoDto>;
    /**
     *
     * @summary Gets the live tv timers.
     * @param {string} [channelId] Optional. Filter by channel id.
     * @param {string} [seriesTimerId] Optional. Filter by timers belonging to a series timer.
     * @param {boolean} [isActive] Optional. Filter by timers that are active.
     * @param {boolean} [isScheduled] Optional. Filter by timers that are scheduled.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTimers(channelId?: string | undefined, seriesTimerId?: string | undefined, isActive?: boolean | undefined, isScheduled?: boolean | undefined, options?: any): AxiosPromise<TimerInfoDtoQueryResult>;
    /**
     *
     * @summary Get tuner host types.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTunerHostTypes(options?: any): AxiosPromise<Array<NameIdPair>>;
    /**
     *
     * @summary Resets a tv tuner.
     * @param {string} tunerId Tuner id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    resetTuner(tunerId: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Set channel mappings.
     * @param {SetChannelMappingDto} setChannelMappingDto The set channel mapping dto.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    setChannelMapping(setChannelMappingDto: SetChannelMappingDto, options?: any): AxiosPromise<TunerChannelMapping>;
    /**
     *
     * @summary Updates a live tv series timer.
     * @param {string} timerId Timer id.
     * @param {SeriesTimerInfoDto} [seriesTimerInfoDto] New series timer info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateSeriesTimer(timerId: string, seriesTimerInfoDto?: SeriesTimerInfoDto | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Updates a live tv timer.
     * @param {string} timerId Timer id.
     * @param {TimerInfoDto} [timerInfoDto] New timer info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateTimer(timerId: string, timerInfoDto?: TimerInfoDto | undefined, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for addListingProvider operation in LiveTvApi.
 * @export
 * @interface LiveTvApiAddListingProviderRequest
 */
export interface LiveTvApiAddListingProviderRequest {
    /**
     * Password.
     * @type {string}
     * @memberof LiveTvApiAddListingProvider
     */
    readonly pw?: string;
    /**
     * Validate listings.
     * @type {boolean}
     * @memberof LiveTvApiAddListingProvider
     */
    readonly validateListings?: boolean;
    /**
     * Validate login.
     * @type {boolean}
     * @memberof LiveTvApiAddListingProvider
     */
    readonly validateLogin?: boolean;
    /**
     * New listings info.
     * @type {ListingsProviderInfo}
     * @memberof LiveTvApiAddListingProvider
     */
    readonly listingsProviderInfo?: ListingsProviderInfo;
}
/**
 * Request parameters for addTunerHost operation in LiveTvApi.
 * @export
 * @interface LiveTvApiAddTunerHostRequest
 */
export interface LiveTvApiAddTunerHostRequest {
    /**
     * New tuner host.
     * @type {TunerHostInfo}
     * @memberof LiveTvApiAddTunerHost
     */
    readonly tunerHostInfo?: TunerHostInfo;
}
/**
 * Request parameters for cancelSeriesTimer operation in LiveTvApi.
 * @export
 * @interface LiveTvApiCancelSeriesTimerRequest
 */
export interface LiveTvApiCancelSeriesTimerRequest {
    /**
     * Timer id.
     * @type {string}
     * @memberof LiveTvApiCancelSeriesTimer
     */
    readonly timerId: string;
}
/**
 * Request parameters for cancelTimer operation in LiveTvApi.
 * @export
 * @interface LiveTvApiCancelTimerRequest
 */
export interface LiveTvApiCancelTimerRequest {
    /**
     * Timer id.
     * @type {string}
     * @memberof LiveTvApiCancelTimer
     */
    readonly timerId: string;
}
/**
 * Request parameters for createSeriesTimer operation in LiveTvApi.
 * @export
 * @interface LiveTvApiCreateSeriesTimerRequest
 */
export interface LiveTvApiCreateSeriesTimerRequest {
    /**
     * New series timer info.
     * @type {SeriesTimerInfoDto}
     * @memberof LiveTvApiCreateSeriesTimer
     */
    readonly seriesTimerInfoDto?: SeriesTimerInfoDto;
}
/**
 * Request parameters for createTimer operation in LiveTvApi.
 * @export
 * @interface LiveTvApiCreateTimerRequest
 */
export interface LiveTvApiCreateTimerRequest {
    /**
     * New timer info.
     * @type {TimerInfoDto}
     * @memberof LiveTvApiCreateTimer
     */
    readonly timerInfoDto?: TimerInfoDto;
}
/**
 * Request parameters for deleteListingProvider operation in LiveTvApi.
 * @export
 * @interface LiveTvApiDeleteListingProviderRequest
 */
export interface LiveTvApiDeleteListingProviderRequest {
    /**
     * Listing provider id.
     * @type {string}
     * @memberof LiveTvApiDeleteListingProvider
     */
    readonly id?: string;
}
/**
 * Request parameters for deleteRecording operation in LiveTvApi.
 * @export
 * @interface LiveTvApiDeleteRecordingRequest
 */
export interface LiveTvApiDeleteRecordingRequest {
    /**
     * Recording id.
     * @type {string}
     * @memberof LiveTvApiDeleteRecording
     */
    readonly recordingId: string;
}
/**
 * Request parameters for deleteTunerHost operation in LiveTvApi.
 * @export
 * @interface LiveTvApiDeleteTunerHostRequest
 */
export interface LiveTvApiDeleteTunerHostRequest {
    /**
     * Tuner host id.
     * @type {string}
     * @memberof LiveTvApiDeleteTunerHost
     */
    readonly id?: string;
}
/**
 * Request parameters for discoverTuners operation in LiveTvApi.
 * @export
 * @interface LiveTvApiDiscoverTunersRequest
 */
export interface LiveTvApiDiscoverTunersRequest {
    /**
     * Only discover new tuners.
     * @type {boolean}
     * @memberof LiveTvApiDiscoverTuners
     */
    readonly newDevicesOnly?: boolean;
}
/**
 * Request parameters for discvoverTuners operation in LiveTvApi.
 * @export
 * @interface LiveTvApiDiscvoverTunersRequest
 */
export interface LiveTvApiDiscvoverTunersRequest {
    /**
     * Only discover new tuners.
     * @type {boolean}
     * @memberof LiveTvApiDiscvoverTuners
     */
    readonly newDevicesOnly?: boolean;
}
/**
 * Request parameters for getChannel operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetChannelRequest
 */
export interface LiveTvApiGetChannelRequest {
    /**
     * Channel id.
     * @type {string}
     * @memberof LiveTvApiGetChannel
     */
    readonly channelId: string;
    /**
     * Optional. Attach user data.
     * @type {string}
     * @memberof LiveTvApiGetChannel
     */
    readonly userId?: string;
}
/**
 * Request parameters for getChannelMappingOptions operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetChannelMappingOptionsRequest
 */
export interface LiveTvApiGetChannelMappingOptionsRequest {
    /**
     * Provider id.
     * @type {string}
     * @memberof LiveTvApiGetChannelMappingOptions
     */
    readonly providerId?: string;
}
/**
 * Request parameters for getDefaultTimer operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetDefaultTimerRequest
 */
export interface LiveTvApiGetDefaultTimerRequest {
    /**
     * Optional. To attach default values based on a program.
     * @type {string}
     * @memberof LiveTvApiGetDefaultTimer
     */
    readonly programId?: string;
}
/**
 * Request parameters for getLineups operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetLineupsRequest
 */
export interface LiveTvApiGetLineupsRequest {
    /**
     * Provider id.
     * @type {string}
     * @memberof LiveTvApiGetLineups
     */
    readonly id?: string;
    /**
     * Provider type.
     * @type {string}
     * @memberof LiveTvApiGetLineups
     */
    readonly type?: string;
    /**
     * Location.
     * @type {string}
     * @memberof LiveTvApiGetLineups
     */
    readonly location?: string;
    /**
     * Country.
     * @type {string}
     * @memberof LiveTvApiGetLineups
     */
    readonly country?: string;
}
/**
 * Request parameters for getLiveRecordingFile operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetLiveRecordingFileRequest
 */
export interface LiveTvApiGetLiveRecordingFileRequest {
    /**
     * Recording id.
     * @type {string}
     * @memberof LiveTvApiGetLiveRecordingFile
     */
    readonly recordingId: string;
}
/**
 * Request parameters for getLiveStreamFile operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetLiveStreamFileRequest
 */
export interface LiveTvApiGetLiveStreamFileRequest {
    /**
     * Stream id.
     * @type {string}
     * @memberof LiveTvApiGetLiveStreamFile
     */
    readonly streamId: string;
    /**
     * Container type.
     * @type {string}
     * @memberof LiveTvApiGetLiveStreamFile
     */
    readonly container: string;
}
/**
 * Request parameters for getLiveTvChannels operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetLiveTvChannelsRequest
 */
export interface LiveTvApiGetLiveTvChannelsRequest {
    /**
     * Optional. Filter by channel type.
     * @type {ChannelType}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly type?: ChannelType;
    /**
     * Optional. Filter by user and attach user data.
     * @type {string}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly userId?: string;
    /**
     * Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @type {number}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly startIndex?: number;
    /**
     * Optional. Filter for movies.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly isMovie?: boolean;
    /**
     * Optional. Filter for series.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly isSeries?: boolean;
    /**
     * Optional. Filter for news.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly isNews?: boolean;
    /**
     * Optional. Filter for kids.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly isKids?: boolean;
    /**
     * Optional. Filter for sports.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly isSports?: boolean;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly limit?: number;
    /**
     * Optional. Filter by channels that are favorites, or not.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly isFavorite?: boolean;
    /**
     * Optional. Filter by channels that are liked, or not.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly isLiked?: boolean;
    /**
     * Optional. Filter by channels that are disliked, or not.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly isDisliked?: boolean;
    /**
     * Optional. Include image information in output.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly enableImages?: boolean;
    /**
     * Optional. The max number of images to return, per image type.
     * @type {number}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly imageTypeLimit?: number;
    /**
     * \&quot;Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly enableImageTypes?: Array<ImageType>;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. Include user data.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly enableUserData?: boolean;
    /**
     * Optional. Key to sort by.
     * @type {Array<string>}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly sortBy?: Array<string>;
    /**
     * Optional. Sort order.
     * @type {SortOrder}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly sortOrder?: SortOrder;
    /**
     * Optional. Incorporate favorite and like status into channel sorting.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly enableFavoriteSorting?: boolean;
    /**
     * Optional. Adds current program info to each channel.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvChannels
     */
    readonly addCurrentProgram?: boolean;
}
/**
 * Request parameters for getLiveTvPrograms operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetLiveTvProgramsRequest
 */
export interface LiveTvApiGetLiveTvProgramsRequest {
    /**
     * The channels to return guide information for.
     * @type {Array<string>}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly channelIds?: Array<string>;
    /**
     * Optional. Filter by user id.
     * @type {string}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly userId?: string;
    /**
     * Optional. The minimum premiere start date.
     * @type {string}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly minStartDate?: string;
    /**
     * Optional. Filter by programs that have completed airing, or not.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly hasAired?: boolean;
    /**
     * Optional. Filter by programs that are currently airing, or not.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly isAiring?: boolean;
    /**
     * Optional. The maximum premiere start date.
     * @type {string}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly maxStartDate?: string;
    /**
     * Optional. The minimum premiere end date.
     * @type {string}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly minEndDate?: string;
    /**
     * Optional. The maximum premiere end date.
     * @type {string}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly maxEndDate?: string;
    /**
     * Optional. Filter for movies.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly isMovie?: boolean;
    /**
     * Optional. Filter for series.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly isSeries?: boolean;
    /**
     * Optional. Filter for news.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly isNews?: boolean;
    /**
     * Optional. Filter for kids.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly isKids?: boolean;
    /**
     * Optional. Filter for sports.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly isSports?: boolean;
    /**
     * Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @type {number}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly startIndex?: number;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly limit?: number;
    /**
     * Optional. Specify one or more sort orders, comma delimited. Options: Name, StartDate.
     * @type {Array<string>}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly sortBy?: Array<string>;
    /**
     * Sort Order - Ascending,Descending.
     * @type {Array<SortOrder>}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly sortOrder?: Array<SortOrder>;
    /**
     * The genres to return guide information for.
     * @type {Array<string>}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly genres?: Array<string>;
    /**
     * The genre ids to return guide information for.
     * @type {Array<string>}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly genreIds?: Array<string>;
    /**
     * Optional. Include image information in output.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly enableImages?: boolean;
    /**
     * Optional. The max number of images to return, per image type.
     * @type {number}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly enableImageTypes?: Array<ImageType>;
    /**
     * Optional. Include user data.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly enableUserData?: boolean;
    /**
     * Optional. Filter by series timer id.
     * @type {string}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly seriesTimerId?: string;
    /**
     * Optional. Filter by library series id.
     * @type {string}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly librarySeriesId?: string;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Retrieve total record count.
     * @type {boolean}
     * @memberof LiveTvApiGetLiveTvPrograms
     */
    readonly enableTotalRecordCount?: boolean;
}
/**
 * Request parameters for getProgram operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetProgramRequest
 */
export interface LiveTvApiGetProgramRequest {
    /**
     * Program id.
     * @type {string}
     * @memberof LiveTvApiGetProgram
     */
    readonly programId: string;
    /**
     * Optional. Attach user data.
     * @type {string}
     * @memberof LiveTvApiGetProgram
     */
    readonly userId?: string;
}
/**
 * Request parameters for getPrograms operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetProgramsRequest
 */
export interface LiveTvApiGetProgramsRequest {
    /**
     * Request body.
     * @type {GetProgramsDto}
     * @memberof LiveTvApiGetPrograms
     */
    readonly getProgramsDto?: GetProgramsDto;
}
/**
 * Request parameters for getRecommendedPrograms operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetRecommendedProgramsRequest
 */
export interface LiveTvApiGetRecommendedProgramsRequest {
    /**
     * Optional. filter by user id.
     * @type {string}
     * @memberof LiveTvApiGetRecommendedPrograms
     */
    readonly userId?: string;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof LiveTvApiGetRecommendedPrograms
     */
    readonly limit?: number;
    /**
     * Optional. Filter by programs that are currently airing, or not.
     * @type {boolean}
     * @memberof LiveTvApiGetRecommendedPrograms
     */
    readonly isAiring?: boolean;
    /**
     * Optional. Filter by programs that have completed airing, or not.
     * @type {boolean}
     * @memberof LiveTvApiGetRecommendedPrograms
     */
    readonly hasAired?: boolean;
    /**
     * Optional. Filter for series.
     * @type {boolean}
     * @memberof LiveTvApiGetRecommendedPrograms
     */
    readonly isSeries?: boolean;
    /**
     * Optional. Filter for movies.
     * @type {boolean}
     * @memberof LiveTvApiGetRecommendedPrograms
     */
    readonly isMovie?: boolean;
    /**
     * Optional. Filter for news.
     * @type {boolean}
     * @memberof LiveTvApiGetRecommendedPrograms
     */
    readonly isNews?: boolean;
    /**
     * Optional. Filter for kids.
     * @type {boolean}
     * @memberof LiveTvApiGetRecommendedPrograms
     */
    readonly isKids?: boolean;
    /**
     * Optional. Filter for sports.
     * @type {boolean}
     * @memberof LiveTvApiGetRecommendedPrograms
     */
    readonly isSports?: boolean;
    /**
     * Optional. Include image information in output.
     * @type {boolean}
     * @memberof LiveTvApiGetRecommendedPrograms
     */
    readonly enableImages?: boolean;
    /**
     * Optional. The max number of images to return, per image type.
     * @type {number}
     * @memberof LiveTvApiGetRecommendedPrograms
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof LiveTvApiGetRecommendedPrograms
     */
    readonly enableImageTypes?: Array<ImageType>;
    /**
     * The genres to return guide information for.
     * @type {Array<string>}
     * @memberof LiveTvApiGetRecommendedPrograms
     */
    readonly genreIds?: Array<string>;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof LiveTvApiGetRecommendedPrograms
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. include user data.
     * @type {boolean}
     * @memberof LiveTvApiGetRecommendedPrograms
     */
    readonly enableUserData?: boolean;
    /**
     * Retrieve total record count.
     * @type {boolean}
     * @memberof LiveTvApiGetRecommendedPrograms
     */
    readonly enableTotalRecordCount?: boolean;
}
/**
 * Request parameters for getRecording operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetRecordingRequest
 */
export interface LiveTvApiGetRecordingRequest {
    /**
     * Recording id.
     * @type {string}
     * @memberof LiveTvApiGetRecording
     */
    readonly recordingId: string;
    /**
     * Optional. Attach user data.
     * @type {string}
     * @memberof LiveTvApiGetRecording
     */
    readonly userId?: string;
}
/**
 * Request parameters for getRecordingFolders operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetRecordingFoldersRequest
 */
export interface LiveTvApiGetRecordingFoldersRequest {
    /**
     * Optional. Filter by user and attach user data.
     * @type {string}
     * @memberof LiveTvApiGetRecordingFolders
     */
    readonly userId?: string;
}
/**
 * Request parameters for getRecordingGroup operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetRecordingGroupRequest
 */
export interface LiveTvApiGetRecordingGroupRequest {
    /**
     * Group id.
     * @type {string}
     * @memberof LiveTvApiGetRecordingGroup
     */
    readonly groupId: string;
}
/**
 * Request parameters for getRecordingGroups operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetRecordingGroupsRequest
 */
export interface LiveTvApiGetRecordingGroupsRequest {
    /**
     * Optional. Filter by user and attach user data.
     * @type {string}
     * @memberof LiveTvApiGetRecordingGroups
     */
    readonly userId?: string;
}
/**
 * Request parameters for getRecordings operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetRecordingsRequest
 */
export interface LiveTvApiGetRecordingsRequest {
    /**
     * Optional. Filter by channel id.
     * @type {string}
     * @memberof LiveTvApiGetRecordings
     */
    readonly channelId?: string;
    /**
     * Optional. Filter by user and attach user data.
     * @type {string}
     * @memberof LiveTvApiGetRecordings
     */
    readonly userId?: string;
    /**
     * Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @type {number}
     * @memberof LiveTvApiGetRecordings
     */
    readonly startIndex?: number;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof LiveTvApiGetRecordings
     */
    readonly limit?: number;
    /**
     * Optional. Filter by recording status.
     * @type {RecordingStatus}
     * @memberof LiveTvApiGetRecordings
     */
    readonly status?: RecordingStatus;
    /**
     * Optional. Filter by recordings that are in progress, or not.
     * @type {boolean}
     * @memberof LiveTvApiGetRecordings
     */
    readonly isInProgress?: boolean;
    /**
     * Optional. Filter by recordings belonging to a series timer.
     * @type {string}
     * @memberof LiveTvApiGetRecordings
     */
    readonly seriesTimerId?: string;
    /**
     * Optional. Include image information in output.
     * @type {boolean}
     * @memberof LiveTvApiGetRecordings
     */
    readonly enableImages?: boolean;
    /**
     * Optional. The max number of images to return, per image type.
     * @type {number}
     * @memberof LiveTvApiGetRecordings
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof LiveTvApiGetRecordings
     */
    readonly enableImageTypes?: Array<ImageType>;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof LiveTvApiGetRecordings
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. Include user data.
     * @type {boolean}
     * @memberof LiveTvApiGetRecordings
     */
    readonly enableUserData?: boolean;
    /**
     * Optional. Filter for movies.
     * @type {boolean}
     * @memberof LiveTvApiGetRecordings
     */
    readonly isMovie?: boolean;
    /**
     * Optional. Filter for series.
     * @type {boolean}
     * @memberof LiveTvApiGetRecordings
     */
    readonly isSeries?: boolean;
    /**
     * Optional. Filter for kids.
     * @type {boolean}
     * @memberof LiveTvApiGetRecordings
     */
    readonly isKids?: boolean;
    /**
     * Optional. Filter for sports.
     * @type {boolean}
     * @memberof LiveTvApiGetRecordings
     */
    readonly isSports?: boolean;
    /**
     * Optional. Filter for news.
     * @type {boolean}
     * @memberof LiveTvApiGetRecordings
     */
    readonly isNews?: boolean;
    /**
     * Optional. Filter for is library item.
     * @type {boolean}
     * @memberof LiveTvApiGetRecordings
     */
    readonly isLibraryItem?: boolean;
    /**
     * Optional. Return total record count.
     * @type {boolean}
     * @memberof LiveTvApiGetRecordings
     */
    readonly enableTotalRecordCount?: boolean;
}
/**
 * Request parameters for getRecordingsSeries operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetRecordingsSeriesRequest
 */
export interface LiveTvApiGetRecordingsSeriesRequest {
    /**
     * Optional. Filter by channel id.
     * @type {string}
     * @memberof LiveTvApiGetRecordingsSeries
     */
    readonly channelId?: string;
    /**
     * Optional. Filter by user and attach user data.
     * @type {string}
     * @memberof LiveTvApiGetRecordingsSeries
     */
    readonly userId?: string;
    /**
     * Optional. Filter by recording group.
     * @type {string}
     * @memberof LiveTvApiGetRecordingsSeries
     */
    readonly groupId?: string;
    /**
     * Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @type {number}
     * @memberof LiveTvApiGetRecordingsSeries
     */
    readonly startIndex?: number;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof LiveTvApiGetRecordingsSeries
     */
    readonly limit?: number;
    /**
     * Optional. Filter by recording status.
     * @type {RecordingStatus}
     * @memberof LiveTvApiGetRecordingsSeries
     */
    readonly status?: RecordingStatus;
    /**
     * Optional. Filter by recordings that are in progress, or not.
     * @type {boolean}
     * @memberof LiveTvApiGetRecordingsSeries
     */
    readonly isInProgress?: boolean;
    /**
     * Optional. Filter by recordings belonging to a series timer.
     * @type {string}
     * @memberof LiveTvApiGetRecordingsSeries
     */
    readonly seriesTimerId?: string;
    /**
     * Optional. Include image information in output.
     * @type {boolean}
     * @memberof LiveTvApiGetRecordingsSeries
     */
    readonly enableImages?: boolean;
    /**
     * Optional. The max number of images to return, per image type.
     * @type {number}
     * @memberof LiveTvApiGetRecordingsSeries
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof LiveTvApiGetRecordingsSeries
     */
    readonly enableImageTypes?: Array<ImageType>;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof LiveTvApiGetRecordingsSeries
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. Include user data.
     * @type {boolean}
     * @memberof LiveTvApiGetRecordingsSeries
     */
    readonly enableUserData?: boolean;
    /**
     * Optional. Return total record count.
     * @type {boolean}
     * @memberof LiveTvApiGetRecordingsSeries
     */
    readonly enableTotalRecordCount?: boolean;
}
/**
 * Request parameters for getSeriesTimer operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetSeriesTimerRequest
 */
export interface LiveTvApiGetSeriesTimerRequest {
    /**
     * Timer id.
     * @type {string}
     * @memberof LiveTvApiGetSeriesTimer
     */
    readonly timerId: string;
}
/**
 * Request parameters for getSeriesTimers operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetSeriesTimersRequest
 */
export interface LiveTvApiGetSeriesTimersRequest {
    /**
     * Optional. Sort by SortName or Priority.
     * @type {string}
     * @memberof LiveTvApiGetSeriesTimers
     */
    readonly sortBy?: string;
    /**
     * Optional. Sort in Ascending or Descending order.
     * @type {SortOrder}
     * @memberof LiveTvApiGetSeriesTimers
     */
    readonly sortOrder?: SortOrder;
}
/**
 * Request parameters for getTimer operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetTimerRequest
 */
export interface LiveTvApiGetTimerRequest {
    /**
     * Timer id.
     * @type {string}
     * @memberof LiveTvApiGetTimer
     */
    readonly timerId: string;
}
/**
 * Request parameters for getTimers operation in LiveTvApi.
 * @export
 * @interface LiveTvApiGetTimersRequest
 */
export interface LiveTvApiGetTimersRequest {
    /**
     * Optional. Filter by channel id.
     * @type {string}
     * @memberof LiveTvApiGetTimers
     */
    readonly channelId?: string;
    /**
     * Optional. Filter by timers belonging to a series timer.
     * @type {string}
     * @memberof LiveTvApiGetTimers
     */
    readonly seriesTimerId?: string;
    /**
     * Optional. Filter by timers that are active.
     * @type {boolean}
     * @memberof LiveTvApiGetTimers
     */
    readonly isActive?: boolean;
    /**
     * Optional. Filter by timers that are scheduled.
     * @type {boolean}
     * @memberof LiveTvApiGetTimers
     */
    readonly isScheduled?: boolean;
}
/**
 * Request parameters for resetTuner operation in LiveTvApi.
 * @export
 * @interface LiveTvApiResetTunerRequest
 */
export interface LiveTvApiResetTunerRequest {
    /**
     * Tuner id.
     * @type {string}
     * @memberof LiveTvApiResetTuner
     */
    readonly tunerId: string;
}
/**
 * Request parameters for setChannelMapping operation in LiveTvApi.
 * @export
 * @interface LiveTvApiSetChannelMappingRequest
 */
export interface LiveTvApiSetChannelMappingRequest {
    /**
     * The set channel mapping dto.
     * @type {SetChannelMappingDto}
     * @memberof LiveTvApiSetChannelMapping
     */
    readonly setChannelMappingDto: SetChannelMappingDto;
}
/**
 * Request parameters for updateSeriesTimer operation in LiveTvApi.
 * @export
 * @interface LiveTvApiUpdateSeriesTimerRequest
 */
export interface LiveTvApiUpdateSeriesTimerRequest {
    /**
     * Timer id.
     * @type {string}
     * @memberof LiveTvApiUpdateSeriesTimer
     */
    readonly timerId: string;
    /**
     * New series timer info.
     * @type {SeriesTimerInfoDto}
     * @memberof LiveTvApiUpdateSeriesTimer
     */
    readonly seriesTimerInfoDto?: SeriesTimerInfoDto;
}
/**
 * Request parameters for updateTimer operation in LiveTvApi.
 * @export
 * @interface LiveTvApiUpdateTimerRequest
 */
export interface LiveTvApiUpdateTimerRequest {
    /**
     * Timer id.
     * @type {string}
     * @memberof LiveTvApiUpdateTimer
     */
    readonly timerId: string;
    /**
     * New timer info.
     * @type {TimerInfoDto}
     * @memberof LiveTvApiUpdateTimer
     */
    readonly timerInfoDto?: TimerInfoDto;
}
/**
 * LiveTvApi - object-oriented interface
 * @export
 * @class LiveTvApi
 * @extends {BaseAPI}
 */
export declare class LiveTvApi extends BaseAPI {
    /**
     *
     * @summary Adds a listings provider.
     * @param {LiveTvApiAddListingProviderRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    addListingProvider(requestParameters?: LiveTvApiAddListingProviderRequest, options?: any): Promise<import("axios").AxiosResponse<ListingsProviderInfo, any>>;
    /**
     *
     * @summary Adds a tuner host.
     * @param {LiveTvApiAddTunerHostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    addTunerHost(requestParameters?: LiveTvApiAddTunerHostRequest, options?: any): Promise<import("axios").AxiosResponse<TunerHostInfo, any>>;
    /**
     *
     * @summary Cancels a live tv series timer.
     * @param {LiveTvApiCancelSeriesTimerRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    cancelSeriesTimer(requestParameters: LiveTvApiCancelSeriesTimerRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Cancels a live tv timer.
     * @param {LiveTvApiCancelTimerRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    cancelTimer(requestParameters: LiveTvApiCancelTimerRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Creates a live tv series timer.
     * @param {LiveTvApiCreateSeriesTimerRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    createSeriesTimer(requestParameters?: LiveTvApiCreateSeriesTimerRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Creates a live tv timer.
     * @param {LiveTvApiCreateTimerRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    createTimer(requestParameters?: LiveTvApiCreateTimerRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Delete listing provider.
     * @param {LiveTvApiDeleteListingProviderRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    deleteListingProvider(requestParameters?: LiveTvApiDeleteListingProviderRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Deletes a live tv recording.
     * @param {LiveTvApiDeleteRecordingRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    deleteRecording(requestParameters: LiveTvApiDeleteRecordingRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Deletes a tuner host.
     * @param {LiveTvApiDeleteTunerHostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    deleteTunerHost(requestParameters?: LiveTvApiDeleteTunerHostRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Discover tuners.
     * @param {LiveTvApiDiscoverTunersRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    discoverTuners(requestParameters?: LiveTvApiDiscoverTunersRequest, options?: any): Promise<import("axios").AxiosResponse<TunerHostInfo[], any>>;
    /**
     *
     * @summary Discover tuners.
     * @param {LiveTvApiDiscvoverTunersRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    discvoverTuners(requestParameters?: LiveTvApiDiscvoverTunersRequest, options?: any): Promise<import("axios").AxiosResponse<TunerHostInfo[], any>>;
    /**
     *
     * @summary Gets a live tv channel.
     * @param {LiveTvApiGetChannelRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getChannel(requestParameters: LiveTvApiGetChannelRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDto, any>>;
    /**
     *
     * @summary Get channel mapping options.
     * @param {LiveTvApiGetChannelMappingOptionsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getChannelMappingOptions(requestParameters?: LiveTvApiGetChannelMappingOptionsRequest, options?: any): Promise<import("axios").AxiosResponse<ChannelMappingOptionsDto, any>>;
    /**
     *
     * @summary Gets default listings provider info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getDefaultListingProvider(options?: any): Promise<import("axios").AxiosResponse<ListingsProviderInfo, any>>;
    /**
     *
     * @summary Gets the default values for a new timer.
     * @param {LiveTvApiGetDefaultTimerRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getDefaultTimer(requestParameters?: LiveTvApiGetDefaultTimerRequest, options?: any): Promise<import("axios").AxiosResponse<SeriesTimerInfoDto, any>>;
    /**
     *
     * @summary Get guid info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getGuideInfo(options?: any): Promise<import("axios").AxiosResponse<GuideInfo, any>>;
    /**
     *
     * @summary Gets available lineups.
     * @param {LiveTvApiGetLineupsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getLineups(requestParameters?: LiveTvApiGetLineupsRequest, options?: any): Promise<import("axios").AxiosResponse<NameIdPair[], any>>;
    /**
     *
     * @summary Gets a live tv recording stream.
     * @param {LiveTvApiGetLiveRecordingFileRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getLiveRecordingFile(requestParameters: LiveTvApiGetLiveRecordingFileRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets a live tv channel stream.
     * @param {LiveTvApiGetLiveStreamFileRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getLiveStreamFile(requestParameters: LiveTvApiGetLiveStreamFileRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets available live tv channels.
     * @param {LiveTvApiGetLiveTvChannelsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getLiveTvChannels(requestParameters?: LiveTvApiGetLiveTvChannelsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets available live tv services.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getLiveTvInfo(options?: any): Promise<import("axios").AxiosResponse<LiveTvInfo, any>>;
    /**
     *
     * @summary Gets available live tv epgs.
     * @param {LiveTvApiGetLiveTvProgramsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getLiveTvPrograms(requestParameters?: LiveTvApiGetLiveTvProgramsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets a live tv program.
     * @param {LiveTvApiGetProgramRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getProgram(requestParameters: LiveTvApiGetProgramRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDto, any>>;
    /**
     *
     * @summary Gets available live tv epgs.
     * @param {LiveTvApiGetProgramsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getPrograms(requestParameters?: LiveTvApiGetProgramsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets recommended live tv epgs.
     * @param {LiveTvApiGetRecommendedProgramsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getRecommendedPrograms(requestParameters?: LiveTvApiGetRecommendedProgramsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets a live tv recording.
     * @param {LiveTvApiGetRecordingRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getRecording(requestParameters: LiveTvApiGetRecordingRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDto, any>>;
    /**
     *
     * @summary Gets recording folders.
     * @param {LiveTvApiGetRecordingFoldersRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getRecordingFolders(requestParameters?: LiveTvApiGetRecordingFoldersRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Get recording group.
     * @param {LiveTvApiGetRecordingGroupRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getRecordingGroup(requestParameters: LiveTvApiGetRecordingGroupRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Gets live tv recording groups.
     * @param {LiveTvApiGetRecordingGroupsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getRecordingGroups(requestParameters?: LiveTvApiGetRecordingGroupsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets live tv recordings.
     * @param {LiveTvApiGetRecordingsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getRecordings(requestParameters?: LiveTvApiGetRecordingsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets live tv recording series.
     * @param {LiveTvApiGetRecordingsSeriesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getRecordingsSeries(requestParameters?: LiveTvApiGetRecordingsSeriesRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets available countries.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getSchedulesDirectCountries(options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets a live tv series timer.
     * @param {LiveTvApiGetSeriesTimerRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getSeriesTimer(requestParameters: LiveTvApiGetSeriesTimerRequest, options?: any): Promise<import("axios").AxiosResponse<SeriesTimerInfoDto, any>>;
    /**
     *
     * @summary Gets live tv series timers.
     * @param {LiveTvApiGetSeriesTimersRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getSeriesTimers(requestParameters?: LiveTvApiGetSeriesTimersRequest, options?: any): Promise<import("axios").AxiosResponse<SeriesTimerInfoDtoQueryResult, any>>;
    /**
     *
     * @summary Gets a timer.
     * @param {LiveTvApiGetTimerRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getTimer(requestParameters: LiveTvApiGetTimerRequest, options?: any): Promise<import("axios").AxiosResponse<TimerInfoDto, any>>;
    /**
     *
     * @summary Gets the live tv timers.
     * @param {LiveTvApiGetTimersRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getTimers(requestParameters?: LiveTvApiGetTimersRequest, options?: any): Promise<import("axios").AxiosResponse<TimerInfoDtoQueryResult, any>>;
    /**
     *
     * @summary Get tuner host types.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    getTunerHostTypes(options?: any): Promise<import("axios").AxiosResponse<NameIdPair[], any>>;
    /**
     *
     * @summary Resets a tv tuner.
     * @param {LiveTvApiResetTunerRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    resetTuner(requestParameters: LiveTvApiResetTunerRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Set channel mappings.
     * @param {LiveTvApiSetChannelMappingRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    setChannelMapping(requestParameters: LiveTvApiSetChannelMappingRequest, options?: any): Promise<import("axios").AxiosResponse<TunerChannelMapping, any>>;
    /**
     *
     * @summary Updates a live tv series timer.
     * @param {LiveTvApiUpdateSeriesTimerRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    updateSeriesTimer(requestParameters: LiveTvApiUpdateSeriesTimerRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Updates a live tv timer.
     * @param {LiveTvApiUpdateTimerRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LiveTvApi
     */
    updateTimer(requestParameters: LiveTvApiUpdateTimerRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
