/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { LiveStreamResponse } from '../models';
import { OpenLiveStreamDto } from '../models';
import { PlaybackInfoDto } from '../models';
import { PlaybackInfoResponse } from '../models';
/**
 * MediaInfoApi - axios parameter creator
 * @export
 */
export declare const MediaInfoApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Closes a media source.
     * @param {string} liveStreamId The livestream id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    closeLiveStream: (liveStreamId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Tests the network with a request with the size of the bitrate.
     * @param {number} [size] The bitrate. Defaults to 102400.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getBitrateTestBytes: (size?: number | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets live playback media info for an item.
     * @param {string} itemId The item id.
     * @param {string} userId The user id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPlaybackInfo: (itemId: string, userId: string, options?: any) => Promise<RequestArgs>;
    /**
     * For backwards compatibility parameters can be sent via Query or Body, with Query having higher precedence.  Query parameters are obsolete.
     * @summary Gets live playback media info for an item.
     * @param {string} itemId The item id.
     * @param {string} [userId] The user id.
     * @param {number} [maxStreamingBitrate] The maximum streaming bitrate.
     * @param {number} [startTimeTicks] The start time in ticks.
     * @param {number} [audioStreamIndex] The audio stream index.
     * @param {number} [subtitleStreamIndex] The subtitle stream index.
     * @param {number} [maxAudioChannels] The maximum number of audio channels.
     * @param {string} [mediaSourceId] The media source id.
     * @param {string} [liveStreamId] The livestream id.
     * @param {boolean} [autoOpenLiveStream] Whether to auto open the livestream.
     * @param {boolean} [enableDirectPlay] Whether to enable direct play. Default: true.
     * @param {boolean} [enableDirectStream] Whether to enable direct stream. Default: true.
     * @param {boolean} [enableTranscoding] Whether to enable transcoding. Default: true.
     * @param {boolean} [allowVideoStreamCopy] Whether to allow to copy the video stream. Default: true.
     * @param {boolean} [allowAudioStreamCopy] Whether to allow to copy the audio stream. Default: true.
     * @param {PlaybackInfoDto} [playbackInfoDto] The playback info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPostedPlaybackInfo: (itemId: string, userId?: string | undefined, maxStreamingBitrate?: number | undefined, startTimeTicks?: number | undefined, audioStreamIndex?: number | undefined, subtitleStreamIndex?: number | undefined, maxAudioChannels?: number | undefined, mediaSourceId?: string | undefined, liveStreamId?: string | undefined, autoOpenLiveStream?: boolean | undefined, enableDirectPlay?: boolean | undefined, enableDirectStream?: boolean | undefined, enableTranscoding?: boolean | undefined, allowVideoStreamCopy?: boolean | undefined, allowAudioStreamCopy?: boolean | undefined, playbackInfoDto?: PlaybackInfoDto | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Opens a media source.
     * @param {string} [openToken] The open token.
     * @param {string} [userId] The user id.
     * @param {string} [playSessionId] The play session id.
     * @param {number} [maxStreamingBitrate] The maximum streaming bitrate.
     * @param {number} [startTimeTicks] The start time in ticks.
     * @param {number} [audioStreamIndex] The audio stream index.
     * @param {number} [subtitleStreamIndex] The subtitle stream index.
     * @param {number} [maxAudioChannels] The maximum number of audio channels.
     * @param {string} [itemId] The item id.
     * @param {boolean} [enableDirectPlay] Whether to enable direct play. Default: true.
     * @param {boolean} [enableDirectStream] Whether to enable direct stream. Default: true.
     * @param {OpenLiveStreamDto} [openLiveStreamDto] The open live stream dto.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    openLiveStream: (openToken?: string | undefined, userId?: string | undefined, playSessionId?: string | undefined, maxStreamingBitrate?: number | undefined, startTimeTicks?: number | undefined, audioStreamIndex?: number | undefined, subtitleStreamIndex?: number | undefined, maxAudioChannels?: number | undefined, itemId?: string | undefined, enableDirectPlay?: boolean | undefined, enableDirectStream?: boolean | undefined, openLiveStreamDto?: OpenLiveStreamDto | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * MediaInfoApi - functional programming interface
 * @export
 */
export declare const MediaInfoApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Closes a media source.
     * @param {string} liveStreamId The livestream id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    closeLiveStream(liveStreamId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Tests the network with a request with the size of the bitrate.
     * @param {number} [size] The bitrate. Defaults to 102400.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getBitrateTestBytes(size?: number | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets live playback media info for an item.
     * @param {string} itemId The item id.
     * @param {string} userId The user id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPlaybackInfo(itemId: string, userId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<PlaybackInfoResponse>>;
    /**
     * For backwards compatibility parameters can be sent via Query or Body, with Query having higher precedence.  Query parameters are obsolete.
     * @summary Gets live playback media info for an item.
     * @param {string} itemId The item id.
     * @param {string} [userId] The user id.
     * @param {number} [maxStreamingBitrate] The maximum streaming bitrate.
     * @param {number} [startTimeTicks] The start time in ticks.
     * @param {number} [audioStreamIndex] The audio stream index.
     * @param {number} [subtitleStreamIndex] The subtitle stream index.
     * @param {number} [maxAudioChannels] The maximum number of audio channels.
     * @param {string} [mediaSourceId] The media source id.
     * @param {string} [liveStreamId] The livestream id.
     * @param {boolean} [autoOpenLiveStream] Whether to auto open the livestream.
     * @param {boolean} [enableDirectPlay] Whether to enable direct play. Default: true.
     * @param {boolean} [enableDirectStream] Whether to enable direct stream. Default: true.
     * @param {boolean} [enableTranscoding] Whether to enable transcoding. Default: true.
     * @param {boolean} [allowVideoStreamCopy] Whether to allow to copy the video stream. Default: true.
     * @param {boolean} [allowAudioStreamCopy] Whether to allow to copy the audio stream. Default: true.
     * @param {PlaybackInfoDto} [playbackInfoDto] The playback info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPostedPlaybackInfo(itemId: string, userId?: string | undefined, maxStreamingBitrate?: number | undefined, startTimeTicks?: number | undefined, audioStreamIndex?: number | undefined, subtitleStreamIndex?: number | undefined, maxAudioChannels?: number | undefined, mediaSourceId?: string | undefined, liveStreamId?: string | undefined, autoOpenLiveStream?: boolean | undefined, enableDirectPlay?: boolean | undefined, enableDirectStream?: boolean | undefined, enableTranscoding?: boolean | undefined, allowVideoStreamCopy?: boolean | undefined, allowAudioStreamCopy?: boolean | undefined, playbackInfoDto?: PlaybackInfoDto | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<PlaybackInfoResponse>>;
    /**
     *
     * @summary Opens a media source.
     * @param {string} [openToken] The open token.
     * @param {string} [userId] The user id.
     * @param {string} [playSessionId] The play session id.
     * @param {number} [maxStreamingBitrate] The maximum streaming bitrate.
     * @param {number} [startTimeTicks] The start time in ticks.
     * @param {number} [audioStreamIndex] The audio stream index.
     * @param {number} [subtitleStreamIndex] The subtitle stream index.
     * @param {number} [maxAudioChannels] The maximum number of audio channels.
     * @param {string} [itemId] The item id.
     * @param {boolean} [enableDirectPlay] Whether to enable direct play. Default: true.
     * @param {boolean} [enableDirectStream] Whether to enable direct stream. Default: true.
     * @param {OpenLiveStreamDto} [openLiveStreamDto] The open live stream dto.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    openLiveStream(openToken?: string | undefined, userId?: string | undefined, playSessionId?: string | undefined, maxStreamingBitrate?: number | undefined, startTimeTicks?: number | undefined, audioStreamIndex?: number | undefined, subtitleStreamIndex?: number | undefined, maxAudioChannels?: number | undefined, itemId?: string | undefined, enableDirectPlay?: boolean | undefined, enableDirectStream?: boolean | undefined, openLiveStreamDto?: OpenLiveStreamDto | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<LiveStreamResponse>>;
};
/**
 * MediaInfoApi - factory interface
 * @export
 */
export declare const MediaInfoApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Closes a media source.
     * @param {string} liveStreamId The livestream id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    closeLiveStream(liveStreamId: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Tests the network with a request with the size of the bitrate.
     * @param {number} [size] The bitrate. Defaults to 102400.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getBitrateTestBytes(size?: number | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets live playback media info for an item.
     * @param {string} itemId The item id.
     * @param {string} userId The user id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPlaybackInfo(itemId: string, userId: string, options?: any): AxiosPromise<PlaybackInfoResponse>;
    /**
     * For backwards compatibility parameters can be sent via Query or Body, with Query having higher precedence.  Query parameters are obsolete.
     * @summary Gets live playback media info for an item.
     * @param {string} itemId The item id.
     * @param {string} [userId] The user id.
     * @param {number} [maxStreamingBitrate] The maximum streaming bitrate.
     * @param {number} [startTimeTicks] The start time in ticks.
     * @param {number} [audioStreamIndex] The audio stream index.
     * @param {number} [subtitleStreamIndex] The subtitle stream index.
     * @param {number} [maxAudioChannels] The maximum number of audio channels.
     * @param {string} [mediaSourceId] The media source id.
     * @param {string} [liveStreamId] The livestream id.
     * @param {boolean} [autoOpenLiveStream] Whether to auto open the livestream.
     * @param {boolean} [enableDirectPlay] Whether to enable direct play. Default: true.
     * @param {boolean} [enableDirectStream] Whether to enable direct stream. Default: true.
     * @param {boolean} [enableTranscoding] Whether to enable transcoding. Default: true.
     * @param {boolean} [allowVideoStreamCopy] Whether to allow to copy the video stream. Default: true.
     * @param {boolean} [allowAudioStreamCopy] Whether to allow to copy the audio stream. Default: true.
     * @param {PlaybackInfoDto} [playbackInfoDto] The playback info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPostedPlaybackInfo(itemId: string, userId?: string | undefined, maxStreamingBitrate?: number | undefined, startTimeTicks?: number | undefined, audioStreamIndex?: number | undefined, subtitleStreamIndex?: number | undefined, maxAudioChannels?: number | undefined, mediaSourceId?: string | undefined, liveStreamId?: string | undefined, autoOpenLiveStream?: boolean | undefined, enableDirectPlay?: boolean | undefined, enableDirectStream?: boolean | undefined, enableTranscoding?: boolean | undefined, allowVideoStreamCopy?: boolean | undefined, allowAudioStreamCopy?: boolean | undefined, playbackInfoDto?: PlaybackInfoDto | undefined, options?: any): AxiosPromise<PlaybackInfoResponse>;
    /**
     *
     * @summary Opens a media source.
     * @param {string} [openToken] The open token.
     * @param {string} [userId] The user id.
     * @param {string} [playSessionId] The play session id.
     * @param {number} [maxStreamingBitrate] The maximum streaming bitrate.
     * @param {number} [startTimeTicks] The start time in ticks.
     * @param {number} [audioStreamIndex] The audio stream index.
     * @param {number} [subtitleStreamIndex] The subtitle stream index.
     * @param {number} [maxAudioChannels] The maximum number of audio channels.
     * @param {string} [itemId] The item id.
     * @param {boolean} [enableDirectPlay] Whether to enable direct play. Default: true.
     * @param {boolean} [enableDirectStream] Whether to enable direct stream. Default: true.
     * @param {OpenLiveStreamDto} [openLiveStreamDto] The open live stream dto.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    openLiveStream(openToken?: string | undefined, userId?: string | undefined, playSessionId?: string | undefined, maxStreamingBitrate?: number | undefined, startTimeTicks?: number | undefined, audioStreamIndex?: number | undefined, subtitleStreamIndex?: number | undefined, maxAudioChannels?: number | undefined, itemId?: string | undefined, enableDirectPlay?: boolean | undefined, enableDirectStream?: boolean | undefined, openLiveStreamDto?: OpenLiveStreamDto | undefined, options?: any): AxiosPromise<LiveStreamResponse>;
};
/**
 * Request parameters for closeLiveStream operation in MediaInfoApi.
 * @export
 * @interface MediaInfoApiCloseLiveStreamRequest
 */
export interface MediaInfoApiCloseLiveStreamRequest {
    /**
     * The livestream id.
     * @type {string}
     * @memberof MediaInfoApiCloseLiveStream
     */
    readonly liveStreamId: string;
}
/**
 * Request parameters for getBitrateTestBytes operation in MediaInfoApi.
 * @export
 * @interface MediaInfoApiGetBitrateTestBytesRequest
 */
export interface MediaInfoApiGetBitrateTestBytesRequest {
    /**
     * The bitrate. Defaults to 102400.
     * @type {number}
     * @memberof MediaInfoApiGetBitrateTestBytes
     */
    readonly size?: number;
}
/**
 * Request parameters for getPlaybackInfo operation in MediaInfoApi.
 * @export
 * @interface MediaInfoApiGetPlaybackInfoRequest
 */
export interface MediaInfoApiGetPlaybackInfoRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof MediaInfoApiGetPlaybackInfo
     */
    readonly itemId: string;
    /**
     * The user id.
     * @type {string}
     * @memberof MediaInfoApiGetPlaybackInfo
     */
    readonly userId: string;
}
/**
 * Request parameters for getPostedPlaybackInfo operation in MediaInfoApi.
 * @export
 * @interface MediaInfoApiGetPostedPlaybackInfoRequest
 */
export interface MediaInfoApiGetPostedPlaybackInfoRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof MediaInfoApiGetPostedPlaybackInfo
     */
    readonly itemId: string;
    /**
     * The user id.
     * @type {string}
     * @memberof MediaInfoApiGetPostedPlaybackInfo
     */
    readonly userId?: string;
    /**
     * The maximum streaming bitrate.
     * @type {number}
     * @memberof MediaInfoApiGetPostedPlaybackInfo
     */
    readonly maxStreamingBitrate?: number;
    /**
     * The start time in ticks.
     * @type {number}
     * @memberof MediaInfoApiGetPostedPlaybackInfo
     */
    readonly startTimeTicks?: number;
    /**
     * The audio stream index.
     * @type {number}
     * @memberof MediaInfoApiGetPostedPlaybackInfo
     */
    readonly audioStreamIndex?: number;
    /**
     * The subtitle stream index.
     * @type {number}
     * @memberof MediaInfoApiGetPostedPlaybackInfo
     */
    readonly subtitleStreamIndex?: number;
    /**
     * The maximum number of audio channels.
     * @type {number}
     * @memberof MediaInfoApiGetPostedPlaybackInfo
     */
    readonly maxAudioChannels?: number;
    /**
     * The media source id.
     * @type {string}
     * @memberof MediaInfoApiGetPostedPlaybackInfo
     */
    readonly mediaSourceId?: string;
    /**
     * The livestream id.
     * @type {string}
     * @memberof MediaInfoApiGetPostedPlaybackInfo
     */
    readonly liveStreamId?: string;
    /**
     * Whether to auto open the livestream.
     * @type {boolean}
     * @memberof MediaInfoApiGetPostedPlaybackInfo
     */
    readonly autoOpenLiveStream?: boolean;
    /**
     * Whether to enable direct play. Default: true.
     * @type {boolean}
     * @memberof MediaInfoApiGetPostedPlaybackInfo
     */
    readonly enableDirectPlay?: boolean;
    /**
     * Whether to enable direct stream. Default: true.
     * @type {boolean}
     * @memberof MediaInfoApiGetPostedPlaybackInfo
     */
    readonly enableDirectStream?: boolean;
    /**
     * Whether to enable transcoding. Default: true.
     * @type {boolean}
     * @memberof MediaInfoApiGetPostedPlaybackInfo
     */
    readonly enableTranscoding?: boolean;
    /**
     * Whether to allow to copy the video stream. Default: true.
     * @type {boolean}
     * @memberof MediaInfoApiGetPostedPlaybackInfo
     */
    readonly allowVideoStreamCopy?: boolean;
    /**
     * Whether to allow to copy the audio stream. Default: true.
     * @type {boolean}
     * @memberof MediaInfoApiGetPostedPlaybackInfo
     */
    readonly allowAudioStreamCopy?: boolean;
    /**
     * The playback info.
     * @type {PlaybackInfoDto}
     * @memberof MediaInfoApiGetPostedPlaybackInfo
     */
    readonly playbackInfoDto?: PlaybackInfoDto;
}
/**
 * Request parameters for openLiveStream operation in MediaInfoApi.
 * @export
 * @interface MediaInfoApiOpenLiveStreamRequest
 */
export interface MediaInfoApiOpenLiveStreamRequest {
    /**
     * The open token.
     * @type {string}
     * @memberof MediaInfoApiOpenLiveStream
     */
    readonly openToken?: string;
    /**
     * The user id.
     * @type {string}
     * @memberof MediaInfoApiOpenLiveStream
     */
    readonly userId?: string;
    /**
     * The play session id.
     * @type {string}
     * @memberof MediaInfoApiOpenLiveStream
     */
    readonly playSessionId?: string;
    /**
     * The maximum streaming bitrate.
     * @type {number}
     * @memberof MediaInfoApiOpenLiveStream
     */
    readonly maxStreamingBitrate?: number;
    /**
     * The start time in ticks.
     * @type {number}
     * @memberof MediaInfoApiOpenLiveStream
     */
    readonly startTimeTicks?: number;
    /**
     * The audio stream index.
     * @type {number}
     * @memberof MediaInfoApiOpenLiveStream
     */
    readonly audioStreamIndex?: number;
    /**
     * The subtitle stream index.
     * @type {number}
     * @memberof MediaInfoApiOpenLiveStream
     */
    readonly subtitleStreamIndex?: number;
    /**
     * The maximum number of audio channels.
     * @type {number}
     * @memberof MediaInfoApiOpenLiveStream
     */
    readonly maxAudioChannels?: number;
    /**
     * The item id.
     * @type {string}
     * @memberof MediaInfoApiOpenLiveStream
     */
    readonly itemId?: string;
    /**
     * Whether to enable direct play. Default: true.
     * @type {boolean}
     * @memberof MediaInfoApiOpenLiveStream
     */
    readonly enableDirectPlay?: boolean;
    /**
     * Whether to enable direct stream. Default: true.
     * @type {boolean}
     * @memberof MediaInfoApiOpenLiveStream
     */
    readonly enableDirectStream?: boolean;
    /**
     * The open live stream dto.
     * @type {OpenLiveStreamDto}
     * @memberof MediaInfoApiOpenLiveStream
     */
    readonly openLiveStreamDto?: OpenLiveStreamDto;
}
/**
 * MediaInfoApi - object-oriented interface
 * @export
 * @class MediaInfoApi
 * @extends {BaseAPI}
 */
export declare class MediaInfoApi extends BaseAPI {
    /**
     *
     * @summary Closes a media source.
     * @param {MediaInfoApiCloseLiveStreamRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MediaInfoApi
     */
    closeLiveStream(requestParameters: MediaInfoApiCloseLiveStreamRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Tests the network with a request with the size of the bitrate.
     * @param {MediaInfoApiGetBitrateTestBytesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MediaInfoApi
     */
    getBitrateTestBytes(requestParameters?: MediaInfoApiGetBitrateTestBytesRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets live playback media info for an item.
     * @param {MediaInfoApiGetPlaybackInfoRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MediaInfoApi
     */
    getPlaybackInfo(requestParameters: MediaInfoApiGetPlaybackInfoRequest, options?: any): Promise<import("axios").AxiosResponse<PlaybackInfoResponse, any>>;
    /**
     * For backwards compatibility parameters can be sent via Query or Body, with Query having higher precedence.  Query parameters are obsolete.
     * @summary Gets live playback media info for an item.
     * @param {MediaInfoApiGetPostedPlaybackInfoRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MediaInfoApi
     */
    getPostedPlaybackInfo(requestParameters: MediaInfoApiGetPostedPlaybackInfoRequest, options?: any): Promise<import("axios").AxiosResponse<PlaybackInfoResponse, any>>;
    /**
     *
     * @summary Opens a media source.
     * @param {MediaInfoApiOpenLiveStreamRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MediaInfoApi
     */
    openLiveStream(requestParameters?: MediaInfoApiOpenLiveStreamRequest, options?: any): Promise<import("axios").AxiosResponse<LiveStreamResponse, any>>;
}
