/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { ItemFields } from '../models';
import { RecommendationDto } from '../models';
/**
 * MoviesApi - axios parameter creator
 * @export
 */
export declare const MoviesApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets movie recommendations.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {string} [parentId] Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<ItemFields>} [fields] Optional. The fields to return.
     * @param {number} [categoryLimit] The max number of categories to return.
     * @param {number} [itemLimit] The max number of items to return per category.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMovieRecommendations: (userId?: string | undefined, parentId?: string | undefined, fields?: ItemFields[] | undefined, categoryLimit?: number | undefined, itemLimit?: number | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * MoviesApi - functional programming interface
 * @export
 */
export declare const MoviesApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets movie recommendations.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {string} [parentId] Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<ItemFields>} [fields] Optional. The fields to return.
     * @param {number} [categoryLimit] The max number of categories to return.
     * @param {number} [itemLimit] The max number of items to return per category.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMovieRecommendations(userId?: string | undefined, parentId?: string | undefined, fields?: ItemFields[] | undefined, categoryLimit?: number | undefined, itemLimit?: number | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<RecommendationDto>>>;
};
/**
 * MoviesApi - factory interface
 * @export
 */
export declare const MoviesApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Gets movie recommendations.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {string} [parentId] Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<ItemFields>} [fields] Optional. The fields to return.
     * @param {number} [categoryLimit] The max number of categories to return.
     * @param {number} [itemLimit] The max number of items to return per category.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMovieRecommendations(userId?: string | undefined, parentId?: string | undefined, fields?: ItemFields[] | undefined, categoryLimit?: number | undefined, itemLimit?: number | undefined, options?: any): AxiosPromise<Array<RecommendationDto>>;
};
/**
 * Request parameters for getMovieRecommendations operation in MoviesApi.
 * @export
 * @interface MoviesApiGetMovieRecommendationsRequest
 */
export interface MoviesApiGetMovieRecommendationsRequest {
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof MoviesApiGetMovieRecommendations
     */
    readonly userId?: string;
    /**
     * Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @type {string}
     * @memberof MoviesApiGetMovieRecommendations
     */
    readonly parentId?: string;
    /**
     * Optional. The fields to return.
     * @type {Array<ItemFields>}
     * @memberof MoviesApiGetMovieRecommendations
     */
    readonly fields?: Array<ItemFields>;
    /**
     * The max number of categories to return.
     * @type {number}
     * @memberof MoviesApiGetMovieRecommendations
     */
    readonly categoryLimit?: number;
    /**
     * The max number of items to return per category.
     * @type {number}
     * @memberof MoviesApiGetMovieRecommendations
     */
    readonly itemLimit?: number;
}
/**
 * MoviesApi - object-oriented interface
 * @export
 * @class MoviesApi
 * @extends {BaseAPI}
 */
export declare class MoviesApi extends BaseAPI {
    /**
     *
     * @summary Gets movie recommendations.
     * @param {MoviesApiGetMovieRecommendationsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MoviesApi
     */
    getMovieRecommendations(requestParameters?: MoviesApiGetMovieRecommendationsRequest, options?: any): Promise<import("axios").AxiosResponse<RecommendationDto[], any>>;
}
