/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { PackageInfo } from '../models';
import { RepositoryInfo } from '../models';
/**
 * PackageApi - axios parameter creator
 * @export
 */
export declare const PackageApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Cancels a package installation.
     * @param {string} packageId Installation Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    cancelPackageInstallation: (packageId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a package by name or assembly GUID.
     * @param {string} name The name of the package.
     * @param {string} [assemblyGuid] The GUID of the associated assembly.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPackageInfo: (name: string, assemblyGuid?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets available packages.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPackages: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets all package repositories.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRepositories: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Installs a package.
     * @param {string} name Package name.
     * @param {string} [assemblyGuid] GUID of the associated assembly.
     * @param {string} [version] Optional version. Defaults to latest version.
     * @param {string} [repositoryUrl] Optional. Specify the repository to install from.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    installPackage: (name: string, assemblyGuid?: string | undefined, version?: string | undefined, repositoryUrl?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Sets the enabled and existing package repositories.
     * @param {Array<RepositoryInfo>} repositoryInfo The list of package repositories.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    setRepositories: (repositoryInfo: Array<RepositoryInfo>, options?: any) => Promise<RequestArgs>;
};
/**
 * PackageApi - functional programming interface
 * @export
 */
export declare const PackageApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Cancels a package installation.
     * @param {string} packageId Installation Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    cancelPackageInstallation(packageId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Gets a package by name or assembly GUID.
     * @param {string} name The name of the package.
     * @param {string} [assemblyGuid] The GUID of the associated assembly.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPackageInfo(name: string, assemblyGuid?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<PackageInfo>>;
    /**
     *
     * @summary Gets available packages.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPackages(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<PackageInfo>>>;
    /**
     *
     * @summary Gets all package repositories.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRepositories(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<RepositoryInfo>>>;
    /**
     *
     * @summary Installs a package.
     * @param {string} name Package name.
     * @param {string} [assemblyGuid] GUID of the associated assembly.
     * @param {string} [version] Optional version. Defaults to latest version.
     * @param {string} [repositoryUrl] Optional. Specify the repository to install from.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    installPackage(name: string, assemblyGuid?: string | undefined, version?: string | undefined, repositoryUrl?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Sets the enabled and existing package repositories.
     * @param {Array<RepositoryInfo>} repositoryInfo The list of package repositories.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    setRepositories(repositoryInfo: Array<RepositoryInfo>, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * PackageApi - factory interface
 * @export
 */
export declare const PackageApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Cancels a package installation.
     * @param {string} packageId Installation Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    cancelPackageInstallation(packageId: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Gets a package by name or assembly GUID.
     * @param {string} name The name of the package.
     * @param {string} [assemblyGuid] The GUID of the associated assembly.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPackageInfo(name: string, assemblyGuid?: string | undefined, options?: any): AxiosPromise<PackageInfo>;
    /**
     *
     * @summary Gets available packages.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPackages(options?: any): AxiosPromise<Array<PackageInfo>>;
    /**
     *
     * @summary Gets all package repositories.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRepositories(options?: any): AxiosPromise<Array<RepositoryInfo>>;
    /**
     *
     * @summary Installs a package.
     * @param {string} name Package name.
     * @param {string} [assemblyGuid] GUID of the associated assembly.
     * @param {string} [version] Optional version. Defaults to latest version.
     * @param {string} [repositoryUrl] Optional. Specify the repository to install from.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    installPackage(name: string, assemblyGuid?: string | undefined, version?: string | undefined, repositoryUrl?: string | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Sets the enabled and existing package repositories.
     * @param {Array<RepositoryInfo>} repositoryInfo The list of package repositories.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    setRepositories(repositoryInfo: Array<RepositoryInfo>, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for cancelPackageInstallation operation in PackageApi.
 * @export
 * @interface PackageApiCancelPackageInstallationRequest
 */
export interface PackageApiCancelPackageInstallationRequest {
    /**
     * Installation Id.
     * @type {string}
     * @memberof PackageApiCancelPackageInstallation
     */
    readonly packageId: string;
}
/**
 * Request parameters for getPackageInfo operation in PackageApi.
 * @export
 * @interface PackageApiGetPackageInfoRequest
 */
export interface PackageApiGetPackageInfoRequest {
    /**
     * The name of the package.
     * @type {string}
     * @memberof PackageApiGetPackageInfo
     */
    readonly name: string;
    /**
     * The GUID of the associated assembly.
     * @type {string}
     * @memberof PackageApiGetPackageInfo
     */
    readonly assemblyGuid?: string;
}
/**
 * Request parameters for installPackage operation in PackageApi.
 * @export
 * @interface PackageApiInstallPackageRequest
 */
export interface PackageApiInstallPackageRequest {
    /**
     * Package name.
     * @type {string}
     * @memberof PackageApiInstallPackage
     */
    readonly name: string;
    /**
     * GUID of the associated assembly.
     * @type {string}
     * @memberof PackageApiInstallPackage
     */
    readonly assemblyGuid?: string;
    /**
     * Optional version. Defaults to latest version.
     * @type {string}
     * @memberof PackageApiInstallPackage
     */
    readonly version?: string;
    /**
     * Optional. Specify the repository to install from.
     * @type {string}
     * @memberof PackageApiInstallPackage
     */
    readonly repositoryUrl?: string;
}
/**
 * Request parameters for setRepositories operation in PackageApi.
 * @export
 * @interface PackageApiSetRepositoriesRequest
 */
export interface PackageApiSetRepositoriesRequest {
    /**
     * The list of package repositories.
     * @type {Array<RepositoryInfo>}
     * @memberof PackageApiSetRepositories
     */
    readonly repositoryInfo: Array<RepositoryInfo>;
}
/**
 * PackageApi - object-oriented interface
 * @export
 * @class PackageApi
 * @extends {BaseAPI}
 */
export declare class PackageApi extends BaseAPI {
    /**
     *
     * @summary Cancels a package installation.
     * @param {PackageApiCancelPackageInstallationRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PackageApi
     */
    cancelPackageInstallation(requestParameters: PackageApiCancelPackageInstallationRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Gets a package by name or assembly GUID.
     * @param {PackageApiGetPackageInfoRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PackageApi
     */
    getPackageInfo(requestParameters: PackageApiGetPackageInfoRequest, options?: any): Promise<import("axios").AxiosResponse<PackageInfo, any>>;
    /**
     *
     * @summary Gets available packages.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PackageApi
     */
    getPackages(options?: any): Promise<import("axios").AxiosResponse<PackageInfo[], any>>;
    /**
     *
     * @summary Gets all package repositories.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PackageApi
     */
    getRepositories(options?: any): Promise<import("axios").AxiosResponse<RepositoryInfo[], any>>;
    /**
     *
     * @summary Installs a package.
     * @param {PackageApiInstallPackageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PackageApi
     */
    installPackage(requestParameters: PackageApiInstallPackageRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Sets the enabled and existing package repositories.
     * @param {PackageApiSetRepositoriesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PackageApi
     */
    setRepositories(requestParameters: PackageApiSetRepositoriesRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
