/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { BaseItemDto } from '../models';
import { BaseItemDtoQueryResult } from '../models';
import { ImageType } from '../models';
import { ItemFields } from '../models';
import { ItemFilter } from '../models';
/**
 * PersonsApi - axios parameter creator
 * @export
 */
export declare const PersonsApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Get person by name.
     * @param {string} name Person name.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPerson: (name: string, userId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets all persons.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {string} [searchTerm] The search term.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {Array<ItemFilter>} [filters] Optional. Specify additional filters to apply.
     * @param {boolean} [isFavorite] Optional filter by items that are marked as favorite, or not. userId is required.
     * @param {boolean} [enableUserData] Optional, include user data.
     * @param {number} [imageTypeLimit] Optional, the max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {Array<string>} [excludePersonTypes] Optional. If specified results will be filtered to exclude those containing the specified PersonType. Allows multiple, comma-delimited.
     * @param {Array<string>} [personTypes] Optional. If specified results will be filtered to include only those containing the specified PersonType. Allows multiple, comma-delimited.
     * @param {string} [appearsInItemId] Optional. If specified, person results will be filtered on items related to said persons.
     * @param {string} [userId] User id.
     * @param {boolean} [enableImages] Optional, include image information in output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPersons: (limit?: number | undefined, searchTerm?: string | undefined, fields?: ItemFields[] | undefined, filters?: ItemFilter[] | undefined, isFavorite?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, excludePersonTypes?: string[] | undefined, personTypes?: string[] | undefined, appearsInItemId?: string | undefined, userId?: string | undefined, enableImages?: boolean | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * PersonsApi - functional programming interface
 * @export
 */
export declare const PersonsApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Get person by name.
     * @param {string} name Person name.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPerson(name: string, userId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDto>>;
    /**
     *
     * @summary Gets all persons.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {string} [searchTerm] The search term.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {Array<ItemFilter>} [filters] Optional. Specify additional filters to apply.
     * @param {boolean} [isFavorite] Optional filter by items that are marked as favorite, or not. userId is required.
     * @param {boolean} [enableUserData] Optional, include user data.
     * @param {number} [imageTypeLimit] Optional, the max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {Array<string>} [excludePersonTypes] Optional. If specified results will be filtered to exclude those containing the specified PersonType. Allows multiple, comma-delimited.
     * @param {Array<string>} [personTypes] Optional. If specified results will be filtered to include only those containing the specified PersonType. Allows multiple, comma-delimited.
     * @param {string} [appearsInItemId] Optional. If specified, person results will be filtered on items related to said persons.
     * @param {string} [userId] User id.
     * @param {boolean} [enableImages] Optional, include image information in output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPersons(limit?: number | undefined, searchTerm?: string | undefined, fields?: ItemFields[] | undefined, filters?: ItemFilter[] | undefined, isFavorite?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, excludePersonTypes?: string[] | undefined, personTypes?: string[] | undefined, appearsInItemId?: string | undefined, userId?: string | undefined, enableImages?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
};
/**
 * PersonsApi - factory interface
 * @export
 */
export declare const PersonsApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Get person by name.
     * @param {string} name Person name.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPerson(name: string, userId?: string | undefined, options?: any): AxiosPromise<BaseItemDto>;
    /**
     *
     * @summary Gets all persons.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {string} [searchTerm] The search term.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {Array<ItemFilter>} [filters] Optional. Specify additional filters to apply.
     * @param {boolean} [isFavorite] Optional filter by items that are marked as favorite, or not. userId is required.
     * @param {boolean} [enableUserData] Optional, include user data.
     * @param {number} [imageTypeLimit] Optional, the max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {Array<string>} [excludePersonTypes] Optional. If specified results will be filtered to exclude those containing the specified PersonType. Allows multiple, comma-delimited.
     * @param {Array<string>} [personTypes] Optional. If specified results will be filtered to include only those containing the specified PersonType. Allows multiple, comma-delimited.
     * @param {string} [appearsInItemId] Optional. If specified, person results will be filtered on items related to said persons.
     * @param {string} [userId] User id.
     * @param {boolean} [enableImages] Optional, include image information in output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPersons(limit?: number | undefined, searchTerm?: string | undefined, fields?: ItemFields[] | undefined, filters?: ItemFilter[] | undefined, isFavorite?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, excludePersonTypes?: string[] | undefined, personTypes?: string[] | undefined, appearsInItemId?: string | undefined, userId?: string | undefined, enableImages?: boolean | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
};
/**
 * Request parameters for getPerson operation in PersonsApi.
 * @export
 * @interface PersonsApiGetPersonRequest
 */
export interface PersonsApiGetPersonRequest {
    /**
     * Person name.
     * @type {string}
     * @memberof PersonsApiGetPerson
     */
    readonly name: string;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof PersonsApiGetPerson
     */
    readonly userId?: string;
}
/**
 * Request parameters for getPersons operation in PersonsApi.
 * @export
 * @interface PersonsApiGetPersonsRequest
 */
export interface PersonsApiGetPersonsRequest {
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof PersonsApiGetPersons
     */
    readonly limit?: number;
    /**
     * The search term.
     * @type {string}
     * @memberof PersonsApiGetPersons
     */
    readonly searchTerm?: string;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof PersonsApiGetPersons
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. Specify additional filters to apply.
     * @type {Array<ItemFilter>}
     * @memberof PersonsApiGetPersons
     */
    readonly filters?: Array<ItemFilter>;
    /**
     * Optional filter by items that are marked as favorite, or not. userId is required.
     * @type {boolean}
     * @memberof PersonsApiGetPersons
     */
    readonly isFavorite?: boolean;
    /**
     * Optional, include user data.
     * @type {boolean}
     * @memberof PersonsApiGetPersons
     */
    readonly enableUserData?: boolean;
    /**
     * Optional, the max number of images to return, per image type.
     * @type {number}
     * @memberof PersonsApiGetPersons
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof PersonsApiGetPersons
     */
    readonly enableImageTypes?: Array<ImageType>;
    /**
     * Optional. If specified results will be filtered to exclude those containing the specified PersonType. Allows multiple, comma-delimited.
     * @type {Array<string>}
     * @memberof PersonsApiGetPersons
     */
    readonly excludePersonTypes?: Array<string>;
    /**
     * Optional. If specified results will be filtered to include only those containing the specified PersonType. Allows multiple, comma-delimited.
     * @type {Array<string>}
     * @memberof PersonsApiGetPersons
     */
    readonly personTypes?: Array<string>;
    /**
     * Optional. If specified, person results will be filtered on items related to said persons.
     * @type {string}
     * @memberof PersonsApiGetPersons
     */
    readonly appearsInItemId?: string;
    /**
     * User id.
     * @type {string}
     * @memberof PersonsApiGetPersons
     */
    readonly userId?: string;
    /**
     * Optional, include image information in output.
     * @type {boolean}
     * @memberof PersonsApiGetPersons
     */
    readonly enableImages?: boolean;
}
/**
 * PersonsApi - object-oriented interface
 * @export
 * @class PersonsApi
 * @extends {BaseAPI}
 */
export declare class PersonsApi extends BaseAPI {
    /**
     *
     * @summary Get person by name.
     * @param {PersonsApiGetPersonRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PersonsApi
     */
    getPerson(requestParameters: PersonsApiGetPersonRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDto, any>>;
    /**
     *
     * @summary Gets all persons.
     * @param {PersonsApiGetPersonsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PersonsApi
     */
    getPersons(requestParameters?: PersonsApiGetPersonsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
}
