/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { BaseItemDtoQueryResult } from '../models';
import { CreatePlaylistDto } from '../models';
import { ImageType } from '../models';
import { ItemFields } from '../models';
import { PlaylistCreationResult } from '../models';
/**
 * PlaylistsApi - axios parameter creator
 * @export
 */
export declare const PlaylistsApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Adds items to a playlist.
     * @param {string} playlistId The playlist id.
     * @param {Array<string>} [ids] Item id, comma delimited.
     * @param {string} [userId] The userId.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addToPlaylist: (playlistId: string, ids?: string[] | undefined, userId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     * For backwards compatibility parameters can be sent via Query or Body, with Query having higher precedence.  Query parameters are obsolete.
     * @summary Creates a new playlist.
     * @param {string} [name] The playlist name.
     * @param {Array<string>} [ids] The item ids.
     * @param {string} [userId] The user id.
     * @param {string} [mediaType] The media type.
     * @param {CreatePlaylistDto} [createPlaylistDto] The create playlist payload.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createPlaylist: (name?: string | undefined, ids?: string[] | undefined, userId?: string | undefined, mediaType?: string | undefined, createPlaylistDto?: CreatePlaylistDto | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the original items of a playlist.
     * @param {string} playlistId The playlist id.
     * @param {string} userId User id.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPlaylistItems: (playlistId: string, userId: string, startIndex?: number | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Moves a playlist item.
     * @param {string} playlistId The playlist id.
     * @param {string} itemId The item id.
     * @param {number} newIndex The new index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    moveItem: (playlistId: string, itemId: string, newIndex: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Removes items from a playlist.
     * @param {string} playlistId The playlist id.
     * @param {Array<string>} [entryIds] The item ids, comma delimited.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    removeFromPlaylist: (playlistId: string, entryIds?: string[] | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * PlaylistsApi - functional programming interface
 * @export
 */
export declare const PlaylistsApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Adds items to a playlist.
     * @param {string} playlistId The playlist id.
     * @param {Array<string>} [ids] Item id, comma delimited.
     * @param {string} [userId] The userId.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addToPlaylist(playlistId: string, ids?: string[] | undefined, userId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     * For backwards compatibility parameters can be sent via Query or Body, with Query having higher precedence.  Query parameters are obsolete.
     * @summary Creates a new playlist.
     * @param {string} [name] The playlist name.
     * @param {Array<string>} [ids] The item ids.
     * @param {string} [userId] The user id.
     * @param {string} [mediaType] The media type.
     * @param {CreatePlaylistDto} [createPlaylistDto] The create playlist payload.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createPlaylist(name?: string | undefined, ids?: string[] | undefined, userId?: string | undefined, mediaType?: string | undefined, createPlaylistDto?: CreatePlaylistDto | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<PlaylistCreationResult>>;
    /**
     *
     * @summary Gets the original items of a playlist.
     * @param {string} playlistId The playlist id.
     * @param {string} userId User id.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPlaylistItems(playlistId: string, userId: string, startIndex?: number | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Moves a playlist item.
     * @param {string} playlistId The playlist id.
     * @param {string} itemId The item id.
     * @param {number} newIndex The new index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    moveItem(playlistId: string, itemId: string, newIndex: number, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Removes items from a playlist.
     * @param {string} playlistId The playlist id.
     * @param {Array<string>} [entryIds] The item ids, comma delimited.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    removeFromPlaylist(playlistId: string, entryIds?: string[] | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * PlaylistsApi - factory interface
 * @export
 */
export declare const PlaylistsApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Adds items to a playlist.
     * @param {string} playlistId The playlist id.
     * @param {Array<string>} [ids] Item id, comma delimited.
     * @param {string} [userId] The userId.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addToPlaylist(playlistId: string, ids?: string[] | undefined, userId?: string | undefined, options?: any): AxiosPromise<void>;
    /**
     * For backwards compatibility parameters can be sent via Query or Body, with Query having higher precedence.  Query parameters are obsolete.
     * @summary Creates a new playlist.
     * @param {string} [name] The playlist name.
     * @param {Array<string>} [ids] The item ids.
     * @param {string} [userId] The user id.
     * @param {string} [mediaType] The media type.
     * @param {CreatePlaylistDto} [createPlaylistDto] The create playlist payload.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createPlaylist(name?: string | undefined, ids?: string[] | undefined, userId?: string | undefined, mediaType?: string | undefined, createPlaylistDto?: CreatePlaylistDto | undefined, options?: any): AxiosPromise<PlaylistCreationResult>;
    /**
     *
     * @summary Gets the original items of a playlist.
     * @param {string} playlistId The playlist id.
     * @param {string} userId User id.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPlaylistItems(playlistId: string, userId: string, startIndex?: number | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, enableImages?: boolean | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Moves a playlist item.
     * @param {string} playlistId The playlist id.
     * @param {string} itemId The item id.
     * @param {number} newIndex The new index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    moveItem(playlistId: string, itemId: string, newIndex: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Removes items from a playlist.
     * @param {string} playlistId The playlist id.
     * @param {Array<string>} [entryIds] The item ids, comma delimited.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    removeFromPlaylist(playlistId: string, entryIds?: string[] | undefined, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for addToPlaylist operation in PlaylistsApi.
 * @export
 * @interface PlaylistsApiAddToPlaylistRequest
 */
export interface PlaylistsApiAddToPlaylistRequest {
    /**
     * The playlist id.
     * @type {string}
     * @memberof PlaylistsApiAddToPlaylist
     */
    readonly playlistId: string;
    /**
     * Item id, comma delimited.
     * @type {Array<string>}
     * @memberof PlaylistsApiAddToPlaylist
     */
    readonly ids?: Array<string>;
    /**
     * The userId.
     * @type {string}
     * @memberof PlaylistsApiAddToPlaylist
     */
    readonly userId?: string;
}
/**
 * Request parameters for createPlaylist operation in PlaylistsApi.
 * @export
 * @interface PlaylistsApiCreatePlaylistRequest
 */
export interface PlaylistsApiCreatePlaylistRequest {
    /**
     * The playlist name.
     * @type {string}
     * @memberof PlaylistsApiCreatePlaylist
     */
    readonly name?: string;
    /**
     * The item ids.
     * @type {Array<string>}
     * @memberof PlaylistsApiCreatePlaylist
     */
    readonly ids?: Array<string>;
    /**
     * The user id.
     * @type {string}
     * @memberof PlaylistsApiCreatePlaylist
     */
    readonly userId?: string;
    /**
     * The media type.
     * @type {string}
     * @memberof PlaylistsApiCreatePlaylist
     */
    readonly mediaType?: string;
    /**
     * The create playlist payload.
     * @type {CreatePlaylistDto}
     * @memberof PlaylistsApiCreatePlaylist
     */
    readonly createPlaylistDto?: CreatePlaylistDto;
}
/**
 * Request parameters for getPlaylistItems operation in PlaylistsApi.
 * @export
 * @interface PlaylistsApiGetPlaylistItemsRequest
 */
export interface PlaylistsApiGetPlaylistItemsRequest {
    /**
     * The playlist id.
     * @type {string}
     * @memberof PlaylistsApiGetPlaylistItems
     */
    readonly playlistId: string;
    /**
     * User id.
     * @type {string}
     * @memberof PlaylistsApiGetPlaylistItems
     */
    readonly userId: string;
    /**
     * Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @type {number}
     * @memberof PlaylistsApiGetPlaylistItems
     */
    readonly startIndex?: number;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof PlaylistsApiGetPlaylistItems
     */
    readonly limit?: number;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof PlaylistsApiGetPlaylistItems
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. Include image information in output.
     * @type {boolean}
     * @memberof PlaylistsApiGetPlaylistItems
     */
    readonly enableImages?: boolean;
    /**
     * Optional. Include user data.
     * @type {boolean}
     * @memberof PlaylistsApiGetPlaylistItems
     */
    readonly enableUserData?: boolean;
    /**
     * Optional. The max number of images to return, per image type.
     * @type {number}
     * @memberof PlaylistsApiGetPlaylistItems
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof PlaylistsApiGetPlaylistItems
     */
    readonly enableImageTypes?: Array<ImageType>;
}
/**
 * Request parameters for moveItem operation in PlaylistsApi.
 * @export
 * @interface PlaylistsApiMoveItemRequest
 */
export interface PlaylistsApiMoveItemRequest {
    /**
     * The playlist id.
     * @type {string}
     * @memberof PlaylistsApiMoveItem
     */
    readonly playlistId: string;
    /**
     * The item id.
     * @type {string}
     * @memberof PlaylistsApiMoveItem
     */
    readonly itemId: string;
    /**
     * The new index.
     * @type {number}
     * @memberof PlaylistsApiMoveItem
     */
    readonly newIndex: number;
}
/**
 * Request parameters for removeFromPlaylist operation in PlaylistsApi.
 * @export
 * @interface PlaylistsApiRemoveFromPlaylistRequest
 */
export interface PlaylistsApiRemoveFromPlaylistRequest {
    /**
     * The playlist id.
     * @type {string}
     * @memberof PlaylistsApiRemoveFromPlaylist
     */
    readonly playlistId: string;
    /**
     * The item ids, comma delimited.
     * @type {Array<string>}
     * @memberof PlaylistsApiRemoveFromPlaylist
     */
    readonly entryIds?: Array<string>;
}
/**
 * PlaylistsApi - object-oriented interface
 * @export
 * @class PlaylistsApi
 * @extends {BaseAPI}
 */
export declare class PlaylistsApi extends BaseAPI {
    /**
     *
     * @summary Adds items to a playlist.
     * @param {PlaylistsApiAddToPlaylistRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlaylistsApi
     */
    addToPlaylist(requestParameters: PlaylistsApiAddToPlaylistRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     * For backwards compatibility parameters can be sent via Query or Body, with Query having higher precedence.  Query parameters are obsolete.
     * @summary Creates a new playlist.
     * @param {PlaylistsApiCreatePlaylistRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlaylistsApi
     */
    createPlaylist(requestParameters?: PlaylistsApiCreatePlaylistRequest, options?: any): Promise<import("axios").AxiosResponse<PlaylistCreationResult, any>>;
    /**
     *
     * @summary Gets the original items of a playlist.
     * @param {PlaylistsApiGetPlaylistItemsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlaylistsApi
     */
    getPlaylistItems(requestParameters: PlaylistsApiGetPlaylistItemsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Moves a playlist item.
     * @param {PlaylistsApiMoveItemRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlaylistsApi
     */
    moveItem(requestParameters: PlaylistsApiMoveItemRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Removes items from a playlist.
     * @param {PlaylistsApiRemoveFromPlaylistRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlaylistsApi
     */
    removeFromPlaylist(requestParameters: PlaylistsApiRemoveFromPlaylistRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
