/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { PlayMethod } from '../models';
import { PlaybackProgressInfo } from '../models';
import { PlaybackStartInfo } from '../models';
import { PlaybackStopInfo } from '../models';
import { RepeatMode } from '../models';
import { UserItemDataDto } from '../models';
/**
 * PlaystateApi - axios parameter creator
 * @export
 */
export declare const PlaystateApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Marks an item as played for user.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {string} [datePlayed] Optional. The date the item was played.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    markPlayedItem: (userId: string, itemId: string, datePlayed?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Marks an item as unplayed for user.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    markUnplayedItem: (userId: string, itemId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Reports a user\'s playback progress.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {string} [mediaSourceId] The id of the MediaSource.
     * @param {number} [positionTicks] Optional. The current position, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {number} [audioStreamIndex] The audio stream index.
     * @param {number} [subtitleStreamIndex] The subtitle stream index.
     * @param {number} [volumeLevel] Scale of 0-100.
     * @param {PlayMethod} [playMethod] The play method.
     * @param {string} [liveStreamId] The live stream id.
     * @param {string} [playSessionId] The play session id.
     * @param {RepeatMode} [repeatMode] The repeat mode.
     * @param {boolean} [isPaused] Indicates if the player is paused.
     * @param {boolean} [isMuted] Indicates if the player is muted.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    onPlaybackProgress: (userId: string, itemId: string, mediaSourceId?: string | undefined, positionTicks?: number | undefined, audioStreamIndex?: number | undefined, subtitleStreamIndex?: number | undefined, volumeLevel?: number | undefined, playMethod?: PlayMethod | undefined, liveStreamId?: string | undefined, playSessionId?: string | undefined, repeatMode?: RepeatMode | undefined, isPaused?: boolean | undefined, isMuted?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Reports that a user has begun playing an item.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {string} [mediaSourceId] The id of the MediaSource.
     * @param {number} [audioStreamIndex] The audio stream index.
     * @param {number} [subtitleStreamIndex] The subtitle stream index.
     * @param {PlayMethod} [playMethod] The play method.
     * @param {string} [liveStreamId] The live stream id.
     * @param {string} [playSessionId] The play session id.
     * @param {boolean} [canSeek] Indicates if the client can seek.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    onPlaybackStart: (userId: string, itemId: string, mediaSourceId?: string | undefined, audioStreamIndex?: number | undefined, subtitleStreamIndex?: number | undefined, playMethod?: PlayMethod | undefined, liveStreamId?: string | undefined, playSessionId?: string | undefined, canSeek?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Reports that a user has stopped playing an item.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {string} [mediaSourceId] The id of the MediaSource.
     * @param {string} [nextMediaType] The next media type that will play.
     * @param {number} [positionTicks] Optional. The position, in ticks, where playback stopped. 1 tick &#x3D; 10000 ms.
     * @param {string} [liveStreamId] The live stream id.
     * @param {string} [playSessionId] The play session id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    onPlaybackStopped: (userId: string, itemId: string, mediaSourceId?: string | undefined, nextMediaType?: string | undefined, positionTicks?: number | undefined, liveStreamId?: string | undefined, playSessionId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Pings a playback session.
     * @param {string} playSessionId Playback session id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    pingPlaybackSession: (playSessionId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Reports playback progress within a session.
     * @param {PlaybackProgressInfo} [playbackProgressInfo] The playback progress info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    reportPlaybackProgress: (playbackProgressInfo?: PlaybackProgressInfo | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Reports playback has started within a session.
     * @param {PlaybackStartInfo} [playbackStartInfo] The playback start info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    reportPlaybackStart: (playbackStartInfo?: PlaybackStartInfo | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Reports playback has stopped within a session.
     * @param {PlaybackStopInfo} [playbackStopInfo] The playback stop info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    reportPlaybackStopped: (playbackStopInfo?: PlaybackStopInfo | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * PlaystateApi - functional programming interface
 * @export
 */
export declare const PlaystateApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Marks an item as played for user.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {string} [datePlayed] Optional. The date the item was played.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    markPlayedItem(userId: string, itemId: string, datePlayed?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<UserItemDataDto>>;
    /**
     *
     * @summary Marks an item as unplayed for user.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    markUnplayedItem(userId: string, itemId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<UserItemDataDto>>;
    /**
     *
     * @summary Reports a user\'s playback progress.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {string} [mediaSourceId] The id of the MediaSource.
     * @param {number} [positionTicks] Optional. The current position, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {number} [audioStreamIndex] The audio stream index.
     * @param {number} [subtitleStreamIndex] The subtitle stream index.
     * @param {number} [volumeLevel] Scale of 0-100.
     * @param {PlayMethod} [playMethod] The play method.
     * @param {string} [liveStreamId] The live stream id.
     * @param {string} [playSessionId] The play session id.
     * @param {RepeatMode} [repeatMode] The repeat mode.
     * @param {boolean} [isPaused] Indicates if the player is paused.
     * @param {boolean} [isMuted] Indicates if the player is muted.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    onPlaybackProgress(userId: string, itemId: string, mediaSourceId?: string | undefined, positionTicks?: number | undefined, audioStreamIndex?: number | undefined, subtitleStreamIndex?: number | undefined, volumeLevel?: number | undefined, playMethod?: PlayMethod | undefined, liveStreamId?: string | undefined, playSessionId?: string | undefined, repeatMode?: RepeatMode | undefined, isPaused?: boolean | undefined, isMuted?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Reports that a user has begun playing an item.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {string} [mediaSourceId] The id of the MediaSource.
     * @param {number} [audioStreamIndex] The audio stream index.
     * @param {number} [subtitleStreamIndex] The subtitle stream index.
     * @param {PlayMethod} [playMethod] The play method.
     * @param {string} [liveStreamId] The live stream id.
     * @param {string} [playSessionId] The play session id.
     * @param {boolean} [canSeek] Indicates if the client can seek.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    onPlaybackStart(userId: string, itemId: string, mediaSourceId?: string | undefined, audioStreamIndex?: number | undefined, subtitleStreamIndex?: number | undefined, playMethod?: PlayMethod | undefined, liveStreamId?: string | undefined, playSessionId?: string | undefined, canSeek?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Reports that a user has stopped playing an item.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {string} [mediaSourceId] The id of the MediaSource.
     * @param {string} [nextMediaType] The next media type that will play.
     * @param {number} [positionTicks] Optional. The position, in ticks, where playback stopped. 1 tick &#x3D; 10000 ms.
     * @param {string} [liveStreamId] The live stream id.
     * @param {string} [playSessionId] The play session id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    onPlaybackStopped(userId: string, itemId: string, mediaSourceId?: string | undefined, nextMediaType?: string | undefined, positionTicks?: number | undefined, liveStreamId?: string | undefined, playSessionId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Pings a playback session.
     * @param {string} playSessionId Playback session id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    pingPlaybackSession(playSessionId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Reports playback progress within a session.
     * @param {PlaybackProgressInfo} [playbackProgressInfo] The playback progress info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    reportPlaybackProgress(playbackProgressInfo?: PlaybackProgressInfo | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Reports playback has started within a session.
     * @param {PlaybackStartInfo} [playbackStartInfo] The playback start info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    reportPlaybackStart(playbackStartInfo?: PlaybackStartInfo | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Reports playback has stopped within a session.
     * @param {PlaybackStopInfo} [playbackStopInfo] The playback stop info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    reportPlaybackStopped(playbackStopInfo?: PlaybackStopInfo | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * PlaystateApi - factory interface
 * @export
 */
export declare const PlaystateApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Marks an item as played for user.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {string} [datePlayed] Optional. The date the item was played.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    markPlayedItem(userId: string, itemId: string, datePlayed?: string | undefined, options?: any): AxiosPromise<UserItemDataDto>;
    /**
     *
     * @summary Marks an item as unplayed for user.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    markUnplayedItem(userId: string, itemId: string, options?: any): AxiosPromise<UserItemDataDto>;
    /**
     *
     * @summary Reports a user\'s playback progress.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {string} [mediaSourceId] The id of the MediaSource.
     * @param {number} [positionTicks] Optional. The current position, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {number} [audioStreamIndex] The audio stream index.
     * @param {number} [subtitleStreamIndex] The subtitle stream index.
     * @param {number} [volumeLevel] Scale of 0-100.
     * @param {PlayMethod} [playMethod] The play method.
     * @param {string} [liveStreamId] The live stream id.
     * @param {string} [playSessionId] The play session id.
     * @param {RepeatMode} [repeatMode] The repeat mode.
     * @param {boolean} [isPaused] Indicates if the player is paused.
     * @param {boolean} [isMuted] Indicates if the player is muted.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    onPlaybackProgress(userId: string, itemId: string, mediaSourceId?: string | undefined, positionTicks?: number | undefined, audioStreamIndex?: number | undefined, subtitleStreamIndex?: number | undefined, volumeLevel?: number | undefined, playMethod?: PlayMethod | undefined, liveStreamId?: string | undefined, playSessionId?: string | undefined, repeatMode?: RepeatMode | undefined, isPaused?: boolean | undefined, isMuted?: boolean | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Reports that a user has begun playing an item.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {string} [mediaSourceId] The id of the MediaSource.
     * @param {number} [audioStreamIndex] The audio stream index.
     * @param {number} [subtitleStreamIndex] The subtitle stream index.
     * @param {PlayMethod} [playMethod] The play method.
     * @param {string} [liveStreamId] The live stream id.
     * @param {string} [playSessionId] The play session id.
     * @param {boolean} [canSeek] Indicates if the client can seek.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    onPlaybackStart(userId: string, itemId: string, mediaSourceId?: string | undefined, audioStreamIndex?: number | undefined, subtitleStreamIndex?: number | undefined, playMethod?: PlayMethod | undefined, liveStreamId?: string | undefined, playSessionId?: string | undefined, canSeek?: boolean | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Reports that a user has stopped playing an item.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {string} [mediaSourceId] The id of the MediaSource.
     * @param {string} [nextMediaType] The next media type that will play.
     * @param {number} [positionTicks] Optional. The position, in ticks, where playback stopped. 1 tick &#x3D; 10000 ms.
     * @param {string} [liveStreamId] The live stream id.
     * @param {string} [playSessionId] The play session id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    onPlaybackStopped(userId: string, itemId: string, mediaSourceId?: string | undefined, nextMediaType?: string | undefined, positionTicks?: number | undefined, liveStreamId?: string | undefined, playSessionId?: string | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Pings a playback session.
     * @param {string} playSessionId Playback session id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    pingPlaybackSession(playSessionId: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Reports playback progress within a session.
     * @param {PlaybackProgressInfo} [playbackProgressInfo] The playback progress info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    reportPlaybackProgress(playbackProgressInfo?: PlaybackProgressInfo | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Reports playback has started within a session.
     * @param {PlaybackStartInfo} [playbackStartInfo] The playback start info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    reportPlaybackStart(playbackStartInfo?: PlaybackStartInfo | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Reports playback has stopped within a session.
     * @param {PlaybackStopInfo} [playbackStopInfo] The playback stop info.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    reportPlaybackStopped(playbackStopInfo?: PlaybackStopInfo | undefined, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for markPlayedItem operation in PlaystateApi.
 * @export
 * @interface PlaystateApiMarkPlayedItemRequest
 */
export interface PlaystateApiMarkPlayedItemRequest {
    /**
     * User id.
     * @type {string}
     * @memberof PlaystateApiMarkPlayedItem
     */
    readonly userId: string;
    /**
     * Item id.
     * @type {string}
     * @memberof PlaystateApiMarkPlayedItem
     */
    readonly itemId: string;
    /**
     * Optional. The date the item was played.
     * @type {string}
     * @memberof PlaystateApiMarkPlayedItem
     */
    readonly datePlayed?: string;
}
/**
 * Request parameters for markUnplayedItem operation in PlaystateApi.
 * @export
 * @interface PlaystateApiMarkUnplayedItemRequest
 */
export interface PlaystateApiMarkUnplayedItemRequest {
    /**
     * User id.
     * @type {string}
     * @memberof PlaystateApiMarkUnplayedItem
     */
    readonly userId: string;
    /**
     * Item id.
     * @type {string}
     * @memberof PlaystateApiMarkUnplayedItem
     */
    readonly itemId: string;
}
/**
 * Request parameters for onPlaybackProgress operation in PlaystateApi.
 * @export
 * @interface PlaystateApiOnPlaybackProgressRequest
 */
export interface PlaystateApiOnPlaybackProgressRequest {
    /**
     * User id.
     * @type {string}
     * @memberof PlaystateApiOnPlaybackProgress
     */
    readonly userId: string;
    /**
     * Item id.
     * @type {string}
     * @memberof PlaystateApiOnPlaybackProgress
     */
    readonly itemId: string;
    /**
     * The id of the MediaSource.
     * @type {string}
     * @memberof PlaystateApiOnPlaybackProgress
     */
    readonly mediaSourceId?: string;
    /**
     * Optional. The current position, in ticks. 1 tick &#x3D; 10000 ms.
     * @type {number}
     * @memberof PlaystateApiOnPlaybackProgress
     */
    readonly positionTicks?: number;
    /**
     * The audio stream index.
     * @type {number}
     * @memberof PlaystateApiOnPlaybackProgress
     */
    readonly audioStreamIndex?: number;
    /**
     * The subtitle stream index.
     * @type {number}
     * @memberof PlaystateApiOnPlaybackProgress
     */
    readonly subtitleStreamIndex?: number;
    /**
     * Scale of 0-100.
     * @type {number}
     * @memberof PlaystateApiOnPlaybackProgress
     */
    readonly volumeLevel?: number;
    /**
     * The play method.
     * @type {PlayMethod}
     * @memberof PlaystateApiOnPlaybackProgress
     */
    readonly playMethod?: PlayMethod;
    /**
     * The live stream id.
     * @type {string}
     * @memberof PlaystateApiOnPlaybackProgress
     */
    readonly liveStreamId?: string;
    /**
     * The play session id.
     * @type {string}
     * @memberof PlaystateApiOnPlaybackProgress
     */
    readonly playSessionId?: string;
    /**
     * The repeat mode.
     * @type {RepeatMode}
     * @memberof PlaystateApiOnPlaybackProgress
     */
    readonly repeatMode?: RepeatMode;
    /**
     * Indicates if the player is paused.
     * @type {boolean}
     * @memberof PlaystateApiOnPlaybackProgress
     */
    readonly isPaused?: boolean;
    /**
     * Indicates if the player is muted.
     * @type {boolean}
     * @memberof PlaystateApiOnPlaybackProgress
     */
    readonly isMuted?: boolean;
}
/**
 * Request parameters for onPlaybackStart operation in PlaystateApi.
 * @export
 * @interface PlaystateApiOnPlaybackStartRequest
 */
export interface PlaystateApiOnPlaybackStartRequest {
    /**
     * User id.
     * @type {string}
     * @memberof PlaystateApiOnPlaybackStart
     */
    readonly userId: string;
    /**
     * Item id.
     * @type {string}
     * @memberof PlaystateApiOnPlaybackStart
     */
    readonly itemId: string;
    /**
     * The id of the MediaSource.
     * @type {string}
     * @memberof PlaystateApiOnPlaybackStart
     */
    readonly mediaSourceId?: string;
    /**
     * The audio stream index.
     * @type {number}
     * @memberof PlaystateApiOnPlaybackStart
     */
    readonly audioStreamIndex?: number;
    /**
     * The subtitle stream index.
     * @type {number}
     * @memberof PlaystateApiOnPlaybackStart
     */
    readonly subtitleStreamIndex?: number;
    /**
     * The play method.
     * @type {PlayMethod}
     * @memberof PlaystateApiOnPlaybackStart
     */
    readonly playMethod?: PlayMethod;
    /**
     * The live stream id.
     * @type {string}
     * @memberof PlaystateApiOnPlaybackStart
     */
    readonly liveStreamId?: string;
    /**
     * The play session id.
     * @type {string}
     * @memberof PlaystateApiOnPlaybackStart
     */
    readonly playSessionId?: string;
    /**
     * Indicates if the client can seek.
     * @type {boolean}
     * @memberof PlaystateApiOnPlaybackStart
     */
    readonly canSeek?: boolean;
}
/**
 * Request parameters for onPlaybackStopped operation in PlaystateApi.
 * @export
 * @interface PlaystateApiOnPlaybackStoppedRequest
 */
export interface PlaystateApiOnPlaybackStoppedRequest {
    /**
     * User id.
     * @type {string}
     * @memberof PlaystateApiOnPlaybackStopped
     */
    readonly userId: string;
    /**
     * Item id.
     * @type {string}
     * @memberof PlaystateApiOnPlaybackStopped
     */
    readonly itemId: string;
    /**
     * The id of the MediaSource.
     * @type {string}
     * @memberof PlaystateApiOnPlaybackStopped
     */
    readonly mediaSourceId?: string;
    /**
     * The next media type that will play.
     * @type {string}
     * @memberof PlaystateApiOnPlaybackStopped
     */
    readonly nextMediaType?: string;
    /**
     * Optional. The position, in ticks, where playback stopped. 1 tick &#x3D; 10000 ms.
     * @type {number}
     * @memberof PlaystateApiOnPlaybackStopped
     */
    readonly positionTicks?: number;
    /**
     * The live stream id.
     * @type {string}
     * @memberof PlaystateApiOnPlaybackStopped
     */
    readonly liveStreamId?: string;
    /**
     * The play session id.
     * @type {string}
     * @memberof PlaystateApiOnPlaybackStopped
     */
    readonly playSessionId?: string;
}
/**
 * Request parameters for pingPlaybackSession operation in PlaystateApi.
 * @export
 * @interface PlaystateApiPingPlaybackSessionRequest
 */
export interface PlaystateApiPingPlaybackSessionRequest {
    /**
     * Playback session id.
     * @type {string}
     * @memberof PlaystateApiPingPlaybackSession
     */
    readonly playSessionId: string;
}
/**
 * Request parameters for reportPlaybackProgress operation in PlaystateApi.
 * @export
 * @interface PlaystateApiReportPlaybackProgressRequest
 */
export interface PlaystateApiReportPlaybackProgressRequest {
    /**
     * The playback progress info.
     * @type {PlaybackProgressInfo}
     * @memberof PlaystateApiReportPlaybackProgress
     */
    readonly playbackProgressInfo?: PlaybackProgressInfo;
}
/**
 * Request parameters for reportPlaybackStart operation in PlaystateApi.
 * @export
 * @interface PlaystateApiReportPlaybackStartRequest
 */
export interface PlaystateApiReportPlaybackStartRequest {
    /**
     * The playback start info.
     * @type {PlaybackStartInfo}
     * @memberof PlaystateApiReportPlaybackStart
     */
    readonly playbackStartInfo?: PlaybackStartInfo;
}
/**
 * Request parameters for reportPlaybackStopped operation in PlaystateApi.
 * @export
 * @interface PlaystateApiReportPlaybackStoppedRequest
 */
export interface PlaystateApiReportPlaybackStoppedRequest {
    /**
     * The playback stop info.
     * @type {PlaybackStopInfo}
     * @memberof PlaystateApiReportPlaybackStopped
     */
    readonly playbackStopInfo?: PlaybackStopInfo;
}
/**
 * PlaystateApi - object-oriented interface
 * @export
 * @class PlaystateApi
 * @extends {BaseAPI}
 */
export declare class PlaystateApi extends BaseAPI {
    /**
     *
     * @summary Marks an item as played for user.
     * @param {PlaystateApiMarkPlayedItemRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlaystateApi
     */
    markPlayedItem(requestParameters: PlaystateApiMarkPlayedItemRequest, options?: any): Promise<import("axios").AxiosResponse<UserItemDataDto, any>>;
    /**
     *
     * @summary Marks an item as unplayed for user.
     * @param {PlaystateApiMarkUnplayedItemRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlaystateApi
     */
    markUnplayedItem(requestParameters: PlaystateApiMarkUnplayedItemRequest, options?: any): Promise<import("axios").AxiosResponse<UserItemDataDto, any>>;
    /**
     *
     * @summary Reports a user\'s playback progress.
     * @param {PlaystateApiOnPlaybackProgressRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlaystateApi
     */
    onPlaybackProgress(requestParameters: PlaystateApiOnPlaybackProgressRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Reports that a user has begun playing an item.
     * @param {PlaystateApiOnPlaybackStartRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlaystateApi
     */
    onPlaybackStart(requestParameters: PlaystateApiOnPlaybackStartRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Reports that a user has stopped playing an item.
     * @param {PlaystateApiOnPlaybackStoppedRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlaystateApi
     */
    onPlaybackStopped(requestParameters: PlaystateApiOnPlaybackStoppedRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Pings a playback session.
     * @param {PlaystateApiPingPlaybackSessionRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlaystateApi
     */
    pingPlaybackSession(requestParameters: PlaystateApiPingPlaybackSessionRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Reports playback progress within a session.
     * @param {PlaystateApiReportPlaybackProgressRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlaystateApi
     */
    reportPlaybackProgress(requestParameters?: PlaystateApiReportPlaybackProgressRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Reports playback has started within a session.
     * @param {PlaystateApiReportPlaybackStartRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlaystateApi
     */
    reportPlaybackStart(requestParameters?: PlaystateApiReportPlaybackStartRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Reports playback has stopped within a session.
     * @param {PlaystateApiReportPlaybackStoppedRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlaystateApi
     */
    reportPlaybackStopped(requestParameters?: PlaystateApiReportPlaybackStoppedRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
