/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { PluginInfo } from '../models';
import { PluginSecurityInfo } from '../models';
import { Version } from '../models';
/**
 * PluginsApi - axios parameter creator
 * @export
 */
export declare const PluginsApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Disable a plugin.
     * @param {string} pluginId Plugin id.
     * @param {Version} version Plugin version.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    disablePlugin: (pluginId: string, version: Version, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Enables a disabled plugin.
     * @param {string} pluginId Plugin id.
     * @param {Version} version Plugin version.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    enablePlugin: (pluginId: string, version: Version, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets plugin configuration.
     * @param {string} pluginId Plugin id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPluginConfiguration: (pluginId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a plugin\'s image.
     * @param {string} pluginId Plugin id.
     * @param {Version} version Plugin version.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPluginImage: (pluginId: string, version: Version, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a plugin\'s manifest.
     * @param {string} pluginId Plugin id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPluginManifest: (pluginId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a list of currently installed plugins.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPlugins: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Uninstalls a plugin.
     * @param {string} pluginId Plugin id.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    uninstallPlugin: (pluginId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Uninstalls a plugin by version.
     * @param {string} pluginId Plugin id.
     * @param {Version} version Plugin version.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    uninstallPluginByVersion: (pluginId: string, version: Version, options?: any) => Promise<RequestArgs>;
    /**
     * Accepts plugin configuration as JSON body.
     * @summary Updates plugin configuration.
     * @param {string} pluginId Plugin id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updatePluginConfiguration: (pluginId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Updates plugin security info.
     * @param {PluginSecurityInfo} pluginSecurityInfo Plugin security info.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    updatePluginSecurityInfo: (pluginSecurityInfo: PluginSecurityInfo, options?: any) => Promise<RequestArgs>;
};
/**
 * PluginsApi - functional programming interface
 * @export
 */
export declare const PluginsApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Disable a plugin.
     * @param {string} pluginId Plugin id.
     * @param {Version} version Plugin version.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    disablePlugin(pluginId: string, version: Version, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Enables a disabled plugin.
     * @param {string} pluginId Plugin id.
     * @param {Version} version Plugin version.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    enablePlugin(pluginId: string, version: Version, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Gets plugin configuration.
     * @param {string} pluginId Plugin id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPluginConfiguration(pluginId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<object>>;
    /**
     *
     * @summary Gets a plugin\'s image.
     * @param {string} pluginId Plugin id.
     * @param {Version} version Plugin version.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPluginImage(pluginId: string, version: Version, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets a plugin\'s manifest.
     * @param {string} pluginId Plugin id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPluginManifest(pluginId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Gets a list of currently installed plugins.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPlugins(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<PluginInfo>>>;
    /**
     *
     * @summary Uninstalls a plugin.
     * @param {string} pluginId Plugin id.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    uninstallPlugin(pluginId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Uninstalls a plugin by version.
     * @param {string} pluginId Plugin id.
     * @param {Version} version Plugin version.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    uninstallPluginByVersion(pluginId: string, version: Version, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     * Accepts plugin configuration as JSON body.
     * @summary Updates plugin configuration.
     * @param {string} pluginId Plugin id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updatePluginConfiguration(pluginId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Updates plugin security info.
     * @param {PluginSecurityInfo} pluginSecurityInfo Plugin security info.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    updatePluginSecurityInfo(pluginSecurityInfo: PluginSecurityInfo, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * PluginsApi - factory interface
 * @export
 */
export declare const PluginsApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Disable a plugin.
     * @param {string} pluginId Plugin id.
     * @param {Version} version Plugin version.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    disablePlugin(pluginId: string, version: Version, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Enables a disabled plugin.
     * @param {string} pluginId Plugin id.
     * @param {Version} version Plugin version.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    enablePlugin(pluginId: string, version: Version, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Gets plugin configuration.
     * @param {string} pluginId Plugin id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPluginConfiguration(pluginId: string, options?: any): AxiosPromise<object>;
    /**
     *
     * @summary Gets a plugin\'s image.
     * @param {string} pluginId Plugin id.
     * @param {Version} version Plugin version.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPluginImage(pluginId: string, version: Version, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets a plugin\'s manifest.
     * @param {string} pluginId Plugin id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPluginManifest(pluginId: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Gets a list of currently installed plugins.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPlugins(options?: any): AxiosPromise<Array<PluginInfo>>;
    /**
     *
     * @summary Uninstalls a plugin.
     * @param {string} pluginId Plugin id.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    uninstallPlugin(pluginId: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Uninstalls a plugin by version.
     * @param {string} pluginId Plugin id.
     * @param {Version} version Plugin version.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    uninstallPluginByVersion(pluginId: string, version: Version, options?: any): AxiosPromise<void>;
    /**
     * Accepts plugin configuration as JSON body.
     * @summary Updates plugin configuration.
     * @param {string} pluginId Plugin id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updatePluginConfiguration(pluginId: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Updates plugin security info.
     * @param {PluginSecurityInfo} pluginSecurityInfo Plugin security info.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     */
    updatePluginSecurityInfo(pluginSecurityInfo: PluginSecurityInfo, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for disablePlugin operation in PluginsApi.
 * @export
 * @interface PluginsApiDisablePluginRequest
 */
export interface PluginsApiDisablePluginRequest {
    /**
     * Plugin id.
     * @type {string}
     * @memberof PluginsApiDisablePlugin
     */
    readonly pluginId: string;
    /**
     * Plugin version.
     * @type {Version}
     * @memberof PluginsApiDisablePlugin
     */
    readonly version: Version;
}
/**
 * Request parameters for enablePlugin operation in PluginsApi.
 * @export
 * @interface PluginsApiEnablePluginRequest
 */
export interface PluginsApiEnablePluginRequest {
    /**
     * Plugin id.
     * @type {string}
     * @memberof PluginsApiEnablePlugin
     */
    readonly pluginId: string;
    /**
     * Plugin version.
     * @type {Version}
     * @memberof PluginsApiEnablePlugin
     */
    readonly version: Version;
}
/**
 * Request parameters for getPluginConfiguration operation in PluginsApi.
 * @export
 * @interface PluginsApiGetPluginConfigurationRequest
 */
export interface PluginsApiGetPluginConfigurationRequest {
    /**
     * Plugin id.
     * @type {string}
     * @memberof PluginsApiGetPluginConfiguration
     */
    readonly pluginId: string;
}
/**
 * Request parameters for getPluginImage operation in PluginsApi.
 * @export
 * @interface PluginsApiGetPluginImageRequest
 */
export interface PluginsApiGetPluginImageRequest {
    /**
     * Plugin id.
     * @type {string}
     * @memberof PluginsApiGetPluginImage
     */
    readonly pluginId: string;
    /**
     * Plugin version.
     * @type {Version}
     * @memberof PluginsApiGetPluginImage
     */
    readonly version: Version;
}
/**
 * Request parameters for getPluginManifest operation in PluginsApi.
 * @export
 * @interface PluginsApiGetPluginManifestRequest
 */
export interface PluginsApiGetPluginManifestRequest {
    /**
     * Plugin id.
     * @type {string}
     * @memberof PluginsApiGetPluginManifest
     */
    readonly pluginId: string;
}
/**
 * Request parameters for uninstallPlugin operation in PluginsApi.
 * @export
 * @interface PluginsApiUninstallPluginRequest
 */
export interface PluginsApiUninstallPluginRequest {
    /**
     * Plugin id.
     * @type {string}
     * @memberof PluginsApiUninstallPlugin
     */
    readonly pluginId: string;
}
/**
 * Request parameters for uninstallPluginByVersion operation in PluginsApi.
 * @export
 * @interface PluginsApiUninstallPluginByVersionRequest
 */
export interface PluginsApiUninstallPluginByVersionRequest {
    /**
     * Plugin id.
     * @type {string}
     * @memberof PluginsApiUninstallPluginByVersion
     */
    readonly pluginId: string;
    /**
     * Plugin version.
     * @type {Version}
     * @memberof PluginsApiUninstallPluginByVersion
     */
    readonly version: Version;
}
/**
 * Request parameters for updatePluginConfiguration operation in PluginsApi.
 * @export
 * @interface PluginsApiUpdatePluginConfigurationRequest
 */
export interface PluginsApiUpdatePluginConfigurationRequest {
    /**
     * Plugin id.
     * @type {string}
     * @memberof PluginsApiUpdatePluginConfiguration
     */
    readonly pluginId: string;
}
/**
 * Request parameters for updatePluginSecurityInfo operation in PluginsApi.
 * @export
 * @interface PluginsApiUpdatePluginSecurityInfoRequest
 */
export interface PluginsApiUpdatePluginSecurityInfoRequest {
    /**
     * Plugin security info.
     * @type {PluginSecurityInfo}
     * @memberof PluginsApiUpdatePluginSecurityInfo
     */
    readonly pluginSecurityInfo: PluginSecurityInfo;
}
/**
 * PluginsApi - object-oriented interface
 * @export
 * @class PluginsApi
 * @extends {BaseAPI}
 */
export declare class PluginsApi extends BaseAPI {
    /**
     *
     * @summary Disable a plugin.
     * @param {PluginsApiDisablePluginRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PluginsApi
     */
    disablePlugin(requestParameters: PluginsApiDisablePluginRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Enables a disabled plugin.
     * @param {PluginsApiEnablePluginRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PluginsApi
     */
    enablePlugin(requestParameters: PluginsApiEnablePluginRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Gets plugin configuration.
     * @param {PluginsApiGetPluginConfigurationRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PluginsApi
     */
    getPluginConfiguration(requestParameters: PluginsApiGetPluginConfigurationRequest, options?: any): Promise<import("axios").AxiosResponse<object, any>>;
    /**
     *
     * @summary Gets a plugin\'s image.
     * @param {PluginsApiGetPluginImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PluginsApi
     */
    getPluginImage(requestParameters: PluginsApiGetPluginImageRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets a plugin\'s manifest.
     * @param {PluginsApiGetPluginManifestRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PluginsApi
     */
    getPluginManifest(requestParameters: PluginsApiGetPluginManifestRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Gets a list of currently installed plugins.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PluginsApi
     */
    getPlugins(options?: any): Promise<import("axios").AxiosResponse<PluginInfo[], any>>;
    /**
     *
     * @summary Uninstalls a plugin.
     * @param {PluginsApiUninstallPluginRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     * @memberof PluginsApi
     */
    uninstallPlugin(requestParameters: PluginsApiUninstallPluginRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Uninstalls a plugin by version.
     * @param {PluginsApiUninstallPluginByVersionRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PluginsApi
     */
    uninstallPluginByVersion(requestParameters: PluginsApiUninstallPluginByVersionRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     * Accepts plugin configuration as JSON body.
     * @summary Updates plugin configuration.
     * @param {PluginsApiUpdatePluginConfigurationRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PluginsApi
     */
    updatePluginConfiguration(requestParameters: PluginsApiUpdatePluginConfigurationRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Updates plugin security info.
     * @param {PluginsApiUpdatePluginSecurityInfoRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @deprecated
     * @throws {RequiredError}
     * @memberof PluginsApi
     */
    updatePluginSecurityInfo(requestParameters: PluginsApiUpdatePluginSecurityInfoRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
