/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { QuickConnectResult } from '../models';
import { QuickConnectState } from '../models';
/**
 * QuickConnectApi - axios parameter creator
 * @export
 */
export declare const QuickConnectApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Temporarily activates quick connect for five minutes.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    activate: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Authorizes a pending quick connect request.
     * @param {string} code Quick connect code to authorize.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    authorize: (code: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Enables or disables quick connect.
     * @param {QuickConnectState} [status] New MediaBrowser.Model.QuickConnect.QuickConnectState.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    available: (status?: QuickConnectState | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Attempts to retrieve authentication information.
     * @param {string} secret Secret previously returned from the Initiate endpoint.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    connect: (secret: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Deauthorize all quick connect devices for the current user.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deauthorize: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the current quick connect state.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getStatus: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Initiate a new quick connect request.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    initiate: (options?: any) => Promise<RequestArgs>;
};
/**
 * QuickConnectApi - functional programming interface
 * @export
 */
export declare const QuickConnectApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Temporarily activates quick connect for five minutes.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    activate(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Authorizes a pending quick connect request.
     * @param {string} code Quick connect code to authorize.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    authorize(code: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Enables or disables quick connect.
     * @param {QuickConnectState} [status] New MediaBrowser.Model.QuickConnect.QuickConnectState.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    available(status?: QuickConnectState | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Attempts to retrieve authentication information.
     * @param {string} secret Secret previously returned from the Initiate endpoint.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    connect(secret: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<QuickConnectResult>>;
    /**
     *
     * @summary Deauthorize all quick connect devices for the current user.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deauthorize(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<number>>;
    /**
     *
     * @summary Gets the current quick connect state.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getStatus(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<QuickConnectState>>;
    /**
     *
     * @summary Initiate a new quick connect request.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    initiate(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<QuickConnectResult>>;
};
/**
 * QuickConnectApi - factory interface
 * @export
 */
export declare const QuickConnectApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Temporarily activates quick connect for five minutes.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    activate(options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Authorizes a pending quick connect request.
     * @param {string} code Quick connect code to authorize.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    authorize(code: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Enables or disables quick connect.
     * @param {QuickConnectState} [status] New MediaBrowser.Model.QuickConnect.QuickConnectState.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    available(status?: QuickConnectState | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Attempts to retrieve authentication information.
     * @param {string} secret Secret previously returned from the Initiate endpoint.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    connect(secret: string, options?: any): AxiosPromise<QuickConnectResult>;
    /**
     *
     * @summary Deauthorize all quick connect devices for the current user.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deauthorize(options?: any): AxiosPromise<number>;
    /**
     *
     * @summary Gets the current quick connect state.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getStatus(options?: any): AxiosPromise<QuickConnectState>;
    /**
     *
     * @summary Initiate a new quick connect request.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    initiate(options?: any): AxiosPromise<QuickConnectResult>;
};
/**
 * Request parameters for authorize operation in QuickConnectApi.
 * @export
 * @interface QuickConnectApiAuthorizeRequest
 */
export interface QuickConnectApiAuthorizeRequest {
    /**
     * Quick connect code to authorize.
     * @type {string}
     * @memberof QuickConnectApiAuthorize
     */
    readonly code: string;
}
/**
 * Request parameters for available operation in QuickConnectApi.
 * @export
 * @interface QuickConnectApiAvailableRequest
 */
export interface QuickConnectApiAvailableRequest {
    /**
     * New MediaBrowser.Model.QuickConnect.QuickConnectState.
     * @type {QuickConnectState}
     * @memberof QuickConnectApiAvailable
     */
    readonly status?: QuickConnectState;
}
/**
 * Request parameters for connect operation in QuickConnectApi.
 * @export
 * @interface QuickConnectApiConnectRequest
 */
export interface QuickConnectApiConnectRequest {
    /**
     * Secret previously returned from the Initiate endpoint.
     * @type {string}
     * @memberof QuickConnectApiConnect
     */
    readonly secret: string;
}
/**
 * QuickConnectApi - object-oriented interface
 * @export
 * @class QuickConnectApi
 * @extends {BaseAPI}
 */
export declare class QuickConnectApi extends BaseAPI {
    /**
     *
     * @summary Temporarily activates quick connect for five minutes.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QuickConnectApi
     */
    activate(options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Authorizes a pending quick connect request.
     * @param {QuickConnectApiAuthorizeRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QuickConnectApi
     */
    authorize(requestParameters: QuickConnectApiAuthorizeRequest, options?: any): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Enables or disables quick connect.
     * @param {QuickConnectApiAvailableRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QuickConnectApi
     */
    available(requestParameters?: QuickConnectApiAvailableRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Attempts to retrieve authentication information.
     * @param {QuickConnectApiConnectRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QuickConnectApi
     */
    connect(requestParameters: QuickConnectApiConnectRequest, options?: any): Promise<import("axios").AxiosResponse<QuickConnectResult, any>>;
    /**
     *
     * @summary Deauthorize all quick connect devices for the current user.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QuickConnectApi
     */
    deauthorize(options?: any): Promise<import("axios").AxiosResponse<number, any>>;
    /**
     *
     * @summary Gets the current quick connect state.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QuickConnectApi
     */
    getStatus(options?: any): Promise<import("axios").AxiosResponse<QuickConnectState, any>>;
    /**
     *
     * @summary Initiate a new quick connect request.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QuickConnectApi
     */
    initiate(options?: any): Promise<import("axios").AxiosResponse<QuickConnectResult, any>>;
}
