/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { ImageProviderInfo } from '../models';
import { ImageType } from '../models';
import { RemoteImageResult } from '../models';
/**
 * RemoteImageApi - axios parameter creator
 * @export
 */
export declare const RemoteImageApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Downloads a remote image for an item.
     * @param {string} itemId Item Id.
     * @param {ImageType} type The image type.
     * @param {string} [imageUrl] The image url.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    downloadRemoteImage: (itemId: string, type: ImageType, imageUrl?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets available remote image providers for an item.
     * @param {string} itemId Item Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRemoteImageProviders: (itemId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets available remote images for an item.
     * @param {string} itemId Item Id.
     * @param {ImageType} [type] The image type.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {string} [providerName] Optional. The image provider to use.
     * @param {boolean} [includeAllLanguages] Optional. Include all languages.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRemoteImages: (itemId: string, type?: ImageType | undefined, startIndex?: number | undefined, limit?: number | undefined, providerName?: string | undefined, includeAllLanguages?: boolean | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * RemoteImageApi - functional programming interface
 * @export
 */
export declare const RemoteImageApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Downloads a remote image for an item.
     * @param {string} itemId Item Id.
     * @param {ImageType} type The image type.
     * @param {string} [imageUrl] The image url.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    downloadRemoteImage(itemId: string, type: ImageType, imageUrl?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Gets available remote image providers for an item.
     * @param {string} itemId Item Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRemoteImageProviders(itemId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<ImageProviderInfo>>>;
    /**
     *
     * @summary Gets available remote images for an item.
     * @param {string} itemId Item Id.
     * @param {ImageType} [type] The image type.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {string} [providerName] Optional. The image provider to use.
     * @param {boolean} [includeAllLanguages] Optional. Include all languages.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRemoteImages(itemId: string, type?: ImageType | undefined, startIndex?: number | undefined, limit?: number | undefined, providerName?: string | undefined, includeAllLanguages?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<RemoteImageResult>>;
};
/**
 * RemoteImageApi - factory interface
 * @export
 */
export declare const RemoteImageApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Downloads a remote image for an item.
     * @param {string} itemId Item Id.
     * @param {ImageType} type The image type.
     * @param {string} [imageUrl] The image url.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    downloadRemoteImage(itemId: string, type: ImageType, imageUrl?: string | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Gets available remote image providers for an item.
     * @param {string} itemId Item Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRemoteImageProviders(itemId: string, options?: any): AxiosPromise<Array<ImageProviderInfo>>;
    /**
     *
     * @summary Gets available remote images for an item.
     * @param {string} itemId Item Id.
     * @param {ImageType} [type] The image type.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {string} [providerName] Optional. The image provider to use.
     * @param {boolean} [includeAllLanguages] Optional. Include all languages.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRemoteImages(itemId: string, type?: ImageType | undefined, startIndex?: number | undefined, limit?: number | undefined, providerName?: string | undefined, includeAllLanguages?: boolean | undefined, options?: any): AxiosPromise<RemoteImageResult>;
};
/**
 * Request parameters for downloadRemoteImage operation in RemoteImageApi.
 * @export
 * @interface RemoteImageApiDownloadRemoteImageRequest
 */
export interface RemoteImageApiDownloadRemoteImageRequest {
    /**
     * Item Id.
     * @type {string}
     * @memberof RemoteImageApiDownloadRemoteImage
     */
    readonly itemId: string;
    /**
     * The image type.
     * @type {ImageType}
     * @memberof RemoteImageApiDownloadRemoteImage
     */
    readonly type: ImageType;
    /**
     * The image url.
     * @type {string}
     * @memberof RemoteImageApiDownloadRemoteImage
     */
    readonly imageUrl?: string;
}
/**
 * Request parameters for getRemoteImageProviders operation in RemoteImageApi.
 * @export
 * @interface RemoteImageApiGetRemoteImageProvidersRequest
 */
export interface RemoteImageApiGetRemoteImageProvidersRequest {
    /**
     * Item Id.
     * @type {string}
     * @memberof RemoteImageApiGetRemoteImageProviders
     */
    readonly itemId: string;
}
/**
 * Request parameters for getRemoteImages operation in RemoteImageApi.
 * @export
 * @interface RemoteImageApiGetRemoteImagesRequest
 */
export interface RemoteImageApiGetRemoteImagesRequest {
    /**
     * Item Id.
     * @type {string}
     * @memberof RemoteImageApiGetRemoteImages
     */
    readonly itemId: string;
    /**
     * The image type.
     * @type {ImageType}
     * @memberof RemoteImageApiGetRemoteImages
     */
    readonly type?: ImageType;
    /**
     * Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @type {number}
     * @memberof RemoteImageApiGetRemoteImages
     */
    readonly startIndex?: number;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof RemoteImageApiGetRemoteImages
     */
    readonly limit?: number;
    /**
     * Optional. The image provider to use.
     * @type {string}
     * @memberof RemoteImageApiGetRemoteImages
     */
    readonly providerName?: string;
    /**
     * Optional. Include all languages.
     * @type {boolean}
     * @memberof RemoteImageApiGetRemoteImages
     */
    readonly includeAllLanguages?: boolean;
}
/**
 * RemoteImageApi - object-oriented interface
 * @export
 * @class RemoteImageApi
 * @extends {BaseAPI}
 */
export declare class RemoteImageApi extends BaseAPI {
    /**
     *
     * @summary Downloads a remote image for an item.
     * @param {RemoteImageApiDownloadRemoteImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RemoteImageApi
     */
    downloadRemoteImage(requestParameters: RemoteImageApiDownloadRemoteImageRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Gets available remote image providers for an item.
     * @param {RemoteImageApiGetRemoteImageProvidersRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RemoteImageApi
     */
    getRemoteImageProviders(requestParameters: RemoteImageApiGetRemoteImageProvidersRequest, options?: any): Promise<import("axios").AxiosResponse<ImageProviderInfo[], any>>;
    /**
     *
     * @summary Gets available remote images for an item.
     * @param {RemoteImageApiGetRemoteImagesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RemoteImageApi
     */
    getRemoteImages(requestParameters: RemoteImageApiGetRemoteImagesRequest, options?: any): Promise<import("axios").AxiosResponse<RemoteImageResult, any>>;
}
