/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { TaskInfo } from '../models';
import { TaskTriggerInfo } from '../models';
/**
 * ScheduledTasksApi - axios parameter creator
 * @export
 */
export declare const ScheduledTasksApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Get task by id.
     * @param {string} taskId Task Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTask: (taskId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get tasks.
     * @param {boolean} [isHidden] Optional filter tasks that are hidden, or not.
     * @param {boolean} [isEnabled] Optional filter tasks that are enabled, or not.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTasks: (isHidden?: boolean | undefined, isEnabled?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Start specified task.
     * @param {string} taskId Task Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    startTask: (taskId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Stop specified task.
     * @param {string} taskId Task Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    stopTask: (taskId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Update specified task triggers.
     * @param {string} taskId Task Id.
     * @param {Array<TaskTriggerInfo>} taskTriggerInfo Triggers.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateTask: (taskId: string, taskTriggerInfo: Array<TaskTriggerInfo>, options?: any) => Promise<RequestArgs>;
};
/**
 * ScheduledTasksApi - functional programming interface
 * @export
 */
export declare const ScheduledTasksApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Get task by id.
     * @param {string} taskId Task Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTask(taskId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<TaskInfo>>;
    /**
     *
     * @summary Get tasks.
     * @param {boolean} [isHidden] Optional filter tasks that are hidden, or not.
     * @param {boolean} [isEnabled] Optional filter tasks that are enabled, or not.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTasks(isHidden?: boolean | undefined, isEnabled?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<TaskInfo>>>;
    /**
     *
     * @summary Start specified task.
     * @param {string} taskId Task Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    startTask(taskId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Stop specified task.
     * @param {string} taskId Task Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    stopTask(taskId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Update specified task triggers.
     * @param {string} taskId Task Id.
     * @param {Array<TaskTriggerInfo>} taskTriggerInfo Triggers.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateTask(taskId: string, taskTriggerInfo: Array<TaskTriggerInfo>, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * ScheduledTasksApi - factory interface
 * @export
 */
export declare const ScheduledTasksApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Get task by id.
     * @param {string} taskId Task Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTask(taskId: string, options?: any): AxiosPromise<TaskInfo>;
    /**
     *
     * @summary Get tasks.
     * @param {boolean} [isHidden] Optional filter tasks that are hidden, or not.
     * @param {boolean} [isEnabled] Optional filter tasks that are enabled, or not.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTasks(isHidden?: boolean | undefined, isEnabled?: boolean | undefined, options?: any): AxiosPromise<Array<TaskInfo>>;
    /**
     *
     * @summary Start specified task.
     * @param {string} taskId Task Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    startTask(taskId: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Stop specified task.
     * @param {string} taskId Task Id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    stopTask(taskId: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Update specified task triggers.
     * @param {string} taskId Task Id.
     * @param {Array<TaskTriggerInfo>} taskTriggerInfo Triggers.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateTask(taskId: string, taskTriggerInfo: Array<TaskTriggerInfo>, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for getTask operation in ScheduledTasksApi.
 * @export
 * @interface ScheduledTasksApiGetTaskRequest
 */
export interface ScheduledTasksApiGetTaskRequest {
    /**
     * Task Id.
     * @type {string}
     * @memberof ScheduledTasksApiGetTask
     */
    readonly taskId: string;
}
/**
 * Request parameters for getTasks operation in ScheduledTasksApi.
 * @export
 * @interface ScheduledTasksApiGetTasksRequest
 */
export interface ScheduledTasksApiGetTasksRequest {
    /**
     * Optional filter tasks that are hidden, or not.
     * @type {boolean}
     * @memberof ScheduledTasksApiGetTasks
     */
    readonly isHidden?: boolean;
    /**
     * Optional filter tasks that are enabled, or not.
     * @type {boolean}
     * @memberof ScheduledTasksApiGetTasks
     */
    readonly isEnabled?: boolean;
}
/**
 * Request parameters for startTask operation in ScheduledTasksApi.
 * @export
 * @interface ScheduledTasksApiStartTaskRequest
 */
export interface ScheduledTasksApiStartTaskRequest {
    /**
     * Task Id.
     * @type {string}
     * @memberof ScheduledTasksApiStartTask
     */
    readonly taskId: string;
}
/**
 * Request parameters for stopTask operation in ScheduledTasksApi.
 * @export
 * @interface ScheduledTasksApiStopTaskRequest
 */
export interface ScheduledTasksApiStopTaskRequest {
    /**
     * Task Id.
     * @type {string}
     * @memberof ScheduledTasksApiStopTask
     */
    readonly taskId: string;
}
/**
 * Request parameters for updateTask operation in ScheduledTasksApi.
 * @export
 * @interface ScheduledTasksApiUpdateTaskRequest
 */
export interface ScheduledTasksApiUpdateTaskRequest {
    /**
     * Task Id.
     * @type {string}
     * @memberof ScheduledTasksApiUpdateTask
     */
    readonly taskId: string;
    /**
     * Triggers.
     * @type {Array<TaskTriggerInfo>}
     * @memberof ScheduledTasksApiUpdateTask
     */
    readonly taskTriggerInfo: Array<TaskTriggerInfo>;
}
/**
 * ScheduledTasksApi - object-oriented interface
 * @export
 * @class ScheduledTasksApi
 * @extends {BaseAPI}
 */
export declare class ScheduledTasksApi extends BaseAPI {
    /**
     *
     * @summary Get task by id.
     * @param {ScheduledTasksApiGetTaskRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ScheduledTasksApi
     */
    getTask(requestParameters: ScheduledTasksApiGetTaskRequest, options?: any): Promise<import("axios").AxiosResponse<TaskInfo, any>>;
    /**
     *
     * @summary Get tasks.
     * @param {ScheduledTasksApiGetTasksRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ScheduledTasksApi
     */
    getTasks(requestParameters?: ScheduledTasksApiGetTasksRequest, options?: any): Promise<import("axios").AxiosResponse<TaskInfo[], any>>;
    /**
     *
     * @summary Start specified task.
     * @param {ScheduledTasksApiStartTaskRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ScheduledTasksApi
     */
    startTask(requestParameters: ScheduledTasksApiStartTaskRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Stop specified task.
     * @param {ScheduledTasksApiStopTaskRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ScheduledTasksApi
     */
    stopTask(requestParameters: ScheduledTasksApiStopTaskRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Update specified task triggers.
     * @param {ScheduledTasksApiUpdateTaskRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ScheduledTasksApi
     */
    updateTask(requestParameters: ScheduledTasksApiUpdateTaskRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
