/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { SearchHintResult } from '../models';
/**
 * SearchApi - axios parameter creator
 * @export
 */
export declare const SearchApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets the search hint result.
     * @param {string} searchTerm The search term to filter on.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {string} [userId] Optional. Supply a user id to search within a user\&#39;s library or omit to search all.
     * @param {Array<string>} [includeItemTypes] If specified, only results with the specified item types are returned. This allows multiple, comma delimeted.
     * @param {Array<string>} [excludeItemTypes] If specified, results with these item types are filtered out. This allows multiple, comma delimeted.
     * @param {Array<string>} [mediaTypes] If specified, only results with the specified media types are returned. This allows multiple, comma delimeted.
     * @param {string} [parentId] If specified, only children of the parent are returned.
     * @param {boolean} [isMovie] Optional filter for movies.
     * @param {boolean} [isSeries] Optional filter for series.
     * @param {boolean} [isNews] Optional filter for news.
     * @param {boolean} [isKids] Optional filter for kids.
     * @param {boolean} [isSports] Optional filter for sports.
     * @param {boolean} [includePeople] Optional filter whether to include people.
     * @param {boolean} [includeMedia] Optional filter whether to include media.
     * @param {boolean} [includeGenres] Optional filter whether to include genres.
     * @param {boolean} [includeStudios] Optional filter whether to include studios.
     * @param {boolean} [includeArtists] Optional filter whether to include artists.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    get: (searchTerm: string, startIndex?: number | undefined, limit?: number | undefined, userId?: string | undefined, includeItemTypes?: string[] | undefined, excludeItemTypes?: string[] | undefined, mediaTypes?: string[] | undefined, parentId?: string | undefined, isMovie?: boolean | undefined, isSeries?: boolean | undefined, isNews?: boolean | undefined, isKids?: boolean | undefined, isSports?: boolean | undefined, includePeople?: boolean | undefined, includeMedia?: boolean | undefined, includeGenres?: boolean | undefined, includeStudios?: boolean | undefined, includeArtists?: boolean | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * SearchApi - functional programming interface
 * @export
 */
export declare const SearchApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets the search hint result.
     * @param {string} searchTerm The search term to filter on.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {string} [userId] Optional. Supply a user id to search within a user\&#39;s library or omit to search all.
     * @param {Array<string>} [includeItemTypes] If specified, only results with the specified item types are returned. This allows multiple, comma delimeted.
     * @param {Array<string>} [excludeItemTypes] If specified, results with these item types are filtered out. This allows multiple, comma delimeted.
     * @param {Array<string>} [mediaTypes] If specified, only results with the specified media types are returned. This allows multiple, comma delimeted.
     * @param {string} [parentId] If specified, only children of the parent are returned.
     * @param {boolean} [isMovie] Optional filter for movies.
     * @param {boolean} [isSeries] Optional filter for series.
     * @param {boolean} [isNews] Optional filter for news.
     * @param {boolean} [isKids] Optional filter for kids.
     * @param {boolean} [isSports] Optional filter for sports.
     * @param {boolean} [includePeople] Optional filter whether to include people.
     * @param {boolean} [includeMedia] Optional filter whether to include media.
     * @param {boolean} [includeGenres] Optional filter whether to include genres.
     * @param {boolean} [includeStudios] Optional filter whether to include studios.
     * @param {boolean} [includeArtists] Optional filter whether to include artists.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    get(searchTerm: string, startIndex?: number | undefined, limit?: number | undefined, userId?: string | undefined, includeItemTypes?: string[] | undefined, excludeItemTypes?: string[] | undefined, mediaTypes?: string[] | undefined, parentId?: string | undefined, isMovie?: boolean | undefined, isSeries?: boolean | undefined, isNews?: boolean | undefined, isKids?: boolean | undefined, isSports?: boolean | undefined, includePeople?: boolean | undefined, includeMedia?: boolean | undefined, includeGenres?: boolean | undefined, includeStudios?: boolean | undefined, includeArtists?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<SearchHintResult>>;
};
/**
 * SearchApi - factory interface
 * @export
 */
export declare const SearchApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Gets the search hint result.
     * @param {string} searchTerm The search term to filter on.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {string} [userId] Optional. Supply a user id to search within a user\&#39;s library or omit to search all.
     * @param {Array<string>} [includeItemTypes] If specified, only results with the specified item types are returned. This allows multiple, comma delimeted.
     * @param {Array<string>} [excludeItemTypes] If specified, results with these item types are filtered out. This allows multiple, comma delimeted.
     * @param {Array<string>} [mediaTypes] If specified, only results with the specified media types are returned. This allows multiple, comma delimeted.
     * @param {string} [parentId] If specified, only children of the parent are returned.
     * @param {boolean} [isMovie] Optional filter for movies.
     * @param {boolean} [isSeries] Optional filter for series.
     * @param {boolean} [isNews] Optional filter for news.
     * @param {boolean} [isKids] Optional filter for kids.
     * @param {boolean} [isSports] Optional filter for sports.
     * @param {boolean} [includePeople] Optional filter whether to include people.
     * @param {boolean} [includeMedia] Optional filter whether to include media.
     * @param {boolean} [includeGenres] Optional filter whether to include genres.
     * @param {boolean} [includeStudios] Optional filter whether to include studios.
     * @param {boolean} [includeArtists] Optional filter whether to include artists.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    get(searchTerm: string, startIndex?: number | undefined, limit?: number | undefined, userId?: string | undefined, includeItemTypes?: string[] | undefined, excludeItemTypes?: string[] | undefined, mediaTypes?: string[] | undefined, parentId?: string | undefined, isMovie?: boolean | undefined, isSeries?: boolean | undefined, isNews?: boolean | undefined, isKids?: boolean | undefined, isSports?: boolean | undefined, includePeople?: boolean | undefined, includeMedia?: boolean | undefined, includeGenres?: boolean | undefined, includeStudios?: boolean | undefined, includeArtists?: boolean | undefined, options?: any): AxiosPromise<SearchHintResult>;
};
/**
 * Request parameters for get operation in SearchApi.
 * @export
 * @interface SearchApiGetRequest
 */
export interface SearchApiGetRequest {
    /**
     * The search term to filter on.
     * @type {string}
     * @memberof SearchApiGet
     */
    readonly searchTerm: string;
    /**
     * Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @type {number}
     * @memberof SearchApiGet
     */
    readonly startIndex?: number;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof SearchApiGet
     */
    readonly limit?: number;
    /**
     * Optional. Supply a user id to search within a user\&#39;s library or omit to search all.
     * @type {string}
     * @memberof SearchApiGet
     */
    readonly userId?: string;
    /**
     * If specified, only results with the specified item types are returned. This allows multiple, comma delimeted.
     * @type {Array<string>}
     * @memberof SearchApiGet
     */
    readonly includeItemTypes?: Array<string>;
    /**
     * If specified, results with these item types are filtered out. This allows multiple, comma delimeted.
     * @type {Array<string>}
     * @memberof SearchApiGet
     */
    readonly excludeItemTypes?: Array<string>;
    /**
     * If specified, only results with the specified media types are returned. This allows multiple, comma delimeted.
     * @type {Array<string>}
     * @memberof SearchApiGet
     */
    readonly mediaTypes?: Array<string>;
    /**
     * If specified, only children of the parent are returned.
     * @type {string}
     * @memberof SearchApiGet
     */
    readonly parentId?: string;
    /**
     * Optional filter for movies.
     * @type {boolean}
     * @memberof SearchApiGet
     */
    readonly isMovie?: boolean;
    /**
     * Optional filter for series.
     * @type {boolean}
     * @memberof SearchApiGet
     */
    readonly isSeries?: boolean;
    /**
     * Optional filter for news.
     * @type {boolean}
     * @memberof SearchApiGet
     */
    readonly isNews?: boolean;
    /**
     * Optional filter for kids.
     * @type {boolean}
     * @memberof SearchApiGet
     */
    readonly isKids?: boolean;
    /**
     * Optional filter for sports.
     * @type {boolean}
     * @memberof SearchApiGet
     */
    readonly isSports?: boolean;
    /**
     * Optional filter whether to include people.
     * @type {boolean}
     * @memberof SearchApiGet
     */
    readonly includePeople?: boolean;
    /**
     * Optional filter whether to include media.
     * @type {boolean}
     * @memberof SearchApiGet
     */
    readonly includeMedia?: boolean;
    /**
     * Optional filter whether to include genres.
     * @type {boolean}
     * @memberof SearchApiGet
     */
    readonly includeGenres?: boolean;
    /**
     * Optional filter whether to include studios.
     * @type {boolean}
     * @memberof SearchApiGet
     */
    readonly includeStudios?: boolean;
    /**
     * Optional filter whether to include artists.
     * @type {boolean}
     * @memberof SearchApiGet
     */
    readonly includeArtists?: boolean;
}
/**
 * SearchApi - object-oriented interface
 * @export
 * @class SearchApi
 * @extends {BaseAPI}
 */
export declare class SearchApi extends BaseAPI {
    /**
     *
     * @summary Gets the search hint result.
     * @param {SearchApiGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SearchApi
     */
    get(requestParameters: SearchApiGetRequest, options?: any): Promise<import("axios").AxiosResponse<SearchHintResult, any>>;
}
