/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { ClientCapabilitiesDto } from '../models';
import { GeneralCommand } from '../models';
import { GeneralCommandType } from '../models';
import { MessageCommand } from '../models';
import { NameIdPair } from '../models';
import { PlayCommand } from '../models';
import { PlaystateCommand } from '../models';
import { SessionInfo } from '../models';
/**
 * SessionApi - axios parameter creator
 * @export
 */
export declare const SessionApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Adds an additional user to a session.
     * @param {string} sessionId The session id.
     * @param {string} userId The user id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addUserToSession: (sessionId: string, userId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Instructs a session to browse to an item or view.
     * @param {string} sessionId The session Id.
     * @param {string} itemType The type of item to browse to.
     * @param {string} itemId The Id of the item.
     * @param {string} itemName The name of the item.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    displayContent: (sessionId: string, itemType: string, itemId: string, itemName: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all auth providers.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getAuthProviders: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all password reset providers.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPasswordResetProviders: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a list of sessions.
     * @param {string} [controllableByUserId] Filter by sessions that a given user is allowed to remote control.
     * @param {string} [deviceId] Filter by device Id.
     * @param {number} [activeWithinSeconds] Optional. Filter by sessions that were active in the last n seconds.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSessions: (controllableByUserId?: string | undefined, deviceId?: string | undefined, activeWithinSeconds?: number | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Instructs a session to play an item.
     * @param {string} sessionId The session id.
     * @param {PlayCommand} playCommand The type of play command to issue (PlayNow, PlayNext, PlayLast). Clients who have not yet implemented play next and play last may play now.
     * @param {Array<string>} itemIds The ids of the items to play, comma delimited.
     * @param {number} [startPositionTicks] The starting position of the first item.
     * @param {string} [mediaSourceId] Optional. The media source id.
     * @param {number} [audioStreamIndex] Optional. The index of the audio stream to play.
     * @param {number} [subtitleStreamIndex] Optional. The index of the subtitle stream to play.
     * @param {number} [startIndex] Optional. The start index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    play: (sessionId: string, playCommand: PlayCommand, itemIds: Array<string>, startPositionTicks?: number | undefined, mediaSourceId?: string | undefined, audioStreamIndex?: number | undefined, subtitleStreamIndex?: number | undefined, startIndex?: number | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Updates capabilities for a device.
     * @param {string} [id] The session id.
     * @param {Array<string>} [playableMediaTypes] A list of playable media types, comma delimited. Audio, Video, Book, Photo.
     * @param {Array<GeneralCommandType>} [supportedCommands] A list of supported remote control commands, comma delimited.
     * @param {boolean} [supportsMediaControl] Determines whether media can be played remotely..
     * @param {boolean} [supportsSync] Determines whether sync is supported.
     * @param {boolean} [supportsPersistentIdentifier] Determines whether the device supports a unique identifier.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postCapabilities: (id?: string | undefined, playableMediaTypes?: string[] | undefined, supportedCommands?: GeneralCommandType[] | undefined, supportsMediaControl?: boolean | undefined, supportsSync?: boolean | undefined, supportsPersistentIdentifier?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Updates capabilities for a device.
     * @param {ClientCapabilitiesDto} clientCapabilitiesDto The MediaBrowser.Model.Session.ClientCapabilities.
     * @param {string} [id] The session id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postFullCapabilities: (clientCapabilitiesDto: ClientCapabilitiesDto, id?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Removes an additional user from a session.
     * @param {string} sessionId The session id.
     * @param {string} userId The user id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    removeUserFromSession: (sessionId: string, userId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Reports that a session has ended.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    reportSessionEnded: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Reports that a session is viewing an item.
     * @param {string} itemId The item id.
     * @param {string} [sessionId] The session id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    reportViewing: (itemId: string, sessionId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Issues a full general command to a client.
     * @param {string} sessionId The session id.
     * @param {GeneralCommand} generalCommand The MediaBrowser.Model.Session.GeneralCommand.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    sendFullGeneralCommand: (sessionId: string, generalCommand: GeneralCommand, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Issues a general command to a client.
     * @param {string} sessionId The session id.
     * @param {GeneralCommandType} command The command to send.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    sendGeneralCommand: (sessionId: string, command: GeneralCommandType, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Issues a command to a client to display a message to the user.
     * @param {string} sessionId The session id.
     * @param {MessageCommand} messageCommand The MediaBrowser.Model.Session.MessageCommand object containing Header, Message Text, and TimeoutMs.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    sendMessageCommand: (sessionId: string, messageCommand: MessageCommand, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Issues a playstate command to a client.
     * @param {string} sessionId The session id.
     * @param {PlaystateCommand} command The MediaBrowser.Model.Session.PlaystateCommand.
     * @param {number} [seekPositionTicks] The optional position ticks.
     * @param {string} [controllingUserId] The optional controlling user id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    sendPlaystateCommand: (sessionId: string, command: PlaystateCommand, seekPositionTicks?: number | undefined, controllingUserId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Issues a system command to a client.
     * @param {string} sessionId The session id.
     * @param {GeneralCommandType} command The command to send.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    sendSystemCommand: (sessionId: string, command: GeneralCommandType, options?: any) => Promise<RequestArgs>;
};
/**
 * SessionApi - functional programming interface
 * @export
 */
export declare const SessionApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Adds an additional user to a session.
     * @param {string} sessionId The session id.
     * @param {string} userId The user id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addUserToSession(sessionId: string, userId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Instructs a session to browse to an item or view.
     * @param {string} sessionId The session Id.
     * @param {string} itemType The type of item to browse to.
     * @param {string} itemId The Id of the item.
     * @param {string} itemName The name of the item.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    displayContent(sessionId: string, itemType: string, itemId: string, itemName: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Get all auth providers.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getAuthProviders(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<NameIdPair>>>;
    /**
     *
     * @summary Get all password reset providers.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPasswordResetProviders(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<NameIdPair>>>;
    /**
     *
     * @summary Gets a list of sessions.
     * @param {string} [controllableByUserId] Filter by sessions that a given user is allowed to remote control.
     * @param {string} [deviceId] Filter by device Id.
     * @param {number} [activeWithinSeconds] Optional. Filter by sessions that were active in the last n seconds.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSessions(controllableByUserId?: string | undefined, deviceId?: string | undefined, activeWithinSeconds?: number | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<SessionInfo>>>;
    /**
     *
     * @summary Instructs a session to play an item.
     * @param {string} sessionId The session id.
     * @param {PlayCommand} playCommand The type of play command to issue (PlayNow, PlayNext, PlayLast). Clients who have not yet implemented play next and play last may play now.
     * @param {Array<string>} itemIds The ids of the items to play, comma delimited.
     * @param {number} [startPositionTicks] The starting position of the first item.
     * @param {string} [mediaSourceId] Optional. The media source id.
     * @param {number} [audioStreamIndex] Optional. The index of the audio stream to play.
     * @param {number} [subtitleStreamIndex] Optional. The index of the subtitle stream to play.
     * @param {number} [startIndex] Optional. The start index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    play(sessionId: string, playCommand: PlayCommand, itemIds: Array<string>, startPositionTicks?: number | undefined, mediaSourceId?: string | undefined, audioStreamIndex?: number | undefined, subtitleStreamIndex?: number | undefined, startIndex?: number | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Updates capabilities for a device.
     * @param {string} [id] The session id.
     * @param {Array<string>} [playableMediaTypes] A list of playable media types, comma delimited. Audio, Video, Book, Photo.
     * @param {Array<GeneralCommandType>} [supportedCommands] A list of supported remote control commands, comma delimited.
     * @param {boolean} [supportsMediaControl] Determines whether media can be played remotely..
     * @param {boolean} [supportsSync] Determines whether sync is supported.
     * @param {boolean} [supportsPersistentIdentifier] Determines whether the device supports a unique identifier.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postCapabilities(id?: string | undefined, playableMediaTypes?: string[] | undefined, supportedCommands?: GeneralCommandType[] | undefined, supportsMediaControl?: boolean | undefined, supportsSync?: boolean | undefined, supportsPersistentIdentifier?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Updates capabilities for a device.
     * @param {ClientCapabilitiesDto} clientCapabilitiesDto The MediaBrowser.Model.Session.ClientCapabilities.
     * @param {string} [id] The session id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postFullCapabilities(clientCapabilitiesDto: ClientCapabilitiesDto, id?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Removes an additional user from a session.
     * @param {string} sessionId The session id.
     * @param {string} userId The user id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    removeUserFromSession(sessionId: string, userId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Reports that a session has ended.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    reportSessionEnded(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Reports that a session is viewing an item.
     * @param {string} itemId The item id.
     * @param {string} [sessionId] The session id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    reportViewing(itemId: string, sessionId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Issues a full general command to a client.
     * @param {string} sessionId The session id.
     * @param {GeneralCommand} generalCommand The MediaBrowser.Model.Session.GeneralCommand.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    sendFullGeneralCommand(sessionId: string, generalCommand: GeneralCommand, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Issues a general command to a client.
     * @param {string} sessionId The session id.
     * @param {GeneralCommandType} command The command to send.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    sendGeneralCommand(sessionId: string, command: GeneralCommandType, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Issues a command to a client to display a message to the user.
     * @param {string} sessionId The session id.
     * @param {MessageCommand} messageCommand The MediaBrowser.Model.Session.MessageCommand object containing Header, Message Text, and TimeoutMs.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    sendMessageCommand(sessionId: string, messageCommand: MessageCommand, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Issues a playstate command to a client.
     * @param {string} sessionId The session id.
     * @param {PlaystateCommand} command The MediaBrowser.Model.Session.PlaystateCommand.
     * @param {number} [seekPositionTicks] The optional position ticks.
     * @param {string} [controllingUserId] The optional controlling user id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    sendPlaystateCommand(sessionId: string, command: PlaystateCommand, seekPositionTicks?: number | undefined, controllingUserId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Issues a system command to a client.
     * @param {string} sessionId The session id.
     * @param {GeneralCommandType} command The command to send.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    sendSystemCommand(sessionId: string, command: GeneralCommandType, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * SessionApi - factory interface
 * @export
 */
export declare const SessionApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Adds an additional user to a session.
     * @param {string} sessionId The session id.
     * @param {string} userId The user id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    addUserToSession(sessionId: string, userId: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Instructs a session to browse to an item or view.
     * @param {string} sessionId The session Id.
     * @param {string} itemType The type of item to browse to.
     * @param {string} itemId The Id of the item.
     * @param {string} itemName The name of the item.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    displayContent(sessionId: string, itemType: string, itemId: string, itemName: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Get all auth providers.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getAuthProviders(options?: any): AxiosPromise<Array<NameIdPair>>;
    /**
     *
     * @summary Get all password reset providers.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPasswordResetProviders(options?: any): AxiosPromise<Array<NameIdPair>>;
    /**
     *
     * @summary Gets a list of sessions.
     * @param {string} [controllableByUserId] Filter by sessions that a given user is allowed to remote control.
     * @param {string} [deviceId] Filter by device Id.
     * @param {number} [activeWithinSeconds] Optional. Filter by sessions that were active in the last n seconds.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSessions(controllableByUserId?: string | undefined, deviceId?: string | undefined, activeWithinSeconds?: number | undefined, options?: any): AxiosPromise<Array<SessionInfo>>;
    /**
     *
     * @summary Instructs a session to play an item.
     * @param {string} sessionId The session id.
     * @param {PlayCommand} playCommand The type of play command to issue (PlayNow, PlayNext, PlayLast). Clients who have not yet implemented play next and play last may play now.
     * @param {Array<string>} itemIds The ids of the items to play, comma delimited.
     * @param {number} [startPositionTicks] The starting position of the first item.
     * @param {string} [mediaSourceId] Optional. The media source id.
     * @param {number} [audioStreamIndex] Optional. The index of the audio stream to play.
     * @param {number} [subtitleStreamIndex] Optional. The index of the subtitle stream to play.
     * @param {number} [startIndex] Optional. The start index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    play(sessionId: string, playCommand: PlayCommand, itemIds: Array<string>, startPositionTicks?: number | undefined, mediaSourceId?: string | undefined, audioStreamIndex?: number | undefined, subtitleStreamIndex?: number | undefined, startIndex?: number | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Updates capabilities for a device.
     * @param {string} [id] The session id.
     * @param {Array<string>} [playableMediaTypes] A list of playable media types, comma delimited. Audio, Video, Book, Photo.
     * @param {Array<GeneralCommandType>} [supportedCommands] A list of supported remote control commands, comma delimited.
     * @param {boolean} [supportsMediaControl] Determines whether media can be played remotely..
     * @param {boolean} [supportsSync] Determines whether sync is supported.
     * @param {boolean} [supportsPersistentIdentifier] Determines whether the device supports a unique identifier.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postCapabilities(id?: string | undefined, playableMediaTypes?: string[] | undefined, supportedCommands?: GeneralCommandType[] | undefined, supportsMediaControl?: boolean | undefined, supportsSync?: boolean | undefined, supportsPersistentIdentifier?: boolean | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Updates capabilities for a device.
     * @param {ClientCapabilitiesDto} clientCapabilitiesDto The MediaBrowser.Model.Session.ClientCapabilities.
     * @param {string} [id] The session id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postFullCapabilities(clientCapabilitiesDto: ClientCapabilitiesDto, id?: string | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Removes an additional user from a session.
     * @param {string} sessionId The session id.
     * @param {string} userId The user id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    removeUserFromSession(sessionId: string, userId: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Reports that a session has ended.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    reportSessionEnded(options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Reports that a session is viewing an item.
     * @param {string} itemId The item id.
     * @param {string} [sessionId] The session id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    reportViewing(itemId: string, sessionId?: string | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Issues a full general command to a client.
     * @param {string} sessionId The session id.
     * @param {GeneralCommand} generalCommand The MediaBrowser.Model.Session.GeneralCommand.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    sendFullGeneralCommand(sessionId: string, generalCommand: GeneralCommand, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Issues a general command to a client.
     * @param {string} sessionId The session id.
     * @param {GeneralCommandType} command The command to send.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    sendGeneralCommand(sessionId: string, command: GeneralCommandType, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Issues a command to a client to display a message to the user.
     * @param {string} sessionId The session id.
     * @param {MessageCommand} messageCommand The MediaBrowser.Model.Session.MessageCommand object containing Header, Message Text, and TimeoutMs.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    sendMessageCommand(sessionId: string, messageCommand: MessageCommand, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Issues a playstate command to a client.
     * @param {string} sessionId The session id.
     * @param {PlaystateCommand} command The MediaBrowser.Model.Session.PlaystateCommand.
     * @param {number} [seekPositionTicks] The optional position ticks.
     * @param {string} [controllingUserId] The optional controlling user id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    sendPlaystateCommand(sessionId: string, command: PlaystateCommand, seekPositionTicks?: number | undefined, controllingUserId?: string | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Issues a system command to a client.
     * @param {string} sessionId The session id.
     * @param {GeneralCommandType} command The command to send.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    sendSystemCommand(sessionId: string, command: GeneralCommandType, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for addUserToSession operation in SessionApi.
 * @export
 * @interface SessionApiAddUserToSessionRequest
 */
export interface SessionApiAddUserToSessionRequest {
    /**
     * The session id.
     * @type {string}
     * @memberof SessionApiAddUserToSession
     */
    readonly sessionId: string;
    /**
     * The user id.
     * @type {string}
     * @memberof SessionApiAddUserToSession
     */
    readonly userId: string;
}
/**
 * Request parameters for displayContent operation in SessionApi.
 * @export
 * @interface SessionApiDisplayContentRequest
 */
export interface SessionApiDisplayContentRequest {
    /**
     * The session Id.
     * @type {string}
     * @memberof SessionApiDisplayContent
     */
    readonly sessionId: string;
    /**
     * The type of item to browse to.
     * @type {string}
     * @memberof SessionApiDisplayContent
     */
    readonly itemType: string;
    /**
     * The Id of the item.
     * @type {string}
     * @memberof SessionApiDisplayContent
     */
    readonly itemId: string;
    /**
     * The name of the item.
     * @type {string}
     * @memberof SessionApiDisplayContent
     */
    readonly itemName: string;
}
/**
 * Request parameters for getSessions operation in SessionApi.
 * @export
 * @interface SessionApiGetSessionsRequest
 */
export interface SessionApiGetSessionsRequest {
    /**
     * Filter by sessions that a given user is allowed to remote control.
     * @type {string}
     * @memberof SessionApiGetSessions
     */
    readonly controllableByUserId?: string;
    /**
     * Filter by device Id.
     * @type {string}
     * @memberof SessionApiGetSessions
     */
    readonly deviceId?: string;
    /**
     * Optional. Filter by sessions that were active in the last n seconds.
     * @type {number}
     * @memberof SessionApiGetSessions
     */
    readonly activeWithinSeconds?: number;
}
/**
 * Request parameters for play operation in SessionApi.
 * @export
 * @interface SessionApiPlayRequest
 */
export interface SessionApiPlayRequest {
    /**
     * The session id.
     * @type {string}
     * @memberof SessionApiPlay
     */
    readonly sessionId: string;
    /**
     * The type of play command to issue (PlayNow, PlayNext, PlayLast). Clients who have not yet implemented play next and play last may play now.
     * @type {PlayCommand}
     * @memberof SessionApiPlay
     */
    readonly playCommand: PlayCommand;
    /**
     * The ids of the items to play, comma delimited.
     * @type {Array<string>}
     * @memberof SessionApiPlay
     */
    readonly itemIds: Array<string>;
    /**
     * The starting position of the first item.
     * @type {number}
     * @memberof SessionApiPlay
     */
    readonly startPositionTicks?: number;
    /**
     * Optional. The media source id.
     * @type {string}
     * @memberof SessionApiPlay
     */
    readonly mediaSourceId?: string;
    /**
     * Optional. The index of the audio stream to play.
     * @type {number}
     * @memberof SessionApiPlay
     */
    readonly audioStreamIndex?: number;
    /**
     * Optional. The index of the subtitle stream to play.
     * @type {number}
     * @memberof SessionApiPlay
     */
    readonly subtitleStreamIndex?: number;
    /**
     * Optional. The start index.
     * @type {number}
     * @memberof SessionApiPlay
     */
    readonly startIndex?: number;
}
/**
 * Request parameters for postCapabilities operation in SessionApi.
 * @export
 * @interface SessionApiPostCapabilitiesRequest
 */
export interface SessionApiPostCapabilitiesRequest {
    /**
     * The session id.
     * @type {string}
     * @memberof SessionApiPostCapabilities
     */
    readonly id?: string;
    /**
     * A list of playable media types, comma delimited. Audio, Video, Book, Photo.
     * @type {Array<string>}
     * @memberof SessionApiPostCapabilities
     */
    readonly playableMediaTypes?: Array<string>;
    /**
     * A list of supported remote control commands, comma delimited.
     * @type {Array<GeneralCommandType>}
     * @memberof SessionApiPostCapabilities
     */
    readonly supportedCommands?: Array<GeneralCommandType>;
    /**
     * Determines whether media can be played remotely..
     * @type {boolean}
     * @memberof SessionApiPostCapabilities
     */
    readonly supportsMediaControl?: boolean;
    /**
     * Determines whether sync is supported.
     * @type {boolean}
     * @memberof SessionApiPostCapabilities
     */
    readonly supportsSync?: boolean;
    /**
     * Determines whether the device supports a unique identifier.
     * @type {boolean}
     * @memberof SessionApiPostCapabilities
     */
    readonly supportsPersistentIdentifier?: boolean;
}
/**
 * Request parameters for postFullCapabilities operation in SessionApi.
 * @export
 * @interface SessionApiPostFullCapabilitiesRequest
 */
export interface SessionApiPostFullCapabilitiesRequest {
    /**
     * The MediaBrowser.Model.Session.ClientCapabilities.
     * @type {ClientCapabilitiesDto}
     * @memberof SessionApiPostFullCapabilities
     */
    readonly clientCapabilitiesDto: ClientCapabilitiesDto;
    /**
     * The session id.
     * @type {string}
     * @memberof SessionApiPostFullCapabilities
     */
    readonly id?: string;
}
/**
 * Request parameters for removeUserFromSession operation in SessionApi.
 * @export
 * @interface SessionApiRemoveUserFromSessionRequest
 */
export interface SessionApiRemoveUserFromSessionRequest {
    /**
     * The session id.
     * @type {string}
     * @memberof SessionApiRemoveUserFromSession
     */
    readonly sessionId: string;
    /**
     * The user id.
     * @type {string}
     * @memberof SessionApiRemoveUserFromSession
     */
    readonly userId: string;
}
/**
 * Request parameters for reportViewing operation in SessionApi.
 * @export
 * @interface SessionApiReportViewingRequest
 */
export interface SessionApiReportViewingRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof SessionApiReportViewing
     */
    readonly itemId: string;
    /**
     * The session id.
     * @type {string}
     * @memberof SessionApiReportViewing
     */
    readonly sessionId?: string;
}
/**
 * Request parameters for sendFullGeneralCommand operation in SessionApi.
 * @export
 * @interface SessionApiSendFullGeneralCommandRequest
 */
export interface SessionApiSendFullGeneralCommandRequest {
    /**
     * The session id.
     * @type {string}
     * @memberof SessionApiSendFullGeneralCommand
     */
    readonly sessionId: string;
    /**
     * The MediaBrowser.Model.Session.GeneralCommand.
     * @type {GeneralCommand}
     * @memberof SessionApiSendFullGeneralCommand
     */
    readonly generalCommand: GeneralCommand;
}
/**
 * Request parameters for sendGeneralCommand operation in SessionApi.
 * @export
 * @interface SessionApiSendGeneralCommandRequest
 */
export interface SessionApiSendGeneralCommandRequest {
    /**
     * The session id.
     * @type {string}
     * @memberof SessionApiSendGeneralCommand
     */
    readonly sessionId: string;
    /**
     * The command to send.
     * @type {GeneralCommandType}
     * @memberof SessionApiSendGeneralCommand
     */
    readonly command: GeneralCommandType;
}
/**
 * Request parameters for sendMessageCommand operation in SessionApi.
 * @export
 * @interface SessionApiSendMessageCommandRequest
 */
export interface SessionApiSendMessageCommandRequest {
    /**
     * The session id.
     * @type {string}
     * @memberof SessionApiSendMessageCommand
     */
    readonly sessionId: string;
    /**
     * The MediaBrowser.Model.Session.MessageCommand object containing Header, Message Text, and TimeoutMs.
     * @type {MessageCommand}
     * @memberof SessionApiSendMessageCommand
     */
    readonly messageCommand: MessageCommand;
}
/**
 * Request parameters for sendPlaystateCommand operation in SessionApi.
 * @export
 * @interface SessionApiSendPlaystateCommandRequest
 */
export interface SessionApiSendPlaystateCommandRequest {
    /**
     * The session id.
     * @type {string}
     * @memberof SessionApiSendPlaystateCommand
     */
    readonly sessionId: string;
    /**
     * The MediaBrowser.Model.Session.PlaystateCommand.
     * @type {PlaystateCommand}
     * @memberof SessionApiSendPlaystateCommand
     */
    readonly command: PlaystateCommand;
    /**
     * The optional position ticks.
     * @type {number}
     * @memberof SessionApiSendPlaystateCommand
     */
    readonly seekPositionTicks?: number;
    /**
     * The optional controlling user id.
     * @type {string}
     * @memberof SessionApiSendPlaystateCommand
     */
    readonly controllingUserId?: string;
}
/**
 * Request parameters for sendSystemCommand operation in SessionApi.
 * @export
 * @interface SessionApiSendSystemCommandRequest
 */
export interface SessionApiSendSystemCommandRequest {
    /**
     * The session id.
     * @type {string}
     * @memberof SessionApiSendSystemCommand
     */
    readonly sessionId: string;
    /**
     * The command to send.
     * @type {GeneralCommandType}
     * @memberof SessionApiSendSystemCommand
     */
    readonly command: GeneralCommandType;
}
/**
 * SessionApi - object-oriented interface
 * @export
 * @class SessionApi
 * @extends {BaseAPI}
 */
export declare class SessionApi extends BaseAPI {
    /**
     *
     * @summary Adds an additional user to a session.
     * @param {SessionApiAddUserToSessionRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionApi
     */
    addUserToSession(requestParameters: SessionApiAddUserToSessionRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Instructs a session to browse to an item or view.
     * @param {SessionApiDisplayContentRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionApi
     */
    displayContent(requestParameters: SessionApiDisplayContentRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Get all auth providers.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionApi
     */
    getAuthProviders(options?: any): Promise<import("axios").AxiosResponse<NameIdPair[], any>>;
    /**
     *
     * @summary Get all password reset providers.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionApi
     */
    getPasswordResetProviders(options?: any): Promise<import("axios").AxiosResponse<NameIdPair[], any>>;
    /**
     *
     * @summary Gets a list of sessions.
     * @param {SessionApiGetSessionsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionApi
     */
    getSessions(requestParameters?: SessionApiGetSessionsRequest, options?: any): Promise<import("axios").AxiosResponse<SessionInfo[], any>>;
    /**
     *
     * @summary Instructs a session to play an item.
     * @param {SessionApiPlayRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionApi
     */
    play(requestParameters: SessionApiPlayRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Updates capabilities for a device.
     * @param {SessionApiPostCapabilitiesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionApi
     */
    postCapabilities(requestParameters?: SessionApiPostCapabilitiesRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Updates capabilities for a device.
     * @param {SessionApiPostFullCapabilitiesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionApi
     */
    postFullCapabilities(requestParameters: SessionApiPostFullCapabilitiesRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Removes an additional user from a session.
     * @param {SessionApiRemoveUserFromSessionRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionApi
     */
    removeUserFromSession(requestParameters: SessionApiRemoveUserFromSessionRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Reports that a session has ended.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionApi
     */
    reportSessionEnded(options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Reports that a session is viewing an item.
     * @param {SessionApiReportViewingRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionApi
     */
    reportViewing(requestParameters: SessionApiReportViewingRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Issues a full general command to a client.
     * @param {SessionApiSendFullGeneralCommandRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionApi
     */
    sendFullGeneralCommand(requestParameters: SessionApiSendFullGeneralCommandRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Issues a general command to a client.
     * @param {SessionApiSendGeneralCommandRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionApi
     */
    sendGeneralCommand(requestParameters: SessionApiSendGeneralCommandRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Issues a command to a client to display a message to the user.
     * @param {SessionApiSendMessageCommandRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionApi
     */
    sendMessageCommand(requestParameters: SessionApiSendMessageCommandRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Issues a playstate command to a client.
     * @param {SessionApiSendPlaystateCommandRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionApi
     */
    sendPlaystateCommand(requestParameters: SessionApiSendPlaystateCommandRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Issues a system command to a client.
     * @param {SessionApiSendSystemCommandRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionApi
     */
    sendSystemCommand(requestParameters: SessionApiSendSystemCommandRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
