/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { StartupConfigurationDto } from '../models';
import { StartupRemoteAccessDto } from '../models';
import { StartupUserDto } from '../models';
/**
 * StartupApi - axios parameter creator
 * @export
 */
export declare const StartupApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Completes the startup wizard.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    completeWizard: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the first user.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFirstUser: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the first user.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFirstUser2: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the initial startup wizard configuration.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getStartupConfiguration: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Sets remote access and UPnP.
     * @param {StartupRemoteAccessDto} startupRemoteAccessDto The startup remote access dto.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    setRemoteAccess: (startupRemoteAccessDto: StartupRemoteAccessDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Sets the initial startup wizard configuration.
     * @param {StartupConfigurationDto} startupConfigurationDto The updated startup configuration.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateInitialConfiguration: (startupConfigurationDto: StartupConfigurationDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Sets the user name and password.
     * @param {StartupUserDto} [startupUserDto] The DTO containing username and password.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateStartupUser: (startupUserDto?: StartupUserDto | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * StartupApi - functional programming interface
 * @export
 */
export declare const StartupApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Completes the startup wizard.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    completeWizard(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Gets the first user.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFirstUser(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<StartupUserDto>>;
    /**
     *
     * @summary Gets the first user.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFirstUser2(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<StartupUserDto>>;
    /**
     *
     * @summary Gets the initial startup wizard configuration.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getStartupConfiguration(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<StartupConfigurationDto>>;
    /**
     *
     * @summary Sets remote access and UPnP.
     * @param {StartupRemoteAccessDto} startupRemoteAccessDto The startup remote access dto.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    setRemoteAccess(startupRemoteAccessDto: StartupRemoteAccessDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Sets the initial startup wizard configuration.
     * @param {StartupConfigurationDto} startupConfigurationDto The updated startup configuration.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateInitialConfiguration(startupConfigurationDto: StartupConfigurationDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Sets the user name and password.
     * @param {StartupUserDto} [startupUserDto] The DTO containing username and password.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateStartupUser(startupUserDto?: StartupUserDto | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * StartupApi - factory interface
 * @export
 */
export declare const StartupApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Completes the startup wizard.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    completeWizard(options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Gets the first user.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFirstUser(options?: any): AxiosPromise<StartupUserDto>;
    /**
     *
     * @summary Gets the first user.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFirstUser2(options?: any): AxiosPromise<StartupUserDto>;
    /**
     *
     * @summary Gets the initial startup wizard configuration.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getStartupConfiguration(options?: any): AxiosPromise<StartupConfigurationDto>;
    /**
     *
     * @summary Sets remote access and UPnP.
     * @param {StartupRemoteAccessDto} startupRemoteAccessDto The startup remote access dto.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    setRemoteAccess(startupRemoteAccessDto: StartupRemoteAccessDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Sets the initial startup wizard configuration.
     * @param {StartupConfigurationDto} startupConfigurationDto The updated startup configuration.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateInitialConfiguration(startupConfigurationDto: StartupConfigurationDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Sets the user name and password.
     * @param {StartupUserDto} [startupUserDto] The DTO containing username and password.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateStartupUser(startupUserDto?: StartupUserDto | undefined, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for setRemoteAccess operation in StartupApi.
 * @export
 * @interface StartupApiSetRemoteAccessRequest
 */
export interface StartupApiSetRemoteAccessRequest {
    /**
     * The startup remote access dto.
     * @type {StartupRemoteAccessDto}
     * @memberof StartupApiSetRemoteAccess
     */
    readonly startupRemoteAccessDto: StartupRemoteAccessDto;
}
/**
 * Request parameters for updateInitialConfiguration operation in StartupApi.
 * @export
 * @interface StartupApiUpdateInitialConfigurationRequest
 */
export interface StartupApiUpdateInitialConfigurationRequest {
    /**
     * The updated startup configuration.
     * @type {StartupConfigurationDto}
     * @memberof StartupApiUpdateInitialConfiguration
     */
    readonly startupConfigurationDto: StartupConfigurationDto;
}
/**
 * Request parameters for updateStartupUser operation in StartupApi.
 * @export
 * @interface StartupApiUpdateStartupUserRequest
 */
export interface StartupApiUpdateStartupUserRequest {
    /**
     * The DTO containing username and password.
     * @type {StartupUserDto}
     * @memberof StartupApiUpdateStartupUser
     */
    readonly startupUserDto?: StartupUserDto;
}
/**
 * StartupApi - object-oriented interface
 * @export
 * @class StartupApi
 * @extends {BaseAPI}
 */
export declare class StartupApi extends BaseAPI {
    /**
     *
     * @summary Completes the startup wizard.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof StartupApi
     */
    completeWizard(options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Gets the first user.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof StartupApi
     */
    getFirstUser(options?: any): Promise<import("axios").AxiosResponse<StartupUserDto, any>>;
    /**
     *
     * @summary Gets the first user.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof StartupApi
     */
    getFirstUser2(options?: any): Promise<import("axios").AxiosResponse<StartupUserDto, any>>;
    /**
     *
     * @summary Gets the initial startup wizard configuration.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof StartupApi
     */
    getStartupConfiguration(options?: any): Promise<import("axios").AxiosResponse<StartupConfigurationDto, any>>;
    /**
     *
     * @summary Sets remote access and UPnP.
     * @param {StartupApiSetRemoteAccessRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof StartupApi
     */
    setRemoteAccess(requestParameters: StartupApiSetRemoteAccessRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Sets the initial startup wizard configuration.
     * @param {StartupApiUpdateInitialConfigurationRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof StartupApi
     */
    updateInitialConfiguration(requestParameters: StartupApiUpdateInitialConfigurationRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Sets the user name and password.
     * @param {StartupApiUpdateStartupUserRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof StartupApi
     */
    updateStartupUser(requestParameters?: StartupApiUpdateStartupUserRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
