/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { FontFile } from '../models';
import { RemoteSubtitleInfo } from '../models';
import { UploadSubtitleDto } from '../models';
/**
 * SubtitleApi - axios parameter creator
 * @export
 */
export declare const SubtitleApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Deletes an external subtitle file.
     * @param {string} itemId The item id.
     * @param {number} index The index of the subtitle file.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteSubtitle: (itemId: string, index: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Downloads a remote subtitle.
     * @param {string} itemId The item id.
     * @param {string} subtitleId The subtitle id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    downloadRemoteSubtitles: (itemId: string, subtitleId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a fallback font file.
     * @param {string} name The name of the fallback font file to get.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFallbackFont: (name: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a list of available fallback font files.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFallbackFontList: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the remote subtitles.
     * @param {string} id The item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRemoteSubtitles: (id: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets subtitles in a specified format.
     * @param {string} routeItemId The (route) item id.
     * @param {string} routeMediaSourceId The (route) media source id.
     * @param {number} routeIndex The (route) subtitle stream index.
     * @param {string} routeFormat The (route) format of the returned subtitle.
     * @param {string} [itemId] The item id.
     * @param {string} [mediaSourceId] The media source id.
     * @param {number} [index] The subtitle stream index.
     * @param {string} [format] The format of the returned subtitle.
     * @param {number} [endPositionTicks] Optional. The end position of the subtitle in ticks.
     * @param {boolean} [copyTimestamps] Optional. Whether to copy the timestamps.
     * @param {boolean} [addVttTimeMap] Optional. Whether to add a VTT time map.
     * @param {number} [startPositionTicks] The start position of the subtitle in ticks.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSubtitle: (routeItemId: string, routeMediaSourceId: string, routeIndex: number, routeFormat: string, itemId?: string | undefined, mediaSourceId?: string | undefined, index?: number | undefined, format?: string | undefined, endPositionTicks?: number | undefined, copyTimestamps?: boolean | undefined, addVttTimeMap?: boolean | undefined, startPositionTicks?: number | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets an HLS subtitle playlist.
     * @param {string} itemId The item id.
     * @param {number} index The subtitle stream index.
     * @param {string} mediaSourceId The media source id.
     * @param {number} segmentLength The subtitle segment length.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSubtitlePlaylist: (itemId: string, index: number, mediaSourceId: string, segmentLength: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets subtitles in a specified format.
     * @param {string} routeItemId The (route) item id.
     * @param {string} routeMediaSourceId The (route) media source id.
     * @param {number} routeIndex The (route) subtitle stream index.
     * @param {number} routeStartPositionTicks The (route) start position of the subtitle in ticks.
     * @param {string} routeFormat The (route) format of the returned subtitle.
     * @param {string} [itemId] The item id.
     * @param {string} [mediaSourceId] The media source id.
     * @param {number} [index] The subtitle stream index.
     * @param {number} [startPositionTicks] The start position of the subtitle in ticks.
     * @param {string} [format] The format of the returned subtitle.
     * @param {number} [endPositionTicks] Optional. The end position of the subtitle in ticks.
     * @param {boolean} [copyTimestamps] Optional. Whether to copy the timestamps.
     * @param {boolean} [addVttTimeMap] Optional. Whether to add a VTT time map.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSubtitleWithTicks: (routeItemId: string, routeMediaSourceId: string, routeIndex: number, routeStartPositionTicks: number, routeFormat: string, itemId?: string | undefined, mediaSourceId?: string | undefined, index?: number | undefined, startPositionTicks?: number | undefined, format?: string | undefined, endPositionTicks?: number | undefined, copyTimestamps?: boolean | undefined, addVttTimeMap?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Search remote subtitles.
     * @param {string} itemId The item id.
     * @param {string} language The language of the subtitles.
     * @param {boolean} [isPerfectMatch] Optional. Only show subtitles which are a perfect match.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchRemoteSubtitles: (itemId: string, language: string, isPerfectMatch?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Upload an external subtitle file.
     * @param {string} itemId The item the subtitle belongs to.
     * @param {UploadSubtitleDto} uploadSubtitleDto The request body.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    uploadSubtitle: (itemId: string, uploadSubtitleDto: UploadSubtitleDto, options?: any) => Promise<RequestArgs>;
};
/**
 * SubtitleApi - functional programming interface
 * @export
 */
export declare const SubtitleApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Deletes an external subtitle file.
     * @param {string} itemId The item id.
     * @param {number} index The index of the subtitle file.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteSubtitle(itemId: string, index: number, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Downloads a remote subtitle.
     * @param {string} itemId The item id.
     * @param {string} subtitleId The subtitle id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    downloadRemoteSubtitles(itemId: string, subtitleId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Gets a fallback font file.
     * @param {string} name The name of the fallback font file to get.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFallbackFont(name: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets a list of available fallback font files.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFallbackFontList(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<FontFile>>>;
    /**
     *
     * @summary Gets the remote subtitles.
     * @param {string} id The item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRemoteSubtitles(id: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets subtitles in a specified format.
     * @param {string} routeItemId The (route) item id.
     * @param {string} routeMediaSourceId The (route) media source id.
     * @param {number} routeIndex The (route) subtitle stream index.
     * @param {string} routeFormat The (route) format of the returned subtitle.
     * @param {string} [itemId] The item id.
     * @param {string} [mediaSourceId] The media source id.
     * @param {number} [index] The subtitle stream index.
     * @param {string} [format] The format of the returned subtitle.
     * @param {number} [endPositionTicks] Optional. The end position of the subtitle in ticks.
     * @param {boolean} [copyTimestamps] Optional. Whether to copy the timestamps.
     * @param {boolean} [addVttTimeMap] Optional. Whether to add a VTT time map.
     * @param {number} [startPositionTicks] The start position of the subtitle in ticks.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSubtitle(routeItemId: string, routeMediaSourceId: string, routeIndex: number, routeFormat: string, itemId?: string | undefined, mediaSourceId?: string | undefined, index?: number | undefined, format?: string | undefined, endPositionTicks?: number | undefined, copyTimestamps?: boolean | undefined, addVttTimeMap?: boolean | undefined, startPositionTicks?: number | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets an HLS subtitle playlist.
     * @param {string} itemId The item id.
     * @param {number} index The subtitle stream index.
     * @param {string} mediaSourceId The media source id.
     * @param {number} segmentLength The subtitle segment length.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSubtitlePlaylist(itemId: string, index: number, mediaSourceId: string, segmentLength: number, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets subtitles in a specified format.
     * @param {string} routeItemId The (route) item id.
     * @param {string} routeMediaSourceId The (route) media source id.
     * @param {number} routeIndex The (route) subtitle stream index.
     * @param {number} routeStartPositionTicks The (route) start position of the subtitle in ticks.
     * @param {string} routeFormat The (route) format of the returned subtitle.
     * @param {string} [itemId] The item id.
     * @param {string} [mediaSourceId] The media source id.
     * @param {number} [index] The subtitle stream index.
     * @param {number} [startPositionTicks] The start position of the subtitle in ticks.
     * @param {string} [format] The format of the returned subtitle.
     * @param {number} [endPositionTicks] Optional. The end position of the subtitle in ticks.
     * @param {boolean} [copyTimestamps] Optional. Whether to copy the timestamps.
     * @param {boolean} [addVttTimeMap] Optional. Whether to add a VTT time map.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSubtitleWithTicks(routeItemId: string, routeMediaSourceId: string, routeIndex: number, routeStartPositionTicks: number, routeFormat: string, itemId?: string | undefined, mediaSourceId?: string | undefined, index?: number | undefined, startPositionTicks?: number | undefined, format?: string | undefined, endPositionTicks?: number | undefined, copyTimestamps?: boolean | undefined, addVttTimeMap?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Search remote subtitles.
     * @param {string} itemId The item id.
     * @param {string} language The language of the subtitles.
     * @param {boolean} [isPerfectMatch] Optional. Only show subtitles which are a perfect match.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchRemoteSubtitles(itemId: string, language: string, isPerfectMatch?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<RemoteSubtitleInfo>>>;
    /**
     *
     * @summary Upload an external subtitle file.
     * @param {string} itemId The item the subtitle belongs to.
     * @param {UploadSubtitleDto} uploadSubtitleDto The request body.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    uploadSubtitle(itemId: string, uploadSubtitleDto: UploadSubtitleDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * SubtitleApi - factory interface
 * @export
 */
export declare const SubtitleApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Deletes an external subtitle file.
     * @param {string} itemId The item id.
     * @param {number} index The index of the subtitle file.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteSubtitle(itemId: string, index: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Downloads a remote subtitle.
     * @param {string} itemId The item id.
     * @param {string} subtitleId The subtitle id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    downloadRemoteSubtitles(itemId: string, subtitleId: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Gets a fallback font file.
     * @param {string} name The name of the fallback font file to get.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFallbackFont(name: string, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets a list of available fallback font files.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getFallbackFontList(options?: any): AxiosPromise<Array<FontFile>>;
    /**
     *
     * @summary Gets the remote subtitles.
     * @param {string} id The item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRemoteSubtitles(id: string, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets subtitles in a specified format.
     * @param {string} routeItemId The (route) item id.
     * @param {string} routeMediaSourceId The (route) media source id.
     * @param {number} routeIndex The (route) subtitle stream index.
     * @param {string} routeFormat The (route) format of the returned subtitle.
     * @param {string} [itemId] The item id.
     * @param {string} [mediaSourceId] The media source id.
     * @param {number} [index] The subtitle stream index.
     * @param {string} [format] The format of the returned subtitle.
     * @param {number} [endPositionTicks] Optional. The end position of the subtitle in ticks.
     * @param {boolean} [copyTimestamps] Optional. Whether to copy the timestamps.
     * @param {boolean} [addVttTimeMap] Optional. Whether to add a VTT time map.
     * @param {number} [startPositionTicks] The start position of the subtitle in ticks.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSubtitle(routeItemId: string, routeMediaSourceId: string, routeIndex: number, routeFormat: string, itemId?: string | undefined, mediaSourceId?: string | undefined, index?: number | undefined, format?: string | undefined, endPositionTicks?: number | undefined, copyTimestamps?: boolean | undefined, addVttTimeMap?: boolean | undefined, startPositionTicks?: number | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets an HLS subtitle playlist.
     * @param {string} itemId The item id.
     * @param {number} index The subtitle stream index.
     * @param {string} mediaSourceId The media source id.
     * @param {number} segmentLength The subtitle segment length.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSubtitlePlaylist(itemId: string, index: number, mediaSourceId: string, segmentLength: number, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets subtitles in a specified format.
     * @param {string} routeItemId The (route) item id.
     * @param {string} routeMediaSourceId The (route) media source id.
     * @param {number} routeIndex The (route) subtitle stream index.
     * @param {number} routeStartPositionTicks The (route) start position of the subtitle in ticks.
     * @param {string} routeFormat The (route) format of the returned subtitle.
     * @param {string} [itemId] The item id.
     * @param {string} [mediaSourceId] The media source id.
     * @param {number} [index] The subtitle stream index.
     * @param {number} [startPositionTicks] The start position of the subtitle in ticks.
     * @param {string} [format] The format of the returned subtitle.
     * @param {number} [endPositionTicks] Optional. The end position of the subtitle in ticks.
     * @param {boolean} [copyTimestamps] Optional. Whether to copy the timestamps.
     * @param {boolean} [addVttTimeMap] Optional. Whether to add a VTT time map.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSubtitleWithTicks(routeItemId: string, routeMediaSourceId: string, routeIndex: number, routeStartPositionTicks: number, routeFormat: string, itemId?: string | undefined, mediaSourceId?: string | undefined, index?: number | undefined, startPositionTicks?: number | undefined, format?: string | undefined, endPositionTicks?: number | undefined, copyTimestamps?: boolean | undefined, addVttTimeMap?: boolean | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Search remote subtitles.
     * @param {string} itemId The item id.
     * @param {string} language The language of the subtitles.
     * @param {boolean} [isPerfectMatch] Optional. Only show subtitles which are a perfect match.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    searchRemoteSubtitles(itemId: string, language: string, isPerfectMatch?: boolean | undefined, options?: any): AxiosPromise<Array<RemoteSubtitleInfo>>;
    /**
     *
     * @summary Upload an external subtitle file.
     * @param {string} itemId The item the subtitle belongs to.
     * @param {UploadSubtitleDto} uploadSubtitleDto The request body.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    uploadSubtitle(itemId: string, uploadSubtitleDto: UploadSubtitleDto, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for deleteSubtitle operation in SubtitleApi.
 * @export
 * @interface SubtitleApiDeleteSubtitleRequest
 */
export interface SubtitleApiDeleteSubtitleRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof SubtitleApiDeleteSubtitle
     */
    readonly itemId: string;
    /**
     * The index of the subtitle file.
     * @type {number}
     * @memberof SubtitleApiDeleteSubtitle
     */
    readonly index: number;
}
/**
 * Request parameters for downloadRemoteSubtitles operation in SubtitleApi.
 * @export
 * @interface SubtitleApiDownloadRemoteSubtitlesRequest
 */
export interface SubtitleApiDownloadRemoteSubtitlesRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof SubtitleApiDownloadRemoteSubtitles
     */
    readonly itemId: string;
    /**
     * The subtitle id.
     * @type {string}
     * @memberof SubtitleApiDownloadRemoteSubtitles
     */
    readonly subtitleId: string;
}
/**
 * Request parameters for getFallbackFont operation in SubtitleApi.
 * @export
 * @interface SubtitleApiGetFallbackFontRequest
 */
export interface SubtitleApiGetFallbackFontRequest {
    /**
     * The name of the fallback font file to get.
     * @type {string}
     * @memberof SubtitleApiGetFallbackFont
     */
    readonly name: string;
}
/**
 * Request parameters for getRemoteSubtitles operation in SubtitleApi.
 * @export
 * @interface SubtitleApiGetRemoteSubtitlesRequest
 */
export interface SubtitleApiGetRemoteSubtitlesRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof SubtitleApiGetRemoteSubtitles
     */
    readonly id: string;
}
/**
 * Request parameters for getSubtitle operation in SubtitleApi.
 * @export
 * @interface SubtitleApiGetSubtitleRequest
 */
export interface SubtitleApiGetSubtitleRequest {
    /**
     * The (route) item id.
     * @type {string}
     * @memberof SubtitleApiGetSubtitle
     */
    readonly routeItemId: string;
    /**
     * The (route) media source id.
     * @type {string}
     * @memberof SubtitleApiGetSubtitle
     */
    readonly routeMediaSourceId: string;
    /**
     * The (route) subtitle stream index.
     * @type {number}
     * @memberof SubtitleApiGetSubtitle
     */
    readonly routeIndex: number;
    /**
     * The (route) format of the returned subtitle.
     * @type {string}
     * @memberof SubtitleApiGetSubtitle
     */
    readonly routeFormat: string;
    /**
     * The item id.
     * @type {string}
     * @memberof SubtitleApiGetSubtitle
     */
    readonly itemId?: string;
    /**
     * The media source id.
     * @type {string}
     * @memberof SubtitleApiGetSubtitle
     */
    readonly mediaSourceId?: string;
    /**
     * The subtitle stream index.
     * @type {number}
     * @memberof SubtitleApiGetSubtitle
     */
    readonly index?: number;
    /**
     * The format of the returned subtitle.
     * @type {string}
     * @memberof SubtitleApiGetSubtitle
     */
    readonly format?: string;
    /**
     * Optional. The end position of the subtitle in ticks.
     * @type {number}
     * @memberof SubtitleApiGetSubtitle
     */
    readonly endPositionTicks?: number;
    /**
     * Optional. Whether to copy the timestamps.
     * @type {boolean}
     * @memberof SubtitleApiGetSubtitle
     */
    readonly copyTimestamps?: boolean;
    /**
     * Optional. Whether to add a VTT time map.
     * @type {boolean}
     * @memberof SubtitleApiGetSubtitle
     */
    readonly addVttTimeMap?: boolean;
    /**
     * The start position of the subtitle in ticks.
     * @type {number}
     * @memberof SubtitleApiGetSubtitle
     */
    readonly startPositionTicks?: number;
}
/**
 * Request parameters for getSubtitlePlaylist operation in SubtitleApi.
 * @export
 * @interface SubtitleApiGetSubtitlePlaylistRequest
 */
export interface SubtitleApiGetSubtitlePlaylistRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof SubtitleApiGetSubtitlePlaylist
     */
    readonly itemId: string;
    /**
     * The subtitle stream index.
     * @type {number}
     * @memberof SubtitleApiGetSubtitlePlaylist
     */
    readonly index: number;
    /**
     * The media source id.
     * @type {string}
     * @memberof SubtitleApiGetSubtitlePlaylist
     */
    readonly mediaSourceId: string;
    /**
     * The subtitle segment length.
     * @type {number}
     * @memberof SubtitleApiGetSubtitlePlaylist
     */
    readonly segmentLength: number;
}
/**
 * Request parameters for getSubtitleWithTicks operation in SubtitleApi.
 * @export
 * @interface SubtitleApiGetSubtitleWithTicksRequest
 */
export interface SubtitleApiGetSubtitleWithTicksRequest {
    /**
     * The (route) item id.
     * @type {string}
     * @memberof SubtitleApiGetSubtitleWithTicks
     */
    readonly routeItemId: string;
    /**
     * The (route) media source id.
     * @type {string}
     * @memberof SubtitleApiGetSubtitleWithTicks
     */
    readonly routeMediaSourceId: string;
    /**
     * The (route) subtitle stream index.
     * @type {number}
     * @memberof SubtitleApiGetSubtitleWithTicks
     */
    readonly routeIndex: number;
    /**
     * The (route) start position of the subtitle in ticks.
     * @type {number}
     * @memberof SubtitleApiGetSubtitleWithTicks
     */
    readonly routeStartPositionTicks: number;
    /**
     * The (route) format of the returned subtitle.
     * @type {string}
     * @memberof SubtitleApiGetSubtitleWithTicks
     */
    readonly routeFormat: string;
    /**
     * The item id.
     * @type {string}
     * @memberof SubtitleApiGetSubtitleWithTicks
     */
    readonly itemId?: string;
    /**
     * The media source id.
     * @type {string}
     * @memberof SubtitleApiGetSubtitleWithTicks
     */
    readonly mediaSourceId?: string;
    /**
     * The subtitle stream index.
     * @type {number}
     * @memberof SubtitleApiGetSubtitleWithTicks
     */
    readonly index?: number;
    /**
     * The start position of the subtitle in ticks.
     * @type {number}
     * @memberof SubtitleApiGetSubtitleWithTicks
     */
    readonly startPositionTicks?: number;
    /**
     * The format of the returned subtitle.
     * @type {string}
     * @memberof SubtitleApiGetSubtitleWithTicks
     */
    readonly format?: string;
    /**
     * Optional. The end position of the subtitle in ticks.
     * @type {number}
     * @memberof SubtitleApiGetSubtitleWithTicks
     */
    readonly endPositionTicks?: number;
    /**
     * Optional. Whether to copy the timestamps.
     * @type {boolean}
     * @memberof SubtitleApiGetSubtitleWithTicks
     */
    readonly copyTimestamps?: boolean;
    /**
     * Optional. Whether to add a VTT time map.
     * @type {boolean}
     * @memberof SubtitleApiGetSubtitleWithTicks
     */
    readonly addVttTimeMap?: boolean;
}
/**
 * Request parameters for searchRemoteSubtitles operation in SubtitleApi.
 * @export
 * @interface SubtitleApiSearchRemoteSubtitlesRequest
 */
export interface SubtitleApiSearchRemoteSubtitlesRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof SubtitleApiSearchRemoteSubtitles
     */
    readonly itemId: string;
    /**
     * The language of the subtitles.
     * @type {string}
     * @memberof SubtitleApiSearchRemoteSubtitles
     */
    readonly language: string;
    /**
     * Optional. Only show subtitles which are a perfect match.
     * @type {boolean}
     * @memberof SubtitleApiSearchRemoteSubtitles
     */
    readonly isPerfectMatch?: boolean;
}
/**
 * Request parameters for uploadSubtitle operation in SubtitleApi.
 * @export
 * @interface SubtitleApiUploadSubtitleRequest
 */
export interface SubtitleApiUploadSubtitleRequest {
    /**
     * The item the subtitle belongs to.
     * @type {string}
     * @memberof SubtitleApiUploadSubtitle
     */
    readonly itemId: string;
    /**
     * The request body.
     * @type {UploadSubtitleDto}
     * @memberof SubtitleApiUploadSubtitle
     */
    readonly uploadSubtitleDto: UploadSubtitleDto;
}
/**
 * SubtitleApi - object-oriented interface
 * @export
 * @class SubtitleApi
 * @extends {BaseAPI}
 */
export declare class SubtitleApi extends BaseAPI {
    /**
     *
     * @summary Deletes an external subtitle file.
     * @param {SubtitleApiDeleteSubtitleRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SubtitleApi
     */
    deleteSubtitle(requestParameters: SubtitleApiDeleteSubtitleRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Downloads a remote subtitle.
     * @param {SubtitleApiDownloadRemoteSubtitlesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SubtitleApi
     */
    downloadRemoteSubtitles(requestParameters: SubtitleApiDownloadRemoteSubtitlesRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Gets a fallback font file.
     * @param {SubtitleApiGetFallbackFontRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SubtitleApi
     */
    getFallbackFont(requestParameters: SubtitleApiGetFallbackFontRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets a list of available fallback font files.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SubtitleApi
     */
    getFallbackFontList(options?: any): Promise<import("axios").AxiosResponse<FontFile[], any>>;
    /**
     *
     * @summary Gets the remote subtitles.
     * @param {SubtitleApiGetRemoteSubtitlesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SubtitleApi
     */
    getRemoteSubtitles(requestParameters: SubtitleApiGetRemoteSubtitlesRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets subtitles in a specified format.
     * @param {SubtitleApiGetSubtitleRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SubtitleApi
     */
    getSubtitle(requestParameters: SubtitleApiGetSubtitleRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets an HLS subtitle playlist.
     * @param {SubtitleApiGetSubtitlePlaylistRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SubtitleApi
     */
    getSubtitlePlaylist(requestParameters: SubtitleApiGetSubtitlePlaylistRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets subtitles in a specified format.
     * @param {SubtitleApiGetSubtitleWithTicksRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SubtitleApi
     */
    getSubtitleWithTicks(requestParameters: SubtitleApiGetSubtitleWithTicksRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Search remote subtitles.
     * @param {SubtitleApiSearchRemoteSubtitlesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SubtitleApi
     */
    searchRemoteSubtitles(requestParameters: SubtitleApiSearchRemoteSubtitlesRequest, options?: any): Promise<import("axios").AxiosResponse<RemoteSubtitleInfo[], any>>;
    /**
     *
     * @summary Upload an external subtitle file.
     * @param {SubtitleApiUploadSubtitleRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SubtitleApi
     */
    uploadSubtitle(requestParameters: SubtitleApiUploadSubtitleRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
