/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { BaseItemDtoQueryResult } from '../models';
/**
 * SuggestionsApi - axios parameter creator
 * @export
 */
export declare const SuggestionsApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets suggestions.
     * @param {string} userId The user id.
     * @param {Array<string>} [mediaType] The media types.
     * @param {Array<string>} [type] The type.
     * @param {number} [startIndex] Optional. The start index.
     * @param {number} [limit] Optional. The limit.
     * @param {boolean} [enableTotalRecordCount] Whether to enable the total record count.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSuggestions: (userId: string, mediaType?: string[] | undefined, type?: string[] | undefined, startIndex?: number | undefined, limit?: number | undefined, enableTotalRecordCount?: boolean | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * SuggestionsApi - functional programming interface
 * @export
 */
export declare const SuggestionsApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets suggestions.
     * @param {string} userId The user id.
     * @param {Array<string>} [mediaType] The media types.
     * @param {Array<string>} [type] The type.
     * @param {number} [startIndex] Optional. The start index.
     * @param {number} [limit] Optional. The limit.
     * @param {boolean} [enableTotalRecordCount] Whether to enable the total record count.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSuggestions(userId: string, mediaType?: string[] | undefined, type?: string[] | undefined, startIndex?: number | undefined, limit?: number | undefined, enableTotalRecordCount?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
};
/**
 * SuggestionsApi - factory interface
 * @export
 */
export declare const SuggestionsApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Gets suggestions.
     * @param {string} userId The user id.
     * @param {Array<string>} [mediaType] The media types.
     * @param {Array<string>} [type] The type.
     * @param {number} [startIndex] Optional. The start index.
     * @param {number} [limit] Optional. The limit.
     * @param {boolean} [enableTotalRecordCount] Whether to enable the total record count.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSuggestions(userId: string, mediaType?: string[] | undefined, type?: string[] | undefined, startIndex?: number | undefined, limit?: number | undefined, enableTotalRecordCount?: boolean | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
};
/**
 * Request parameters for getSuggestions operation in SuggestionsApi.
 * @export
 * @interface SuggestionsApiGetSuggestionsRequest
 */
export interface SuggestionsApiGetSuggestionsRequest {
    /**
     * The user id.
     * @type {string}
     * @memberof SuggestionsApiGetSuggestions
     */
    readonly userId: string;
    /**
     * The media types.
     * @type {Array<string>}
     * @memberof SuggestionsApiGetSuggestions
     */
    readonly mediaType?: Array<string>;
    /**
     * The type.
     * @type {Array<string>}
     * @memberof SuggestionsApiGetSuggestions
     */
    readonly type?: Array<string>;
    /**
     * Optional. The start index.
     * @type {number}
     * @memberof SuggestionsApiGetSuggestions
     */
    readonly startIndex?: number;
    /**
     * Optional. The limit.
     * @type {number}
     * @memberof SuggestionsApiGetSuggestions
     */
    readonly limit?: number;
    /**
     * Whether to enable the total record count.
     * @type {boolean}
     * @memberof SuggestionsApiGetSuggestions
     */
    readonly enableTotalRecordCount?: boolean;
}
/**
 * SuggestionsApi - object-oriented interface
 * @export
 * @class SuggestionsApi
 * @extends {BaseAPI}
 */
export declare class SuggestionsApi extends BaseAPI {
    /**
     *
     * @summary Gets suggestions.
     * @param {SuggestionsApiGetSuggestionsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SuggestionsApi
     */
    getSuggestions(requestParameters: SuggestionsApiGetSuggestionsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
}
