/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { BufferRequestDto } from '../models';
import { GroupInfoDto } from '../models';
import { IgnoreWaitRequestDto } from '../models';
import { JoinGroupRequestDto } from '../models';
import { MovePlaylistItemRequestDto } from '../models';
import { NewGroupRequestDto } from '../models';
import { NextItemRequestDto } from '../models';
import { PingRequestDto } from '../models';
import { PlayRequestDto } from '../models';
import { PreviousItemRequestDto } from '../models';
import { QueueRequestDto } from '../models';
import { ReadyRequestDto } from '../models';
import { RemoveFromPlaylistRequestDto } from '../models';
import { SeekRequestDto } from '../models';
import { SetPlaylistItemRequestDto } from '../models';
import { SetRepeatModeRequestDto } from '../models';
import { SetShuffleModeRequestDto } from '../models';
/**
 * SyncPlayApi - axios parameter creator
 * @export
 */
export declare const SyncPlayApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Notify SyncPlay group that member is buffering.
     * @param {BufferRequestDto} bufferRequestDto The player status.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayBuffering: (bufferRequestDto: BufferRequestDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a new SyncPlay group.
     * @param {NewGroupRequestDto} newGroupRequestDto The settings of the new group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayCreateGroup: (newGroupRequestDto: NewGroupRequestDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets all SyncPlay groups.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayGetGroups: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Join an existing SyncPlay group.
     * @param {JoinGroupRequestDto} joinGroupRequestDto The group to join.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayJoinGroup: (joinGroupRequestDto: JoinGroupRequestDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Leave the joined SyncPlay group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayLeaveGroup: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Request to move an item in the playlist in SyncPlay group.
     * @param {MovePlaylistItemRequestDto} movePlaylistItemRequestDto The new position for the item.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayMovePlaylistItem: (movePlaylistItemRequestDto: MovePlaylistItemRequestDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Request next item in SyncPlay group.
     * @param {NextItemRequestDto} nextItemRequestDto The current item information.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayNextItem: (nextItemRequestDto: NextItemRequestDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Request pause in SyncPlay group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayPause: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Update session ping.
     * @param {PingRequestDto} pingRequestDto The new ping.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayPing: (pingRequestDto: PingRequestDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Request previous item in SyncPlay group.
     * @param {PreviousItemRequestDto} previousItemRequestDto The current item information.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayPreviousItem: (previousItemRequestDto: PreviousItemRequestDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Request to queue items to the playlist of a SyncPlay group.
     * @param {QueueRequestDto} queueRequestDto The items to add.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayQueue: (queueRequestDto: QueueRequestDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Notify SyncPlay group that member is ready for playback.
     * @param {ReadyRequestDto} readyRequestDto The player status.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayReady: (readyRequestDto: ReadyRequestDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Request to remove items from the playlist in SyncPlay group.
     * @param {RemoveFromPlaylistRequestDto} removeFromPlaylistRequestDto The items to remove.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayRemoveFromPlaylist: (removeFromPlaylistRequestDto: RemoveFromPlaylistRequestDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Request seek in SyncPlay group.
     * @param {SeekRequestDto} seekRequestDto The new playback position.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlaySeek: (seekRequestDto: SeekRequestDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Request SyncPlay group to ignore member during group-wait.
     * @param {IgnoreWaitRequestDto} ignoreWaitRequestDto The settings to set.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlaySetIgnoreWait: (ignoreWaitRequestDto: IgnoreWaitRequestDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Request to set new playlist in SyncPlay group.
     * @param {PlayRequestDto} playRequestDto The new playlist to play in the group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlaySetNewQueue: (playRequestDto: PlayRequestDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Request to change playlist item in SyncPlay group.
     * @param {SetPlaylistItemRequestDto} setPlaylistItemRequestDto The new item to play.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlaySetPlaylistItem: (setPlaylistItemRequestDto: SetPlaylistItemRequestDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Request to set repeat mode in SyncPlay group.
     * @param {SetRepeatModeRequestDto} setRepeatModeRequestDto The new repeat mode.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlaySetRepeatMode: (setRepeatModeRequestDto: SetRepeatModeRequestDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Request to set shuffle mode in SyncPlay group.
     * @param {SetShuffleModeRequestDto} setShuffleModeRequestDto The new shuffle mode.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlaySetShuffleMode: (setShuffleModeRequestDto: SetShuffleModeRequestDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Request stop in SyncPlay group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayStop: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Request unpause in SyncPlay group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayUnpause: (options?: any) => Promise<RequestArgs>;
};
/**
 * SyncPlayApi - functional programming interface
 * @export
 */
export declare const SyncPlayApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Notify SyncPlay group that member is buffering.
     * @param {BufferRequestDto} bufferRequestDto The player status.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayBuffering(bufferRequestDto: BufferRequestDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Create a new SyncPlay group.
     * @param {NewGroupRequestDto} newGroupRequestDto The settings of the new group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayCreateGroup(newGroupRequestDto: NewGroupRequestDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Gets all SyncPlay groups.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayGetGroups(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<GroupInfoDto>>>;
    /**
     *
     * @summary Join an existing SyncPlay group.
     * @param {JoinGroupRequestDto} joinGroupRequestDto The group to join.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayJoinGroup(joinGroupRequestDto: JoinGroupRequestDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Leave the joined SyncPlay group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayLeaveGroup(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Request to move an item in the playlist in SyncPlay group.
     * @param {MovePlaylistItemRequestDto} movePlaylistItemRequestDto The new position for the item.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayMovePlaylistItem(movePlaylistItemRequestDto: MovePlaylistItemRequestDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Request next item in SyncPlay group.
     * @param {NextItemRequestDto} nextItemRequestDto The current item information.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayNextItem(nextItemRequestDto: NextItemRequestDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Request pause in SyncPlay group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayPause(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Update session ping.
     * @param {PingRequestDto} pingRequestDto The new ping.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayPing(pingRequestDto: PingRequestDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Request previous item in SyncPlay group.
     * @param {PreviousItemRequestDto} previousItemRequestDto The current item information.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayPreviousItem(previousItemRequestDto: PreviousItemRequestDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Request to queue items to the playlist of a SyncPlay group.
     * @param {QueueRequestDto} queueRequestDto The items to add.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayQueue(queueRequestDto: QueueRequestDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Notify SyncPlay group that member is ready for playback.
     * @param {ReadyRequestDto} readyRequestDto The player status.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayReady(readyRequestDto: ReadyRequestDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Request to remove items from the playlist in SyncPlay group.
     * @param {RemoveFromPlaylistRequestDto} removeFromPlaylistRequestDto The items to remove.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayRemoveFromPlaylist(removeFromPlaylistRequestDto: RemoveFromPlaylistRequestDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Request seek in SyncPlay group.
     * @param {SeekRequestDto} seekRequestDto The new playback position.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlaySeek(seekRequestDto: SeekRequestDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Request SyncPlay group to ignore member during group-wait.
     * @param {IgnoreWaitRequestDto} ignoreWaitRequestDto The settings to set.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlaySetIgnoreWait(ignoreWaitRequestDto: IgnoreWaitRequestDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Request to set new playlist in SyncPlay group.
     * @param {PlayRequestDto} playRequestDto The new playlist to play in the group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlaySetNewQueue(playRequestDto: PlayRequestDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Request to change playlist item in SyncPlay group.
     * @param {SetPlaylistItemRequestDto} setPlaylistItemRequestDto The new item to play.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlaySetPlaylistItem(setPlaylistItemRequestDto: SetPlaylistItemRequestDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Request to set repeat mode in SyncPlay group.
     * @param {SetRepeatModeRequestDto} setRepeatModeRequestDto The new repeat mode.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlaySetRepeatMode(setRepeatModeRequestDto: SetRepeatModeRequestDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Request to set shuffle mode in SyncPlay group.
     * @param {SetShuffleModeRequestDto} setShuffleModeRequestDto The new shuffle mode.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlaySetShuffleMode(setShuffleModeRequestDto: SetShuffleModeRequestDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Request stop in SyncPlay group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayStop(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Request unpause in SyncPlay group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayUnpause(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * SyncPlayApi - factory interface
 * @export
 */
export declare const SyncPlayApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Notify SyncPlay group that member is buffering.
     * @param {BufferRequestDto} bufferRequestDto The player status.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayBuffering(bufferRequestDto: BufferRequestDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Create a new SyncPlay group.
     * @param {NewGroupRequestDto} newGroupRequestDto The settings of the new group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayCreateGroup(newGroupRequestDto: NewGroupRequestDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Gets all SyncPlay groups.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayGetGroups(options?: any): AxiosPromise<Array<GroupInfoDto>>;
    /**
     *
     * @summary Join an existing SyncPlay group.
     * @param {JoinGroupRequestDto} joinGroupRequestDto The group to join.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayJoinGroup(joinGroupRequestDto: JoinGroupRequestDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Leave the joined SyncPlay group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayLeaveGroup(options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Request to move an item in the playlist in SyncPlay group.
     * @param {MovePlaylistItemRequestDto} movePlaylistItemRequestDto The new position for the item.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayMovePlaylistItem(movePlaylistItemRequestDto: MovePlaylistItemRequestDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Request next item in SyncPlay group.
     * @param {NextItemRequestDto} nextItemRequestDto The current item information.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayNextItem(nextItemRequestDto: NextItemRequestDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Request pause in SyncPlay group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayPause(options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Update session ping.
     * @param {PingRequestDto} pingRequestDto The new ping.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayPing(pingRequestDto: PingRequestDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Request previous item in SyncPlay group.
     * @param {PreviousItemRequestDto} previousItemRequestDto The current item information.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayPreviousItem(previousItemRequestDto: PreviousItemRequestDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Request to queue items to the playlist of a SyncPlay group.
     * @param {QueueRequestDto} queueRequestDto The items to add.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayQueue(queueRequestDto: QueueRequestDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Notify SyncPlay group that member is ready for playback.
     * @param {ReadyRequestDto} readyRequestDto The player status.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayReady(readyRequestDto: ReadyRequestDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Request to remove items from the playlist in SyncPlay group.
     * @param {RemoveFromPlaylistRequestDto} removeFromPlaylistRequestDto The items to remove.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayRemoveFromPlaylist(removeFromPlaylistRequestDto: RemoveFromPlaylistRequestDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Request seek in SyncPlay group.
     * @param {SeekRequestDto} seekRequestDto The new playback position.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlaySeek(seekRequestDto: SeekRequestDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Request SyncPlay group to ignore member during group-wait.
     * @param {IgnoreWaitRequestDto} ignoreWaitRequestDto The settings to set.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlaySetIgnoreWait(ignoreWaitRequestDto: IgnoreWaitRequestDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Request to set new playlist in SyncPlay group.
     * @param {PlayRequestDto} playRequestDto The new playlist to play in the group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlaySetNewQueue(playRequestDto: PlayRequestDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Request to change playlist item in SyncPlay group.
     * @param {SetPlaylistItemRequestDto} setPlaylistItemRequestDto The new item to play.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlaySetPlaylistItem(setPlaylistItemRequestDto: SetPlaylistItemRequestDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Request to set repeat mode in SyncPlay group.
     * @param {SetRepeatModeRequestDto} setRepeatModeRequestDto The new repeat mode.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlaySetRepeatMode(setRepeatModeRequestDto: SetRepeatModeRequestDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Request to set shuffle mode in SyncPlay group.
     * @param {SetShuffleModeRequestDto} setShuffleModeRequestDto The new shuffle mode.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlaySetShuffleMode(setShuffleModeRequestDto: SetShuffleModeRequestDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Request stop in SyncPlay group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayStop(options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Request unpause in SyncPlay group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    syncPlayUnpause(options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for syncPlayBuffering operation in SyncPlayApi.
 * @export
 * @interface SyncPlayApiSyncPlayBufferingRequest
 */
export interface SyncPlayApiSyncPlayBufferingRequest {
    /**
     * The player status.
     * @type {BufferRequestDto}
     * @memberof SyncPlayApiSyncPlayBuffering
     */
    readonly bufferRequestDto: BufferRequestDto;
}
/**
 * Request parameters for syncPlayCreateGroup operation in SyncPlayApi.
 * @export
 * @interface SyncPlayApiSyncPlayCreateGroupRequest
 */
export interface SyncPlayApiSyncPlayCreateGroupRequest {
    /**
     * The settings of the new group.
     * @type {NewGroupRequestDto}
     * @memberof SyncPlayApiSyncPlayCreateGroup
     */
    readonly newGroupRequestDto: NewGroupRequestDto;
}
/**
 * Request parameters for syncPlayJoinGroup operation in SyncPlayApi.
 * @export
 * @interface SyncPlayApiSyncPlayJoinGroupRequest
 */
export interface SyncPlayApiSyncPlayJoinGroupRequest {
    /**
     * The group to join.
     * @type {JoinGroupRequestDto}
     * @memberof SyncPlayApiSyncPlayJoinGroup
     */
    readonly joinGroupRequestDto: JoinGroupRequestDto;
}
/**
 * Request parameters for syncPlayMovePlaylistItem operation in SyncPlayApi.
 * @export
 * @interface SyncPlayApiSyncPlayMovePlaylistItemRequest
 */
export interface SyncPlayApiSyncPlayMovePlaylistItemRequest {
    /**
     * The new position for the item.
     * @type {MovePlaylistItemRequestDto}
     * @memberof SyncPlayApiSyncPlayMovePlaylistItem
     */
    readonly movePlaylistItemRequestDto: MovePlaylistItemRequestDto;
}
/**
 * Request parameters for syncPlayNextItem operation in SyncPlayApi.
 * @export
 * @interface SyncPlayApiSyncPlayNextItemRequest
 */
export interface SyncPlayApiSyncPlayNextItemRequest {
    /**
     * The current item information.
     * @type {NextItemRequestDto}
     * @memberof SyncPlayApiSyncPlayNextItem
     */
    readonly nextItemRequestDto: NextItemRequestDto;
}
/**
 * Request parameters for syncPlayPing operation in SyncPlayApi.
 * @export
 * @interface SyncPlayApiSyncPlayPingRequest
 */
export interface SyncPlayApiSyncPlayPingRequest {
    /**
     * The new ping.
     * @type {PingRequestDto}
     * @memberof SyncPlayApiSyncPlayPing
     */
    readonly pingRequestDto: PingRequestDto;
}
/**
 * Request parameters for syncPlayPreviousItem operation in SyncPlayApi.
 * @export
 * @interface SyncPlayApiSyncPlayPreviousItemRequest
 */
export interface SyncPlayApiSyncPlayPreviousItemRequest {
    /**
     * The current item information.
     * @type {PreviousItemRequestDto}
     * @memberof SyncPlayApiSyncPlayPreviousItem
     */
    readonly previousItemRequestDto: PreviousItemRequestDto;
}
/**
 * Request parameters for syncPlayQueue operation in SyncPlayApi.
 * @export
 * @interface SyncPlayApiSyncPlayQueueRequest
 */
export interface SyncPlayApiSyncPlayQueueRequest {
    /**
     * The items to add.
     * @type {QueueRequestDto}
     * @memberof SyncPlayApiSyncPlayQueue
     */
    readonly queueRequestDto: QueueRequestDto;
}
/**
 * Request parameters for syncPlayReady operation in SyncPlayApi.
 * @export
 * @interface SyncPlayApiSyncPlayReadyRequest
 */
export interface SyncPlayApiSyncPlayReadyRequest {
    /**
     * The player status.
     * @type {ReadyRequestDto}
     * @memberof SyncPlayApiSyncPlayReady
     */
    readonly readyRequestDto: ReadyRequestDto;
}
/**
 * Request parameters for syncPlayRemoveFromPlaylist operation in SyncPlayApi.
 * @export
 * @interface SyncPlayApiSyncPlayRemoveFromPlaylistRequest
 */
export interface SyncPlayApiSyncPlayRemoveFromPlaylistRequest {
    /**
     * The items to remove.
     * @type {RemoveFromPlaylistRequestDto}
     * @memberof SyncPlayApiSyncPlayRemoveFromPlaylist
     */
    readonly removeFromPlaylistRequestDto: RemoveFromPlaylistRequestDto;
}
/**
 * Request parameters for syncPlaySeek operation in SyncPlayApi.
 * @export
 * @interface SyncPlayApiSyncPlaySeekRequest
 */
export interface SyncPlayApiSyncPlaySeekRequest {
    /**
     * The new playback position.
     * @type {SeekRequestDto}
     * @memberof SyncPlayApiSyncPlaySeek
     */
    readonly seekRequestDto: SeekRequestDto;
}
/**
 * Request parameters for syncPlaySetIgnoreWait operation in SyncPlayApi.
 * @export
 * @interface SyncPlayApiSyncPlaySetIgnoreWaitRequest
 */
export interface SyncPlayApiSyncPlaySetIgnoreWaitRequest {
    /**
     * The settings to set.
     * @type {IgnoreWaitRequestDto}
     * @memberof SyncPlayApiSyncPlaySetIgnoreWait
     */
    readonly ignoreWaitRequestDto: IgnoreWaitRequestDto;
}
/**
 * Request parameters for syncPlaySetNewQueue operation in SyncPlayApi.
 * @export
 * @interface SyncPlayApiSyncPlaySetNewQueueRequest
 */
export interface SyncPlayApiSyncPlaySetNewQueueRequest {
    /**
     * The new playlist to play in the group.
     * @type {PlayRequestDto}
     * @memberof SyncPlayApiSyncPlaySetNewQueue
     */
    readonly playRequestDto: PlayRequestDto;
}
/**
 * Request parameters for syncPlaySetPlaylistItem operation in SyncPlayApi.
 * @export
 * @interface SyncPlayApiSyncPlaySetPlaylistItemRequest
 */
export interface SyncPlayApiSyncPlaySetPlaylistItemRequest {
    /**
     * The new item to play.
     * @type {SetPlaylistItemRequestDto}
     * @memberof SyncPlayApiSyncPlaySetPlaylistItem
     */
    readonly setPlaylistItemRequestDto: SetPlaylistItemRequestDto;
}
/**
 * Request parameters for syncPlaySetRepeatMode operation in SyncPlayApi.
 * @export
 * @interface SyncPlayApiSyncPlaySetRepeatModeRequest
 */
export interface SyncPlayApiSyncPlaySetRepeatModeRequest {
    /**
     * The new repeat mode.
     * @type {SetRepeatModeRequestDto}
     * @memberof SyncPlayApiSyncPlaySetRepeatMode
     */
    readonly setRepeatModeRequestDto: SetRepeatModeRequestDto;
}
/**
 * Request parameters for syncPlaySetShuffleMode operation in SyncPlayApi.
 * @export
 * @interface SyncPlayApiSyncPlaySetShuffleModeRequest
 */
export interface SyncPlayApiSyncPlaySetShuffleModeRequest {
    /**
     * The new shuffle mode.
     * @type {SetShuffleModeRequestDto}
     * @memberof SyncPlayApiSyncPlaySetShuffleMode
     */
    readonly setShuffleModeRequestDto: SetShuffleModeRequestDto;
}
/**
 * SyncPlayApi - object-oriented interface
 * @export
 * @class SyncPlayApi
 * @extends {BaseAPI}
 */
export declare class SyncPlayApi extends BaseAPI {
    /**
     *
     * @summary Notify SyncPlay group that member is buffering.
     * @param {SyncPlayApiSyncPlayBufferingRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlayBuffering(requestParameters: SyncPlayApiSyncPlayBufferingRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Create a new SyncPlay group.
     * @param {SyncPlayApiSyncPlayCreateGroupRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlayCreateGroup(requestParameters: SyncPlayApiSyncPlayCreateGroupRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Gets all SyncPlay groups.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlayGetGroups(options?: any): Promise<import("axios").AxiosResponse<GroupInfoDto[], any>>;
    /**
     *
     * @summary Join an existing SyncPlay group.
     * @param {SyncPlayApiSyncPlayJoinGroupRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlayJoinGroup(requestParameters: SyncPlayApiSyncPlayJoinGroupRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Leave the joined SyncPlay group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlayLeaveGroup(options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Request to move an item in the playlist in SyncPlay group.
     * @param {SyncPlayApiSyncPlayMovePlaylistItemRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlayMovePlaylistItem(requestParameters: SyncPlayApiSyncPlayMovePlaylistItemRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Request next item in SyncPlay group.
     * @param {SyncPlayApiSyncPlayNextItemRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlayNextItem(requestParameters: SyncPlayApiSyncPlayNextItemRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Request pause in SyncPlay group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlayPause(options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Update session ping.
     * @param {SyncPlayApiSyncPlayPingRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlayPing(requestParameters: SyncPlayApiSyncPlayPingRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Request previous item in SyncPlay group.
     * @param {SyncPlayApiSyncPlayPreviousItemRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlayPreviousItem(requestParameters: SyncPlayApiSyncPlayPreviousItemRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Request to queue items to the playlist of a SyncPlay group.
     * @param {SyncPlayApiSyncPlayQueueRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlayQueue(requestParameters: SyncPlayApiSyncPlayQueueRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Notify SyncPlay group that member is ready for playback.
     * @param {SyncPlayApiSyncPlayReadyRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlayReady(requestParameters: SyncPlayApiSyncPlayReadyRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Request to remove items from the playlist in SyncPlay group.
     * @param {SyncPlayApiSyncPlayRemoveFromPlaylistRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlayRemoveFromPlaylist(requestParameters: SyncPlayApiSyncPlayRemoveFromPlaylistRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Request seek in SyncPlay group.
     * @param {SyncPlayApiSyncPlaySeekRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlaySeek(requestParameters: SyncPlayApiSyncPlaySeekRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Request SyncPlay group to ignore member during group-wait.
     * @param {SyncPlayApiSyncPlaySetIgnoreWaitRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlaySetIgnoreWait(requestParameters: SyncPlayApiSyncPlaySetIgnoreWaitRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Request to set new playlist in SyncPlay group.
     * @param {SyncPlayApiSyncPlaySetNewQueueRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlaySetNewQueue(requestParameters: SyncPlayApiSyncPlaySetNewQueueRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Request to change playlist item in SyncPlay group.
     * @param {SyncPlayApiSyncPlaySetPlaylistItemRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlaySetPlaylistItem(requestParameters: SyncPlayApiSyncPlaySetPlaylistItemRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Request to set repeat mode in SyncPlay group.
     * @param {SyncPlayApiSyncPlaySetRepeatModeRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlaySetRepeatMode(requestParameters: SyncPlayApiSyncPlaySetRepeatModeRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Request to set shuffle mode in SyncPlay group.
     * @param {SyncPlayApiSyncPlaySetShuffleModeRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlaySetShuffleMode(requestParameters: SyncPlayApiSyncPlaySetShuffleModeRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Request stop in SyncPlay group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlayStop(options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Request unpause in SyncPlay group.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SyncPlayApi
     */
    syncPlayUnpause(options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
