/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { EndPointInfo } from '../models';
import { LogFile } from '../models';
import { PublicSystemInfo } from '../models';
import { SystemInfo } from '../models';
import { WakeOnLanInfo } from '../models';
/**
 * SystemApi - axios parameter creator
 * @export
 */
export declare const SystemApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets information about the request endpoint.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getEndpointInfo: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a log file.
     * @param {string} name The name of the log file to get.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLogFile: (name: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Pings the system.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPingSystem: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets public information about the server.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPublicSystemInfo: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a list of available server log files.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getServerLogs: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets information about the server.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSystemInfo: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets wake on lan information.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getWakeOnLanInfo: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Pings the system.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postPingSystem: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Restarts the application.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    restartApplication: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Shuts down the application.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    shutdownApplication: (options?: any) => Promise<RequestArgs>;
};
/**
 * SystemApi - functional programming interface
 * @export
 */
export declare const SystemApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets information about the request endpoint.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getEndpointInfo(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<EndPointInfo>>;
    /**
     *
     * @summary Gets a log file.
     * @param {string} name The name of the log file to get.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLogFile(name: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Pings the system.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPingSystem(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<string>>;
    /**
     *
     * @summary Gets public information about the server.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPublicSystemInfo(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<PublicSystemInfo>>;
    /**
     *
     * @summary Gets a list of available server log files.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getServerLogs(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<LogFile>>>;
    /**
     *
     * @summary Gets information about the server.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSystemInfo(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<SystemInfo>>;
    /**
     *
     * @summary Gets wake on lan information.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getWakeOnLanInfo(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<WakeOnLanInfo>>>;
    /**
     *
     * @summary Pings the system.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postPingSystem(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<string>>;
    /**
     *
     * @summary Restarts the application.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    restartApplication(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Shuts down the application.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    shutdownApplication(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * SystemApi - factory interface
 * @export
 */
export declare const SystemApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Gets information about the request endpoint.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getEndpointInfo(options?: any): AxiosPromise<EndPointInfo>;
    /**
     *
     * @summary Gets a log file.
     * @param {string} name The name of the log file to get.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLogFile(name: string, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Pings the system.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPingSystem(options?: any): AxiosPromise<string>;
    /**
     *
     * @summary Gets public information about the server.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPublicSystemInfo(options?: any): AxiosPromise<PublicSystemInfo>;
    /**
     *
     * @summary Gets a list of available server log files.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getServerLogs(options?: any): AxiosPromise<Array<LogFile>>;
    /**
     *
     * @summary Gets information about the server.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSystemInfo(options?: any): AxiosPromise<SystemInfo>;
    /**
     *
     * @summary Gets wake on lan information.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getWakeOnLanInfo(options?: any): AxiosPromise<Array<WakeOnLanInfo>>;
    /**
     *
     * @summary Pings the system.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postPingSystem(options?: any): AxiosPromise<string>;
    /**
     *
     * @summary Restarts the application.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    restartApplication(options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Shuts down the application.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    shutdownApplication(options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for getLogFile operation in SystemApi.
 * @export
 * @interface SystemApiGetLogFileRequest
 */
export interface SystemApiGetLogFileRequest {
    /**
     * The name of the log file to get.
     * @type {string}
     * @memberof SystemApiGetLogFile
     */
    readonly name: string;
}
/**
 * SystemApi - object-oriented interface
 * @export
 * @class SystemApi
 * @extends {BaseAPI}
 */
export declare class SystemApi extends BaseAPI {
    /**
     *
     * @summary Gets information about the request endpoint.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SystemApi
     */
    getEndpointInfo(options?: any): Promise<import("axios").AxiosResponse<EndPointInfo, any>>;
    /**
     *
     * @summary Gets a log file.
     * @param {SystemApiGetLogFileRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SystemApi
     */
    getLogFile(requestParameters: SystemApiGetLogFileRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Pings the system.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SystemApi
     */
    getPingSystem(options?: any): Promise<import("axios").AxiosResponse<string, any>>;
    /**
     *
     * @summary Gets public information about the server.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SystemApi
     */
    getPublicSystemInfo(options?: any): Promise<import("axios").AxiosResponse<PublicSystemInfo, any>>;
    /**
     *
     * @summary Gets a list of available server log files.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SystemApi
     */
    getServerLogs(options?: any): Promise<import("axios").AxiosResponse<LogFile[], any>>;
    /**
     *
     * @summary Gets information about the server.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SystemApi
     */
    getSystemInfo(options?: any): Promise<import("axios").AxiosResponse<SystemInfo, any>>;
    /**
     *
     * @summary Gets wake on lan information.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SystemApi
     */
    getWakeOnLanInfo(options?: any): Promise<import("axios").AxiosResponse<WakeOnLanInfo[], any>>;
    /**
     *
     * @summary Pings the system.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SystemApi
     */
    postPingSystem(options?: any): Promise<import("axios").AxiosResponse<string, any>>;
    /**
     *
     * @summary Restarts the application.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SystemApi
     */
    restartApplication(options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Shuts down the application.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SystemApi
     */
    shutdownApplication(options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
