/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { BaseItemDtoQueryResult } from '../models';
import { ImageType } from '../models';
import { ItemFields } from '../models';
import { ItemFilter } from '../models';
import { LocationType } from '../models';
import { SeriesStatus } from '../models';
import { SortOrder } from '../models';
import { VideoType } from '../models';
/**
 * TrailersApi - axios parameter creator
 * @export
 */
export declare const TrailersApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Finds movies and trailers similar to a given trailer.
     * @param {string} [userId] The user id.
     * @param {string} [maxOfficialRating] Optional filter by maximum official rating (PG, PG-13, TV-MA, etc).
     * @param {boolean} [hasThemeSong] Optional filter by items with theme songs.
     * @param {boolean} [hasThemeVideo] Optional filter by items with theme videos.
     * @param {boolean} [hasSubtitles] Optional filter by items with subtitles.
     * @param {boolean} [hasSpecialFeature] Optional filter by items with special features.
     * @param {boolean} [hasTrailer] Optional filter by items with trailers.
     * @param {string} [adjacentTo] Optional. Return items that are siblings of a supplied item.
     * @param {number} [parentIndexNumber] Optional filter by parent index number.
     * @param {boolean} [hasParentalRating] Optional filter by items that have or do not have a parental rating.
     * @param {boolean} [isHd] Optional filter by items that are HD or not.
     * @param {boolean} [is4K] Optional filter by items that are 4K or not.
     * @param {Array<LocationType>} [locationTypes] Optional. If specified, results will be filtered based on LocationType. This allows multiple, comma delimited.
     * @param {Array<LocationType>} [excludeLocationTypes] Optional. If specified, results will be filtered based on the LocationType. This allows multiple, comma delimited.
     * @param {boolean} [isMissing] Optional filter by items that are missing episodes or not.
     * @param {boolean} [isUnaired] Optional filter by items that are unaired episodes or not.
     * @param {number} [minCommunityRating] Optional filter by minimum community rating.
     * @param {number} [minCriticRating] Optional filter by minimum critic rating.
     * @param {string} [minPremiereDate] Optional. The minimum premiere date. Format &#x3D; ISO.
     * @param {string} [minDateLastSaved] Optional. The minimum last saved date. Format &#x3D; ISO.
     * @param {string} [minDateLastSavedForUser] Optional. The minimum last saved date for the current user. Format &#x3D; ISO.
     * @param {string} [maxPremiereDate] Optional. The maximum premiere date. Format &#x3D; ISO.
     * @param {boolean} [hasOverview] Optional filter by items that have an overview or not.
     * @param {boolean} [hasImdbId] Optional filter by items that have an imdb id or not.
     * @param {boolean} [hasTmdbId] Optional filter by items that have a tmdb id or not.
     * @param {boolean} [hasTvdbId] Optional filter by items that have a tvdb id or not.
     * @param {Array<string>} [excludeItemIds] Optional. If specified, results will be filtered by excluding item ids. This allows multiple, comma delimited.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {boolean} [recursive] When searching within folders, this determines whether or not the search will be recursive. true/false.
     * @param {string} [searchTerm] Optional. Filter based on a search term.
     * @param {Array<SortOrder>} [sortOrder] Sort Order - Ascending,Descending.
     * @param {string} [parentId] Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines.
     * @param {Array<string>} [excludeItemTypes] Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @param {Array<ItemFilter>} [filters] Optional. Specify additional filters to apply. This allows multiple, comma delimited. Options: IsFolder, IsNotFolder, IsUnplayed, IsPlayed, IsFavorite, IsResumable, Likes, Dislikes.
     * @param {boolean} [isFavorite] Optional filter by items that are marked as favorite, or not.
     * @param {Array<string>} [mediaTypes] Optional filter by MediaType. Allows multiple, comma delimited.
     * @param {Array<ImageType>} [imageTypes] Optional. If specified, results will be filtered based on those containing image types. This allows multiple, comma delimited.
     * @param {Array<string>} [sortBy] Optional. Specify one or more sort orders, comma delimited. Options: Album, AlbumArtist, Artist, Budget, CommunityRating, CriticRating, DateCreated, DatePlayed, PlayCount, PremiereDate, ProductionYear, SortName, Random, Revenue, Runtime.
     * @param {boolean} [isPlayed] Optional filter by items that are played, or not.
     * @param {Array<string>} [genres] Optional. If specified, results will be filtered based on genre. This allows multiple, pipe delimited.
     * @param {Array<string>} [officialRatings] Optional. If specified, results will be filtered based on OfficialRating. This allows multiple, pipe delimited.
     * @param {Array<string>} [tags] Optional. If specified, results will be filtered based on tag. This allows multiple, pipe delimited.
     * @param {Array<number>} [years] Optional. If specified, results will be filtered based on production year. This allows multiple, comma delimited.
     * @param {boolean} [enableUserData] Optional, include user data.
     * @param {number} [imageTypeLimit] Optional, the max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {string} [person] Optional. If specified, results will be filtered to include only those containing the specified person.
     * @param {Array<string>} [personIds] Optional. If specified, results will be filtered to include only those containing the specified person id.
     * @param {Array<string>} [personTypes] Optional. If specified, along with Person, results will be filtered to include only those containing the specified person and PersonType. Allows multiple, comma-delimited.
     * @param {Array<string>} [studios] Optional. If specified, results will be filtered based on studio. This allows multiple, pipe delimited.
     * @param {Array<string>} [artists] Optional. If specified, results will be filtered based on artists. This allows multiple, pipe delimited.
     * @param {Array<string>} [excludeArtistIds] Optional. If specified, results will be filtered based on artist id. This allows multiple, pipe delimited.
     * @param {Array<string>} [artistIds] Optional. If specified, results will be filtered to include only those containing the specified artist id.
     * @param {Array<string>} [albumArtistIds] Optional. If specified, results will be filtered to include only those containing the specified album artist id.
     * @param {Array<string>} [contributingArtistIds] Optional. If specified, results will be filtered to include only those containing the specified contributing artist id.
     * @param {Array<string>} [albums] Optional. If specified, results will be filtered based on album. This allows multiple, pipe delimited.
     * @param {Array<string>} [albumIds] Optional. If specified, results will be filtered based on album id. This allows multiple, pipe delimited.
     * @param {Array<string>} [ids] Optional. If specific items are needed, specify a list of item id\&#39;s to retrieve. This allows multiple, comma delimited.
     * @param {Array<VideoType>} [videoTypes] Optional filter by VideoType (videofile, dvd, bluray, iso). Allows multiple, comma delimited.
     * @param {string} [minOfficialRating] Optional filter by minimum official rating (PG, PG-13, TV-MA, etc).
     * @param {boolean} [isLocked] Optional filter by items that are locked.
     * @param {boolean} [isPlaceHolder] Optional filter by items that are placeholders.
     * @param {boolean} [hasOfficialRating] Optional filter by items that have official ratings.
     * @param {boolean} [collapseBoxSetItems] Whether or not to hide items behind their boxsets.
     * @param {number} [minWidth] Optional. Filter by the minimum width of the item.
     * @param {number} [minHeight] Optional. Filter by the minimum height of the item.
     * @param {number} [maxWidth] Optional. Filter by the maximum width of the item.
     * @param {number} [maxHeight] Optional. Filter by the maximum height of the item.
     * @param {boolean} [is3D] Optional filter by items that are 3D, or not.
     * @param {Array<SeriesStatus>} [seriesStatus] Optional filter by Series Status. Allows multiple, comma delimited.
     * @param {string} [nameStartsWithOrGreater] Optional filter by items whose name is sorted equally or greater than a given input string.
     * @param {string} [nameStartsWith] Optional filter by items whose name is sorted equally than a given input string.
     * @param {string} [nameLessThan] Optional filter by items whose name is equally or lesser than a given input string.
     * @param {Array<string>} [studioIds] Optional. If specified, results will be filtered based on studio id. This allows multiple, pipe delimited.
     * @param {Array<string>} [genreIds] Optional. If specified, results will be filtered based on genre id. This allows multiple, pipe delimited.
     * @param {boolean} [enableTotalRecordCount] Optional. Enable the total record count.
     * @param {boolean} [enableImages] Optional, include image information in output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTrailers: (userId?: string | undefined, maxOfficialRating?: string | undefined, hasThemeSong?: boolean | undefined, hasThemeVideo?: boolean | undefined, hasSubtitles?: boolean | undefined, hasSpecialFeature?: boolean | undefined, hasTrailer?: boolean | undefined, adjacentTo?: string | undefined, parentIndexNumber?: number | undefined, hasParentalRating?: boolean | undefined, isHd?: boolean | undefined, is4K?: boolean | undefined, locationTypes?: LocationType[] | undefined, excludeLocationTypes?: LocationType[] | undefined, isMissing?: boolean | undefined, isUnaired?: boolean | undefined, minCommunityRating?: number | undefined, minCriticRating?: number | undefined, minPremiereDate?: string | undefined, minDateLastSaved?: string | undefined, minDateLastSavedForUser?: string | undefined, maxPremiereDate?: string | undefined, hasOverview?: boolean | undefined, hasImdbId?: boolean | undefined, hasTmdbId?: boolean | undefined, hasTvdbId?: boolean | undefined, excludeItemIds?: string[] | undefined, startIndex?: number | undefined, limit?: number | undefined, recursive?: boolean | undefined, searchTerm?: string | undefined, sortOrder?: SortOrder[] | undefined, parentId?: string | undefined, fields?: ItemFields[] | undefined, excludeItemTypes?: string[] | undefined, filters?: ItemFilter[] | undefined, isFavorite?: boolean | undefined, mediaTypes?: string[] | undefined, imageTypes?: ImageType[] | undefined, sortBy?: string[] | undefined, isPlayed?: boolean | undefined, genres?: string[] | undefined, officialRatings?: string[] | undefined, tags?: string[] | undefined, years?: number[] | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, person?: string | undefined, personIds?: string[] | undefined, personTypes?: string[] | undefined, studios?: string[] | undefined, artists?: string[] | undefined, excludeArtistIds?: string[] | undefined, artistIds?: string[] | undefined, albumArtistIds?: string[] | undefined, contributingArtistIds?: string[] | undefined, albums?: string[] | undefined, albumIds?: string[] | undefined, ids?: string[] | undefined, videoTypes?: VideoType[] | undefined, minOfficialRating?: string | undefined, isLocked?: boolean | undefined, isPlaceHolder?: boolean | undefined, hasOfficialRating?: boolean | undefined, collapseBoxSetItems?: boolean | undefined, minWidth?: number | undefined, minHeight?: number | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, is3D?: boolean | undefined, seriesStatus?: SeriesStatus[] | undefined, nameStartsWithOrGreater?: string | undefined, nameStartsWith?: string | undefined, nameLessThan?: string | undefined, studioIds?: string[] | undefined, genreIds?: string[] | undefined, enableTotalRecordCount?: boolean | undefined, enableImages?: boolean | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * TrailersApi - functional programming interface
 * @export
 */
export declare const TrailersApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Finds movies and trailers similar to a given trailer.
     * @param {string} [userId] The user id.
     * @param {string} [maxOfficialRating] Optional filter by maximum official rating (PG, PG-13, TV-MA, etc).
     * @param {boolean} [hasThemeSong] Optional filter by items with theme songs.
     * @param {boolean} [hasThemeVideo] Optional filter by items with theme videos.
     * @param {boolean} [hasSubtitles] Optional filter by items with subtitles.
     * @param {boolean} [hasSpecialFeature] Optional filter by items with special features.
     * @param {boolean} [hasTrailer] Optional filter by items with trailers.
     * @param {string} [adjacentTo] Optional. Return items that are siblings of a supplied item.
     * @param {number} [parentIndexNumber] Optional filter by parent index number.
     * @param {boolean} [hasParentalRating] Optional filter by items that have or do not have a parental rating.
     * @param {boolean} [isHd] Optional filter by items that are HD or not.
     * @param {boolean} [is4K] Optional filter by items that are 4K or not.
     * @param {Array<LocationType>} [locationTypes] Optional. If specified, results will be filtered based on LocationType. This allows multiple, comma delimited.
     * @param {Array<LocationType>} [excludeLocationTypes] Optional. If specified, results will be filtered based on the LocationType. This allows multiple, comma delimited.
     * @param {boolean} [isMissing] Optional filter by items that are missing episodes or not.
     * @param {boolean} [isUnaired] Optional filter by items that are unaired episodes or not.
     * @param {number} [minCommunityRating] Optional filter by minimum community rating.
     * @param {number} [minCriticRating] Optional filter by minimum critic rating.
     * @param {string} [minPremiereDate] Optional. The minimum premiere date. Format &#x3D; ISO.
     * @param {string} [minDateLastSaved] Optional. The minimum last saved date. Format &#x3D; ISO.
     * @param {string} [minDateLastSavedForUser] Optional. The minimum last saved date for the current user. Format &#x3D; ISO.
     * @param {string} [maxPremiereDate] Optional. The maximum premiere date. Format &#x3D; ISO.
     * @param {boolean} [hasOverview] Optional filter by items that have an overview or not.
     * @param {boolean} [hasImdbId] Optional filter by items that have an imdb id or not.
     * @param {boolean} [hasTmdbId] Optional filter by items that have a tmdb id or not.
     * @param {boolean} [hasTvdbId] Optional filter by items that have a tvdb id or not.
     * @param {Array<string>} [excludeItemIds] Optional. If specified, results will be filtered by excluding item ids. This allows multiple, comma delimited.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {boolean} [recursive] When searching within folders, this determines whether or not the search will be recursive. true/false.
     * @param {string} [searchTerm] Optional. Filter based on a search term.
     * @param {Array<SortOrder>} [sortOrder] Sort Order - Ascending,Descending.
     * @param {string} [parentId] Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines.
     * @param {Array<string>} [excludeItemTypes] Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @param {Array<ItemFilter>} [filters] Optional. Specify additional filters to apply. This allows multiple, comma delimited. Options: IsFolder, IsNotFolder, IsUnplayed, IsPlayed, IsFavorite, IsResumable, Likes, Dislikes.
     * @param {boolean} [isFavorite] Optional filter by items that are marked as favorite, or not.
     * @param {Array<string>} [mediaTypes] Optional filter by MediaType. Allows multiple, comma delimited.
     * @param {Array<ImageType>} [imageTypes] Optional. If specified, results will be filtered based on those containing image types. This allows multiple, comma delimited.
     * @param {Array<string>} [sortBy] Optional. Specify one or more sort orders, comma delimited. Options: Album, AlbumArtist, Artist, Budget, CommunityRating, CriticRating, DateCreated, DatePlayed, PlayCount, PremiereDate, ProductionYear, SortName, Random, Revenue, Runtime.
     * @param {boolean} [isPlayed] Optional filter by items that are played, or not.
     * @param {Array<string>} [genres] Optional. If specified, results will be filtered based on genre. This allows multiple, pipe delimited.
     * @param {Array<string>} [officialRatings] Optional. If specified, results will be filtered based on OfficialRating. This allows multiple, pipe delimited.
     * @param {Array<string>} [tags] Optional. If specified, results will be filtered based on tag. This allows multiple, pipe delimited.
     * @param {Array<number>} [years] Optional. If specified, results will be filtered based on production year. This allows multiple, comma delimited.
     * @param {boolean} [enableUserData] Optional, include user data.
     * @param {number} [imageTypeLimit] Optional, the max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {string} [person] Optional. If specified, results will be filtered to include only those containing the specified person.
     * @param {Array<string>} [personIds] Optional. If specified, results will be filtered to include only those containing the specified person id.
     * @param {Array<string>} [personTypes] Optional. If specified, along with Person, results will be filtered to include only those containing the specified person and PersonType. Allows multiple, comma-delimited.
     * @param {Array<string>} [studios] Optional. If specified, results will be filtered based on studio. This allows multiple, pipe delimited.
     * @param {Array<string>} [artists] Optional. If specified, results will be filtered based on artists. This allows multiple, pipe delimited.
     * @param {Array<string>} [excludeArtistIds] Optional. If specified, results will be filtered based on artist id. This allows multiple, pipe delimited.
     * @param {Array<string>} [artistIds] Optional. If specified, results will be filtered to include only those containing the specified artist id.
     * @param {Array<string>} [albumArtistIds] Optional. If specified, results will be filtered to include only those containing the specified album artist id.
     * @param {Array<string>} [contributingArtistIds] Optional. If specified, results will be filtered to include only those containing the specified contributing artist id.
     * @param {Array<string>} [albums] Optional. If specified, results will be filtered based on album. This allows multiple, pipe delimited.
     * @param {Array<string>} [albumIds] Optional. If specified, results will be filtered based on album id. This allows multiple, pipe delimited.
     * @param {Array<string>} [ids] Optional. If specific items are needed, specify a list of item id\&#39;s to retrieve. This allows multiple, comma delimited.
     * @param {Array<VideoType>} [videoTypes] Optional filter by VideoType (videofile, dvd, bluray, iso). Allows multiple, comma delimited.
     * @param {string} [minOfficialRating] Optional filter by minimum official rating (PG, PG-13, TV-MA, etc).
     * @param {boolean} [isLocked] Optional filter by items that are locked.
     * @param {boolean} [isPlaceHolder] Optional filter by items that are placeholders.
     * @param {boolean} [hasOfficialRating] Optional filter by items that have official ratings.
     * @param {boolean} [collapseBoxSetItems] Whether or not to hide items behind their boxsets.
     * @param {number} [minWidth] Optional. Filter by the minimum width of the item.
     * @param {number} [minHeight] Optional. Filter by the minimum height of the item.
     * @param {number} [maxWidth] Optional. Filter by the maximum width of the item.
     * @param {number} [maxHeight] Optional. Filter by the maximum height of the item.
     * @param {boolean} [is3D] Optional filter by items that are 3D, or not.
     * @param {Array<SeriesStatus>} [seriesStatus] Optional filter by Series Status. Allows multiple, comma delimited.
     * @param {string} [nameStartsWithOrGreater] Optional filter by items whose name is sorted equally or greater than a given input string.
     * @param {string} [nameStartsWith] Optional filter by items whose name is sorted equally than a given input string.
     * @param {string} [nameLessThan] Optional filter by items whose name is equally or lesser than a given input string.
     * @param {Array<string>} [studioIds] Optional. If specified, results will be filtered based on studio id. This allows multiple, pipe delimited.
     * @param {Array<string>} [genreIds] Optional. If specified, results will be filtered based on genre id. This allows multiple, pipe delimited.
     * @param {boolean} [enableTotalRecordCount] Optional. Enable the total record count.
     * @param {boolean} [enableImages] Optional, include image information in output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTrailers(userId?: string | undefined, maxOfficialRating?: string | undefined, hasThemeSong?: boolean | undefined, hasThemeVideo?: boolean | undefined, hasSubtitles?: boolean | undefined, hasSpecialFeature?: boolean | undefined, hasTrailer?: boolean | undefined, adjacentTo?: string | undefined, parentIndexNumber?: number | undefined, hasParentalRating?: boolean | undefined, isHd?: boolean | undefined, is4K?: boolean | undefined, locationTypes?: LocationType[] | undefined, excludeLocationTypes?: LocationType[] | undefined, isMissing?: boolean | undefined, isUnaired?: boolean | undefined, minCommunityRating?: number | undefined, minCriticRating?: number | undefined, minPremiereDate?: string | undefined, minDateLastSaved?: string | undefined, minDateLastSavedForUser?: string | undefined, maxPremiereDate?: string | undefined, hasOverview?: boolean | undefined, hasImdbId?: boolean | undefined, hasTmdbId?: boolean | undefined, hasTvdbId?: boolean | undefined, excludeItemIds?: string[] | undefined, startIndex?: number | undefined, limit?: number | undefined, recursive?: boolean | undefined, searchTerm?: string | undefined, sortOrder?: SortOrder[] | undefined, parentId?: string | undefined, fields?: ItemFields[] | undefined, excludeItemTypes?: string[] | undefined, filters?: ItemFilter[] | undefined, isFavorite?: boolean | undefined, mediaTypes?: string[] | undefined, imageTypes?: ImageType[] | undefined, sortBy?: string[] | undefined, isPlayed?: boolean | undefined, genres?: string[] | undefined, officialRatings?: string[] | undefined, tags?: string[] | undefined, years?: number[] | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, person?: string | undefined, personIds?: string[] | undefined, personTypes?: string[] | undefined, studios?: string[] | undefined, artists?: string[] | undefined, excludeArtistIds?: string[] | undefined, artistIds?: string[] | undefined, albumArtistIds?: string[] | undefined, contributingArtistIds?: string[] | undefined, albums?: string[] | undefined, albumIds?: string[] | undefined, ids?: string[] | undefined, videoTypes?: VideoType[] | undefined, minOfficialRating?: string | undefined, isLocked?: boolean | undefined, isPlaceHolder?: boolean | undefined, hasOfficialRating?: boolean | undefined, collapseBoxSetItems?: boolean | undefined, minWidth?: number | undefined, minHeight?: number | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, is3D?: boolean | undefined, seriesStatus?: SeriesStatus[] | undefined, nameStartsWithOrGreater?: string | undefined, nameStartsWith?: string | undefined, nameLessThan?: string | undefined, studioIds?: string[] | undefined, genreIds?: string[] | undefined, enableTotalRecordCount?: boolean | undefined, enableImages?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
};
/**
 * TrailersApi - factory interface
 * @export
 */
export declare const TrailersApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Finds movies and trailers similar to a given trailer.
     * @param {string} [userId] The user id.
     * @param {string} [maxOfficialRating] Optional filter by maximum official rating (PG, PG-13, TV-MA, etc).
     * @param {boolean} [hasThemeSong] Optional filter by items with theme songs.
     * @param {boolean} [hasThemeVideo] Optional filter by items with theme videos.
     * @param {boolean} [hasSubtitles] Optional filter by items with subtitles.
     * @param {boolean} [hasSpecialFeature] Optional filter by items with special features.
     * @param {boolean} [hasTrailer] Optional filter by items with trailers.
     * @param {string} [adjacentTo] Optional. Return items that are siblings of a supplied item.
     * @param {number} [parentIndexNumber] Optional filter by parent index number.
     * @param {boolean} [hasParentalRating] Optional filter by items that have or do not have a parental rating.
     * @param {boolean} [isHd] Optional filter by items that are HD or not.
     * @param {boolean} [is4K] Optional filter by items that are 4K or not.
     * @param {Array<LocationType>} [locationTypes] Optional. If specified, results will be filtered based on LocationType. This allows multiple, comma delimited.
     * @param {Array<LocationType>} [excludeLocationTypes] Optional. If specified, results will be filtered based on the LocationType. This allows multiple, comma delimited.
     * @param {boolean} [isMissing] Optional filter by items that are missing episodes or not.
     * @param {boolean} [isUnaired] Optional filter by items that are unaired episodes or not.
     * @param {number} [minCommunityRating] Optional filter by minimum community rating.
     * @param {number} [minCriticRating] Optional filter by minimum critic rating.
     * @param {string} [minPremiereDate] Optional. The minimum premiere date. Format &#x3D; ISO.
     * @param {string} [minDateLastSaved] Optional. The minimum last saved date. Format &#x3D; ISO.
     * @param {string} [minDateLastSavedForUser] Optional. The minimum last saved date for the current user. Format &#x3D; ISO.
     * @param {string} [maxPremiereDate] Optional. The maximum premiere date. Format &#x3D; ISO.
     * @param {boolean} [hasOverview] Optional filter by items that have an overview or not.
     * @param {boolean} [hasImdbId] Optional filter by items that have an imdb id or not.
     * @param {boolean} [hasTmdbId] Optional filter by items that have a tmdb id or not.
     * @param {boolean} [hasTvdbId] Optional filter by items that have a tvdb id or not.
     * @param {Array<string>} [excludeItemIds] Optional. If specified, results will be filtered by excluding item ids. This allows multiple, comma delimited.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {boolean} [recursive] When searching within folders, this determines whether or not the search will be recursive. true/false.
     * @param {string} [searchTerm] Optional. Filter based on a search term.
     * @param {Array<SortOrder>} [sortOrder] Sort Order - Ascending,Descending.
     * @param {string} [parentId] Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines.
     * @param {Array<string>} [excludeItemTypes] Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @param {Array<ItemFilter>} [filters] Optional. Specify additional filters to apply. This allows multiple, comma delimited. Options: IsFolder, IsNotFolder, IsUnplayed, IsPlayed, IsFavorite, IsResumable, Likes, Dislikes.
     * @param {boolean} [isFavorite] Optional filter by items that are marked as favorite, or not.
     * @param {Array<string>} [mediaTypes] Optional filter by MediaType. Allows multiple, comma delimited.
     * @param {Array<ImageType>} [imageTypes] Optional. If specified, results will be filtered based on those containing image types. This allows multiple, comma delimited.
     * @param {Array<string>} [sortBy] Optional. Specify one or more sort orders, comma delimited. Options: Album, AlbumArtist, Artist, Budget, CommunityRating, CriticRating, DateCreated, DatePlayed, PlayCount, PremiereDate, ProductionYear, SortName, Random, Revenue, Runtime.
     * @param {boolean} [isPlayed] Optional filter by items that are played, or not.
     * @param {Array<string>} [genres] Optional. If specified, results will be filtered based on genre. This allows multiple, pipe delimited.
     * @param {Array<string>} [officialRatings] Optional. If specified, results will be filtered based on OfficialRating. This allows multiple, pipe delimited.
     * @param {Array<string>} [tags] Optional. If specified, results will be filtered based on tag. This allows multiple, pipe delimited.
     * @param {Array<number>} [years] Optional. If specified, results will be filtered based on production year. This allows multiple, comma delimited.
     * @param {boolean} [enableUserData] Optional, include user data.
     * @param {number} [imageTypeLimit] Optional, the max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {string} [person] Optional. If specified, results will be filtered to include only those containing the specified person.
     * @param {Array<string>} [personIds] Optional. If specified, results will be filtered to include only those containing the specified person id.
     * @param {Array<string>} [personTypes] Optional. If specified, along with Person, results will be filtered to include only those containing the specified person and PersonType. Allows multiple, comma-delimited.
     * @param {Array<string>} [studios] Optional. If specified, results will be filtered based on studio. This allows multiple, pipe delimited.
     * @param {Array<string>} [artists] Optional. If specified, results will be filtered based on artists. This allows multiple, pipe delimited.
     * @param {Array<string>} [excludeArtistIds] Optional. If specified, results will be filtered based on artist id. This allows multiple, pipe delimited.
     * @param {Array<string>} [artistIds] Optional. If specified, results will be filtered to include only those containing the specified artist id.
     * @param {Array<string>} [albumArtistIds] Optional. If specified, results will be filtered to include only those containing the specified album artist id.
     * @param {Array<string>} [contributingArtistIds] Optional. If specified, results will be filtered to include only those containing the specified contributing artist id.
     * @param {Array<string>} [albums] Optional. If specified, results will be filtered based on album. This allows multiple, pipe delimited.
     * @param {Array<string>} [albumIds] Optional. If specified, results will be filtered based on album id. This allows multiple, pipe delimited.
     * @param {Array<string>} [ids] Optional. If specific items are needed, specify a list of item id\&#39;s to retrieve. This allows multiple, comma delimited.
     * @param {Array<VideoType>} [videoTypes] Optional filter by VideoType (videofile, dvd, bluray, iso). Allows multiple, comma delimited.
     * @param {string} [minOfficialRating] Optional filter by minimum official rating (PG, PG-13, TV-MA, etc).
     * @param {boolean} [isLocked] Optional filter by items that are locked.
     * @param {boolean} [isPlaceHolder] Optional filter by items that are placeholders.
     * @param {boolean} [hasOfficialRating] Optional filter by items that have official ratings.
     * @param {boolean} [collapseBoxSetItems] Whether or not to hide items behind their boxsets.
     * @param {number} [minWidth] Optional. Filter by the minimum width of the item.
     * @param {number} [minHeight] Optional. Filter by the minimum height of the item.
     * @param {number} [maxWidth] Optional. Filter by the maximum width of the item.
     * @param {number} [maxHeight] Optional. Filter by the maximum height of the item.
     * @param {boolean} [is3D] Optional filter by items that are 3D, or not.
     * @param {Array<SeriesStatus>} [seriesStatus] Optional filter by Series Status. Allows multiple, comma delimited.
     * @param {string} [nameStartsWithOrGreater] Optional filter by items whose name is sorted equally or greater than a given input string.
     * @param {string} [nameStartsWith] Optional filter by items whose name is sorted equally than a given input string.
     * @param {string} [nameLessThan] Optional filter by items whose name is equally or lesser than a given input string.
     * @param {Array<string>} [studioIds] Optional. If specified, results will be filtered based on studio id. This allows multiple, pipe delimited.
     * @param {Array<string>} [genreIds] Optional. If specified, results will be filtered based on genre id. This allows multiple, pipe delimited.
     * @param {boolean} [enableTotalRecordCount] Optional. Enable the total record count.
     * @param {boolean} [enableImages] Optional, include image information in output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTrailers(userId?: string | undefined, maxOfficialRating?: string | undefined, hasThemeSong?: boolean | undefined, hasThemeVideo?: boolean | undefined, hasSubtitles?: boolean | undefined, hasSpecialFeature?: boolean | undefined, hasTrailer?: boolean | undefined, adjacentTo?: string | undefined, parentIndexNumber?: number | undefined, hasParentalRating?: boolean | undefined, isHd?: boolean | undefined, is4K?: boolean | undefined, locationTypes?: LocationType[] | undefined, excludeLocationTypes?: LocationType[] | undefined, isMissing?: boolean | undefined, isUnaired?: boolean | undefined, minCommunityRating?: number | undefined, minCriticRating?: number | undefined, minPremiereDate?: string | undefined, minDateLastSaved?: string | undefined, minDateLastSavedForUser?: string | undefined, maxPremiereDate?: string | undefined, hasOverview?: boolean | undefined, hasImdbId?: boolean | undefined, hasTmdbId?: boolean | undefined, hasTvdbId?: boolean | undefined, excludeItemIds?: string[] | undefined, startIndex?: number | undefined, limit?: number | undefined, recursive?: boolean | undefined, searchTerm?: string | undefined, sortOrder?: SortOrder[] | undefined, parentId?: string | undefined, fields?: ItemFields[] | undefined, excludeItemTypes?: string[] | undefined, filters?: ItemFilter[] | undefined, isFavorite?: boolean | undefined, mediaTypes?: string[] | undefined, imageTypes?: ImageType[] | undefined, sortBy?: string[] | undefined, isPlayed?: boolean | undefined, genres?: string[] | undefined, officialRatings?: string[] | undefined, tags?: string[] | undefined, years?: number[] | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, person?: string | undefined, personIds?: string[] | undefined, personTypes?: string[] | undefined, studios?: string[] | undefined, artists?: string[] | undefined, excludeArtistIds?: string[] | undefined, artistIds?: string[] | undefined, albumArtistIds?: string[] | undefined, contributingArtistIds?: string[] | undefined, albums?: string[] | undefined, albumIds?: string[] | undefined, ids?: string[] | undefined, videoTypes?: VideoType[] | undefined, minOfficialRating?: string | undefined, isLocked?: boolean | undefined, isPlaceHolder?: boolean | undefined, hasOfficialRating?: boolean | undefined, collapseBoxSetItems?: boolean | undefined, minWidth?: number | undefined, minHeight?: number | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, is3D?: boolean | undefined, seriesStatus?: SeriesStatus[] | undefined, nameStartsWithOrGreater?: string | undefined, nameStartsWith?: string | undefined, nameLessThan?: string | undefined, studioIds?: string[] | undefined, genreIds?: string[] | undefined, enableTotalRecordCount?: boolean | undefined, enableImages?: boolean | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
};
/**
 * Request parameters for getTrailers operation in TrailersApi.
 * @export
 * @interface TrailersApiGetTrailersRequest
 */
export interface TrailersApiGetTrailersRequest {
    /**
     * The user id.
     * @type {string}
     * @memberof TrailersApiGetTrailers
     */
    readonly userId?: string;
    /**
     * Optional filter by maximum official rating (PG, PG-13, TV-MA, etc).
     * @type {string}
     * @memberof TrailersApiGetTrailers
     */
    readonly maxOfficialRating?: string;
    /**
     * Optional filter by items with theme songs.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly hasThemeSong?: boolean;
    /**
     * Optional filter by items with theme videos.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly hasThemeVideo?: boolean;
    /**
     * Optional filter by items with subtitles.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly hasSubtitles?: boolean;
    /**
     * Optional filter by items with special features.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly hasSpecialFeature?: boolean;
    /**
     * Optional filter by items with trailers.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly hasTrailer?: boolean;
    /**
     * Optional. Return items that are siblings of a supplied item.
     * @type {string}
     * @memberof TrailersApiGetTrailers
     */
    readonly adjacentTo?: string;
    /**
     * Optional filter by parent index number.
     * @type {number}
     * @memberof TrailersApiGetTrailers
     */
    readonly parentIndexNumber?: number;
    /**
     * Optional filter by items that have or do not have a parental rating.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly hasParentalRating?: boolean;
    /**
     * Optional filter by items that are HD or not.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly isHd?: boolean;
    /**
     * Optional filter by items that are 4K or not.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly is4K?: boolean;
    /**
     * Optional. If specified, results will be filtered based on LocationType. This allows multiple, comma delimited.
     * @type {Array<LocationType>}
     * @memberof TrailersApiGetTrailers
     */
    readonly locationTypes?: Array<LocationType>;
    /**
     * Optional. If specified, results will be filtered based on the LocationType. This allows multiple, comma delimited.
     * @type {Array<LocationType>}
     * @memberof TrailersApiGetTrailers
     */
    readonly excludeLocationTypes?: Array<LocationType>;
    /**
     * Optional filter by items that are missing episodes or not.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly isMissing?: boolean;
    /**
     * Optional filter by items that are unaired episodes or not.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly isUnaired?: boolean;
    /**
     * Optional filter by minimum community rating.
     * @type {number}
     * @memberof TrailersApiGetTrailers
     */
    readonly minCommunityRating?: number;
    /**
     * Optional filter by minimum critic rating.
     * @type {number}
     * @memberof TrailersApiGetTrailers
     */
    readonly minCriticRating?: number;
    /**
     * Optional. The minimum premiere date. Format &#x3D; ISO.
     * @type {string}
     * @memberof TrailersApiGetTrailers
     */
    readonly minPremiereDate?: string;
    /**
     * Optional. The minimum last saved date. Format &#x3D; ISO.
     * @type {string}
     * @memberof TrailersApiGetTrailers
     */
    readonly minDateLastSaved?: string;
    /**
     * Optional. The minimum last saved date for the current user. Format &#x3D; ISO.
     * @type {string}
     * @memberof TrailersApiGetTrailers
     */
    readonly minDateLastSavedForUser?: string;
    /**
     * Optional. The maximum premiere date. Format &#x3D; ISO.
     * @type {string}
     * @memberof TrailersApiGetTrailers
     */
    readonly maxPremiereDate?: string;
    /**
     * Optional filter by items that have an overview or not.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly hasOverview?: boolean;
    /**
     * Optional filter by items that have an imdb id or not.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly hasImdbId?: boolean;
    /**
     * Optional filter by items that have a tmdb id or not.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly hasTmdbId?: boolean;
    /**
     * Optional filter by items that have a tvdb id or not.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly hasTvdbId?: boolean;
    /**
     * Optional. If specified, results will be filtered by excluding item ids. This allows multiple, comma delimited.
     * @type {Array<string>}
     * @memberof TrailersApiGetTrailers
     */
    readonly excludeItemIds?: Array<string>;
    /**
     * Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @type {number}
     * @memberof TrailersApiGetTrailers
     */
    readonly startIndex?: number;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof TrailersApiGetTrailers
     */
    readonly limit?: number;
    /**
     * When searching within folders, this determines whether or not the search will be recursive. true/false.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly recursive?: boolean;
    /**
     * Optional. Filter based on a search term.
     * @type {string}
     * @memberof TrailersApiGetTrailers
     */
    readonly searchTerm?: string;
    /**
     * Sort Order - Ascending,Descending.
     * @type {Array<SortOrder>}
     * @memberof TrailersApiGetTrailers
     */
    readonly sortOrder?: Array<SortOrder>;
    /**
     * Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @type {string}
     * @memberof TrailersApiGetTrailers
     */
    readonly parentId?: string;
    /**
     * Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines.
     * @type {Array<ItemFields>}
     * @memberof TrailersApiGetTrailers
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @type {Array<string>}
     * @memberof TrailersApiGetTrailers
     */
    readonly excludeItemTypes?: Array<string>;
    /**
     * Optional. Specify additional filters to apply. This allows multiple, comma delimited. Options: IsFolder, IsNotFolder, IsUnplayed, IsPlayed, IsFavorite, IsResumable, Likes, Dislikes.
     * @type {Array<ItemFilter>}
     * @memberof TrailersApiGetTrailers
     */
    readonly filters?: Array<ItemFilter>;
    /**
     * Optional filter by items that are marked as favorite, or not.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly isFavorite?: boolean;
    /**
     * Optional filter by MediaType. Allows multiple, comma delimited.
     * @type {Array<string>}
     * @memberof TrailersApiGetTrailers
     */
    readonly mediaTypes?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on those containing image types. This allows multiple, comma delimited.
     * @type {Array<ImageType>}
     * @memberof TrailersApiGetTrailers
     */
    readonly imageTypes?: Array<ImageType>;
    /**
     * Optional. Specify one or more sort orders, comma delimited. Options: Album, AlbumArtist, Artist, Budget, CommunityRating, CriticRating, DateCreated, DatePlayed, PlayCount, PremiereDate, ProductionYear, SortName, Random, Revenue, Runtime.
     * @type {Array<string>}
     * @memberof TrailersApiGetTrailers
     */
    readonly sortBy?: Array<string>;
    /**
     * Optional filter by items that are played, or not.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly isPlayed?: boolean;
    /**
     * Optional. If specified, results will be filtered based on genre. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof TrailersApiGetTrailers
     */
    readonly genres?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on OfficialRating. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof TrailersApiGetTrailers
     */
    readonly officialRatings?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on tag. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof TrailersApiGetTrailers
     */
    readonly tags?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on production year. This allows multiple, comma delimited.
     * @type {Array<number>}
     * @memberof TrailersApiGetTrailers
     */
    readonly years?: Array<number>;
    /**
     * Optional, include user data.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly enableUserData?: boolean;
    /**
     * Optional, the max number of images to return, per image type.
     * @type {number}
     * @memberof TrailersApiGetTrailers
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof TrailersApiGetTrailers
     */
    readonly enableImageTypes?: Array<ImageType>;
    /**
     * Optional. If specified, results will be filtered to include only those containing the specified person.
     * @type {string}
     * @memberof TrailersApiGetTrailers
     */
    readonly person?: string;
    /**
     * Optional. If specified, results will be filtered to include only those containing the specified person id.
     * @type {Array<string>}
     * @memberof TrailersApiGetTrailers
     */
    readonly personIds?: Array<string>;
    /**
     * Optional. If specified, along with Person, results will be filtered to include only those containing the specified person and PersonType. Allows multiple, comma-delimited.
     * @type {Array<string>}
     * @memberof TrailersApiGetTrailers
     */
    readonly personTypes?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on studio. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof TrailersApiGetTrailers
     */
    readonly studios?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on artists. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof TrailersApiGetTrailers
     */
    readonly artists?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on artist id. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof TrailersApiGetTrailers
     */
    readonly excludeArtistIds?: Array<string>;
    /**
     * Optional. If specified, results will be filtered to include only those containing the specified artist id.
     * @type {Array<string>}
     * @memberof TrailersApiGetTrailers
     */
    readonly artistIds?: Array<string>;
    /**
     * Optional. If specified, results will be filtered to include only those containing the specified album artist id.
     * @type {Array<string>}
     * @memberof TrailersApiGetTrailers
     */
    readonly albumArtistIds?: Array<string>;
    /**
     * Optional. If specified, results will be filtered to include only those containing the specified contributing artist id.
     * @type {Array<string>}
     * @memberof TrailersApiGetTrailers
     */
    readonly contributingArtistIds?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on album. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof TrailersApiGetTrailers
     */
    readonly albums?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on album id. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof TrailersApiGetTrailers
     */
    readonly albumIds?: Array<string>;
    /**
     * Optional. If specific items are needed, specify a list of item id\&#39;s to retrieve. This allows multiple, comma delimited.
     * @type {Array<string>}
     * @memberof TrailersApiGetTrailers
     */
    readonly ids?: Array<string>;
    /**
     * Optional filter by VideoType (videofile, dvd, bluray, iso). Allows multiple, comma delimited.
     * @type {Array<VideoType>}
     * @memberof TrailersApiGetTrailers
     */
    readonly videoTypes?: Array<VideoType>;
    /**
     * Optional filter by minimum official rating (PG, PG-13, TV-MA, etc).
     * @type {string}
     * @memberof TrailersApiGetTrailers
     */
    readonly minOfficialRating?: string;
    /**
     * Optional filter by items that are locked.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly isLocked?: boolean;
    /**
     * Optional filter by items that are placeholders.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly isPlaceHolder?: boolean;
    /**
     * Optional filter by items that have official ratings.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly hasOfficialRating?: boolean;
    /**
     * Whether or not to hide items behind their boxsets.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly collapseBoxSetItems?: boolean;
    /**
     * Optional. Filter by the minimum width of the item.
     * @type {number}
     * @memberof TrailersApiGetTrailers
     */
    readonly minWidth?: number;
    /**
     * Optional. Filter by the minimum height of the item.
     * @type {number}
     * @memberof TrailersApiGetTrailers
     */
    readonly minHeight?: number;
    /**
     * Optional. Filter by the maximum width of the item.
     * @type {number}
     * @memberof TrailersApiGetTrailers
     */
    readonly maxWidth?: number;
    /**
     * Optional. Filter by the maximum height of the item.
     * @type {number}
     * @memberof TrailersApiGetTrailers
     */
    readonly maxHeight?: number;
    /**
     * Optional filter by items that are 3D, or not.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly is3D?: boolean;
    /**
     * Optional filter by Series Status. Allows multiple, comma delimited.
     * @type {Array<SeriesStatus>}
     * @memberof TrailersApiGetTrailers
     */
    readonly seriesStatus?: Array<SeriesStatus>;
    /**
     * Optional filter by items whose name is sorted equally or greater than a given input string.
     * @type {string}
     * @memberof TrailersApiGetTrailers
     */
    readonly nameStartsWithOrGreater?: string;
    /**
     * Optional filter by items whose name is sorted equally than a given input string.
     * @type {string}
     * @memberof TrailersApiGetTrailers
     */
    readonly nameStartsWith?: string;
    /**
     * Optional filter by items whose name is equally or lesser than a given input string.
     * @type {string}
     * @memberof TrailersApiGetTrailers
     */
    readonly nameLessThan?: string;
    /**
     * Optional. If specified, results will be filtered based on studio id. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof TrailersApiGetTrailers
     */
    readonly studioIds?: Array<string>;
    /**
     * Optional. If specified, results will be filtered based on genre id. This allows multiple, pipe delimited.
     * @type {Array<string>}
     * @memberof TrailersApiGetTrailers
     */
    readonly genreIds?: Array<string>;
    /**
     * Optional. Enable the total record count.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly enableTotalRecordCount?: boolean;
    /**
     * Optional, include image information in output.
     * @type {boolean}
     * @memberof TrailersApiGetTrailers
     */
    readonly enableImages?: boolean;
}
/**
 * TrailersApi - object-oriented interface
 * @export
 * @class TrailersApi
 * @extends {BaseAPI}
 */
export declare class TrailersApi extends BaseAPI {
    /**
     *
     * @summary Finds movies and trailers similar to a given trailer.
     * @param {TrailersApiGetTrailersRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TrailersApi
     */
    getTrailers(requestParameters?: TrailersApiGetTrailersRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
}
