/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { BaseItemDtoQueryResult } from '../models';
import { ImageType } from '../models';
import { ItemFields } from '../models';
/**
 * TvShowsApi - axios parameter creator
 * @export
 */
export declare const TvShowsApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets episodes for a tv season.
     * @param {string} seriesId The series id.
     * @param {string} [userId] The user id.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {number} [season] Optional filter by season number.
     * @param {string} [seasonId] Optional. Filter by season id.
     * @param {boolean} [isMissing] Optional. Filter by items that are missing episodes or not.
     * @param {string} [adjacentTo] Optional. Return items that are siblings of a supplied item.
     * @param {string} [startItemId] Optional. Skip through the list until a given item is found.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {boolean} [enableImages] Optional, include image information in output.
     * @param {number} [imageTypeLimit] Optional, the max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {string} [sortBy] Optional. Specify one or more sort orders, comma delimited. Options: Album, AlbumArtist, Artist, Budget, CommunityRating, CriticRating, DateCreated, DatePlayed, PlayCount, PremiereDate, ProductionYear, SortName, Random, Revenue, Runtime.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getEpisodes: (seriesId: string, userId?: string | undefined, fields?: ItemFields[] | undefined, season?: number | undefined, seasonId?: string | undefined, isMissing?: boolean | undefined, adjacentTo?: string | undefined, startItemId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, enableUserData?: boolean | undefined, sortBy?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a list of next up episodes.
     * @param {string} [userId] The user id of the user to get the next up episodes for.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {string} [seriesId] Optional. Filter by series id.
     * @param {string} [parentId] Optional. Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {boolean} [enableImges] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {boolean} [enableTotalRecordCount] Whether to enable the total records count. Defaults to true.
     * @param {boolean} [disableFirstEpisode] Whether to disable sending the first episode in a series as next up.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getNextUp: (userId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, seriesId?: string | undefined, parentId?: string | undefined, enableImges?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, enableUserData?: boolean | undefined, enableTotalRecordCount?: boolean | undefined, disableFirstEpisode?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets seasons for a tv series.
     * @param {string} seriesId The series id.
     * @param {string} [userId] The user id.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {boolean} [isSpecialSeason] Optional. Filter by special season.
     * @param {boolean} [isMissing] Optional. Filter by items that are missing episodes or not.
     * @param {string} [adjacentTo] Optional. Return items that are siblings of a supplied item.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSeasons: (seriesId: string, userId?: string | undefined, fields?: ItemFields[] | undefined, isSpecialSeason?: boolean | undefined, isMissing?: boolean | undefined, adjacentTo?: string | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, enableUserData?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a list of upcoming episodes.
     * @param {string} [userId] The user id of the user to get the upcoming episodes for.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {string} [parentId] Optional. Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {boolean} [enableImges] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUpcomingEpisodes: (userId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, parentId?: string | undefined, enableImges?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, enableUserData?: boolean | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * TvShowsApi - functional programming interface
 * @export
 */
export declare const TvShowsApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets episodes for a tv season.
     * @param {string} seriesId The series id.
     * @param {string} [userId] The user id.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {number} [season] Optional filter by season number.
     * @param {string} [seasonId] Optional. Filter by season id.
     * @param {boolean} [isMissing] Optional. Filter by items that are missing episodes or not.
     * @param {string} [adjacentTo] Optional. Return items that are siblings of a supplied item.
     * @param {string} [startItemId] Optional. Skip through the list until a given item is found.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {boolean} [enableImages] Optional, include image information in output.
     * @param {number} [imageTypeLimit] Optional, the max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {string} [sortBy] Optional. Specify one or more sort orders, comma delimited. Options: Album, AlbumArtist, Artist, Budget, CommunityRating, CriticRating, DateCreated, DatePlayed, PlayCount, PremiereDate, ProductionYear, SortName, Random, Revenue, Runtime.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getEpisodes(seriesId: string, userId?: string | undefined, fields?: ItemFields[] | undefined, season?: number | undefined, seasonId?: string | undefined, isMissing?: boolean | undefined, adjacentTo?: string | undefined, startItemId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, enableUserData?: boolean | undefined, sortBy?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets a list of next up episodes.
     * @param {string} [userId] The user id of the user to get the next up episodes for.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {string} [seriesId] Optional. Filter by series id.
     * @param {string} [parentId] Optional. Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {boolean} [enableImges] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {boolean} [enableTotalRecordCount] Whether to enable the total records count. Defaults to true.
     * @param {boolean} [disableFirstEpisode] Whether to disable sending the first episode in a series as next up.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getNextUp(userId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, seriesId?: string | undefined, parentId?: string | undefined, enableImges?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, enableUserData?: boolean | undefined, enableTotalRecordCount?: boolean | undefined, disableFirstEpisode?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets seasons for a tv series.
     * @param {string} seriesId The series id.
     * @param {string} [userId] The user id.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {boolean} [isSpecialSeason] Optional. Filter by special season.
     * @param {boolean} [isMissing] Optional. Filter by items that are missing episodes or not.
     * @param {string} [adjacentTo] Optional. Return items that are siblings of a supplied item.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSeasons(seriesId: string, userId?: string | undefined, fields?: ItemFields[] | undefined, isSpecialSeason?: boolean | undefined, isMissing?: boolean | undefined, adjacentTo?: string | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, enableUserData?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets a list of upcoming episodes.
     * @param {string} [userId] The user id of the user to get the upcoming episodes for.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {string} [parentId] Optional. Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {boolean} [enableImges] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUpcomingEpisodes(userId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, parentId?: string | undefined, enableImges?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, enableUserData?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
};
/**
 * TvShowsApi - factory interface
 * @export
 */
export declare const TvShowsApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Gets episodes for a tv season.
     * @param {string} seriesId The series id.
     * @param {string} [userId] The user id.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {number} [season] Optional filter by season number.
     * @param {string} [seasonId] Optional. Filter by season id.
     * @param {boolean} [isMissing] Optional. Filter by items that are missing episodes or not.
     * @param {string} [adjacentTo] Optional. Return items that are siblings of a supplied item.
     * @param {string} [startItemId] Optional. Skip through the list until a given item is found.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {boolean} [enableImages] Optional, include image information in output.
     * @param {number} [imageTypeLimit] Optional, the max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {string} [sortBy] Optional. Specify one or more sort orders, comma delimited. Options: Album, AlbumArtist, Artist, Budget, CommunityRating, CriticRating, DateCreated, DatePlayed, PlayCount, PremiereDate, ProductionYear, SortName, Random, Revenue, Runtime.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getEpisodes(seriesId: string, userId?: string | undefined, fields?: ItemFields[] | undefined, season?: number | undefined, seasonId?: string | undefined, isMissing?: boolean | undefined, adjacentTo?: string | undefined, startItemId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, enableUserData?: boolean | undefined, sortBy?: string | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets a list of next up episodes.
     * @param {string} [userId] The user id of the user to get the next up episodes for.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {string} [seriesId] Optional. Filter by series id.
     * @param {string} [parentId] Optional. Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {boolean} [enableImges] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {boolean} [enableTotalRecordCount] Whether to enable the total records count. Defaults to true.
     * @param {boolean} [disableFirstEpisode] Whether to disable sending the first episode in a series as next up.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getNextUp(userId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, seriesId?: string | undefined, parentId?: string | undefined, enableImges?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, enableUserData?: boolean | undefined, enableTotalRecordCount?: boolean | undefined, disableFirstEpisode?: boolean | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets seasons for a tv series.
     * @param {string} seriesId The series id.
     * @param {string} [userId] The user id.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @param {boolean} [isSpecialSeason] Optional. Filter by special season.
     * @param {boolean} [isMissing] Optional. Filter by items that are missing episodes or not.
     * @param {string} [adjacentTo] Optional. Return items that are siblings of a supplied item.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSeasons(seriesId: string, userId?: string | undefined, fields?: ItemFields[] | undefined, isSpecialSeason?: boolean | undefined, isMissing?: boolean | undefined, adjacentTo?: string | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, enableUserData?: boolean | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets a list of upcoming episodes.
     * @param {string} [userId] The user id of the user to get the upcoming episodes for.
     * @param {number} [startIndex] Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {string} [parentId] Optional. Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {boolean} [enableImges] Optional. Include image information in output.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUpcomingEpisodes(userId?: string | undefined, startIndex?: number | undefined, limit?: number | undefined, fields?: ItemFields[] | undefined, parentId?: string | undefined, enableImges?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, enableUserData?: boolean | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
};
/**
 * Request parameters for getEpisodes operation in TvShowsApi.
 * @export
 * @interface TvShowsApiGetEpisodesRequest
 */
export interface TvShowsApiGetEpisodesRequest {
    /**
     * The series id.
     * @type {string}
     * @memberof TvShowsApiGetEpisodes
     */
    readonly seriesId: string;
    /**
     * The user id.
     * @type {string}
     * @memberof TvShowsApiGetEpisodes
     */
    readonly userId?: string;
    /**
     * Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @type {Array<ItemFields>}
     * @memberof TvShowsApiGetEpisodes
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional filter by season number.
     * @type {number}
     * @memberof TvShowsApiGetEpisodes
     */
    readonly season?: number;
    /**
     * Optional. Filter by season id.
     * @type {string}
     * @memberof TvShowsApiGetEpisodes
     */
    readonly seasonId?: string;
    /**
     * Optional. Filter by items that are missing episodes or not.
     * @type {boolean}
     * @memberof TvShowsApiGetEpisodes
     */
    readonly isMissing?: boolean;
    /**
     * Optional. Return items that are siblings of a supplied item.
     * @type {string}
     * @memberof TvShowsApiGetEpisodes
     */
    readonly adjacentTo?: string;
    /**
     * Optional. Skip through the list until a given item is found.
     * @type {string}
     * @memberof TvShowsApiGetEpisodes
     */
    readonly startItemId?: string;
    /**
     * Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @type {number}
     * @memberof TvShowsApiGetEpisodes
     */
    readonly startIndex?: number;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof TvShowsApiGetEpisodes
     */
    readonly limit?: number;
    /**
     * Optional, include image information in output.
     * @type {boolean}
     * @memberof TvShowsApiGetEpisodes
     */
    readonly enableImages?: boolean;
    /**
     * Optional, the max number of images to return, per image type.
     * @type {number}
     * @memberof TvShowsApiGetEpisodes
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof TvShowsApiGetEpisodes
     */
    readonly enableImageTypes?: Array<ImageType>;
    /**
     * Optional. Include user data.
     * @type {boolean}
     * @memberof TvShowsApiGetEpisodes
     */
    readonly enableUserData?: boolean;
    /**
     * Optional. Specify one or more sort orders, comma delimited. Options: Album, AlbumArtist, Artist, Budget, CommunityRating, CriticRating, DateCreated, DatePlayed, PlayCount, PremiereDate, ProductionYear, SortName, Random, Revenue, Runtime.
     * @type {string}
     * @memberof TvShowsApiGetEpisodes
     */
    readonly sortBy?: string;
}
/**
 * Request parameters for getNextUp operation in TvShowsApi.
 * @export
 * @interface TvShowsApiGetNextUpRequest
 */
export interface TvShowsApiGetNextUpRequest {
    /**
     * The user id of the user to get the next up episodes for.
     * @type {string}
     * @memberof TvShowsApiGetNextUp
     */
    readonly userId?: string;
    /**
     * Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @type {number}
     * @memberof TvShowsApiGetNextUp
     */
    readonly startIndex?: number;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof TvShowsApiGetNextUp
     */
    readonly limit?: number;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof TvShowsApiGetNextUp
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. Filter by series id.
     * @type {string}
     * @memberof TvShowsApiGetNextUp
     */
    readonly seriesId?: string;
    /**
     * Optional. Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @type {string}
     * @memberof TvShowsApiGetNextUp
     */
    readonly parentId?: string;
    /**
     * Optional. Include image information in output.
     * @type {boolean}
     * @memberof TvShowsApiGetNextUp
     */
    readonly enableImges?: boolean;
    /**
     * Optional. The max number of images to return, per image type.
     * @type {number}
     * @memberof TvShowsApiGetNextUp
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof TvShowsApiGetNextUp
     */
    readonly enableImageTypes?: Array<ImageType>;
    /**
     * Optional. Include user data.
     * @type {boolean}
     * @memberof TvShowsApiGetNextUp
     */
    readonly enableUserData?: boolean;
    /**
     * Whether to enable the total records count. Defaults to true.
     * @type {boolean}
     * @memberof TvShowsApiGetNextUp
     */
    readonly enableTotalRecordCount?: boolean;
    /**
     * Whether to disable sending the first episode in a series as next up.
     * @type {boolean}
     * @memberof TvShowsApiGetNextUp
     */
    readonly disableFirstEpisode?: boolean;
}
/**
 * Request parameters for getSeasons operation in TvShowsApi.
 * @export
 * @interface TvShowsApiGetSeasonsRequest
 */
export interface TvShowsApiGetSeasonsRequest {
    /**
     * The series id.
     * @type {string}
     * @memberof TvShowsApiGetSeasons
     */
    readonly seriesId: string;
    /**
     * The user id.
     * @type {string}
     * @memberof TvShowsApiGetSeasons
     */
    readonly userId?: string;
    /**
     * Optional. Specify additional fields of information to return in the output. This allows multiple, comma delimited. Options: Budget, Chapters, DateCreated, Genres, HomePageUrl, IndexOptions, MediaStreams, Overview, ParentId, Path, People, ProviderIds, PrimaryImageAspectRatio, Revenue, SortName, Studios, Taglines, TrailerUrls.
     * @type {Array<ItemFields>}
     * @memberof TvShowsApiGetSeasons
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. Filter by special season.
     * @type {boolean}
     * @memberof TvShowsApiGetSeasons
     */
    readonly isSpecialSeason?: boolean;
    /**
     * Optional. Filter by items that are missing episodes or not.
     * @type {boolean}
     * @memberof TvShowsApiGetSeasons
     */
    readonly isMissing?: boolean;
    /**
     * Optional. Return items that are siblings of a supplied item.
     * @type {string}
     * @memberof TvShowsApiGetSeasons
     */
    readonly adjacentTo?: string;
    /**
     * Optional. Include image information in output.
     * @type {boolean}
     * @memberof TvShowsApiGetSeasons
     */
    readonly enableImages?: boolean;
    /**
     * Optional. The max number of images to return, per image type.
     * @type {number}
     * @memberof TvShowsApiGetSeasons
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof TvShowsApiGetSeasons
     */
    readonly enableImageTypes?: Array<ImageType>;
    /**
     * Optional. Include user data.
     * @type {boolean}
     * @memberof TvShowsApiGetSeasons
     */
    readonly enableUserData?: boolean;
}
/**
 * Request parameters for getUpcomingEpisodes operation in TvShowsApi.
 * @export
 * @interface TvShowsApiGetUpcomingEpisodesRequest
 */
export interface TvShowsApiGetUpcomingEpisodesRequest {
    /**
     * The user id of the user to get the upcoming episodes for.
     * @type {string}
     * @memberof TvShowsApiGetUpcomingEpisodes
     */
    readonly userId?: string;
    /**
     * Optional. The record index to start at. All items with a lower index will be dropped from the results.
     * @type {number}
     * @memberof TvShowsApiGetUpcomingEpisodes
     */
    readonly startIndex?: number;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof TvShowsApiGetUpcomingEpisodes
     */
    readonly limit?: number;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof TvShowsApiGetUpcomingEpisodes
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @type {string}
     * @memberof TvShowsApiGetUpcomingEpisodes
     */
    readonly parentId?: string;
    /**
     * Optional. Include image information in output.
     * @type {boolean}
     * @memberof TvShowsApiGetUpcomingEpisodes
     */
    readonly enableImges?: boolean;
    /**
     * Optional. The max number of images to return, per image type.
     * @type {number}
     * @memberof TvShowsApiGetUpcomingEpisodes
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof TvShowsApiGetUpcomingEpisodes
     */
    readonly enableImageTypes?: Array<ImageType>;
    /**
     * Optional. Include user data.
     * @type {boolean}
     * @memberof TvShowsApiGetUpcomingEpisodes
     */
    readonly enableUserData?: boolean;
}
/**
 * TvShowsApi - object-oriented interface
 * @export
 * @class TvShowsApi
 * @extends {BaseAPI}
 */
export declare class TvShowsApi extends BaseAPI {
    /**
     *
     * @summary Gets episodes for a tv season.
     * @param {TvShowsApiGetEpisodesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TvShowsApi
     */
    getEpisodes(requestParameters: TvShowsApiGetEpisodesRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets a list of next up episodes.
     * @param {TvShowsApiGetNextUpRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TvShowsApi
     */
    getNextUp(requestParameters?: TvShowsApiGetNextUpRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets seasons for a tv series.
     * @param {TvShowsApiGetSeasonsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TvShowsApi
     */
    getSeasons(requestParameters: TvShowsApiGetSeasonsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets a list of upcoming episodes.
     * @param {TvShowsApiGetUpcomingEpisodesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TvShowsApi
     */
    getUpcomingEpisodes(requestParameters?: TvShowsApiGetUpcomingEpisodesRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
}
