/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
/**
 * UniversalAudioApi - axios parameter creator
 * @export
 */
export declare const UniversalAudioApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets an audio stream.
     * @param {string} itemId The item id.
     * @param {Array<string>} [container] Optional. The audio container.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [userId] Optional. The user id.
     * @param {string} [audioCodec] Optional. The audio codec to transcode to.
     * @param {number} [maxAudioChannels] Optional. The maximum number of audio channels.
     * @param {number} [transcodingAudioChannels] Optional. The number of how many audio channels to transcode to.
     * @param {number} [maxStreamingBitrate] Optional. The maximum streaming bitrate.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {string} [transcodingContainer] Optional. The container to transcode to.
     * @param {string} [transcodingProtocol] Optional. The transcoding protocol.
     * @param {number} [maxAudioSampleRate] Optional. The maximum audio sample rate.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {boolean} [enableRemoteMedia] Optional. Whether to enable remote media.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {boolean} [enableRedirection] Whether to enable redirection. Defaults to true.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUniversalAudioStream: (itemId: string, container?: string[] | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, userId?: string | undefined, audioCodec?: string | undefined, maxAudioChannels?: number | undefined, transcodingAudioChannels?: number | undefined, maxStreamingBitrate?: number | undefined, audioBitRate?: number | undefined, startTimeTicks?: number | undefined, transcodingContainer?: string | undefined, transcodingProtocol?: string | undefined, maxAudioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, enableRemoteMedia?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, enableRedirection?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets an audio stream.
     * @param {string} itemId The item id.
     * @param {Array<string>} [container] Optional. The audio container.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [userId] Optional. The user id.
     * @param {string} [audioCodec] Optional. The audio codec to transcode to.
     * @param {number} [maxAudioChannels] Optional. The maximum number of audio channels.
     * @param {number} [transcodingAudioChannels] Optional. The number of how many audio channels to transcode to.
     * @param {number} [maxStreamingBitrate] Optional. The maximum streaming bitrate.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {string} [transcodingContainer] Optional. The container to transcode to.
     * @param {string} [transcodingProtocol] Optional. The transcoding protocol.
     * @param {number} [maxAudioSampleRate] Optional. The maximum audio sample rate.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {boolean} [enableRemoteMedia] Optional. Whether to enable remote media.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {boolean} [enableRedirection] Whether to enable redirection. Defaults to true.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headUniversalAudioStream: (itemId: string, container?: string[] | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, userId?: string | undefined, audioCodec?: string | undefined, maxAudioChannels?: number | undefined, transcodingAudioChannels?: number | undefined, maxStreamingBitrate?: number | undefined, audioBitRate?: number | undefined, startTimeTicks?: number | undefined, transcodingContainer?: string | undefined, transcodingProtocol?: string | undefined, maxAudioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, enableRemoteMedia?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, enableRedirection?: boolean | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * UniversalAudioApi - functional programming interface
 * @export
 */
export declare const UniversalAudioApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets an audio stream.
     * @param {string} itemId The item id.
     * @param {Array<string>} [container] Optional. The audio container.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [userId] Optional. The user id.
     * @param {string} [audioCodec] Optional. The audio codec to transcode to.
     * @param {number} [maxAudioChannels] Optional. The maximum number of audio channels.
     * @param {number} [transcodingAudioChannels] Optional. The number of how many audio channels to transcode to.
     * @param {number} [maxStreamingBitrate] Optional. The maximum streaming bitrate.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {string} [transcodingContainer] Optional. The container to transcode to.
     * @param {string} [transcodingProtocol] Optional. The transcoding protocol.
     * @param {number} [maxAudioSampleRate] Optional. The maximum audio sample rate.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {boolean} [enableRemoteMedia] Optional. Whether to enable remote media.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {boolean} [enableRedirection] Whether to enable redirection. Defaults to true.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUniversalAudioStream(itemId: string, container?: string[] | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, userId?: string | undefined, audioCodec?: string | undefined, maxAudioChannels?: number | undefined, transcodingAudioChannels?: number | undefined, maxStreamingBitrate?: number | undefined, audioBitRate?: number | undefined, startTimeTicks?: number | undefined, transcodingContainer?: string | undefined, transcodingProtocol?: string | undefined, maxAudioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, enableRemoteMedia?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, enableRedirection?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets an audio stream.
     * @param {string} itemId The item id.
     * @param {Array<string>} [container] Optional. The audio container.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [userId] Optional. The user id.
     * @param {string} [audioCodec] Optional. The audio codec to transcode to.
     * @param {number} [maxAudioChannels] Optional. The maximum number of audio channels.
     * @param {number} [transcodingAudioChannels] Optional. The number of how many audio channels to transcode to.
     * @param {number} [maxStreamingBitrate] Optional. The maximum streaming bitrate.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {string} [transcodingContainer] Optional. The container to transcode to.
     * @param {string} [transcodingProtocol] Optional. The transcoding protocol.
     * @param {number} [maxAudioSampleRate] Optional. The maximum audio sample rate.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {boolean} [enableRemoteMedia] Optional. Whether to enable remote media.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {boolean} [enableRedirection] Whether to enable redirection. Defaults to true.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headUniversalAudioStream(itemId: string, container?: string[] | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, userId?: string | undefined, audioCodec?: string | undefined, maxAudioChannels?: number | undefined, transcodingAudioChannels?: number | undefined, maxStreamingBitrate?: number | undefined, audioBitRate?: number | undefined, startTimeTicks?: number | undefined, transcodingContainer?: string | undefined, transcodingProtocol?: string | undefined, maxAudioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, enableRemoteMedia?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, enableRedirection?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
};
/**
 * UniversalAudioApi - factory interface
 * @export
 */
export declare const UniversalAudioApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Gets an audio stream.
     * @param {string} itemId The item id.
     * @param {Array<string>} [container] Optional. The audio container.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [userId] Optional. The user id.
     * @param {string} [audioCodec] Optional. The audio codec to transcode to.
     * @param {number} [maxAudioChannels] Optional. The maximum number of audio channels.
     * @param {number} [transcodingAudioChannels] Optional. The number of how many audio channels to transcode to.
     * @param {number} [maxStreamingBitrate] Optional. The maximum streaming bitrate.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {string} [transcodingContainer] Optional. The container to transcode to.
     * @param {string} [transcodingProtocol] Optional. The transcoding protocol.
     * @param {number} [maxAudioSampleRate] Optional. The maximum audio sample rate.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {boolean} [enableRemoteMedia] Optional. Whether to enable remote media.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {boolean} [enableRedirection] Whether to enable redirection. Defaults to true.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUniversalAudioStream(itemId: string, container?: string[] | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, userId?: string | undefined, audioCodec?: string | undefined, maxAudioChannels?: number | undefined, transcodingAudioChannels?: number | undefined, maxStreamingBitrate?: number | undefined, audioBitRate?: number | undefined, startTimeTicks?: number | undefined, transcodingContainer?: string | undefined, transcodingProtocol?: string | undefined, maxAudioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, enableRemoteMedia?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, enableRedirection?: boolean | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets an audio stream.
     * @param {string} itemId The item id.
     * @param {Array<string>} [container] Optional. The audio container.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [userId] Optional. The user id.
     * @param {string} [audioCodec] Optional. The audio codec to transcode to.
     * @param {number} [maxAudioChannels] Optional. The maximum number of audio channels.
     * @param {number} [transcodingAudioChannels] Optional. The number of how many audio channels to transcode to.
     * @param {number} [maxStreamingBitrate] Optional. The maximum streaming bitrate.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {string} [transcodingContainer] Optional. The container to transcode to.
     * @param {string} [transcodingProtocol] Optional. The transcoding protocol.
     * @param {number} [maxAudioSampleRate] Optional. The maximum audio sample rate.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {boolean} [enableRemoteMedia] Optional. Whether to enable remote media.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {boolean} [enableRedirection] Whether to enable redirection. Defaults to true.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headUniversalAudioStream(itemId: string, container?: string[] | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, userId?: string | undefined, audioCodec?: string | undefined, maxAudioChannels?: number | undefined, transcodingAudioChannels?: number | undefined, maxStreamingBitrate?: number | undefined, audioBitRate?: number | undefined, startTimeTicks?: number | undefined, transcodingContainer?: string | undefined, transcodingProtocol?: string | undefined, maxAudioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, enableRemoteMedia?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, enableRedirection?: boolean | undefined, options?: any): AxiosPromise<any>;
};
/**
 * Request parameters for getUniversalAudioStream operation in UniversalAudioApi.
 * @export
 * @interface UniversalAudioApiGetUniversalAudioStreamRequest
 */
export interface UniversalAudioApiGetUniversalAudioStreamRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof UniversalAudioApiGetUniversalAudioStream
     */
    readonly itemId: string;
    /**
     * Optional. The audio container.
     * @type {Array<string>}
     * @memberof UniversalAudioApiGetUniversalAudioStream
     */
    readonly container?: Array<string>;
    /**
     * The media version id, if playing an alternate version.
     * @type {string}
     * @memberof UniversalAudioApiGetUniversalAudioStream
     */
    readonly mediaSourceId?: string;
    /**
     * The device id of the client requesting. Used to stop encoding processes when needed.
     * @type {string}
     * @memberof UniversalAudioApiGetUniversalAudioStream
     */
    readonly deviceId?: string;
    /**
     * Optional. The user id.
     * @type {string}
     * @memberof UniversalAudioApiGetUniversalAudioStream
     */
    readonly userId?: string;
    /**
     * Optional. The audio codec to transcode to.
     * @type {string}
     * @memberof UniversalAudioApiGetUniversalAudioStream
     */
    readonly audioCodec?: string;
    /**
     * Optional. The maximum number of audio channels.
     * @type {number}
     * @memberof UniversalAudioApiGetUniversalAudioStream
     */
    readonly maxAudioChannels?: number;
    /**
     * Optional. The number of how many audio channels to transcode to.
     * @type {number}
     * @memberof UniversalAudioApiGetUniversalAudioStream
     */
    readonly transcodingAudioChannels?: number;
    /**
     * Optional. The maximum streaming bitrate.
     * @type {number}
     * @memberof UniversalAudioApiGetUniversalAudioStream
     */
    readonly maxStreamingBitrate?: number;
    /**
     * Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @type {number}
     * @memberof UniversalAudioApiGetUniversalAudioStream
     */
    readonly audioBitRate?: number;
    /**
     * Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @type {number}
     * @memberof UniversalAudioApiGetUniversalAudioStream
     */
    readonly startTimeTicks?: number;
    /**
     * Optional. The container to transcode to.
     * @type {string}
     * @memberof UniversalAudioApiGetUniversalAudioStream
     */
    readonly transcodingContainer?: string;
    /**
     * Optional. The transcoding protocol.
     * @type {string}
     * @memberof UniversalAudioApiGetUniversalAudioStream
     */
    readonly transcodingProtocol?: string;
    /**
     * Optional. The maximum audio sample rate.
     * @type {number}
     * @memberof UniversalAudioApiGetUniversalAudioStream
     */
    readonly maxAudioSampleRate?: number;
    /**
     * Optional. The maximum audio bit depth.
     * @type {number}
     * @memberof UniversalAudioApiGetUniversalAudioStream
     */
    readonly maxAudioBitDepth?: number;
    /**
     * Optional. Whether to enable remote media.
     * @type {boolean}
     * @memberof UniversalAudioApiGetUniversalAudioStream
     */
    readonly enableRemoteMedia?: boolean;
    /**
     * Optional. Whether to break on non key frames.
     * @type {boolean}
     * @memberof UniversalAudioApiGetUniversalAudioStream
     */
    readonly breakOnNonKeyFrames?: boolean;
    /**
     * Whether to enable redirection. Defaults to true.
     * @type {boolean}
     * @memberof UniversalAudioApiGetUniversalAudioStream
     */
    readonly enableRedirection?: boolean;
}
/**
 * Request parameters for headUniversalAudioStream operation in UniversalAudioApi.
 * @export
 * @interface UniversalAudioApiHeadUniversalAudioStreamRequest
 */
export interface UniversalAudioApiHeadUniversalAudioStreamRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof UniversalAudioApiHeadUniversalAudioStream
     */
    readonly itemId: string;
    /**
     * Optional. The audio container.
     * @type {Array<string>}
     * @memberof UniversalAudioApiHeadUniversalAudioStream
     */
    readonly container?: Array<string>;
    /**
     * The media version id, if playing an alternate version.
     * @type {string}
     * @memberof UniversalAudioApiHeadUniversalAudioStream
     */
    readonly mediaSourceId?: string;
    /**
     * The device id of the client requesting. Used to stop encoding processes when needed.
     * @type {string}
     * @memberof UniversalAudioApiHeadUniversalAudioStream
     */
    readonly deviceId?: string;
    /**
     * Optional. The user id.
     * @type {string}
     * @memberof UniversalAudioApiHeadUniversalAudioStream
     */
    readonly userId?: string;
    /**
     * Optional. The audio codec to transcode to.
     * @type {string}
     * @memberof UniversalAudioApiHeadUniversalAudioStream
     */
    readonly audioCodec?: string;
    /**
     * Optional. The maximum number of audio channels.
     * @type {number}
     * @memberof UniversalAudioApiHeadUniversalAudioStream
     */
    readonly maxAudioChannels?: number;
    /**
     * Optional. The number of how many audio channels to transcode to.
     * @type {number}
     * @memberof UniversalAudioApiHeadUniversalAudioStream
     */
    readonly transcodingAudioChannels?: number;
    /**
     * Optional. The maximum streaming bitrate.
     * @type {number}
     * @memberof UniversalAudioApiHeadUniversalAudioStream
     */
    readonly maxStreamingBitrate?: number;
    /**
     * Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @type {number}
     * @memberof UniversalAudioApiHeadUniversalAudioStream
     */
    readonly audioBitRate?: number;
    /**
     * Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @type {number}
     * @memberof UniversalAudioApiHeadUniversalAudioStream
     */
    readonly startTimeTicks?: number;
    /**
     * Optional. The container to transcode to.
     * @type {string}
     * @memberof UniversalAudioApiHeadUniversalAudioStream
     */
    readonly transcodingContainer?: string;
    /**
     * Optional. The transcoding protocol.
     * @type {string}
     * @memberof UniversalAudioApiHeadUniversalAudioStream
     */
    readonly transcodingProtocol?: string;
    /**
     * Optional. The maximum audio sample rate.
     * @type {number}
     * @memberof UniversalAudioApiHeadUniversalAudioStream
     */
    readonly maxAudioSampleRate?: number;
    /**
     * Optional. The maximum audio bit depth.
     * @type {number}
     * @memberof UniversalAudioApiHeadUniversalAudioStream
     */
    readonly maxAudioBitDepth?: number;
    /**
     * Optional. Whether to enable remote media.
     * @type {boolean}
     * @memberof UniversalAudioApiHeadUniversalAudioStream
     */
    readonly enableRemoteMedia?: boolean;
    /**
     * Optional. Whether to break on non key frames.
     * @type {boolean}
     * @memberof UniversalAudioApiHeadUniversalAudioStream
     */
    readonly breakOnNonKeyFrames?: boolean;
    /**
     * Whether to enable redirection. Defaults to true.
     * @type {boolean}
     * @memberof UniversalAudioApiHeadUniversalAudioStream
     */
    readonly enableRedirection?: boolean;
}
/**
 * UniversalAudioApi - object-oriented interface
 * @export
 * @class UniversalAudioApi
 * @extends {BaseAPI}
 */
export declare class UniversalAudioApi extends BaseAPI {
    /**
     *
     * @summary Gets an audio stream.
     * @param {UniversalAudioApiGetUniversalAudioStreamRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UniversalAudioApi
     */
    getUniversalAudioStream(requestParameters: UniversalAudioApiGetUniversalAudioStreamRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets an audio stream.
     * @param {UniversalAudioApiHeadUniversalAudioStreamRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UniversalAudioApi
     */
    headUniversalAudioStream(requestParameters: UniversalAudioApiHeadUniversalAudioStreamRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
}
