/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { AuthenticateUserByName } from '../models';
import { AuthenticationResult } from '../models';
import { CreateUserByName } from '../models';
import { ForgotPasswordDto } from '../models';
import { ForgotPasswordPinDto } from '../models';
import { ForgotPasswordResult } from '../models';
import { PinRedeemResult } from '../models';
import { QuickConnectDto } from '../models';
import { UpdateUserEasyPassword } from '../models';
import { UpdateUserPassword } from '../models';
import { UserConfiguration } from '../models';
import { UserDto } from '../models';
import { UserPolicy } from '../models';
/**
 * UserApi - axios parameter creator
 * @export
 */
export declare const UserApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Authenticates a user.
     * @param {string} userId The user id.
     * @param {string} pw The password as plain text.
     * @param {string} [password] The password sha1-hash.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    authenticateUser: (userId: string, pw: string, password?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Authenticates a user by name.
     * @param {AuthenticateUserByName} authenticateUserByName The M:Jellyfin.Api.Controllers.UserController.AuthenticateUserByName(Jellyfin.Api.Models.UserDtos.AuthenticateUserByName) request.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    authenticateUserByName: (authenticateUserByName: AuthenticateUserByName, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Authenticates a user with quick connect.
     * @param {QuickConnectDto} quickConnectDto The Jellyfin.Api.Models.UserDtos.QuickConnectDto request.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    authenticateWithQuickConnect: (quickConnectDto: QuickConnectDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Creates a user.
     * @param {CreateUserByName} createUserByName The create user by name request body.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createUserByName: (createUserByName: CreateUserByName, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Deletes a user.
     * @param {string} userId The user id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteUser: (userId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Initiates the forgot password process for a local user.
     * @param {ForgotPasswordDto} forgotPasswordDto The forgot password request containing the entered username.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    forgotPassword: (forgotPasswordDto: ForgotPasswordDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Redeems a forgot password pin.
     * @param {ForgotPasswordPinDto} forgotPasswordPinDto The forgot password pin request containing the entered pin.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    forgotPasswordPin: (forgotPasswordPinDto: ForgotPasswordPinDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the user based on auth token.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getCurrentUser: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a list of publicly visible users for display on a login screen.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPublicUsers: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a user by Id.
     * @param {string} userId The user id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUserById: (userId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a list of users.
     * @param {boolean} [isHidden] Optional filter by IsHidden&#x3D;true or false.
     * @param {boolean} [isDisabled] Optional filter by IsDisabled&#x3D;true or false.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUsers: (isHidden?: boolean | undefined, isDisabled?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Updates a user.
     * @param {string} userId The user id.
     * @param {UserDto} userDto The updated user model.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateUser: (userId: string, userDto: UserDto, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Updates a user configuration.
     * @param {string} userId The user id.
     * @param {UserConfiguration} userConfiguration The new user configuration.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateUserConfiguration: (userId: string, userConfiguration: UserConfiguration, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Updates a user\'s easy password.
     * @param {string} userId The user id.
     * @param {UpdateUserEasyPassword} updateUserEasyPassword The M:Jellyfin.Api.Controllers.UserController.UpdateUserEasyPassword(System.Guid,Jellyfin.Api.Models.UserDtos.UpdateUserEasyPassword) request.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateUserEasyPassword: (userId: string, updateUserEasyPassword: UpdateUserEasyPassword, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Updates a user\'s password.
     * @param {string} userId The user id.
     * @param {UpdateUserPassword} updateUserPassword The M:Jellyfin.Api.Controllers.UserController.UpdateUserPassword(System.Guid,Jellyfin.Api.Models.UserDtos.UpdateUserPassword) request.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateUserPassword: (userId: string, updateUserPassword: UpdateUserPassword, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Updates a user policy.
     * @param {string} userId The user id.
     * @param {UserPolicy} userPolicy The new user policy.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateUserPolicy: (userId: string, userPolicy: UserPolicy, options?: any) => Promise<RequestArgs>;
};
/**
 * UserApi - functional programming interface
 * @export
 */
export declare const UserApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Authenticates a user.
     * @param {string} userId The user id.
     * @param {string} pw The password as plain text.
     * @param {string} [password] The password sha1-hash.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    authenticateUser(userId: string, pw: string, password?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<AuthenticationResult>>;
    /**
     *
     * @summary Authenticates a user by name.
     * @param {AuthenticateUserByName} authenticateUserByName The M:Jellyfin.Api.Controllers.UserController.AuthenticateUserByName(Jellyfin.Api.Models.UserDtos.AuthenticateUserByName) request.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    authenticateUserByName(authenticateUserByName: AuthenticateUserByName, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<AuthenticationResult>>;
    /**
     *
     * @summary Authenticates a user with quick connect.
     * @param {QuickConnectDto} quickConnectDto The Jellyfin.Api.Models.UserDtos.QuickConnectDto request.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    authenticateWithQuickConnect(quickConnectDto: QuickConnectDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<AuthenticationResult>>;
    /**
     *
     * @summary Creates a user.
     * @param {CreateUserByName} createUserByName The create user by name request body.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createUserByName(createUserByName: CreateUserByName, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<UserDto>>;
    /**
     *
     * @summary Deletes a user.
     * @param {string} userId The user id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteUser(userId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Initiates the forgot password process for a local user.
     * @param {ForgotPasswordDto} forgotPasswordDto The forgot password request containing the entered username.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    forgotPassword(forgotPasswordDto: ForgotPasswordDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<ForgotPasswordResult>>;
    /**
     *
     * @summary Redeems a forgot password pin.
     * @param {ForgotPasswordPinDto} forgotPasswordPinDto The forgot password pin request containing the entered pin.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    forgotPasswordPin(forgotPasswordPinDto: ForgotPasswordPinDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<PinRedeemResult>>;
    /**
     *
     * @summary Gets the user based on auth token.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getCurrentUser(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<UserDto>>;
    /**
     *
     * @summary Gets a list of publicly visible users for display on a login screen.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPublicUsers(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<UserDto>>>;
    /**
     *
     * @summary Gets a user by Id.
     * @param {string} userId The user id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUserById(userId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<UserDto>>;
    /**
     *
     * @summary Gets a list of users.
     * @param {boolean} [isHidden] Optional filter by IsHidden&#x3D;true or false.
     * @param {boolean} [isDisabled] Optional filter by IsDisabled&#x3D;true or false.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUsers(isHidden?: boolean | undefined, isDisabled?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<UserDto>>>;
    /**
     *
     * @summary Updates a user.
     * @param {string} userId The user id.
     * @param {UserDto} userDto The updated user model.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateUser(userId: string, userDto: UserDto, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Updates a user configuration.
     * @param {string} userId The user id.
     * @param {UserConfiguration} userConfiguration The new user configuration.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateUserConfiguration(userId: string, userConfiguration: UserConfiguration, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Updates a user\'s easy password.
     * @param {string} userId The user id.
     * @param {UpdateUserEasyPassword} updateUserEasyPassword The M:Jellyfin.Api.Controllers.UserController.UpdateUserEasyPassword(System.Guid,Jellyfin.Api.Models.UserDtos.UpdateUserEasyPassword) request.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateUserEasyPassword(userId: string, updateUserEasyPassword: UpdateUserEasyPassword, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Updates a user\'s password.
     * @param {string} userId The user id.
     * @param {UpdateUserPassword} updateUserPassword The M:Jellyfin.Api.Controllers.UserController.UpdateUserPassword(System.Guid,Jellyfin.Api.Models.UserDtos.UpdateUserPassword) request.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateUserPassword(userId: string, updateUserPassword: UpdateUserPassword, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Updates a user policy.
     * @param {string} userId The user id.
     * @param {UserPolicy} userPolicy The new user policy.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateUserPolicy(userId: string, userPolicy: UserPolicy, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * UserApi - factory interface
 * @export
 */
export declare const UserApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Authenticates a user.
     * @param {string} userId The user id.
     * @param {string} pw The password as plain text.
     * @param {string} [password] The password sha1-hash.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    authenticateUser(userId: string, pw: string, password?: string | undefined, options?: any): AxiosPromise<AuthenticationResult>;
    /**
     *
     * @summary Authenticates a user by name.
     * @param {AuthenticateUserByName} authenticateUserByName The M:Jellyfin.Api.Controllers.UserController.AuthenticateUserByName(Jellyfin.Api.Models.UserDtos.AuthenticateUserByName) request.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    authenticateUserByName(authenticateUserByName: AuthenticateUserByName, options?: any): AxiosPromise<AuthenticationResult>;
    /**
     *
     * @summary Authenticates a user with quick connect.
     * @param {QuickConnectDto} quickConnectDto The Jellyfin.Api.Models.UserDtos.QuickConnectDto request.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    authenticateWithQuickConnect(quickConnectDto: QuickConnectDto, options?: any): AxiosPromise<AuthenticationResult>;
    /**
     *
     * @summary Creates a user.
     * @param {CreateUserByName} createUserByName The create user by name request body.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    createUserByName(createUserByName: CreateUserByName, options?: any): AxiosPromise<UserDto>;
    /**
     *
     * @summary Deletes a user.
     * @param {string} userId The user id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteUser(userId: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Initiates the forgot password process for a local user.
     * @param {ForgotPasswordDto} forgotPasswordDto The forgot password request containing the entered username.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    forgotPassword(forgotPasswordDto: ForgotPasswordDto, options?: any): AxiosPromise<ForgotPasswordResult>;
    /**
     *
     * @summary Redeems a forgot password pin.
     * @param {ForgotPasswordPinDto} forgotPasswordPinDto The forgot password pin request containing the entered pin.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    forgotPasswordPin(forgotPasswordPinDto: ForgotPasswordPinDto, options?: any): AxiosPromise<PinRedeemResult>;
    /**
     *
     * @summary Gets the user based on auth token.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getCurrentUser(options?: any): AxiosPromise<UserDto>;
    /**
     *
     * @summary Gets a list of publicly visible users for display on a login screen.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPublicUsers(options?: any): AxiosPromise<Array<UserDto>>;
    /**
     *
     * @summary Gets a user by Id.
     * @param {string} userId The user id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUserById(userId: string, options?: any): AxiosPromise<UserDto>;
    /**
     *
     * @summary Gets a list of users.
     * @param {boolean} [isHidden] Optional filter by IsHidden&#x3D;true or false.
     * @param {boolean} [isDisabled] Optional filter by IsDisabled&#x3D;true or false.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUsers(isHidden?: boolean | undefined, isDisabled?: boolean | undefined, options?: any): AxiosPromise<Array<UserDto>>;
    /**
     *
     * @summary Updates a user.
     * @param {string} userId The user id.
     * @param {UserDto} userDto The updated user model.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateUser(userId: string, userDto: UserDto, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Updates a user configuration.
     * @param {string} userId The user id.
     * @param {UserConfiguration} userConfiguration The new user configuration.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateUserConfiguration(userId: string, userConfiguration: UserConfiguration, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Updates a user\'s easy password.
     * @param {string} userId The user id.
     * @param {UpdateUserEasyPassword} updateUserEasyPassword The M:Jellyfin.Api.Controllers.UserController.UpdateUserEasyPassword(System.Guid,Jellyfin.Api.Models.UserDtos.UpdateUserEasyPassword) request.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateUserEasyPassword(userId: string, updateUserEasyPassword: UpdateUserEasyPassword, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Updates a user\'s password.
     * @param {string} userId The user id.
     * @param {UpdateUserPassword} updateUserPassword The M:Jellyfin.Api.Controllers.UserController.UpdateUserPassword(System.Guid,Jellyfin.Api.Models.UserDtos.UpdateUserPassword) request.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateUserPassword(userId: string, updateUserPassword: UpdateUserPassword, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Updates a user policy.
     * @param {string} userId The user id.
     * @param {UserPolicy} userPolicy The new user policy.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateUserPolicy(userId: string, userPolicy: UserPolicy, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for authenticateUser operation in UserApi.
 * @export
 * @interface UserApiAuthenticateUserRequest
 */
export interface UserApiAuthenticateUserRequest {
    /**
     * The user id.
     * @type {string}
     * @memberof UserApiAuthenticateUser
     */
    readonly userId: string;
    /**
     * The password as plain text.
     * @type {string}
     * @memberof UserApiAuthenticateUser
     */
    readonly pw: string;
    /**
     * The password sha1-hash.
     * @type {string}
     * @memberof UserApiAuthenticateUser
     */
    readonly password?: string;
}
/**
 * Request parameters for authenticateUserByName operation in UserApi.
 * @export
 * @interface UserApiAuthenticateUserByNameRequest
 */
export interface UserApiAuthenticateUserByNameRequest {
    /**
     * The M:Jellyfin.Api.Controllers.UserController.AuthenticateUserByName(Jellyfin.Api.Models.UserDtos.AuthenticateUserByName) request.
     * @type {AuthenticateUserByName}
     * @memberof UserApiAuthenticateUserByName
     */
    readonly authenticateUserByName: AuthenticateUserByName;
}
/**
 * Request parameters for authenticateWithQuickConnect operation in UserApi.
 * @export
 * @interface UserApiAuthenticateWithQuickConnectRequest
 */
export interface UserApiAuthenticateWithQuickConnectRequest {
    /**
     * The Jellyfin.Api.Models.UserDtos.QuickConnectDto request.
     * @type {QuickConnectDto}
     * @memberof UserApiAuthenticateWithQuickConnect
     */
    readonly quickConnectDto: QuickConnectDto;
}
/**
 * Request parameters for createUserByName operation in UserApi.
 * @export
 * @interface UserApiCreateUserByNameRequest
 */
export interface UserApiCreateUserByNameRequest {
    /**
     * The create user by name request body.
     * @type {CreateUserByName}
     * @memberof UserApiCreateUserByName
     */
    readonly createUserByName: CreateUserByName;
}
/**
 * Request parameters for deleteUser operation in UserApi.
 * @export
 * @interface UserApiDeleteUserRequest
 */
export interface UserApiDeleteUserRequest {
    /**
     * The user id.
     * @type {string}
     * @memberof UserApiDeleteUser
     */
    readonly userId: string;
}
/**
 * Request parameters for forgotPassword operation in UserApi.
 * @export
 * @interface UserApiForgotPasswordRequest
 */
export interface UserApiForgotPasswordRequest {
    /**
     * The forgot password request containing the entered username.
     * @type {ForgotPasswordDto}
     * @memberof UserApiForgotPassword
     */
    readonly forgotPasswordDto: ForgotPasswordDto;
}
/**
 * Request parameters for forgotPasswordPin operation in UserApi.
 * @export
 * @interface UserApiForgotPasswordPinRequest
 */
export interface UserApiForgotPasswordPinRequest {
    /**
     * The forgot password pin request containing the entered pin.
     * @type {ForgotPasswordPinDto}
     * @memberof UserApiForgotPasswordPin
     */
    readonly forgotPasswordPinDto: ForgotPasswordPinDto;
}
/**
 * Request parameters for getUserById operation in UserApi.
 * @export
 * @interface UserApiGetUserByIdRequest
 */
export interface UserApiGetUserByIdRequest {
    /**
     * The user id.
     * @type {string}
     * @memberof UserApiGetUserById
     */
    readonly userId: string;
}
/**
 * Request parameters for getUsers operation in UserApi.
 * @export
 * @interface UserApiGetUsersRequest
 */
export interface UserApiGetUsersRequest {
    /**
     * Optional filter by IsHidden&#x3D;true or false.
     * @type {boolean}
     * @memberof UserApiGetUsers
     */
    readonly isHidden?: boolean;
    /**
     * Optional filter by IsDisabled&#x3D;true or false.
     * @type {boolean}
     * @memberof UserApiGetUsers
     */
    readonly isDisabled?: boolean;
}
/**
 * Request parameters for updateUser operation in UserApi.
 * @export
 * @interface UserApiUpdateUserRequest
 */
export interface UserApiUpdateUserRequest {
    /**
     * The user id.
     * @type {string}
     * @memberof UserApiUpdateUser
     */
    readonly userId: string;
    /**
     * The updated user model.
     * @type {UserDto}
     * @memberof UserApiUpdateUser
     */
    readonly userDto: UserDto;
}
/**
 * Request parameters for updateUserConfiguration operation in UserApi.
 * @export
 * @interface UserApiUpdateUserConfigurationRequest
 */
export interface UserApiUpdateUserConfigurationRequest {
    /**
     * The user id.
     * @type {string}
     * @memberof UserApiUpdateUserConfiguration
     */
    readonly userId: string;
    /**
     * The new user configuration.
     * @type {UserConfiguration}
     * @memberof UserApiUpdateUserConfiguration
     */
    readonly userConfiguration: UserConfiguration;
}
/**
 * Request parameters for updateUserEasyPassword operation in UserApi.
 * @export
 * @interface UserApiUpdateUserEasyPasswordRequest
 */
export interface UserApiUpdateUserEasyPasswordRequest {
    /**
     * The user id.
     * @type {string}
     * @memberof UserApiUpdateUserEasyPassword
     */
    readonly userId: string;
    /**
     * The M:Jellyfin.Api.Controllers.UserController.UpdateUserEasyPassword(System.Guid,Jellyfin.Api.Models.UserDtos.UpdateUserEasyPassword) request.
     * @type {UpdateUserEasyPassword}
     * @memberof UserApiUpdateUserEasyPassword
     */
    readonly updateUserEasyPassword: UpdateUserEasyPassword;
}
/**
 * Request parameters for updateUserPassword operation in UserApi.
 * @export
 * @interface UserApiUpdateUserPasswordRequest
 */
export interface UserApiUpdateUserPasswordRequest {
    /**
     * The user id.
     * @type {string}
     * @memberof UserApiUpdateUserPassword
     */
    readonly userId: string;
    /**
     * The M:Jellyfin.Api.Controllers.UserController.UpdateUserPassword(System.Guid,Jellyfin.Api.Models.UserDtos.UpdateUserPassword) request.
     * @type {UpdateUserPassword}
     * @memberof UserApiUpdateUserPassword
     */
    readonly updateUserPassword: UpdateUserPassword;
}
/**
 * Request parameters for updateUserPolicy operation in UserApi.
 * @export
 * @interface UserApiUpdateUserPolicyRequest
 */
export interface UserApiUpdateUserPolicyRequest {
    /**
     * The user id.
     * @type {string}
     * @memberof UserApiUpdateUserPolicy
     */
    readonly userId: string;
    /**
     * The new user policy.
     * @type {UserPolicy}
     * @memberof UserApiUpdateUserPolicy
     */
    readonly userPolicy: UserPolicy;
}
/**
 * UserApi - object-oriented interface
 * @export
 * @class UserApi
 * @extends {BaseAPI}
 */
export declare class UserApi extends BaseAPI {
    /**
     *
     * @summary Authenticates a user.
     * @param {UserApiAuthenticateUserRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    authenticateUser(requestParameters: UserApiAuthenticateUserRequest, options?: any): Promise<import("axios").AxiosResponse<AuthenticationResult, any>>;
    /**
     *
     * @summary Authenticates a user by name.
     * @param {UserApiAuthenticateUserByNameRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    authenticateUserByName(requestParameters: UserApiAuthenticateUserByNameRequest, options?: any): Promise<import("axios").AxiosResponse<AuthenticationResult, any>>;
    /**
     *
     * @summary Authenticates a user with quick connect.
     * @param {UserApiAuthenticateWithQuickConnectRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    authenticateWithQuickConnect(requestParameters: UserApiAuthenticateWithQuickConnectRequest, options?: any): Promise<import("axios").AxiosResponse<AuthenticationResult, any>>;
    /**
     *
     * @summary Creates a user.
     * @param {UserApiCreateUserByNameRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    createUserByName(requestParameters: UserApiCreateUserByNameRequest, options?: any): Promise<import("axios").AxiosResponse<UserDto, any>>;
    /**
     *
     * @summary Deletes a user.
     * @param {UserApiDeleteUserRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    deleteUser(requestParameters: UserApiDeleteUserRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Initiates the forgot password process for a local user.
     * @param {UserApiForgotPasswordRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    forgotPassword(requestParameters: UserApiForgotPasswordRequest, options?: any): Promise<import("axios").AxiosResponse<ForgotPasswordResult, any>>;
    /**
     *
     * @summary Redeems a forgot password pin.
     * @param {UserApiForgotPasswordPinRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    forgotPasswordPin(requestParameters: UserApiForgotPasswordPinRequest, options?: any): Promise<import("axios").AxiosResponse<PinRedeemResult, any>>;
    /**
     *
     * @summary Gets the user based on auth token.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    getCurrentUser(options?: any): Promise<import("axios").AxiosResponse<UserDto, any>>;
    /**
     *
     * @summary Gets a list of publicly visible users for display on a login screen.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    getPublicUsers(options?: any): Promise<import("axios").AxiosResponse<UserDto[], any>>;
    /**
     *
     * @summary Gets a user by Id.
     * @param {UserApiGetUserByIdRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    getUserById(requestParameters: UserApiGetUserByIdRequest, options?: any): Promise<import("axios").AxiosResponse<UserDto, any>>;
    /**
     *
     * @summary Gets a list of users.
     * @param {UserApiGetUsersRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    getUsers(requestParameters?: UserApiGetUsersRequest, options?: any): Promise<import("axios").AxiosResponse<UserDto[], any>>;
    /**
     *
     * @summary Updates a user.
     * @param {UserApiUpdateUserRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    updateUser(requestParameters: UserApiUpdateUserRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Updates a user configuration.
     * @param {UserApiUpdateUserConfigurationRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    updateUserConfiguration(requestParameters: UserApiUpdateUserConfigurationRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Updates a user\'s easy password.
     * @param {UserApiUpdateUserEasyPasswordRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    updateUserEasyPassword(requestParameters: UserApiUpdateUserEasyPasswordRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Updates a user\'s password.
     * @param {UserApiUpdateUserPasswordRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    updateUserPassword(requestParameters: UserApiUpdateUserPasswordRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Updates a user policy.
     * @param {UserApiUpdateUserPolicyRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    updateUserPolicy(requestParameters: UserApiUpdateUserPolicyRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
