/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { BaseItemDto } from '../models';
import { BaseItemDtoQueryResult } from '../models';
import { ImageType } from '../models';
import { ItemFields } from '../models';
import { UserItemDataDto } from '../models';
/**
 * UserLibraryApi - axios parameter creator
 * @export
 */
export declare const UserLibraryApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Deletes a user\'s saved personal rating for an item.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteUserItemRating: (userId: string, itemId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets intros to play before the main media item plays.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getIntros: (userId: string, itemId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets an item from a user\'s library.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getItem: (userId: string, itemId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets latest media.
     * @param {string} userId User id.
     * @param {string} [parentId] Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {Array<string>} [includeItemTypes] Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @param {boolean} [isPlayed] Filter by items that are played, or not.
     * @param {boolean} [enableImages] Optional. include image information in output.
     * @param {number} [imageTypeLimit] Optional. the max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {boolean} [enableUserData] Optional. include user data.
     * @param {number} [limit] Return item limit.
     * @param {boolean} [groupItems] Whether or not to group items into a parent container.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLatestMedia: (userId: string, parentId?: string | undefined, fields?: ItemFields[] | undefined, includeItemTypes?: string[] | undefined, isPlayed?: boolean | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, enableUserData?: boolean | undefined, limit?: number | undefined, groupItems?: boolean | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets local trailers for an item.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLocalTrailers: (userId: string, itemId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the root folder from a user\'s library.
     * @param {string} userId User id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRootFolder: (userId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets special features for an item.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSpecialFeatures: (userId: string, itemId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Marks an item as a favorite.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    markFavoriteItem: (userId: string, itemId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Unmarks item as a favorite.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    unmarkFavoriteItem: (userId: string, itemId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Updates a user\'s rating for an item.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {boolean} [likes] Whether this M:Jellyfin.Api.Controllers.UserLibraryController.UpdateUserItemRating(System.Guid,System.Guid,System.Nullable{System.Boolean}) is likes.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateUserItemRating: (userId: string, itemId: string, likes?: boolean | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * UserLibraryApi - functional programming interface
 * @export
 */
export declare const UserLibraryApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Deletes a user\'s saved personal rating for an item.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteUserItemRating(userId: string, itemId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<UserItemDataDto>>;
    /**
     *
     * @summary Gets intros to play before the main media item plays.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getIntros(userId: string, itemId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets an item from a user\'s library.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getItem(userId: string, itemId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDto>>;
    /**
     *
     * @summary Gets latest media.
     * @param {string} userId User id.
     * @param {string} [parentId] Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {Array<string>} [includeItemTypes] Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @param {boolean} [isPlayed] Filter by items that are played, or not.
     * @param {boolean} [enableImages] Optional. include image information in output.
     * @param {number} [imageTypeLimit] Optional. the max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {boolean} [enableUserData] Optional. include user data.
     * @param {number} [limit] Return item limit.
     * @param {boolean} [groupItems] Whether or not to group items into a parent container.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLatestMedia(userId: string, parentId?: string | undefined, fields?: ItemFields[] | undefined, includeItemTypes?: string[] | undefined, isPlayed?: boolean | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, enableUserData?: boolean | undefined, limit?: number | undefined, groupItems?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<BaseItemDto>>>;
    /**
     *
     * @summary Gets local trailers for an item.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLocalTrailers(userId: string, itemId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<BaseItemDto>>>;
    /**
     *
     * @summary Gets the root folder from a user\'s library.
     * @param {string} userId User id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRootFolder(userId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDto>>;
    /**
     *
     * @summary Gets special features for an item.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSpecialFeatures(userId: string, itemId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<BaseItemDto>>>;
    /**
     *
     * @summary Marks an item as a favorite.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    markFavoriteItem(userId: string, itemId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<UserItemDataDto>>;
    /**
     *
     * @summary Unmarks item as a favorite.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    unmarkFavoriteItem(userId: string, itemId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<UserItemDataDto>>;
    /**
     *
     * @summary Updates a user\'s rating for an item.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {boolean} [likes] Whether this M:Jellyfin.Api.Controllers.UserLibraryController.UpdateUserItemRating(System.Guid,System.Guid,System.Nullable{System.Boolean}) is likes.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateUserItemRating(userId: string, itemId: string, likes?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<UserItemDataDto>>;
};
/**
 * UserLibraryApi - factory interface
 * @export
 */
export declare const UserLibraryApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Deletes a user\'s saved personal rating for an item.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteUserItemRating(userId: string, itemId: string, options?: any): AxiosPromise<UserItemDataDto>;
    /**
     *
     * @summary Gets intros to play before the main media item plays.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getIntros(userId: string, itemId: string, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets an item from a user\'s library.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getItem(userId: string, itemId: string, options?: any): AxiosPromise<BaseItemDto>;
    /**
     *
     * @summary Gets latest media.
     * @param {string} userId User id.
     * @param {string} [parentId] Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {Array<string>} [includeItemTypes] Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @param {boolean} [isPlayed] Filter by items that are played, or not.
     * @param {boolean} [enableImages] Optional. include image information in output.
     * @param {number} [imageTypeLimit] Optional. the max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {boolean} [enableUserData] Optional. include user data.
     * @param {number} [limit] Return item limit.
     * @param {boolean} [groupItems] Whether or not to group items into a parent container.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLatestMedia(userId: string, parentId?: string | undefined, fields?: ItemFields[] | undefined, includeItemTypes?: string[] | undefined, isPlayed?: boolean | undefined, enableImages?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, enableUserData?: boolean | undefined, limit?: number | undefined, groupItems?: boolean | undefined, options?: any): AxiosPromise<Array<BaseItemDto>>;
    /**
     *
     * @summary Gets local trailers for an item.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLocalTrailers(userId: string, itemId: string, options?: any): AxiosPromise<Array<BaseItemDto>>;
    /**
     *
     * @summary Gets the root folder from a user\'s library.
     * @param {string} userId User id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getRootFolder(userId: string, options?: any): AxiosPromise<BaseItemDto>;
    /**
     *
     * @summary Gets special features for an item.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getSpecialFeatures(userId: string, itemId: string, options?: any): AxiosPromise<Array<BaseItemDto>>;
    /**
     *
     * @summary Marks an item as a favorite.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    markFavoriteItem(userId: string, itemId: string, options?: any): AxiosPromise<UserItemDataDto>;
    /**
     *
     * @summary Unmarks item as a favorite.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    unmarkFavoriteItem(userId: string, itemId: string, options?: any): AxiosPromise<UserItemDataDto>;
    /**
     *
     * @summary Updates a user\'s rating for an item.
     * @param {string} userId User id.
     * @param {string} itemId Item id.
     * @param {boolean} [likes] Whether this M:Jellyfin.Api.Controllers.UserLibraryController.UpdateUserItemRating(System.Guid,System.Guid,System.Nullable{System.Boolean}) is likes.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateUserItemRating(userId: string, itemId: string, likes?: boolean | undefined, options?: any): AxiosPromise<UserItemDataDto>;
};
/**
 * Request parameters for deleteUserItemRating operation in UserLibraryApi.
 * @export
 * @interface UserLibraryApiDeleteUserItemRatingRequest
 */
export interface UserLibraryApiDeleteUserItemRatingRequest {
    /**
     * User id.
     * @type {string}
     * @memberof UserLibraryApiDeleteUserItemRating
     */
    readonly userId: string;
    /**
     * Item id.
     * @type {string}
     * @memberof UserLibraryApiDeleteUserItemRating
     */
    readonly itemId: string;
}
/**
 * Request parameters for getIntros operation in UserLibraryApi.
 * @export
 * @interface UserLibraryApiGetIntrosRequest
 */
export interface UserLibraryApiGetIntrosRequest {
    /**
     * User id.
     * @type {string}
     * @memberof UserLibraryApiGetIntros
     */
    readonly userId: string;
    /**
     * Item id.
     * @type {string}
     * @memberof UserLibraryApiGetIntros
     */
    readonly itemId: string;
}
/**
 * Request parameters for getItem operation in UserLibraryApi.
 * @export
 * @interface UserLibraryApiGetItemRequest
 */
export interface UserLibraryApiGetItemRequest {
    /**
     * User id.
     * @type {string}
     * @memberof UserLibraryApiGetItem
     */
    readonly userId: string;
    /**
     * Item id.
     * @type {string}
     * @memberof UserLibraryApiGetItem
     */
    readonly itemId: string;
}
/**
 * Request parameters for getLatestMedia operation in UserLibraryApi.
 * @export
 * @interface UserLibraryApiGetLatestMediaRequest
 */
export interface UserLibraryApiGetLatestMediaRequest {
    /**
     * User id.
     * @type {string}
     * @memberof UserLibraryApiGetLatestMedia
     */
    readonly userId: string;
    /**
     * Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @type {string}
     * @memberof UserLibraryApiGetLatestMedia
     */
    readonly parentId?: string;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof UserLibraryApiGetLatestMedia
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. If specified, results will be filtered based on item type. This allows multiple, comma delimited.
     * @type {Array<string>}
     * @memberof UserLibraryApiGetLatestMedia
     */
    readonly includeItemTypes?: Array<string>;
    /**
     * Filter by items that are played, or not.
     * @type {boolean}
     * @memberof UserLibraryApiGetLatestMedia
     */
    readonly isPlayed?: boolean;
    /**
     * Optional. include image information in output.
     * @type {boolean}
     * @memberof UserLibraryApiGetLatestMedia
     */
    readonly enableImages?: boolean;
    /**
     * Optional. the max number of images to return, per image type.
     * @type {number}
     * @memberof UserLibraryApiGetLatestMedia
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof UserLibraryApiGetLatestMedia
     */
    readonly enableImageTypes?: Array<ImageType>;
    /**
     * Optional. include user data.
     * @type {boolean}
     * @memberof UserLibraryApiGetLatestMedia
     */
    readonly enableUserData?: boolean;
    /**
     * Return item limit.
     * @type {number}
     * @memberof UserLibraryApiGetLatestMedia
     */
    readonly limit?: number;
    /**
     * Whether or not to group items into a parent container.
     * @type {boolean}
     * @memberof UserLibraryApiGetLatestMedia
     */
    readonly groupItems?: boolean;
}
/**
 * Request parameters for getLocalTrailers operation in UserLibraryApi.
 * @export
 * @interface UserLibraryApiGetLocalTrailersRequest
 */
export interface UserLibraryApiGetLocalTrailersRequest {
    /**
     * User id.
     * @type {string}
     * @memberof UserLibraryApiGetLocalTrailers
     */
    readonly userId: string;
    /**
     * Item id.
     * @type {string}
     * @memberof UserLibraryApiGetLocalTrailers
     */
    readonly itemId: string;
}
/**
 * Request parameters for getRootFolder operation in UserLibraryApi.
 * @export
 * @interface UserLibraryApiGetRootFolderRequest
 */
export interface UserLibraryApiGetRootFolderRequest {
    /**
     * User id.
     * @type {string}
     * @memberof UserLibraryApiGetRootFolder
     */
    readonly userId: string;
}
/**
 * Request parameters for getSpecialFeatures operation in UserLibraryApi.
 * @export
 * @interface UserLibraryApiGetSpecialFeaturesRequest
 */
export interface UserLibraryApiGetSpecialFeaturesRequest {
    /**
     * User id.
     * @type {string}
     * @memberof UserLibraryApiGetSpecialFeatures
     */
    readonly userId: string;
    /**
     * Item id.
     * @type {string}
     * @memberof UserLibraryApiGetSpecialFeatures
     */
    readonly itemId: string;
}
/**
 * Request parameters for markFavoriteItem operation in UserLibraryApi.
 * @export
 * @interface UserLibraryApiMarkFavoriteItemRequest
 */
export interface UserLibraryApiMarkFavoriteItemRequest {
    /**
     * User id.
     * @type {string}
     * @memberof UserLibraryApiMarkFavoriteItem
     */
    readonly userId: string;
    /**
     * Item id.
     * @type {string}
     * @memberof UserLibraryApiMarkFavoriteItem
     */
    readonly itemId: string;
}
/**
 * Request parameters for unmarkFavoriteItem operation in UserLibraryApi.
 * @export
 * @interface UserLibraryApiUnmarkFavoriteItemRequest
 */
export interface UserLibraryApiUnmarkFavoriteItemRequest {
    /**
     * User id.
     * @type {string}
     * @memberof UserLibraryApiUnmarkFavoriteItem
     */
    readonly userId: string;
    /**
     * Item id.
     * @type {string}
     * @memberof UserLibraryApiUnmarkFavoriteItem
     */
    readonly itemId: string;
}
/**
 * Request parameters for updateUserItemRating operation in UserLibraryApi.
 * @export
 * @interface UserLibraryApiUpdateUserItemRatingRequest
 */
export interface UserLibraryApiUpdateUserItemRatingRequest {
    /**
     * User id.
     * @type {string}
     * @memberof UserLibraryApiUpdateUserItemRating
     */
    readonly userId: string;
    /**
     * Item id.
     * @type {string}
     * @memberof UserLibraryApiUpdateUserItemRating
     */
    readonly itemId: string;
    /**
     * Whether this M:Jellyfin.Api.Controllers.UserLibraryController.UpdateUserItemRating(System.Guid,System.Guid,System.Nullable{System.Boolean}) is likes.
     * @type {boolean}
     * @memberof UserLibraryApiUpdateUserItemRating
     */
    readonly likes?: boolean;
}
/**
 * UserLibraryApi - object-oriented interface
 * @export
 * @class UserLibraryApi
 * @extends {BaseAPI}
 */
export declare class UserLibraryApi extends BaseAPI {
    /**
     *
     * @summary Deletes a user\'s saved personal rating for an item.
     * @param {UserLibraryApiDeleteUserItemRatingRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserLibraryApi
     */
    deleteUserItemRating(requestParameters: UserLibraryApiDeleteUserItemRatingRequest, options?: any): Promise<import("axios").AxiosResponse<UserItemDataDto, any>>;
    /**
     *
     * @summary Gets intros to play before the main media item plays.
     * @param {UserLibraryApiGetIntrosRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserLibraryApi
     */
    getIntros(requestParameters: UserLibraryApiGetIntrosRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets an item from a user\'s library.
     * @param {UserLibraryApiGetItemRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserLibraryApi
     */
    getItem(requestParameters: UserLibraryApiGetItemRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDto, any>>;
    /**
     *
     * @summary Gets latest media.
     * @param {UserLibraryApiGetLatestMediaRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserLibraryApi
     */
    getLatestMedia(requestParameters: UserLibraryApiGetLatestMediaRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDto[], any>>;
    /**
     *
     * @summary Gets local trailers for an item.
     * @param {UserLibraryApiGetLocalTrailersRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserLibraryApi
     */
    getLocalTrailers(requestParameters: UserLibraryApiGetLocalTrailersRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDto[], any>>;
    /**
     *
     * @summary Gets the root folder from a user\'s library.
     * @param {UserLibraryApiGetRootFolderRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserLibraryApi
     */
    getRootFolder(requestParameters: UserLibraryApiGetRootFolderRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDto, any>>;
    /**
     *
     * @summary Gets special features for an item.
     * @param {UserLibraryApiGetSpecialFeaturesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserLibraryApi
     */
    getSpecialFeatures(requestParameters: UserLibraryApiGetSpecialFeaturesRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDto[], any>>;
    /**
     *
     * @summary Marks an item as a favorite.
     * @param {UserLibraryApiMarkFavoriteItemRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserLibraryApi
     */
    markFavoriteItem(requestParameters: UserLibraryApiMarkFavoriteItemRequest, options?: any): Promise<import("axios").AxiosResponse<UserItemDataDto, any>>;
    /**
     *
     * @summary Unmarks item as a favorite.
     * @param {UserLibraryApiUnmarkFavoriteItemRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserLibraryApi
     */
    unmarkFavoriteItem(requestParameters: UserLibraryApiUnmarkFavoriteItemRequest, options?: any): Promise<import("axios").AxiosResponse<UserItemDataDto, any>>;
    /**
     *
     * @summary Updates a user\'s rating for an item.
     * @param {UserLibraryApiUpdateUserItemRatingRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserLibraryApi
     */
    updateUserItemRating(requestParameters: UserLibraryApiUpdateUserItemRatingRequest, options?: any): Promise<import("axios").AxiosResponse<UserItemDataDto, any>>;
}
