/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { BaseItemDtoQueryResult } from '../models';
import { SpecialViewOptionDto } from '../models';
/**
 * UserViewsApi - axios parameter creator
 * @export
 */
export declare const UserViewsApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Get user view grouping options.
     * @param {string} userId User id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGroupingOptions: (userId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get user views.
     * @param {string} userId User id.
     * @param {boolean} [includeExternalContent] Whether or not to include external views such as channels or live tv.
     * @param {Array<string>} [presetViews] Preset views.
     * @param {boolean} [includeHidden] Whether or not to include hidden content.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUserViews: (userId: string, includeExternalContent?: boolean | undefined, presetViews?: string[] | undefined, includeHidden?: boolean | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * UserViewsApi - functional programming interface
 * @export
 */
export declare const UserViewsApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Get user view grouping options.
     * @param {string} userId User id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGroupingOptions(userId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<SpecialViewOptionDto>>>;
    /**
     *
     * @summary Get user views.
     * @param {string} userId User id.
     * @param {boolean} [includeExternalContent] Whether or not to include external views such as channels or live tv.
     * @param {Array<string>} [presetViews] Preset views.
     * @param {boolean} [includeHidden] Whether or not to include hidden content.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUserViews(userId: string, includeExternalContent?: boolean | undefined, presetViews?: string[] | undefined, includeHidden?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
};
/**
 * UserViewsApi - factory interface
 * @export
 */
export declare const UserViewsApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Get user view grouping options.
     * @param {string} userId User id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGroupingOptions(userId: string, options?: any): AxiosPromise<Array<SpecialViewOptionDto>>;
    /**
     *
     * @summary Get user views.
     * @param {string} userId User id.
     * @param {boolean} [includeExternalContent] Whether or not to include external views such as channels or live tv.
     * @param {Array<string>} [presetViews] Preset views.
     * @param {boolean} [includeHidden] Whether or not to include hidden content.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUserViews(userId: string, includeExternalContent?: boolean | undefined, presetViews?: string[] | undefined, includeHidden?: boolean | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
};
/**
 * Request parameters for getGroupingOptions operation in UserViewsApi.
 * @export
 * @interface UserViewsApiGetGroupingOptionsRequest
 */
export interface UserViewsApiGetGroupingOptionsRequest {
    /**
     * User id.
     * @type {string}
     * @memberof UserViewsApiGetGroupingOptions
     */
    readonly userId: string;
}
/**
 * Request parameters for getUserViews operation in UserViewsApi.
 * @export
 * @interface UserViewsApiGetUserViewsRequest
 */
export interface UserViewsApiGetUserViewsRequest {
    /**
     * User id.
     * @type {string}
     * @memberof UserViewsApiGetUserViews
     */
    readonly userId: string;
    /**
     * Whether or not to include external views such as channels or live tv.
     * @type {boolean}
     * @memberof UserViewsApiGetUserViews
     */
    readonly includeExternalContent?: boolean;
    /**
     * Preset views.
     * @type {Array<string>}
     * @memberof UserViewsApiGetUserViews
     */
    readonly presetViews?: Array<string>;
    /**
     * Whether or not to include hidden content.
     * @type {boolean}
     * @memberof UserViewsApiGetUserViews
     */
    readonly includeHidden?: boolean;
}
/**
 * UserViewsApi - object-oriented interface
 * @export
 * @class UserViewsApi
 * @extends {BaseAPI}
 */
export declare class UserViewsApi extends BaseAPI {
    /**
     *
     * @summary Get user view grouping options.
     * @param {UserViewsApiGetGroupingOptionsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserViewsApi
     */
    getGroupingOptions(requestParameters: UserViewsApiGetGroupingOptionsRequest, options?: any): Promise<import("axios").AxiosResponse<SpecialViewOptionDto[], any>>;
    /**
     *
     * @summary Get user views.
     * @param {UserViewsApiGetUserViewsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserViewsApi
     */
    getUserViews(requestParameters: UserViewsApiGetUserViewsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
}
