/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
/**
 * VideoAttachmentsApi - axios parameter creator
 * @export
 */
export declare const VideoAttachmentsApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Get video attachment.
     * @param {string} videoId Video ID.
     * @param {string} mediaSourceId Media Source ID.
     * @param {number} index Attachment Index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getAttachment: (videoId: string, mediaSourceId: string, index: number, options?: any) => Promise<RequestArgs>;
};
/**
 * VideoAttachmentsApi - functional programming interface
 * @export
 */
export declare const VideoAttachmentsApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Get video attachment.
     * @param {string} videoId Video ID.
     * @param {string} mediaSourceId Media Source ID.
     * @param {number} index Attachment Index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getAttachment(videoId: string, mediaSourceId: string, index: number, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
};
/**
 * VideoAttachmentsApi - factory interface
 * @export
 */
export declare const VideoAttachmentsApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Get video attachment.
     * @param {string} videoId Video ID.
     * @param {string} mediaSourceId Media Source ID.
     * @param {number} index Attachment Index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getAttachment(videoId: string, mediaSourceId: string, index: number, options?: any): AxiosPromise<any>;
};
/**
 * Request parameters for getAttachment operation in VideoAttachmentsApi.
 * @export
 * @interface VideoAttachmentsApiGetAttachmentRequest
 */
export interface VideoAttachmentsApiGetAttachmentRequest {
    /**
     * Video ID.
     * @type {string}
     * @memberof VideoAttachmentsApiGetAttachment
     */
    readonly videoId: string;
    /**
     * Media Source ID.
     * @type {string}
     * @memberof VideoAttachmentsApiGetAttachment
     */
    readonly mediaSourceId: string;
    /**
     * Attachment Index.
     * @type {number}
     * @memberof VideoAttachmentsApiGetAttachment
     */
    readonly index: number;
}
/**
 * VideoAttachmentsApi - object-oriented interface
 * @export
 * @class VideoAttachmentsApi
 * @extends {BaseAPI}
 */
export declare class VideoAttachmentsApi extends BaseAPI {
    /**
     *
     * @summary Get video attachment.
     * @param {VideoAttachmentsApiGetAttachmentRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VideoAttachmentsApi
     */
    getAttachment(requestParameters: VideoAttachmentsApiGetAttachmentRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
}
