/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { EncodingContext } from '../models';
import { SubtitleDeliveryMethod } from '../models';
/**
 * VideoHlsApi - axios parameter creator
 * @export
 */
export declare const VideoHlsApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets a hls live stream.
     * @param {string} itemId The item id.
     * @param {string} [container] The audio container.
     * @param {boolean} [_static] Optional. If true, the original file will be streamed statically without any encoding. Use either no url extension or the original file extension. true/false.
     * @param {string} [params] The streaming parameters.
     * @param {string} [tag] The tag.
     * @param {string} [deviceProfileId] Optional. The dlna device profile id to utilize.
     * @param {string} [playSessionId] The play session id.
     * @param {string} [segmentContainer] The segment container.
     * @param {number} [segmentLength] The segment lenght.
     * @param {number} [minSegments] The minimum number of segments.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [audioCodec] Optional. Specify a audio codec to encode to, e.g. mp3. If omitted the server will auto-select using the url\&#39;s extension. Options: aac, mp3, vorbis, wma.
     * @param {boolean} [enableAutoStreamCopy] Whether or not to allow automatic stream copy if requested values match the original source. Defaults to true.
     * @param {boolean} [allowVideoStreamCopy] Whether or not to allow copying of the video stream url.
     * @param {boolean} [allowAudioStreamCopy] Whether or not to allow copying of the audio stream url.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {number} [audioSampleRate] Optional. Specify a specific audio sample rate, e.g. 44100.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [audioChannels] Optional. Specify a specific number of audio channels to encode to, e.g. 2.
     * @param {number} [maxAudioChannels] Optional. Specify a maximum number of audio channels to encode to, e.g. 2.
     * @param {string} [profile] Optional. Specify a specific an encoder profile (varies by encoder), e.g. main, baseline, high.
     * @param {string} [level] Optional. Specify a level for the encoder profile (varies by encoder), e.g. 3, 3.1.
     * @param {number} [framerate] Optional. A specific video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {number} [maxFramerate] Optional. A specific maximum video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {boolean} [copyTimestamps] Whether or not to copy timestamps when transcoding with an offset. Defaults to false.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {number} [width] Optional. The fixed horizontal resolution of the encoded video.
     * @param {number} [height] Optional. The fixed vertical resolution of the encoded video.
     * @param {number} [videoBitRate] Optional. Specify a video bitrate to encode to, e.g. 500000. If omitted this will be left to encoder defaults.
     * @param {number} [subtitleStreamIndex] Optional. The index of the subtitle stream to use. If omitted no subtitles will be used.
     * @param {SubtitleDeliveryMethod} [subtitleMethod] Optional. Specify the subtitle delivery method.
     * @param {number} [maxRefFrames] Optional.
     * @param {number} [maxVideoBitDepth] Optional. The maximum video bit depth.
     * @param {boolean} [requireAvc] Optional. Whether to require avc.
     * @param {boolean} [deInterlace] Optional. Whether to deinterlace the video.
     * @param {boolean} [requireNonAnamorphic] Optional. Whether to require a non anamorphic stream.
     * @param {number} [transcodingMaxAudioChannels] Optional. The maximum number of audio channels to transcode.
     * @param {number} [cpuCoreLimit] Optional. The limit of how many cpu cores to use.
     * @param {string} [liveStreamId] The live stream id.
     * @param {boolean} [enableMpegtsM2TsMode] Optional. Whether to enable the MpegtsM2Ts mode.
     * @param {string} [videoCodec] Optional. Specify a video codec to encode to, e.g. h264. If omitted the server will auto-select using the url\&#39;s extension. Options: h265, h264, mpeg4, theora, vpx, wmv.
     * @param {string} [subtitleCodec] Optional. Specify a subtitle codec to encode to.
     * @param {string} [transcodeReasons] Optional. The transcoding reason.
     * @param {number} [audioStreamIndex] Optional. The index of the audio stream to use. If omitted the first audio stream will be used.
     * @param {number} [videoStreamIndex] Optional. The index of the video stream to use. If omitted the first video stream will be used.
     * @param {EncodingContext} [context] Optional. The MediaBrowser.Model.Dlna.EncodingContext.
     * @param {{ [key: string]: string; }} [streamOptions] Optional. The streaming options.
     * @param {number} [maxWidth] Optional. The max width.
     * @param {number} [maxHeight] Optional. The max height.
     * @param {boolean} [enableSubtitlesInManifest] Optional. Whether to enable subtitles in the manifest.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLiveHlsStream: (itemId: string, container?: string | undefined, _static?: boolean | undefined, params?: string | undefined, tag?: string | undefined, deviceProfileId?: string | undefined, playSessionId?: string | undefined, segmentContainer?: string | undefined, segmentLength?: number | undefined, minSegments?: number | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, audioCodec?: string | undefined, enableAutoStreamCopy?: boolean | undefined, allowVideoStreamCopy?: boolean | undefined, allowAudioStreamCopy?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, audioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, audioBitRate?: number | undefined, audioChannels?: number | undefined, maxAudioChannels?: number | undefined, profile?: string | undefined, level?: string | undefined, framerate?: number | undefined, maxFramerate?: number | undefined, copyTimestamps?: boolean | undefined, startTimeTicks?: number | undefined, width?: number | undefined, height?: number | undefined, videoBitRate?: number | undefined, subtitleStreamIndex?: number | undefined, subtitleMethod?: SubtitleDeliveryMethod | undefined, maxRefFrames?: number | undefined, maxVideoBitDepth?: number | undefined, requireAvc?: boolean | undefined, deInterlace?: boolean | undefined, requireNonAnamorphic?: boolean | undefined, transcodingMaxAudioChannels?: number | undefined, cpuCoreLimit?: number | undefined, liveStreamId?: string | undefined, enableMpegtsM2TsMode?: boolean | undefined, videoCodec?: string | undefined, subtitleCodec?: string | undefined, transcodeReasons?: string | undefined, audioStreamIndex?: number | undefined, videoStreamIndex?: number | undefined, context?: EncodingContext | undefined, streamOptions?: {
        [key: string]: string;
    } | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, enableSubtitlesInManifest?: boolean | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * VideoHlsApi - functional programming interface
 * @export
 */
export declare const VideoHlsApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets a hls live stream.
     * @param {string} itemId The item id.
     * @param {string} [container] The audio container.
     * @param {boolean} [_static] Optional. If true, the original file will be streamed statically without any encoding. Use either no url extension or the original file extension. true/false.
     * @param {string} [params] The streaming parameters.
     * @param {string} [tag] The tag.
     * @param {string} [deviceProfileId] Optional. The dlna device profile id to utilize.
     * @param {string} [playSessionId] The play session id.
     * @param {string} [segmentContainer] The segment container.
     * @param {number} [segmentLength] The segment lenght.
     * @param {number} [minSegments] The minimum number of segments.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [audioCodec] Optional. Specify a audio codec to encode to, e.g. mp3. If omitted the server will auto-select using the url\&#39;s extension. Options: aac, mp3, vorbis, wma.
     * @param {boolean} [enableAutoStreamCopy] Whether or not to allow automatic stream copy if requested values match the original source. Defaults to true.
     * @param {boolean} [allowVideoStreamCopy] Whether or not to allow copying of the video stream url.
     * @param {boolean} [allowAudioStreamCopy] Whether or not to allow copying of the audio stream url.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {number} [audioSampleRate] Optional. Specify a specific audio sample rate, e.g. 44100.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [audioChannels] Optional. Specify a specific number of audio channels to encode to, e.g. 2.
     * @param {number} [maxAudioChannels] Optional. Specify a maximum number of audio channels to encode to, e.g. 2.
     * @param {string} [profile] Optional. Specify a specific an encoder profile (varies by encoder), e.g. main, baseline, high.
     * @param {string} [level] Optional. Specify a level for the encoder profile (varies by encoder), e.g. 3, 3.1.
     * @param {number} [framerate] Optional. A specific video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {number} [maxFramerate] Optional. A specific maximum video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {boolean} [copyTimestamps] Whether or not to copy timestamps when transcoding with an offset. Defaults to false.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {number} [width] Optional. The fixed horizontal resolution of the encoded video.
     * @param {number} [height] Optional. The fixed vertical resolution of the encoded video.
     * @param {number} [videoBitRate] Optional. Specify a video bitrate to encode to, e.g. 500000. If omitted this will be left to encoder defaults.
     * @param {number} [subtitleStreamIndex] Optional. The index of the subtitle stream to use. If omitted no subtitles will be used.
     * @param {SubtitleDeliveryMethod} [subtitleMethod] Optional. Specify the subtitle delivery method.
     * @param {number} [maxRefFrames] Optional.
     * @param {number} [maxVideoBitDepth] Optional. The maximum video bit depth.
     * @param {boolean} [requireAvc] Optional. Whether to require avc.
     * @param {boolean} [deInterlace] Optional. Whether to deinterlace the video.
     * @param {boolean} [requireNonAnamorphic] Optional. Whether to require a non anamorphic stream.
     * @param {number} [transcodingMaxAudioChannels] Optional. The maximum number of audio channels to transcode.
     * @param {number} [cpuCoreLimit] Optional. The limit of how many cpu cores to use.
     * @param {string} [liveStreamId] The live stream id.
     * @param {boolean} [enableMpegtsM2TsMode] Optional. Whether to enable the MpegtsM2Ts mode.
     * @param {string} [videoCodec] Optional. Specify a video codec to encode to, e.g. h264. If omitted the server will auto-select using the url\&#39;s extension. Options: h265, h264, mpeg4, theora, vpx, wmv.
     * @param {string} [subtitleCodec] Optional. Specify a subtitle codec to encode to.
     * @param {string} [transcodeReasons] Optional. The transcoding reason.
     * @param {number} [audioStreamIndex] Optional. The index of the audio stream to use. If omitted the first audio stream will be used.
     * @param {number} [videoStreamIndex] Optional. The index of the video stream to use. If omitted the first video stream will be used.
     * @param {EncodingContext} [context] Optional. The MediaBrowser.Model.Dlna.EncodingContext.
     * @param {{ [key: string]: string; }} [streamOptions] Optional. The streaming options.
     * @param {number} [maxWidth] Optional. The max width.
     * @param {number} [maxHeight] Optional. The max height.
     * @param {boolean} [enableSubtitlesInManifest] Optional. Whether to enable subtitles in the manifest.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLiveHlsStream(itemId: string, container?: string | undefined, _static?: boolean | undefined, params?: string | undefined, tag?: string | undefined, deviceProfileId?: string | undefined, playSessionId?: string | undefined, segmentContainer?: string | undefined, segmentLength?: number | undefined, minSegments?: number | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, audioCodec?: string | undefined, enableAutoStreamCopy?: boolean | undefined, allowVideoStreamCopy?: boolean | undefined, allowAudioStreamCopy?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, audioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, audioBitRate?: number | undefined, audioChannels?: number | undefined, maxAudioChannels?: number | undefined, profile?: string | undefined, level?: string | undefined, framerate?: number | undefined, maxFramerate?: number | undefined, copyTimestamps?: boolean | undefined, startTimeTicks?: number | undefined, width?: number | undefined, height?: number | undefined, videoBitRate?: number | undefined, subtitleStreamIndex?: number | undefined, subtitleMethod?: SubtitleDeliveryMethod | undefined, maxRefFrames?: number | undefined, maxVideoBitDepth?: number | undefined, requireAvc?: boolean | undefined, deInterlace?: boolean | undefined, requireNonAnamorphic?: boolean | undefined, transcodingMaxAudioChannels?: number | undefined, cpuCoreLimit?: number | undefined, liveStreamId?: string | undefined, enableMpegtsM2TsMode?: boolean | undefined, videoCodec?: string | undefined, subtitleCodec?: string | undefined, transcodeReasons?: string | undefined, audioStreamIndex?: number | undefined, videoStreamIndex?: number | undefined, context?: EncodingContext | undefined, streamOptions?: {
        [key: string]: string;
    } | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, enableSubtitlesInManifest?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
};
/**
 * VideoHlsApi - factory interface
 * @export
 */
export declare const VideoHlsApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Gets a hls live stream.
     * @param {string} itemId The item id.
     * @param {string} [container] The audio container.
     * @param {boolean} [_static] Optional. If true, the original file will be streamed statically without any encoding. Use either no url extension or the original file extension. true/false.
     * @param {string} [params] The streaming parameters.
     * @param {string} [tag] The tag.
     * @param {string} [deviceProfileId] Optional. The dlna device profile id to utilize.
     * @param {string} [playSessionId] The play session id.
     * @param {string} [segmentContainer] The segment container.
     * @param {number} [segmentLength] The segment lenght.
     * @param {number} [minSegments] The minimum number of segments.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [audioCodec] Optional. Specify a audio codec to encode to, e.g. mp3. If omitted the server will auto-select using the url\&#39;s extension. Options: aac, mp3, vorbis, wma.
     * @param {boolean} [enableAutoStreamCopy] Whether or not to allow automatic stream copy if requested values match the original source. Defaults to true.
     * @param {boolean} [allowVideoStreamCopy] Whether or not to allow copying of the video stream url.
     * @param {boolean} [allowAudioStreamCopy] Whether or not to allow copying of the audio stream url.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {number} [audioSampleRate] Optional. Specify a specific audio sample rate, e.g. 44100.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [audioChannels] Optional. Specify a specific number of audio channels to encode to, e.g. 2.
     * @param {number} [maxAudioChannels] Optional. Specify a maximum number of audio channels to encode to, e.g. 2.
     * @param {string} [profile] Optional. Specify a specific an encoder profile (varies by encoder), e.g. main, baseline, high.
     * @param {string} [level] Optional. Specify a level for the encoder profile (varies by encoder), e.g. 3, 3.1.
     * @param {number} [framerate] Optional. A specific video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {number} [maxFramerate] Optional. A specific maximum video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {boolean} [copyTimestamps] Whether or not to copy timestamps when transcoding with an offset. Defaults to false.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {number} [width] Optional. The fixed horizontal resolution of the encoded video.
     * @param {number} [height] Optional. The fixed vertical resolution of the encoded video.
     * @param {number} [videoBitRate] Optional. Specify a video bitrate to encode to, e.g. 500000. If omitted this will be left to encoder defaults.
     * @param {number} [subtitleStreamIndex] Optional. The index of the subtitle stream to use. If omitted no subtitles will be used.
     * @param {SubtitleDeliveryMethod} [subtitleMethod] Optional. Specify the subtitle delivery method.
     * @param {number} [maxRefFrames] Optional.
     * @param {number} [maxVideoBitDepth] Optional. The maximum video bit depth.
     * @param {boolean} [requireAvc] Optional. Whether to require avc.
     * @param {boolean} [deInterlace] Optional. Whether to deinterlace the video.
     * @param {boolean} [requireNonAnamorphic] Optional. Whether to require a non anamorphic stream.
     * @param {number} [transcodingMaxAudioChannels] Optional. The maximum number of audio channels to transcode.
     * @param {number} [cpuCoreLimit] Optional. The limit of how many cpu cores to use.
     * @param {string} [liveStreamId] The live stream id.
     * @param {boolean} [enableMpegtsM2TsMode] Optional. Whether to enable the MpegtsM2Ts mode.
     * @param {string} [videoCodec] Optional. Specify a video codec to encode to, e.g. h264. If omitted the server will auto-select using the url\&#39;s extension. Options: h265, h264, mpeg4, theora, vpx, wmv.
     * @param {string} [subtitleCodec] Optional. Specify a subtitle codec to encode to.
     * @param {string} [transcodeReasons] Optional. The transcoding reason.
     * @param {number} [audioStreamIndex] Optional. The index of the audio stream to use. If omitted the first audio stream will be used.
     * @param {number} [videoStreamIndex] Optional. The index of the video stream to use. If omitted the first video stream will be used.
     * @param {EncodingContext} [context] Optional. The MediaBrowser.Model.Dlna.EncodingContext.
     * @param {{ [key: string]: string; }} [streamOptions] Optional. The streaming options.
     * @param {number} [maxWidth] Optional. The max width.
     * @param {number} [maxHeight] Optional. The max height.
     * @param {boolean} [enableSubtitlesInManifest] Optional. Whether to enable subtitles in the manifest.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getLiveHlsStream(itemId: string, container?: string | undefined, _static?: boolean | undefined, params?: string | undefined, tag?: string | undefined, deviceProfileId?: string | undefined, playSessionId?: string | undefined, segmentContainer?: string | undefined, segmentLength?: number | undefined, minSegments?: number | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, audioCodec?: string | undefined, enableAutoStreamCopy?: boolean | undefined, allowVideoStreamCopy?: boolean | undefined, allowAudioStreamCopy?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, audioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, audioBitRate?: number | undefined, audioChannels?: number | undefined, maxAudioChannels?: number | undefined, profile?: string | undefined, level?: string | undefined, framerate?: number | undefined, maxFramerate?: number | undefined, copyTimestamps?: boolean | undefined, startTimeTicks?: number | undefined, width?: number | undefined, height?: number | undefined, videoBitRate?: number | undefined, subtitleStreamIndex?: number | undefined, subtitleMethod?: SubtitleDeliveryMethod | undefined, maxRefFrames?: number | undefined, maxVideoBitDepth?: number | undefined, requireAvc?: boolean | undefined, deInterlace?: boolean | undefined, requireNonAnamorphic?: boolean | undefined, transcodingMaxAudioChannels?: number | undefined, cpuCoreLimit?: number | undefined, liveStreamId?: string | undefined, enableMpegtsM2TsMode?: boolean | undefined, videoCodec?: string | undefined, subtitleCodec?: string | undefined, transcodeReasons?: string | undefined, audioStreamIndex?: number | undefined, videoStreamIndex?: number | undefined, context?: EncodingContext | undefined, streamOptions?: {
        [key: string]: string;
    } | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, enableSubtitlesInManifest?: boolean | undefined, options?: any): AxiosPromise<any>;
};
/**
 * Request parameters for getLiveHlsStream operation in VideoHlsApi.
 * @export
 * @interface VideoHlsApiGetLiveHlsStreamRequest
 */
export interface VideoHlsApiGetLiveHlsStreamRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly itemId: string;
    /**
     * The audio container.
     * @type {string}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly container?: string;
    /**
     * Optional. If true, the original file will be streamed statically without any encoding. Use either no url extension or the original file extension. true/false.
     * @type {boolean}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly _static?: boolean;
    /**
     * The streaming parameters.
     * @type {string}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly params?: string;
    /**
     * The tag.
     * @type {string}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly tag?: string;
    /**
     * Optional. The dlna device profile id to utilize.
     * @type {string}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly deviceProfileId?: string;
    /**
     * The play session id.
     * @type {string}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly playSessionId?: string;
    /**
     * The segment container.
     * @type {string}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly segmentContainer?: string;
    /**
     * The segment lenght.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly segmentLength?: number;
    /**
     * The minimum number of segments.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly minSegments?: number;
    /**
     * The media version id, if playing an alternate version.
     * @type {string}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly mediaSourceId?: string;
    /**
     * The device id of the client requesting. Used to stop encoding processes when needed.
     * @type {string}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly deviceId?: string;
    /**
     * Optional. Specify a audio codec to encode to, e.g. mp3. If omitted the server will auto-select using the url\&#39;s extension. Options: aac, mp3, vorbis, wma.
     * @type {string}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly audioCodec?: string;
    /**
     * Whether or not to allow automatic stream copy if requested values match the original source. Defaults to true.
     * @type {boolean}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly enableAutoStreamCopy?: boolean;
    /**
     * Whether or not to allow copying of the video stream url.
     * @type {boolean}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly allowVideoStreamCopy?: boolean;
    /**
     * Whether or not to allow copying of the audio stream url.
     * @type {boolean}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly allowAudioStreamCopy?: boolean;
    /**
     * Optional. Whether to break on non key frames.
     * @type {boolean}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly breakOnNonKeyFrames?: boolean;
    /**
     * Optional. Specify a specific audio sample rate, e.g. 44100.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly audioSampleRate?: number;
    /**
     * Optional. The maximum audio bit depth.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly maxAudioBitDepth?: number;
    /**
     * Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly audioBitRate?: number;
    /**
     * Optional. Specify a specific number of audio channels to encode to, e.g. 2.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly audioChannels?: number;
    /**
     * Optional. Specify a maximum number of audio channels to encode to, e.g. 2.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly maxAudioChannels?: number;
    /**
     * Optional. Specify a specific an encoder profile (varies by encoder), e.g. main, baseline, high.
     * @type {string}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly profile?: string;
    /**
     * Optional. Specify a level for the encoder profile (varies by encoder), e.g. 3, 3.1.
     * @type {string}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly level?: string;
    /**
     * Optional. A specific video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly framerate?: number;
    /**
     * Optional. A specific maximum video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly maxFramerate?: number;
    /**
     * Whether or not to copy timestamps when transcoding with an offset. Defaults to false.
     * @type {boolean}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly copyTimestamps?: boolean;
    /**
     * Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly startTimeTicks?: number;
    /**
     * Optional. The fixed horizontal resolution of the encoded video.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly width?: number;
    /**
     * Optional. The fixed vertical resolution of the encoded video.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly height?: number;
    /**
     * Optional. Specify a video bitrate to encode to, e.g. 500000. If omitted this will be left to encoder defaults.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly videoBitRate?: number;
    /**
     * Optional. The index of the subtitle stream to use. If omitted no subtitles will be used.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly subtitleStreamIndex?: number;
    /**
     * Optional. Specify the subtitle delivery method.
     * @type {SubtitleDeliveryMethod}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly subtitleMethod?: SubtitleDeliveryMethod;
    /**
     * Optional.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly maxRefFrames?: number;
    /**
     * Optional. The maximum video bit depth.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly maxVideoBitDepth?: number;
    /**
     * Optional. Whether to require avc.
     * @type {boolean}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly requireAvc?: boolean;
    /**
     * Optional. Whether to deinterlace the video.
     * @type {boolean}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly deInterlace?: boolean;
    /**
     * Optional. Whether to require a non anamorphic stream.
     * @type {boolean}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly requireNonAnamorphic?: boolean;
    /**
     * Optional. The maximum number of audio channels to transcode.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly transcodingMaxAudioChannels?: number;
    /**
     * Optional. The limit of how many cpu cores to use.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly cpuCoreLimit?: number;
    /**
     * The live stream id.
     * @type {string}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly liveStreamId?: string;
    /**
     * Optional. Whether to enable the MpegtsM2Ts mode.
     * @type {boolean}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly enableMpegtsM2TsMode?: boolean;
    /**
     * Optional. Specify a video codec to encode to, e.g. h264. If omitted the server will auto-select using the url\&#39;s extension. Options: h265, h264, mpeg4, theora, vpx, wmv.
     * @type {string}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly videoCodec?: string;
    /**
     * Optional. Specify a subtitle codec to encode to.
     * @type {string}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly subtitleCodec?: string;
    /**
     * Optional. The transcoding reason.
     * @type {string}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly transcodeReasons?: string;
    /**
     * Optional. The index of the audio stream to use. If omitted the first audio stream will be used.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly audioStreamIndex?: number;
    /**
     * Optional. The index of the video stream to use. If omitted the first video stream will be used.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly videoStreamIndex?: number;
    /**
     * Optional. The MediaBrowser.Model.Dlna.EncodingContext.
     * @type {EncodingContext}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly context?: EncodingContext;
    /**
     * Optional. The streaming options.
     * @type {{ [key: string]: string; }}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly streamOptions?: {
        [key: string]: string;
    };
    /**
     * Optional. The max width.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly maxWidth?: number;
    /**
     * Optional. The max height.
     * @type {number}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly maxHeight?: number;
    /**
     * Optional. Whether to enable subtitles in the manifest.
     * @type {boolean}
     * @memberof VideoHlsApiGetLiveHlsStream
     */
    readonly enableSubtitlesInManifest?: boolean;
}
/**
 * VideoHlsApi - object-oriented interface
 * @export
 * @class VideoHlsApi
 * @extends {BaseAPI}
 */
export declare class VideoHlsApi extends BaseAPI {
    /**
     *
     * @summary Gets a hls live stream.
     * @param {VideoHlsApiGetLiveHlsStreamRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VideoHlsApi
     */
    getLiveHlsStream(requestParameters: VideoHlsApiGetLiveHlsStreamRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
}
