/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { BaseItemDtoQueryResult } from '../models';
import { EncodingContext } from '../models';
import { SubtitleDeliveryMethod } from '../models';
/**
 * VideosApi - axios parameter creator
 * @export
 */
export declare const VideosApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Removes alternate video sources.
     * @param {string} itemId The item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteAlternateSources: (itemId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets additional parts for a video.
     * @param {string} itemId The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getAdditionalPart: (itemId: string, userId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a video stream.
     * @param {string} itemId The item id.
     * @param {string} [container] The video container. Possible values are: ts, webm, asf, wmv, ogv, mp4, m4v, mkv, mpeg, mpg, avi, 3gp, wmv, wtv, m2ts, mov, iso, flv.
     * @param {boolean} [_static] Optional. If true, the original file will be streamed statically without any encoding. Use either no url extension or the original file extension. true/false.
     * @param {string} [params] The streaming parameters.
     * @param {string} [tag] The tag.
     * @param {string} [deviceProfileId] Optional. The dlna device profile id to utilize.
     * @param {string} [playSessionId] The play session id.
     * @param {string} [segmentContainer] The segment container.
     * @param {number} [segmentLength] The segment length.
     * @param {number} [minSegments] The minimum number of segments.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [audioCodec] Optional. Specify a audio codec to encode to, e.g. mp3. If omitted the server will auto-select using the url\&#39;s extension. Options: aac, mp3, vorbis, wma.
     * @param {boolean} [enableAutoStreamCopy] Whether or not to allow automatic stream copy if requested values match the original source. Defaults to true.
     * @param {boolean} [allowVideoStreamCopy] Whether or not to allow copying of the video stream url.
     * @param {boolean} [allowAudioStreamCopy] Whether or not to allow copying of the audio stream url.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {number} [audioSampleRate] Optional. Specify a specific audio sample rate, e.g. 44100.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [audioChannels] Optional. Specify a specific number of audio channels to encode to, e.g. 2.
     * @param {number} [maxAudioChannels] Optional. Specify a maximum number of audio channels to encode to, e.g. 2.
     * @param {string} [profile] Optional. Specify a specific an encoder profile (varies by encoder), e.g. main, baseline, high.
     * @param {string} [level] Optional. Specify a level for the encoder profile (varies by encoder), e.g. 3, 3.1.
     * @param {number} [framerate] Optional. A specific video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {number} [maxFramerate] Optional. A specific maximum video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {boolean} [copyTimestamps] Whether or not to copy timestamps when transcoding with an offset. Defaults to false.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {number} [width] Optional. The fixed horizontal resolution of the encoded video.
     * @param {number} [height] Optional. The fixed vertical resolution of the encoded video.
     * @param {number} [maxWidth] Optional. The maximum horizontal resolution of the encoded video.
     * @param {number} [maxHeight] Optional. The maximum vertical resolution of the encoded video.
     * @param {number} [videoBitRate] Optional. Specify a video bitrate to encode to, e.g. 500000. If omitted this will be left to encoder defaults.
     * @param {number} [subtitleStreamIndex] Optional. The index of the subtitle stream to use. If omitted no subtitles will be used.
     * @param {SubtitleDeliveryMethod} [subtitleMethod] Optional. Specify the subtitle delivery method.
     * @param {number} [maxRefFrames] Optional.
     * @param {number} [maxVideoBitDepth] Optional. The maximum video bit depth.
     * @param {boolean} [requireAvc] Optional. Whether to require avc.
     * @param {boolean} [deInterlace] Optional. Whether to deinterlace the video.
     * @param {boolean} [requireNonAnamorphic] Optional. Whether to require a non anamorphic stream.
     * @param {number} [transcodingMaxAudioChannels] Optional. The maximum number of audio channels to transcode.
     * @param {number} [cpuCoreLimit] Optional. The limit of how many cpu cores to use.
     * @param {string} [liveStreamId] The live stream id.
     * @param {boolean} [enableMpegtsM2TsMode] Optional. Whether to enable the MpegtsM2Ts mode.
     * @param {string} [videoCodec] Optional. Specify a video codec to encode to, e.g. h264. If omitted the server will auto-select using the url\&#39;s extension. Options: h265, h264, mpeg4, theora, vpx, wmv.
     * @param {string} [subtitleCodec] Optional. Specify a subtitle codec to encode to.
     * @param {string} [transcodeReasons] Optional. The transcoding reason.
     * @param {number} [audioStreamIndex] Optional. The index of the audio stream to use. If omitted the first audio stream will be used.
     * @param {number} [videoStreamIndex] Optional. The index of the video stream to use. If omitted the first video stream will be used.
     * @param {EncodingContext} [context] Optional. The MediaBrowser.Model.Dlna.EncodingContext.
     * @param {{ [key: string]: string; }} [streamOptions] Optional. The streaming options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getVideoStream: (itemId: string, container?: string | undefined, _static?: boolean | undefined, params?: string | undefined, tag?: string | undefined, deviceProfileId?: string | undefined, playSessionId?: string | undefined, segmentContainer?: string | undefined, segmentLength?: number | undefined, minSegments?: number | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, audioCodec?: string | undefined, enableAutoStreamCopy?: boolean | undefined, allowVideoStreamCopy?: boolean | undefined, allowAudioStreamCopy?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, audioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, audioBitRate?: number | undefined, audioChannels?: number | undefined, maxAudioChannels?: number | undefined, profile?: string | undefined, level?: string | undefined, framerate?: number | undefined, maxFramerate?: number | undefined, copyTimestamps?: boolean | undefined, startTimeTicks?: number | undefined, width?: number | undefined, height?: number | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, videoBitRate?: number | undefined, subtitleStreamIndex?: number | undefined, subtitleMethod?: SubtitleDeliveryMethod | undefined, maxRefFrames?: number | undefined, maxVideoBitDepth?: number | undefined, requireAvc?: boolean | undefined, deInterlace?: boolean | undefined, requireNonAnamorphic?: boolean | undefined, transcodingMaxAudioChannels?: number | undefined, cpuCoreLimit?: number | undefined, liveStreamId?: string | undefined, enableMpegtsM2TsMode?: boolean | undefined, videoCodec?: string | undefined, subtitleCodec?: string | undefined, transcodeReasons?: string | undefined, audioStreamIndex?: number | undefined, videoStreamIndex?: number | undefined, context?: EncodingContext | undefined, streamOptions?: {
        [key: string]: string;
    } | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a video stream.
     * @param {string} itemId The item id.
     * @param {string} container The video container. Possible values are: ts, webm, asf, wmv, ogv, mp4, m4v, mkv, mpeg, mpg, avi, 3gp, wmv, wtv, m2ts, mov, iso, flv.
     * @param {boolean} [_static] Optional. If true, the original file will be streamed statically without any encoding. Use either no url extension or the original file extension. true/false.
     * @param {string} [params] The streaming parameters.
     * @param {string} [tag] The tag.
     * @param {string} [deviceProfileId] Optional. The dlna device profile id to utilize.
     * @param {string} [playSessionId] The play session id.
     * @param {string} [segmentContainer] The segment container.
     * @param {number} [segmentLength] The segment length.
     * @param {number} [minSegments] The minimum number of segments.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [audioCodec] Optional. Specify a audio codec to encode to, e.g. mp3. If omitted the server will auto-select using the url\&#39;s extension. Options: aac, mp3, vorbis, wma.
     * @param {boolean} [enableAutoStreamCopy] Whether or not to allow automatic stream copy if requested values match the original source. Defaults to true.
     * @param {boolean} [allowVideoStreamCopy] Whether or not to allow copying of the video stream url.
     * @param {boolean} [allowAudioStreamCopy] Whether or not to allow copying of the audio stream url.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {number} [audioSampleRate] Optional. Specify a specific audio sample rate, e.g. 44100.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [audioChannels] Optional. Specify a specific number of audio channels to encode to, e.g. 2.
     * @param {number} [maxAudioChannels] Optional. Specify a maximum number of audio channels to encode to, e.g. 2.
     * @param {string} [profile] Optional. Specify a specific an encoder profile (varies by encoder), e.g. main, baseline, high.
     * @param {string} [level] Optional. Specify a level for the encoder profile (varies by encoder), e.g. 3, 3.1.
     * @param {number} [framerate] Optional. A specific video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {number} [maxFramerate] Optional. A specific maximum video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {boolean} [copyTimestamps] Whether or not to copy timestamps when transcoding with an offset. Defaults to false.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {number} [width] Optional. The fixed horizontal resolution of the encoded video.
     * @param {number} [height] Optional. The fixed vertical resolution of the encoded video.
     * @param {number} [maxWidth] Optional. The maximum horizontal resolution of the encoded video.
     * @param {number} [maxHeight] Optional. The maximum vertical resolution of the encoded video.
     * @param {number} [videoBitRate] Optional. Specify a video bitrate to encode to, e.g. 500000. If omitted this will be left to encoder defaults.
     * @param {number} [subtitleStreamIndex] Optional. The index of the subtitle stream to use. If omitted no subtitles will be used.
     * @param {SubtitleDeliveryMethod} [subtitleMethod] Optional. Specify the subtitle delivery method.
     * @param {number} [maxRefFrames] Optional.
     * @param {number} [maxVideoBitDepth] Optional. The maximum video bit depth.
     * @param {boolean} [requireAvc] Optional. Whether to require avc.
     * @param {boolean} [deInterlace] Optional. Whether to deinterlace the video.
     * @param {boolean} [requireNonAnamorphic] Optional. Whether to require a non anamorphic stream.
     * @param {number} [transcodingMaxAudioChannels] Optional. The maximum number of audio channels to transcode.
     * @param {number} [cpuCoreLimit] Optional. The limit of how many cpu cores to use.
     * @param {string} [liveStreamId] The live stream id.
     * @param {boolean} [enableMpegtsM2TsMode] Optional. Whether to enable the MpegtsM2Ts mode.
     * @param {string} [videoCodec] Optional. Specify a video codec to encode to, e.g. h264. If omitted the server will auto-select using the url\&#39;s extension. Options: h265, h264, mpeg4, theora, vpx, wmv.
     * @param {string} [subtitleCodec] Optional. Specify a subtitle codec to encode to.
     * @param {string} [transcodeReasons] Optional. The transcoding reason.
     * @param {number} [audioStreamIndex] Optional. The index of the audio stream to use. If omitted the first audio stream will be used.
     * @param {number} [videoStreamIndex] Optional. The index of the video stream to use. If omitted the first video stream will be used.
     * @param {EncodingContext} [context] Optional. The MediaBrowser.Model.Dlna.EncodingContext.
     * @param {{ [key: string]: string; }} [streamOptions] Optional. The streaming options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getVideoStreamByContainer: (itemId: string, container: string, _static?: boolean | undefined, params?: string | undefined, tag?: string | undefined, deviceProfileId?: string | undefined, playSessionId?: string | undefined, segmentContainer?: string | undefined, segmentLength?: number | undefined, minSegments?: number | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, audioCodec?: string | undefined, enableAutoStreamCopy?: boolean | undefined, allowVideoStreamCopy?: boolean | undefined, allowAudioStreamCopy?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, audioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, audioBitRate?: number | undefined, audioChannels?: number | undefined, maxAudioChannels?: number | undefined, profile?: string | undefined, level?: string | undefined, framerate?: number | undefined, maxFramerate?: number | undefined, copyTimestamps?: boolean | undefined, startTimeTicks?: number | undefined, width?: number | undefined, height?: number | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, videoBitRate?: number | undefined, subtitleStreamIndex?: number | undefined, subtitleMethod?: SubtitleDeliveryMethod | undefined, maxRefFrames?: number | undefined, maxVideoBitDepth?: number | undefined, requireAvc?: boolean | undefined, deInterlace?: boolean | undefined, requireNonAnamorphic?: boolean | undefined, transcodingMaxAudioChannels?: number | undefined, cpuCoreLimit?: number | undefined, liveStreamId?: string | undefined, enableMpegtsM2TsMode?: boolean | undefined, videoCodec?: string | undefined, subtitleCodec?: string | undefined, transcodeReasons?: string | undefined, audioStreamIndex?: number | undefined, videoStreamIndex?: number | undefined, context?: EncodingContext | undefined, streamOptions?: {
        [key: string]: string;
    } | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a video stream.
     * @param {string} itemId The item id.
     * @param {string} [container] The video container. Possible values are: ts, webm, asf, wmv, ogv, mp4, m4v, mkv, mpeg, mpg, avi, 3gp, wmv, wtv, m2ts, mov, iso, flv.
     * @param {boolean} [_static] Optional. If true, the original file will be streamed statically without any encoding. Use either no url extension or the original file extension. true/false.
     * @param {string} [params] The streaming parameters.
     * @param {string} [tag] The tag.
     * @param {string} [deviceProfileId] Optional. The dlna device profile id to utilize.
     * @param {string} [playSessionId] The play session id.
     * @param {string} [segmentContainer] The segment container.
     * @param {number} [segmentLength] The segment length.
     * @param {number} [minSegments] The minimum number of segments.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [audioCodec] Optional. Specify a audio codec to encode to, e.g. mp3. If omitted the server will auto-select using the url\&#39;s extension. Options: aac, mp3, vorbis, wma.
     * @param {boolean} [enableAutoStreamCopy] Whether or not to allow automatic stream copy if requested values match the original source. Defaults to true.
     * @param {boolean} [allowVideoStreamCopy] Whether or not to allow copying of the video stream url.
     * @param {boolean} [allowAudioStreamCopy] Whether or not to allow copying of the audio stream url.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {number} [audioSampleRate] Optional. Specify a specific audio sample rate, e.g. 44100.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [audioChannels] Optional. Specify a specific number of audio channels to encode to, e.g. 2.
     * @param {number} [maxAudioChannels] Optional. Specify a maximum number of audio channels to encode to, e.g. 2.
     * @param {string} [profile] Optional. Specify a specific an encoder profile (varies by encoder), e.g. main, baseline, high.
     * @param {string} [level] Optional. Specify a level for the encoder profile (varies by encoder), e.g. 3, 3.1.
     * @param {number} [framerate] Optional. A specific video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {number} [maxFramerate] Optional. A specific maximum video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {boolean} [copyTimestamps] Whether or not to copy timestamps when transcoding with an offset. Defaults to false.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {number} [width] Optional. The fixed horizontal resolution of the encoded video.
     * @param {number} [height] Optional. The fixed vertical resolution of the encoded video.
     * @param {number} [maxWidth] Optional. The maximum horizontal resolution of the encoded video.
     * @param {number} [maxHeight] Optional. The maximum vertical resolution of the encoded video.
     * @param {number} [videoBitRate] Optional. Specify a video bitrate to encode to, e.g. 500000. If omitted this will be left to encoder defaults.
     * @param {number} [subtitleStreamIndex] Optional. The index of the subtitle stream to use. If omitted no subtitles will be used.
     * @param {SubtitleDeliveryMethod} [subtitleMethod] Optional. Specify the subtitle delivery method.
     * @param {number} [maxRefFrames] Optional.
     * @param {number} [maxVideoBitDepth] Optional. The maximum video bit depth.
     * @param {boolean} [requireAvc] Optional. Whether to require avc.
     * @param {boolean} [deInterlace] Optional. Whether to deinterlace the video.
     * @param {boolean} [requireNonAnamorphic] Optional. Whether to require a non anamorphic stream.
     * @param {number} [transcodingMaxAudioChannels] Optional. The maximum number of audio channels to transcode.
     * @param {number} [cpuCoreLimit] Optional. The limit of how many cpu cores to use.
     * @param {string} [liveStreamId] The live stream id.
     * @param {boolean} [enableMpegtsM2TsMode] Optional. Whether to enable the MpegtsM2Ts mode.
     * @param {string} [videoCodec] Optional. Specify a video codec to encode to, e.g. h264. If omitted the server will auto-select using the url\&#39;s extension. Options: h265, h264, mpeg4, theora, vpx, wmv.
     * @param {string} [subtitleCodec] Optional. Specify a subtitle codec to encode to.
     * @param {string} [transcodeReasons] Optional. The transcoding reason.
     * @param {number} [audioStreamIndex] Optional. The index of the audio stream to use. If omitted the first audio stream will be used.
     * @param {number} [videoStreamIndex] Optional. The index of the video stream to use. If omitted the first video stream will be used.
     * @param {EncodingContext} [context] Optional. The MediaBrowser.Model.Dlna.EncodingContext.
     * @param {{ [key: string]: string; }} [streamOptions] Optional. The streaming options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headVideoStream: (itemId: string, container?: string | undefined, _static?: boolean | undefined, params?: string | undefined, tag?: string | undefined, deviceProfileId?: string | undefined, playSessionId?: string | undefined, segmentContainer?: string | undefined, segmentLength?: number | undefined, minSegments?: number | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, audioCodec?: string | undefined, enableAutoStreamCopy?: boolean | undefined, allowVideoStreamCopy?: boolean | undefined, allowAudioStreamCopy?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, audioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, audioBitRate?: number | undefined, audioChannels?: number | undefined, maxAudioChannels?: number | undefined, profile?: string | undefined, level?: string | undefined, framerate?: number | undefined, maxFramerate?: number | undefined, copyTimestamps?: boolean | undefined, startTimeTicks?: number | undefined, width?: number | undefined, height?: number | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, videoBitRate?: number | undefined, subtitleStreamIndex?: number | undefined, subtitleMethod?: SubtitleDeliveryMethod | undefined, maxRefFrames?: number | undefined, maxVideoBitDepth?: number | undefined, requireAvc?: boolean | undefined, deInterlace?: boolean | undefined, requireNonAnamorphic?: boolean | undefined, transcodingMaxAudioChannels?: number | undefined, cpuCoreLimit?: number | undefined, liveStreamId?: string | undefined, enableMpegtsM2TsMode?: boolean | undefined, videoCodec?: string | undefined, subtitleCodec?: string | undefined, transcodeReasons?: string | undefined, audioStreamIndex?: number | undefined, videoStreamIndex?: number | undefined, context?: EncodingContext | undefined, streamOptions?: {
        [key: string]: string;
    } | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets a video stream.
     * @param {string} itemId The item id.
     * @param {string} container The video container. Possible values are: ts, webm, asf, wmv, ogv, mp4, m4v, mkv, mpeg, mpg, avi, 3gp, wmv, wtv, m2ts, mov, iso, flv.
     * @param {boolean} [_static] Optional. If true, the original file will be streamed statically without any encoding. Use either no url extension or the original file extension. true/false.
     * @param {string} [params] The streaming parameters.
     * @param {string} [tag] The tag.
     * @param {string} [deviceProfileId] Optional. The dlna device profile id to utilize.
     * @param {string} [playSessionId] The play session id.
     * @param {string} [segmentContainer] The segment container.
     * @param {number} [segmentLength] The segment length.
     * @param {number} [minSegments] The minimum number of segments.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [audioCodec] Optional. Specify a audio codec to encode to, e.g. mp3. If omitted the server will auto-select using the url\&#39;s extension. Options: aac, mp3, vorbis, wma.
     * @param {boolean} [enableAutoStreamCopy] Whether or not to allow automatic stream copy if requested values match the original source. Defaults to true.
     * @param {boolean} [allowVideoStreamCopy] Whether or not to allow copying of the video stream url.
     * @param {boolean} [allowAudioStreamCopy] Whether or not to allow copying of the audio stream url.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {number} [audioSampleRate] Optional. Specify a specific audio sample rate, e.g. 44100.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [audioChannels] Optional. Specify a specific number of audio channels to encode to, e.g. 2.
     * @param {number} [maxAudioChannels] Optional. Specify a maximum number of audio channels to encode to, e.g. 2.
     * @param {string} [profile] Optional. Specify a specific an encoder profile (varies by encoder), e.g. main, baseline, high.
     * @param {string} [level] Optional. Specify a level for the encoder profile (varies by encoder), e.g. 3, 3.1.
     * @param {number} [framerate] Optional. A specific video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {number} [maxFramerate] Optional. A specific maximum video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {boolean} [copyTimestamps] Whether or not to copy timestamps when transcoding with an offset. Defaults to false.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {number} [width] Optional. The fixed horizontal resolution of the encoded video.
     * @param {number} [height] Optional. The fixed vertical resolution of the encoded video.
     * @param {number} [maxWidth] Optional. The maximum horizontal resolution of the encoded video.
     * @param {number} [maxHeight] Optional. The maximum vertical resolution of the encoded video.
     * @param {number} [videoBitRate] Optional. Specify a video bitrate to encode to, e.g. 500000. If omitted this will be left to encoder defaults.
     * @param {number} [subtitleStreamIndex] Optional. The index of the subtitle stream to use. If omitted no subtitles will be used.
     * @param {SubtitleDeliveryMethod} [subtitleMethod] Optional. Specify the subtitle delivery method.
     * @param {number} [maxRefFrames] Optional.
     * @param {number} [maxVideoBitDepth] Optional. The maximum video bit depth.
     * @param {boolean} [requireAvc] Optional. Whether to require avc.
     * @param {boolean} [deInterlace] Optional. Whether to deinterlace the video.
     * @param {boolean} [requireNonAnamorphic] Optional. Whether to require a non anamorphic stream.
     * @param {number} [transcodingMaxAudioChannels] Optional. The maximum number of audio channels to transcode.
     * @param {number} [cpuCoreLimit] Optional. The limit of how many cpu cores to use.
     * @param {string} [liveStreamId] The live stream id.
     * @param {boolean} [enableMpegtsM2TsMode] Optional. Whether to enable the MpegtsM2Ts mode.
     * @param {string} [videoCodec] Optional. Specify a video codec to encode to, e.g. h264. If omitted the server will auto-select using the url\&#39;s extension. Options: h265, h264, mpeg4, theora, vpx, wmv.
     * @param {string} [subtitleCodec] Optional. Specify a subtitle codec to encode to.
     * @param {string} [transcodeReasons] Optional. The transcoding reason.
     * @param {number} [audioStreamIndex] Optional. The index of the audio stream to use. If omitted the first audio stream will be used.
     * @param {number} [videoStreamIndex] Optional. The index of the video stream to use. If omitted the first video stream will be used.
     * @param {EncodingContext} [context] Optional. The MediaBrowser.Model.Dlna.EncodingContext.
     * @param {{ [key: string]: string; }} [streamOptions] Optional. The streaming options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headVideoStreamByContainer: (itemId: string, container: string, _static?: boolean | undefined, params?: string | undefined, tag?: string | undefined, deviceProfileId?: string | undefined, playSessionId?: string | undefined, segmentContainer?: string | undefined, segmentLength?: number | undefined, minSegments?: number | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, audioCodec?: string | undefined, enableAutoStreamCopy?: boolean | undefined, allowVideoStreamCopy?: boolean | undefined, allowAudioStreamCopy?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, audioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, audioBitRate?: number | undefined, audioChannels?: number | undefined, maxAudioChannels?: number | undefined, profile?: string | undefined, level?: string | undefined, framerate?: number | undefined, maxFramerate?: number | undefined, copyTimestamps?: boolean | undefined, startTimeTicks?: number | undefined, width?: number | undefined, height?: number | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, videoBitRate?: number | undefined, subtitleStreamIndex?: number | undefined, subtitleMethod?: SubtitleDeliveryMethod | undefined, maxRefFrames?: number | undefined, maxVideoBitDepth?: number | undefined, requireAvc?: boolean | undefined, deInterlace?: boolean | undefined, requireNonAnamorphic?: boolean | undefined, transcodingMaxAudioChannels?: number | undefined, cpuCoreLimit?: number | undefined, liveStreamId?: string | undefined, enableMpegtsM2TsMode?: boolean | undefined, videoCodec?: string | undefined, subtitleCodec?: string | undefined, transcodeReasons?: string | undefined, audioStreamIndex?: number | undefined, videoStreamIndex?: number | undefined, context?: EncodingContext | undefined, streamOptions?: {
        [key: string]: string;
    } | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Merges videos into a single record.
     * @param {Array<string>} ids Item id list. This allows multiple, comma delimited.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    mergeVersions: (ids: Array<string>, options?: any) => Promise<RequestArgs>;
};
/**
 * VideosApi - functional programming interface
 * @export
 */
export declare const VideosApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Removes alternate video sources.
     * @param {string} itemId The item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteAlternateSources(itemId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Gets additional parts for a video.
     * @param {string} itemId The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getAdditionalPart(itemId: string, userId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
    /**
     *
     * @summary Gets a video stream.
     * @param {string} itemId The item id.
     * @param {string} [container] The video container. Possible values are: ts, webm, asf, wmv, ogv, mp4, m4v, mkv, mpeg, mpg, avi, 3gp, wmv, wtv, m2ts, mov, iso, flv.
     * @param {boolean} [_static] Optional. If true, the original file will be streamed statically without any encoding. Use either no url extension or the original file extension. true/false.
     * @param {string} [params] The streaming parameters.
     * @param {string} [tag] The tag.
     * @param {string} [deviceProfileId] Optional. The dlna device profile id to utilize.
     * @param {string} [playSessionId] The play session id.
     * @param {string} [segmentContainer] The segment container.
     * @param {number} [segmentLength] The segment length.
     * @param {number} [minSegments] The minimum number of segments.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [audioCodec] Optional. Specify a audio codec to encode to, e.g. mp3. If omitted the server will auto-select using the url\&#39;s extension. Options: aac, mp3, vorbis, wma.
     * @param {boolean} [enableAutoStreamCopy] Whether or not to allow automatic stream copy if requested values match the original source. Defaults to true.
     * @param {boolean} [allowVideoStreamCopy] Whether or not to allow copying of the video stream url.
     * @param {boolean} [allowAudioStreamCopy] Whether or not to allow copying of the audio stream url.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {number} [audioSampleRate] Optional. Specify a specific audio sample rate, e.g. 44100.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [audioChannels] Optional. Specify a specific number of audio channels to encode to, e.g. 2.
     * @param {number} [maxAudioChannels] Optional. Specify a maximum number of audio channels to encode to, e.g. 2.
     * @param {string} [profile] Optional. Specify a specific an encoder profile (varies by encoder), e.g. main, baseline, high.
     * @param {string} [level] Optional. Specify a level for the encoder profile (varies by encoder), e.g. 3, 3.1.
     * @param {number} [framerate] Optional. A specific video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {number} [maxFramerate] Optional. A specific maximum video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {boolean} [copyTimestamps] Whether or not to copy timestamps when transcoding with an offset. Defaults to false.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {number} [width] Optional. The fixed horizontal resolution of the encoded video.
     * @param {number} [height] Optional. The fixed vertical resolution of the encoded video.
     * @param {number} [maxWidth] Optional. The maximum horizontal resolution of the encoded video.
     * @param {number} [maxHeight] Optional. The maximum vertical resolution of the encoded video.
     * @param {number} [videoBitRate] Optional. Specify a video bitrate to encode to, e.g. 500000. If omitted this will be left to encoder defaults.
     * @param {number} [subtitleStreamIndex] Optional. The index of the subtitle stream to use. If omitted no subtitles will be used.
     * @param {SubtitleDeliveryMethod} [subtitleMethod] Optional. Specify the subtitle delivery method.
     * @param {number} [maxRefFrames] Optional.
     * @param {number} [maxVideoBitDepth] Optional. The maximum video bit depth.
     * @param {boolean} [requireAvc] Optional. Whether to require avc.
     * @param {boolean} [deInterlace] Optional. Whether to deinterlace the video.
     * @param {boolean} [requireNonAnamorphic] Optional. Whether to require a non anamorphic stream.
     * @param {number} [transcodingMaxAudioChannels] Optional. The maximum number of audio channels to transcode.
     * @param {number} [cpuCoreLimit] Optional. The limit of how many cpu cores to use.
     * @param {string} [liveStreamId] The live stream id.
     * @param {boolean} [enableMpegtsM2TsMode] Optional. Whether to enable the MpegtsM2Ts mode.
     * @param {string} [videoCodec] Optional. Specify a video codec to encode to, e.g. h264. If omitted the server will auto-select using the url\&#39;s extension. Options: h265, h264, mpeg4, theora, vpx, wmv.
     * @param {string} [subtitleCodec] Optional. Specify a subtitle codec to encode to.
     * @param {string} [transcodeReasons] Optional. The transcoding reason.
     * @param {number} [audioStreamIndex] Optional. The index of the audio stream to use. If omitted the first audio stream will be used.
     * @param {number} [videoStreamIndex] Optional. The index of the video stream to use. If omitted the first video stream will be used.
     * @param {EncodingContext} [context] Optional. The MediaBrowser.Model.Dlna.EncodingContext.
     * @param {{ [key: string]: string; }} [streamOptions] Optional. The streaming options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getVideoStream(itemId: string, container?: string | undefined, _static?: boolean | undefined, params?: string | undefined, tag?: string | undefined, deviceProfileId?: string | undefined, playSessionId?: string | undefined, segmentContainer?: string | undefined, segmentLength?: number | undefined, minSegments?: number | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, audioCodec?: string | undefined, enableAutoStreamCopy?: boolean | undefined, allowVideoStreamCopy?: boolean | undefined, allowAudioStreamCopy?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, audioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, audioBitRate?: number | undefined, audioChannels?: number | undefined, maxAudioChannels?: number | undefined, profile?: string | undefined, level?: string | undefined, framerate?: number | undefined, maxFramerate?: number | undefined, copyTimestamps?: boolean | undefined, startTimeTicks?: number | undefined, width?: number | undefined, height?: number | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, videoBitRate?: number | undefined, subtitleStreamIndex?: number | undefined, subtitleMethod?: SubtitleDeliveryMethod | undefined, maxRefFrames?: number | undefined, maxVideoBitDepth?: number | undefined, requireAvc?: boolean | undefined, deInterlace?: boolean | undefined, requireNonAnamorphic?: boolean | undefined, transcodingMaxAudioChannels?: number | undefined, cpuCoreLimit?: number | undefined, liveStreamId?: string | undefined, enableMpegtsM2TsMode?: boolean | undefined, videoCodec?: string | undefined, subtitleCodec?: string | undefined, transcodeReasons?: string | undefined, audioStreamIndex?: number | undefined, videoStreamIndex?: number | undefined, context?: EncodingContext | undefined, streamOptions?: {
        [key: string]: string;
    } | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets a video stream.
     * @param {string} itemId The item id.
     * @param {string} container The video container. Possible values are: ts, webm, asf, wmv, ogv, mp4, m4v, mkv, mpeg, mpg, avi, 3gp, wmv, wtv, m2ts, mov, iso, flv.
     * @param {boolean} [_static] Optional. If true, the original file will be streamed statically without any encoding. Use either no url extension or the original file extension. true/false.
     * @param {string} [params] The streaming parameters.
     * @param {string} [tag] The tag.
     * @param {string} [deviceProfileId] Optional. The dlna device profile id to utilize.
     * @param {string} [playSessionId] The play session id.
     * @param {string} [segmentContainer] The segment container.
     * @param {number} [segmentLength] The segment length.
     * @param {number} [minSegments] The minimum number of segments.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [audioCodec] Optional. Specify a audio codec to encode to, e.g. mp3. If omitted the server will auto-select using the url\&#39;s extension. Options: aac, mp3, vorbis, wma.
     * @param {boolean} [enableAutoStreamCopy] Whether or not to allow automatic stream copy if requested values match the original source. Defaults to true.
     * @param {boolean} [allowVideoStreamCopy] Whether or not to allow copying of the video stream url.
     * @param {boolean} [allowAudioStreamCopy] Whether or not to allow copying of the audio stream url.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {number} [audioSampleRate] Optional. Specify a specific audio sample rate, e.g. 44100.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [audioChannels] Optional. Specify a specific number of audio channels to encode to, e.g. 2.
     * @param {number} [maxAudioChannels] Optional. Specify a maximum number of audio channels to encode to, e.g. 2.
     * @param {string} [profile] Optional. Specify a specific an encoder profile (varies by encoder), e.g. main, baseline, high.
     * @param {string} [level] Optional. Specify a level for the encoder profile (varies by encoder), e.g. 3, 3.1.
     * @param {number} [framerate] Optional. A specific video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {number} [maxFramerate] Optional. A specific maximum video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {boolean} [copyTimestamps] Whether or not to copy timestamps when transcoding with an offset. Defaults to false.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {number} [width] Optional. The fixed horizontal resolution of the encoded video.
     * @param {number} [height] Optional. The fixed vertical resolution of the encoded video.
     * @param {number} [maxWidth] Optional. The maximum horizontal resolution of the encoded video.
     * @param {number} [maxHeight] Optional. The maximum vertical resolution of the encoded video.
     * @param {number} [videoBitRate] Optional. Specify a video bitrate to encode to, e.g. 500000. If omitted this will be left to encoder defaults.
     * @param {number} [subtitleStreamIndex] Optional. The index of the subtitle stream to use. If omitted no subtitles will be used.
     * @param {SubtitleDeliveryMethod} [subtitleMethod] Optional. Specify the subtitle delivery method.
     * @param {number} [maxRefFrames] Optional.
     * @param {number} [maxVideoBitDepth] Optional. The maximum video bit depth.
     * @param {boolean} [requireAvc] Optional. Whether to require avc.
     * @param {boolean} [deInterlace] Optional. Whether to deinterlace the video.
     * @param {boolean} [requireNonAnamorphic] Optional. Whether to require a non anamorphic stream.
     * @param {number} [transcodingMaxAudioChannels] Optional. The maximum number of audio channels to transcode.
     * @param {number} [cpuCoreLimit] Optional. The limit of how many cpu cores to use.
     * @param {string} [liveStreamId] The live stream id.
     * @param {boolean} [enableMpegtsM2TsMode] Optional. Whether to enable the MpegtsM2Ts mode.
     * @param {string} [videoCodec] Optional. Specify a video codec to encode to, e.g. h264. If omitted the server will auto-select using the url\&#39;s extension. Options: h265, h264, mpeg4, theora, vpx, wmv.
     * @param {string} [subtitleCodec] Optional. Specify a subtitle codec to encode to.
     * @param {string} [transcodeReasons] Optional. The transcoding reason.
     * @param {number} [audioStreamIndex] Optional. The index of the audio stream to use. If omitted the first audio stream will be used.
     * @param {number} [videoStreamIndex] Optional. The index of the video stream to use. If omitted the first video stream will be used.
     * @param {EncodingContext} [context] Optional. The MediaBrowser.Model.Dlna.EncodingContext.
     * @param {{ [key: string]: string; }} [streamOptions] Optional. The streaming options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getVideoStreamByContainer(itemId: string, container: string, _static?: boolean | undefined, params?: string | undefined, tag?: string | undefined, deviceProfileId?: string | undefined, playSessionId?: string | undefined, segmentContainer?: string | undefined, segmentLength?: number | undefined, minSegments?: number | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, audioCodec?: string | undefined, enableAutoStreamCopy?: boolean | undefined, allowVideoStreamCopy?: boolean | undefined, allowAudioStreamCopy?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, audioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, audioBitRate?: number | undefined, audioChannels?: number | undefined, maxAudioChannels?: number | undefined, profile?: string | undefined, level?: string | undefined, framerate?: number | undefined, maxFramerate?: number | undefined, copyTimestamps?: boolean | undefined, startTimeTicks?: number | undefined, width?: number | undefined, height?: number | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, videoBitRate?: number | undefined, subtitleStreamIndex?: number | undefined, subtitleMethod?: SubtitleDeliveryMethod | undefined, maxRefFrames?: number | undefined, maxVideoBitDepth?: number | undefined, requireAvc?: boolean | undefined, deInterlace?: boolean | undefined, requireNonAnamorphic?: boolean | undefined, transcodingMaxAudioChannels?: number | undefined, cpuCoreLimit?: number | undefined, liveStreamId?: string | undefined, enableMpegtsM2TsMode?: boolean | undefined, videoCodec?: string | undefined, subtitleCodec?: string | undefined, transcodeReasons?: string | undefined, audioStreamIndex?: number | undefined, videoStreamIndex?: number | undefined, context?: EncodingContext | undefined, streamOptions?: {
        [key: string]: string;
    } | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets a video stream.
     * @param {string} itemId The item id.
     * @param {string} [container] The video container. Possible values are: ts, webm, asf, wmv, ogv, mp4, m4v, mkv, mpeg, mpg, avi, 3gp, wmv, wtv, m2ts, mov, iso, flv.
     * @param {boolean} [_static] Optional. If true, the original file will be streamed statically without any encoding. Use either no url extension or the original file extension. true/false.
     * @param {string} [params] The streaming parameters.
     * @param {string} [tag] The tag.
     * @param {string} [deviceProfileId] Optional. The dlna device profile id to utilize.
     * @param {string} [playSessionId] The play session id.
     * @param {string} [segmentContainer] The segment container.
     * @param {number} [segmentLength] The segment length.
     * @param {number} [minSegments] The minimum number of segments.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [audioCodec] Optional. Specify a audio codec to encode to, e.g. mp3. If omitted the server will auto-select using the url\&#39;s extension. Options: aac, mp3, vorbis, wma.
     * @param {boolean} [enableAutoStreamCopy] Whether or not to allow automatic stream copy if requested values match the original source. Defaults to true.
     * @param {boolean} [allowVideoStreamCopy] Whether or not to allow copying of the video stream url.
     * @param {boolean} [allowAudioStreamCopy] Whether or not to allow copying of the audio stream url.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {number} [audioSampleRate] Optional. Specify a specific audio sample rate, e.g. 44100.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [audioChannels] Optional. Specify a specific number of audio channels to encode to, e.g. 2.
     * @param {number} [maxAudioChannels] Optional. Specify a maximum number of audio channels to encode to, e.g. 2.
     * @param {string} [profile] Optional. Specify a specific an encoder profile (varies by encoder), e.g. main, baseline, high.
     * @param {string} [level] Optional. Specify a level for the encoder profile (varies by encoder), e.g. 3, 3.1.
     * @param {number} [framerate] Optional. A specific video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {number} [maxFramerate] Optional. A specific maximum video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {boolean} [copyTimestamps] Whether or not to copy timestamps when transcoding with an offset. Defaults to false.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {number} [width] Optional. The fixed horizontal resolution of the encoded video.
     * @param {number} [height] Optional. The fixed vertical resolution of the encoded video.
     * @param {number} [maxWidth] Optional. The maximum horizontal resolution of the encoded video.
     * @param {number} [maxHeight] Optional. The maximum vertical resolution of the encoded video.
     * @param {number} [videoBitRate] Optional. Specify a video bitrate to encode to, e.g. 500000. If omitted this will be left to encoder defaults.
     * @param {number} [subtitleStreamIndex] Optional. The index of the subtitle stream to use. If omitted no subtitles will be used.
     * @param {SubtitleDeliveryMethod} [subtitleMethod] Optional. Specify the subtitle delivery method.
     * @param {number} [maxRefFrames] Optional.
     * @param {number} [maxVideoBitDepth] Optional. The maximum video bit depth.
     * @param {boolean} [requireAvc] Optional. Whether to require avc.
     * @param {boolean} [deInterlace] Optional. Whether to deinterlace the video.
     * @param {boolean} [requireNonAnamorphic] Optional. Whether to require a non anamorphic stream.
     * @param {number} [transcodingMaxAudioChannels] Optional. The maximum number of audio channels to transcode.
     * @param {number} [cpuCoreLimit] Optional. The limit of how many cpu cores to use.
     * @param {string} [liveStreamId] The live stream id.
     * @param {boolean} [enableMpegtsM2TsMode] Optional. Whether to enable the MpegtsM2Ts mode.
     * @param {string} [videoCodec] Optional. Specify a video codec to encode to, e.g. h264. If omitted the server will auto-select using the url\&#39;s extension. Options: h265, h264, mpeg4, theora, vpx, wmv.
     * @param {string} [subtitleCodec] Optional. Specify a subtitle codec to encode to.
     * @param {string} [transcodeReasons] Optional. The transcoding reason.
     * @param {number} [audioStreamIndex] Optional. The index of the audio stream to use. If omitted the first audio stream will be used.
     * @param {number} [videoStreamIndex] Optional. The index of the video stream to use. If omitted the first video stream will be used.
     * @param {EncodingContext} [context] Optional. The MediaBrowser.Model.Dlna.EncodingContext.
     * @param {{ [key: string]: string; }} [streamOptions] Optional. The streaming options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headVideoStream(itemId: string, container?: string | undefined, _static?: boolean | undefined, params?: string | undefined, tag?: string | undefined, deviceProfileId?: string | undefined, playSessionId?: string | undefined, segmentContainer?: string | undefined, segmentLength?: number | undefined, minSegments?: number | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, audioCodec?: string | undefined, enableAutoStreamCopy?: boolean | undefined, allowVideoStreamCopy?: boolean | undefined, allowAudioStreamCopy?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, audioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, audioBitRate?: number | undefined, audioChannels?: number | undefined, maxAudioChannels?: number | undefined, profile?: string | undefined, level?: string | undefined, framerate?: number | undefined, maxFramerate?: number | undefined, copyTimestamps?: boolean | undefined, startTimeTicks?: number | undefined, width?: number | undefined, height?: number | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, videoBitRate?: number | undefined, subtitleStreamIndex?: number | undefined, subtitleMethod?: SubtitleDeliveryMethod | undefined, maxRefFrames?: number | undefined, maxVideoBitDepth?: number | undefined, requireAvc?: boolean | undefined, deInterlace?: boolean | undefined, requireNonAnamorphic?: boolean | undefined, transcodingMaxAudioChannels?: number | undefined, cpuCoreLimit?: number | undefined, liveStreamId?: string | undefined, enableMpegtsM2TsMode?: boolean | undefined, videoCodec?: string | undefined, subtitleCodec?: string | undefined, transcodeReasons?: string | undefined, audioStreamIndex?: number | undefined, videoStreamIndex?: number | undefined, context?: EncodingContext | undefined, streamOptions?: {
        [key: string]: string;
    } | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets a video stream.
     * @param {string} itemId The item id.
     * @param {string} container The video container. Possible values are: ts, webm, asf, wmv, ogv, mp4, m4v, mkv, mpeg, mpg, avi, 3gp, wmv, wtv, m2ts, mov, iso, flv.
     * @param {boolean} [_static] Optional. If true, the original file will be streamed statically without any encoding. Use either no url extension or the original file extension. true/false.
     * @param {string} [params] The streaming parameters.
     * @param {string} [tag] The tag.
     * @param {string} [deviceProfileId] Optional. The dlna device profile id to utilize.
     * @param {string} [playSessionId] The play session id.
     * @param {string} [segmentContainer] The segment container.
     * @param {number} [segmentLength] The segment length.
     * @param {number} [minSegments] The minimum number of segments.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [audioCodec] Optional. Specify a audio codec to encode to, e.g. mp3. If omitted the server will auto-select using the url\&#39;s extension. Options: aac, mp3, vorbis, wma.
     * @param {boolean} [enableAutoStreamCopy] Whether or not to allow automatic stream copy if requested values match the original source. Defaults to true.
     * @param {boolean} [allowVideoStreamCopy] Whether or not to allow copying of the video stream url.
     * @param {boolean} [allowAudioStreamCopy] Whether or not to allow copying of the audio stream url.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {number} [audioSampleRate] Optional. Specify a specific audio sample rate, e.g. 44100.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [audioChannels] Optional. Specify a specific number of audio channels to encode to, e.g. 2.
     * @param {number} [maxAudioChannels] Optional. Specify a maximum number of audio channels to encode to, e.g. 2.
     * @param {string} [profile] Optional. Specify a specific an encoder profile (varies by encoder), e.g. main, baseline, high.
     * @param {string} [level] Optional. Specify a level for the encoder profile (varies by encoder), e.g. 3, 3.1.
     * @param {number} [framerate] Optional. A specific video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {number} [maxFramerate] Optional. A specific maximum video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {boolean} [copyTimestamps] Whether or not to copy timestamps when transcoding with an offset. Defaults to false.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {number} [width] Optional. The fixed horizontal resolution of the encoded video.
     * @param {number} [height] Optional. The fixed vertical resolution of the encoded video.
     * @param {number} [maxWidth] Optional. The maximum horizontal resolution of the encoded video.
     * @param {number} [maxHeight] Optional. The maximum vertical resolution of the encoded video.
     * @param {number} [videoBitRate] Optional. Specify a video bitrate to encode to, e.g. 500000. If omitted this will be left to encoder defaults.
     * @param {number} [subtitleStreamIndex] Optional. The index of the subtitle stream to use. If omitted no subtitles will be used.
     * @param {SubtitleDeliveryMethod} [subtitleMethod] Optional. Specify the subtitle delivery method.
     * @param {number} [maxRefFrames] Optional.
     * @param {number} [maxVideoBitDepth] Optional. The maximum video bit depth.
     * @param {boolean} [requireAvc] Optional. Whether to require avc.
     * @param {boolean} [deInterlace] Optional. Whether to deinterlace the video.
     * @param {boolean} [requireNonAnamorphic] Optional. Whether to require a non anamorphic stream.
     * @param {number} [transcodingMaxAudioChannels] Optional. The maximum number of audio channels to transcode.
     * @param {number} [cpuCoreLimit] Optional. The limit of how many cpu cores to use.
     * @param {string} [liveStreamId] The live stream id.
     * @param {boolean} [enableMpegtsM2TsMode] Optional. Whether to enable the MpegtsM2Ts mode.
     * @param {string} [videoCodec] Optional. Specify a video codec to encode to, e.g. h264. If omitted the server will auto-select using the url\&#39;s extension. Options: h265, h264, mpeg4, theora, vpx, wmv.
     * @param {string} [subtitleCodec] Optional. Specify a subtitle codec to encode to.
     * @param {string} [transcodeReasons] Optional. The transcoding reason.
     * @param {number} [audioStreamIndex] Optional. The index of the audio stream to use. If omitted the first audio stream will be used.
     * @param {number} [videoStreamIndex] Optional. The index of the video stream to use. If omitted the first video stream will be used.
     * @param {EncodingContext} [context] Optional. The MediaBrowser.Model.Dlna.EncodingContext.
     * @param {{ [key: string]: string; }} [streamOptions] Optional. The streaming options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headVideoStreamByContainer(itemId: string, container: string, _static?: boolean | undefined, params?: string | undefined, tag?: string | undefined, deviceProfileId?: string | undefined, playSessionId?: string | undefined, segmentContainer?: string | undefined, segmentLength?: number | undefined, minSegments?: number | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, audioCodec?: string | undefined, enableAutoStreamCopy?: boolean | undefined, allowVideoStreamCopy?: boolean | undefined, allowAudioStreamCopy?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, audioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, audioBitRate?: number | undefined, audioChannels?: number | undefined, maxAudioChannels?: number | undefined, profile?: string | undefined, level?: string | undefined, framerate?: number | undefined, maxFramerate?: number | undefined, copyTimestamps?: boolean | undefined, startTimeTicks?: number | undefined, width?: number | undefined, height?: number | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, videoBitRate?: number | undefined, subtitleStreamIndex?: number | undefined, subtitleMethod?: SubtitleDeliveryMethod | undefined, maxRefFrames?: number | undefined, maxVideoBitDepth?: number | undefined, requireAvc?: boolean | undefined, deInterlace?: boolean | undefined, requireNonAnamorphic?: boolean | undefined, transcodingMaxAudioChannels?: number | undefined, cpuCoreLimit?: number | undefined, liveStreamId?: string | undefined, enableMpegtsM2TsMode?: boolean | undefined, videoCodec?: string | undefined, subtitleCodec?: string | undefined, transcodeReasons?: string | undefined, audioStreamIndex?: number | undefined, videoStreamIndex?: number | undefined, context?: EncodingContext | undefined, streamOptions?: {
        [key: string]: string;
    } | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Merges videos into a single record.
     * @param {Array<string>} ids Item id list. This allows multiple, comma delimited.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    mergeVersions(ids: Array<string>, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * VideosApi - factory interface
 * @export
 */
export declare const VideosApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Removes alternate video sources.
     * @param {string} itemId The item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteAlternateSources(itemId: string, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Gets additional parts for a video.
     * @param {string} itemId The item id.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getAdditionalPart(itemId: string, userId?: string | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
    /**
     *
     * @summary Gets a video stream.
     * @param {string} itemId The item id.
     * @param {string} [container] The video container. Possible values are: ts, webm, asf, wmv, ogv, mp4, m4v, mkv, mpeg, mpg, avi, 3gp, wmv, wtv, m2ts, mov, iso, flv.
     * @param {boolean} [_static] Optional. If true, the original file will be streamed statically without any encoding. Use either no url extension or the original file extension. true/false.
     * @param {string} [params] The streaming parameters.
     * @param {string} [tag] The tag.
     * @param {string} [deviceProfileId] Optional. The dlna device profile id to utilize.
     * @param {string} [playSessionId] The play session id.
     * @param {string} [segmentContainer] The segment container.
     * @param {number} [segmentLength] The segment length.
     * @param {number} [minSegments] The minimum number of segments.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [audioCodec] Optional. Specify a audio codec to encode to, e.g. mp3. If omitted the server will auto-select using the url\&#39;s extension. Options: aac, mp3, vorbis, wma.
     * @param {boolean} [enableAutoStreamCopy] Whether or not to allow automatic stream copy if requested values match the original source. Defaults to true.
     * @param {boolean} [allowVideoStreamCopy] Whether or not to allow copying of the video stream url.
     * @param {boolean} [allowAudioStreamCopy] Whether or not to allow copying of the audio stream url.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {number} [audioSampleRate] Optional. Specify a specific audio sample rate, e.g. 44100.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [audioChannels] Optional. Specify a specific number of audio channels to encode to, e.g. 2.
     * @param {number} [maxAudioChannels] Optional. Specify a maximum number of audio channels to encode to, e.g. 2.
     * @param {string} [profile] Optional. Specify a specific an encoder profile (varies by encoder), e.g. main, baseline, high.
     * @param {string} [level] Optional. Specify a level for the encoder profile (varies by encoder), e.g. 3, 3.1.
     * @param {number} [framerate] Optional. A specific video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {number} [maxFramerate] Optional. A specific maximum video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {boolean} [copyTimestamps] Whether or not to copy timestamps when transcoding with an offset. Defaults to false.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {number} [width] Optional. The fixed horizontal resolution of the encoded video.
     * @param {number} [height] Optional. The fixed vertical resolution of the encoded video.
     * @param {number} [maxWidth] Optional. The maximum horizontal resolution of the encoded video.
     * @param {number} [maxHeight] Optional. The maximum vertical resolution of the encoded video.
     * @param {number} [videoBitRate] Optional. Specify a video bitrate to encode to, e.g. 500000. If omitted this will be left to encoder defaults.
     * @param {number} [subtitleStreamIndex] Optional. The index of the subtitle stream to use. If omitted no subtitles will be used.
     * @param {SubtitleDeliveryMethod} [subtitleMethod] Optional. Specify the subtitle delivery method.
     * @param {number} [maxRefFrames] Optional.
     * @param {number} [maxVideoBitDepth] Optional. The maximum video bit depth.
     * @param {boolean} [requireAvc] Optional. Whether to require avc.
     * @param {boolean} [deInterlace] Optional. Whether to deinterlace the video.
     * @param {boolean} [requireNonAnamorphic] Optional. Whether to require a non anamorphic stream.
     * @param {number} [transcodingMaxAudioChannels] Optional. The maximum number of audio channels to transcode.
     * @param {number} [cpuCoreLimit] Optional. The limit of how many cpu cores to use.
     * @param {string} [liveStreamId] The live stream id.
     * @param {boolean} [enableMpegtsM2TsMode] Optional. Whether to enable the MpegtsM2Ts mode.
     * @param {string} [videoCodec] Optional. Specify a video codec to encode to, e.g. h264. If omitted the server will auto-select using the url\&#39;s extension. Options: h265, h264, mpeg4, theora, vpx, wmv.
     * @param {string} [subtitleCodec] Optional. Specify a subtitle codec to encode to.
     * @param {string} [transcodeReasons] Optional. The transcoding reason.
     * @param {number} [audioStreamIndex] Optional. The index of the audio stream to use. If omitted the first audio stream will be used.
     * @param {number} [videoStreamIndex] Optional. The index of the video stream to use. If omitted the first video stream will be used.
     * @param {EncodingContext} [context] Optional. The MediaBrowser.Model.Dlna.EncodingContext.
     * @param {{ [key: string]: string; }} [streamOptions] Optional. The streaming options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getVideoStream(itemId: string, container?: string | undefined, _static?: boolean | undefined, params?: string | undefined, tag?: string | undefined, deviceProfileId?: string | undefined, playSessionId?: string | undefined, segmentContainer?: string | undefined, segmentLength?: number | undefined, minSegments?: number | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, audioCodec?: string | undefined, enableAutoStreamCopy?: boolean | undefined, allowVideoStreamCopy?: boolean | undefined, allowAudioStreamCopy?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, audioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, audioBitRate?: number | undefined, audioChannels?: number | undefined, maxAudioChannels?: number | undefined, profile?: string | undefined, level?: string | undefined, framerate?: number | undefined, maxFramerate?: number | undefined, copyTimestamps?: boolean | undefined, startTimeTicks?: number | undefined, width?: number | undefined, height?: number | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, videoBitRate?: number | undefined, subtitleStreamIndex?: number | undefined, subtitleMethod?: SubtitleDeliveryMethod | undefined, maxRefFrames?: number | undefined, maxVideoBitDepth?: number | undefined, requireAvc?: boolean | undefined, deInterlace?: boolean | undefined, requireNonAnamorphic?: boolean | undefined, transcodingMaxAudioChannels?: number | undefined, cpuCoreLimit?: number | undefined, liveStreamId?: string | undefined, enableMpegtsM2TsMode?: boolean | undefined, videoCodec?: string | undefined, subtitleCodec?: string | undefined, transcodeReasons?: string | undefined, audioStreamIndex?: number | undefined, videoStreamIndex?: number | undefined, context?: EncodingContext | undefined, streamOptions?: {
        [key: string]: string;
    } | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets a video stream.
     * @param {string} itemId The item id.
     * @param {string} container The video container. Possible values are: ts, webm, asf, wmv, ogv, mp4, m4v, mkv, mpeg, mpg, avi, 3gp, wmv, wtv, m2ts, mov, iso, flv.
     * @param {boolean} [_static] Optional. If true, the original file will be streamed statically without any encoding. Use either no url extension or the original file extension. true/false.
     * @param {string} [params] The streaming parameters.
     * @param {string} [tag] The tag.
     * @param {string} [deviceProfileId] Optional. The dlna device profile id to utilize.
     * @param {string} [playSessionId] The play session id.
     * @param {string} [segmentContainer] The segment container.
     * @param {number} [segmentLength] The segment length.
     * @param {number} [minSegments] The minimum number of segments.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [audioCodec] Optional. Specify a audio codec to encode to, e.g. mp3. If omitted the server will auto-select using the url\&#39;s extension. Options: aac, mp3, vorbis, wma.
     * @param {boolean} [enableAutoStreamCopy] Whether or not to allow automatic stream copy if requested values match the original source. Defaults to true.
     * @param {boolean} [allowVideoStreamCopy] Whether or not to allow copying of the video stream url.
     * @param {boolean} [allowAudioStreamCopy] Whether or not to allow copying of the audio stream url.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {number} [audioSampleRate] Optional. Specify a specific audio sample rate, e.g. 44100.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [audioChannels] Optional. Specify a specific number of audio channels to encode to, e.g. 2.
     * @param {number} [maxAudioChannels] Optional. Specify a maximum number of audio channels to encode to, e.g. 2.
     * @param {string} [profile] Optional. Specify a specific an encoder profile (varies by encoder), e.g. main, baseline, high.
     * @param {string} [level] Optional. Specify a level for the encoder profile (varies by encoder), e.g. 3, 3.1.
     * @param {number} [framerate] Optional. A specific video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {number} [maxFramerate] Optional. A specific maximum video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {boolean} [copyTimestamps] Whether or not to copy timestamps when transcoding with an offset. Defaults to false.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {number} [width] Optional. The fixed horizontal resolution of the encoded video.
     * @param {number} [height] Optional. The fixed vertical resolution of the encoded video.
     * @param {number} [maxWidth] Optional. The maximum horizontal resolution of the encoded video.
     * @param {number} [maxHeight] Optional. The maximum vertical resolution of the encoded video.
     * @param {number} [videoBitRate] Optional. Specify a video bitrate to encode to, e.g. 500000. If omitted this will be left to encoder defaults.
     * @param {number} [subtitleStreamIndex] Optional. The index of the subtitle stream to use. If omitted no subtitles will be used.
     * @param {SubtitleDeliveryMethod} [subtitleMethod] Optional. Specify the subtitle delivery method.
     * @param {number} [maxRefFrames] Optional.
     * @param {number} [maxVideoBitDepth] Optional. The maximum video bit depth.
     * @param {boolean} [requireAvc] Optional. Whether to require avc.
     * @param {boolean} [deInterlace] Optional. Whether to deinterlace the video.
     * @param {boolean} [requireNonAnamorphic] Optional. Whether to require a non anamorphic stream.
     * @param {number} [transcodingMaxAudioChannels] Optional. The maximum number of audio channels to transcode.
     * @param {number} [cpuCoreLimit] Optional. The limit of how many cpu cores to use.
     * @param {string} [liveStreamId] The live stream id.
     * @param {boolean} [enableMpegtsM2TsMode] Optional. Whether to enable the MpegtsM2Ts mode.
     * @param {string} [videoCodec] Optional. Specify a video codec to encode to, e.g. h264. If omitted the server will auto-select using the url\&#39;s extension. Options: h265, h264, mpeg4, theora, vpx, wmv.
     * @param {string} [subtitleCodec] Optional. Specify a subtitle codec to encode to.
     * @param {string} [transcodeReasons] Optional. The transcoding reason.
     * @param {number} [audioStreamIndex] Optional. The index of the audio stream to use. If omitted the first audio stream will be used.
     * @param {number} [videoStreamIndex] Optional. The index of the video stream to use. If omitted the first video stream will be used.
     * @param {EncodingContext} [context] Optional. The MediaBrowser.Model.Dlna.EncodingContext.
     * @param {{ [key: string]: string; }} [streamOptions] Optional. The streaming options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getVideoStreamByContainer(itemId: string, container: string, _static?: boolean | undefined, params?: string | undefined, tag?: string | undefined, deviceProfileId?: string | undefined, playSessionId?: string | undefined, segmentContainer?: string | undefined, segmentLength?: number | undefined, minSegments?: number | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, audioCodec?: string | undefined, enableAutoStreamCopy?: boolean | undefined, allowVideoStreamCopy?: boolean | undefined, allowAudioStreamCopy?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, audioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, audioBitRate?: number | undefined, audioChannels?: number | undefined, maxAudioChannels?: number | undefined, profile?: string | undefined, level?: string | undefined, framerate?: number | undefined, maxFramerate?: number | undefined, copyTimestamps?: boolean | undefined, startTimeTicks?: number | undefined, width?: number | undefined, height?: number | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, videoBitRate?: number | undefined, subtitleStreamIndex?: number | undefined, subtitleMethod?: SubtitleDeliveryMethod | undefined, maxRefFrames?: number | undefined, maxVideoBitDepth?: number | undefined, requireAvc?: boolean | undefined, deInterlace?: boolean | undefined, requireNonAnamorphic?: boolean | undefined, transcodingMaxAudioChannels?: number | undefined, cpuCoreLimit?: number | undefined, liveStreamId?: string | undefined, enableMpegtsM2TsMode?: boolean | undefined, videoCodec?: string | undefined, subtitleCodec?: string | undefined, transcodeReasons?: string | undefined, audioStreamIndex?: number | undefined, videoStreamIndex?: number | undefined, context?: EncodingContext | undefined, streamOptions?: {
        [key: string]: string;
    } | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets a video stream.
     * @param {string} itemId The item id.
     * @param {string} [container] The video container. Possible values are: ts, webm, asf, wmv, ogv, mp4, m4v, mkv, mpeg, mpg, avi, 3gp, wmv, wtv, m2ts, mov, iso, flv.
     * @param {boolean} [_static] Optional. If true, the original file will be streamed statically without any encoding. Use either no url extension or the original file extension. true/false.
     * @param {string} [params] The streaming parameters.
     * @param {string} [tag] The tag.
     * @param {string} [deviceProfileId] Optional. The dlna device profile id to utilize.
     * @param {string} [playSessionId] The play session id.
     * @param {string} [segmentContainer] The segment container.
     * @param {number} [segmentLength] The segment length.
     * @param {number} [minSegments] The minimum number of segments.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [audioCodec] Optional. Specify a audio codec to encode to, e.g. mp3. If omitted the server will auto-select using the url\&#39;s extension. Options: aac, mp3, vorbis, wma.
     * @param {boolean} [enableAutoStreamCopy] Whether or not to allow automatic stream copy if requested values match the original source. Defaults to true.
     * @param {boolean} [allowVideoStreamCopy] Whether or not to allow copying of the video stream url.
     * @param {boolean} [allowAudioStreamCopy] Whether or not to allow copying of the audio stream url.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {number} [audioSampleRate] Optional. Specify a specific audio sample rate, e.g. 44100.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [audioChannels] Optional. Specify a specific number of audio channels to encode to, e.g. 2.
     * @param {number} [maxAudioChannels] Optional. Specify a maximum number of audio channels to encode to, e.g. 2.
     * @param {string} [profile] Optional. Specify a specific an encoder profile (varies by encoder), e.g. main, baseline, high.
     * @param {string} [level] Optional. Specify a level for the encoder profile (varies by encoder), e.g. 3, 3.1.
     * @param {number} [framerate] Optional. A specific video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {number} [maxFramerate] Optional. A specific maximum video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {boolean} [copyTimestamps] Whether or not to copy timestamps when transcoding with an offset. Defaults to false.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {number} [width] Optional. The fixed horizontal resolution of the encoded video.
     * @param {number} [height] Optional. The fixed vertical resolution of the encoded video.
     * @param {number} [maxWidth] Optional. The maximum horizontal resolution of the encoded video.
     * @param {number} [maxHeight] Optional. The maximum vertical resolution of the encoded video.
     * @param {number} [videoBitRate] Optional. Specify a video bitrate to encode to, e.g. 500000. If omitted this will be left to encoder defaults.
     * @param {number} [subtitleStreamIndex] Optional. The index of the subtitle stream to use. If omitted no subtitles will be used.
     * @param {SubtitleDeliveryMethod} [subtitleMethod] Optional. Specify the subtitle delivery method.
     * @param {number} [maxRefFrames] Optional.
     * @param {number} [maxVideoBitDepth] Optional. The maximum video bit depth.
     * @param {boolean} [requireAvc] Optional. Whether to require avc.
     * @param {boolean} [deInterlace] Optional. Whether to deinterlace the video.
     * @param {boolean} [requireNonAnamorphic] Optional. Whether to require a non anamorphic stream.
     * @param {number} [transcodingMaxAudioChannels] Optional. The maximum number of audio channels to transcode.
     * @param {number} [cpuCoreLimit] Optional. The limit of how many cpu cores to use.
     * @param {string} [liveStreamId] The live stream id.
     * @param {boolean} [enableMpegtsM2TsMode] Optional. Whether to enable the MpegtsM2Ts mode.
     * @param {string} [videoCodec] Optional. Specify a video codec to encode to, e.g. h264. If omitted the server will auto-select using the url\&#39;s extension. Options: h265, h264, mpeg4, theora, vpx, wmv.
     * @param {string} [subtitleCodec] Optional. Specify a subtitle codec to encode to.
     * @param {string} [transcodeReasons] Optional. The transcoding reason.
     * @param {number} [audioStreamIndex] Optional. The index of the audio stream to use. If omitted the first audio stream will be used.
     * @param {number} [videoStreamIndex] Optional. The index of the video stream to use. If omitted the first video stream will be used.
     * @param {EncodingContext} [context] Optional. The MediaBrowser.Model.Dlna.EncodingContext.
     * @param {{ [key: string]: string; }} [streamOptions] Optional. The streaming options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headVideoStream(itemId: string, container?: string | undefined, _static?: boolean | undefined, params?: string | undefined, tag?: string | undefined, deviceProfileId?: string | undefined, playSessionId?: string | undefined, segmentContainer?: string | undefined, segmentLength?: number | undefined, minSegments?: number | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, audioCodec?: string | undefined, enableAutoStreamCopy?: boolean | undefined, allowVideoStreamCopy?: boolean | undefined, allowAudioStreamCopy?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, audioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, audioBitRate?: number | undefined, audioChannels?: number | undefined, maxAudioChannels?: number | undefined, profile?: string | undefined, level?: string | undefined, framerate?: number | undefined, maxFramerate?: number | undefined, copyTimestamps?: boolean | undefined, startTimeTicks?: number | undefined, width?: number | undefined, height?: number | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, videoBitRate?: number | undefined, subtitleStreamIndex?: number | undefined, subtitleMethod?: SubtitleDeliveryMethod | undefined, maxRefFrames?: number | undefined, maxVideoBitDepth?: number | undefined, requireAvc?: boolean | undefined, deInterlace?: boolean | undefined, requireNonAnamorphic?: boolean | undefined, transcodingMaxAudioChannels?: number | undefined, cpuCoreLimit?: number | undefined, liveStreamId?: string | undefined, enableMpegtsM2TsMode?: boolean | undefined, videoCodec?: string | undefined, subtitleCodec?: string | undefined, transcodeReasons?: string | undefined, audioStreamIndex?: number | undefined, videoStreamIndex?: number | undefined, context?: EncodingContext | undefined, streamOptions?: {
        [key: string]: string;
    } | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets a video stream.
     * @param {string} itemId The item id.
     * @param {string} container The video container. Possible values are: ts, webm, asf, wmv, ogv, mp4, m4v, mkv, mpeg, mpg, avi, 3gp, wmv, wtv, m2ts, mov, iso, flv.
     * @param {boolean} [_static] Optional. If true, the original file will be streamed statically without any encoding. Use either no url extension or the original file extension. true/false.
     * @param {string} [params] The streaming parameters.
     * @param {string} [tag] The tag.
     * @param {string} [deviceProfileId] Optional. The dlna device profile id to utilize.
     * @param {string} [playSessionId] The play session id.
     * @param {string} [segmentContainer] The segment container.
     * @param {number} [segmentLength] The segment length.
     * @param {number} [minSegments] The minimum number of segments.
     * @param {string} [mediaSourceId] The media version id, if playing an alternate version.
     * @param {string} [deviceId] The device id of the client requesting. Used to stop encoding processes when needed.
     * @param {string} [audioCodec] Optional. Specify a audio codec to encode to, e.g. mp3. If omitted the server will auto-select using the url\&#39;s extension. Options: aac, mp3, vorbis, wma.
     * @param {boolean} [enableAutoStreamCopy] Whether or not to allow automatic stream copy if requested values match the original source. Defaults to true.
     * @param {boolean} [allowVideoStreamCopy] Whether or not to allow copying of the video stream url.
     * @param {boolean} [allowAudioStreamCopy] Whether or not to allow copying of the audio stream url.
     * @param {boolean} [breakOnNonKeyFrames] Optional. Whether to break on non key frames.
     * @param {number} [audioSampleRate] Optional. Specify a specific audio sample rate, e.g. 44100.
     * @param {number} [maxAudioBitDepth] Optional. The maximum audio bit depth.
     * @param {number} [audioBitRate] Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @param {number} [audioChannels] Optional. Specify a specific number of audio channels to encode to, e.g. 2.
     * @param {number} [maxAudioChannels] Optional. Specify a maximum number of audio channels to encode to, e.g. 2.
     * @param {string} [profile] Optional. Specify a specific an encoder profile (varies by encoder), e.g. main, baseline, high.
     * @param {string} [level] Optional. Specify a level for the encoder profile (varies by encoder), e.g. 3, 3.1.
     * @param {number} [framerate] Optional. A specific video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {number} [maxFramerate] Optional. A specific maximum video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @param {boolean} [copyTimestamps] Whether or not to copy timestamps when transcoding with an offset. Defaults to false.
     * @param {number} [startTimeTicks] Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @param {number} [width] Optional. The fixed horizontal resolution of the encoded video.
     * @param {number} [height] Optional. The fixed vertical resolution of the encoded video.
     * @param {number} [maxWidth] Optional. The maximum horizontal resolution of the encoded video.
     * @param {number} [maxHeight] Optional. The maximum vertical resolution of the encoded video.
     * @param {number} [videoBitRate] Optional. Specify a video bitrate to encode to, e.g. 500000. If omitted this will be left to encoder defaults.
     * @param {number} [subtitleStreamIndex] Optional. The index of the subtitle stream to use. If omitted no subtitles will be used.
     * @param {SubtitleDeliveryMethod} [subtitleMethod] Optional. Specify the subtitle delivery method.
     * @param {number} [maxRefFrames] Optional.
     * @param {number} [maxVideoBitDepth] Optional. The maximum video bit depth.
     * @param {boolean} [requireAvc] Optional. Whether to require avc.
     * @param {boolean} [deInterlace] Optional. Whether to deinterlace the video.
     * @param {boolean} [requireNonAnamorphic] Optional. Whether to require a non anamorphic stream.
     * @param {number} [transcodingMaxAudioChannels] Optional. The maximum number of audio channels to transcode.
     * @param {number} [cpuCoreLimit] Optional. The limit of how many cpu cores to use.
     * @param {string} [liveStreamId] The live stream id.
     * @param {boolean} [enableMpegtsM2TsMode] Optional. Whether to enable the MpegtsM2Ts mode.
     * @param {string} [videoCodec] Optional. Specify a video codec to encode to, e.g. h264. If omitted the server will auto-select using the url\&#39;s extension. Options: h265, h264, mpeg4, theora, vpx, wmv.
     * @param {string} [subtitleCodec] Optional. Specify a subtitle codec to encode to.
     * @param {string} [transcodeReasons] Optional. The transcoding reason.
     * @param {number} [audioStreamIndex] Optional. The index of the audio stream to use. If omitted the first audio stream will be used.
     * @param {number} [videoStreamIndex] Optional. The index of the video stream to use. If omitted the first video stream will be used.
     * @param {EncodingContext} [context] Optional. The MediaBrowser.Model.Dlna.EncodingContext.
     * @param {{ [key: string]: string; }} [streamOptions] Optional. The streaming options.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headVideoStreamByContainer(itemId: string, container: string, _static?: boolean | undefined, params?: string | undefined, tag?: string | undefined, deviceProfileId?: string | undefined, playSessionId?: string | undefined, segmentContainer?: string | undefined, segmentLength?: number | undefined, minSegments?: number | undefined, mediaSourceId?: string | undefined, deviceId?: string | undefined, audioCodec?: string | undefined, enableAutoStreamCopy?: boolean | undefined, allowVideoStreamCopy?: boolean | undefined, allowAudioStreamCopy?: boolean | undefined, breakOnNonKeyFrames?: boolean | undefined, audioSampleRate?: number | undefined, maxAudioBitDepth?: number | undefined, audioBitRate?: number | undefined, audioChannels?: number | undefined, maxAudioChannels?: number | undefined, profile?: string | undefined, level?: string | undefined, framerate?: number | undefined, maxFramerate?: number | undefined, copyTimestamps?: boolean | undefined, startTimeTicks?: number | undefined, width?: number | undefined, height?: number | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, videoBitRate?: number | undefined, subtitleStreamIndex?: number | undefined, subtitleMethod?: SubtitleDeliveryMethod | undefined, maxRefFrames?: number | undefined, maxVideoBitDepth?: number | undefined, requireAvc?: boolean | undefined, deInterlace?: boolean | undefined, requireNonAnamorphic?: boolean | undefined, transcodingMaxAudioChannels?: number | undefined, cpuCoreLimit?: number | undefined, liveStreamId?: string | undefined, enableMpegtsM2TsMode?: boolean | undefined, videoCodec?: string | undefined, subtitleCodec?: string | undefined, transcodeReasons?: string | undefined, audioStreamIndex?: number | undefined, videoStreamIndex?: number | undefined, context?: EncodingContext | undefined, streamOptions?: {
        [key: string]: string;
    } | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Merges videos into a single record.
     * @param {Array<string>} ids Item id list. This allows multiple, comma delimited.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    mergeVersions(ids: Array<string>, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for deleteAlternateSources operation in VideosApi.
 * @export
 * @interface VideosApiDeleteAlternateSourcesRequest
 */
export interface VideosApiDeleteAlternateSourcesRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof VideosApiDeleteAlternateSources
     */
    readonly itemId: string;
}
/**
 * Request parameters for getAdditionalPart operation in VideosApi.
 * @export
 * @interface VideosApiGetAdditionalPartRequest
 */
export interface VideosApiGetAdditionalPartRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof VideosApiGetAdditionalPart
     */
    readonly itemId: string;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof VideosApiGetAdditionalPart
     */
    readonly userId?: string;
}
/**
 * Request parameters for getVideoStream operation in VideosApi.
 * @export
 * @interface VideosApiGetVideoStreamRequest
 */
export interface VideosApiGetVideoStreamRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof VideosApiGetVideoStream
     */
    readonly itemId: string;
    /**
     * The video container. Possible values are: ts, webm, asf, wmv, ogv, mp4, m4v, mkv, mpeg, mpg, avi, 3gp, wmv, wtv, m2ts, mov, iso, flv.
     * @type {string}
     * @memberof VideosApiGetVideoStream
     */
    readonly container?: string;
    /**
     * Optional. If true, the original file will be streamed statically without any encoding. Use either no url extension or the original file extension. true/false.
     * @type {boolean}
     * @memberof VideosApiGetVideoStream
     */
    readonly _static?: boolean;
    /**
     * The streaming parameters.
     * @type {string}
     * @memberof VideosApiGetVideoStream
     */
    readonly params?: string;
    /**
     * The tag.
     * @type {string}
     * @memberof VideosApiGetVideoStream
     */
    readonly tag?: string;
    /**
     * Optional. The dlna device profile id to utilize.
     * @type {string}
     * @memberof VideosApiGetVideoStream
     */
    readonly deviceProfileId?: string;
    /**
     * The play session id.
     * @type {string}
     * @memberof VideosApiGetVideoStream
     */
    readonly playSessionId?: string;
    /**
     * The segment container.
     * @type {string}
     * @memberof VideosApiGetVideoStream
     */
    readonly segmentContainer?: string;
    /**
     * The segment length.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly segmentLength?: number;
    /**
     * The minimum number of segments.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly minSegments?: number;
    /**
     * The media version id, if playing an alternate version.
     * @type {string}
     * @memberof VideosApiGetVideoStream
     */
    readonly mediaSourceId?: string;
    /**
     * The device id of the client requesting. Used to stop encoding processes when needed.
     * @type {string}
     * @memberof VideosApiGetVideoStream
     */
    readonly deviceId?: string;
    /**
     * Optional. Specify a audio codec to encode to, e.g. mp3. If omitted the server will auto-select using the url\&#39;s extension. Options: aac, mp3, vorbis, wma.
     * @type {string}
     * @memberof VideosApiGetVideoStream
     */
    readonly audioCodec?: string;
    /**
     * Whether or not to allow automatic stream copy if requested values match the original source. Defaults to true.
     * @type {boolean}
     * @memberof VideosApiGetVideoStream
     */
    readonly enableAutoStreamCopy?: boolean;
    /**
     * Whether or not to allow copying of the video stream url.
     * @type {boolean}
     * @memberof VideosApiGetVideoStream
     */
    readonly allowVideoStreamCopy?: boolean;
    /**
     * Whether or not to allow copying of the audio stream url.
     * @type {boolean}
     * @memberof VideosApiGetVideoStream
     */
    readonly allowAudioStreamCopy?: boolean;
    /**
     * Optional. Whether to break on non key frames.
     * @type {boolean}
     * @memberof VideosApiGetVideoStream
     */
    readonly breakOnNonKeyFrames?: boolean;
    /**
     * Optional. Specify a specific audio sample rate, e.g. 44100.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly audioSampleRate?: number;
    /**
     * Optional. The maximum audio bit depth.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly maxAudioBitDepth?: number;
    /**
     * Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly audioBitRate?: number;
    /**
     * Optional. Specify a specific number of audio channels to encode to, e.g. 2.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly audioChannels?: number;
    /**
     * Optional. Specify a maximum number of audio channels to encode to, e.g. 2.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly maxAudioChannels?: number;
    /**
     * Optional. Specify a specific an encoder profile (varies by encoder), e.g. main, baseline, high.
     * @type {string}
     * @memberof VideosApiGetVideoStream
     */
    readonly profile?: string;
    /**
     * Optional. Specify a level for the encoder profile (varies by encoder), e.g. 3, 3.1.
     * @type {string}
     * @memberof VideosApiGetVideoStream
     */
    readonly level?: string;
    /**
     * Optional. A specific video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly framerate?: number;
    /**
     * Optional. A specific maximum video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly maxFramerate?: number;
    /**
     * Whether or not to copy timestamps when transcoding with an offset. Defaults to false.
     * @type {boolean}
     * @memberof VideosApiGetVideoStream
     */
    readonly copyTimestamps?: boolean;
    /**
     * Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly startTimeTicks?: number;
    /**
     * Optional. The fixed horizontal resolution of the encoded video.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly width?: number;
    /**
     * Optional. The fixed vertical resolution of the encoded video.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly height?: number;
    /**
     * Optional. The maximum horizontal resolution of the encoded video.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly maxWidth?: number;
    /**
     * Optional. The maximum vertical resolution of the encoded video.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly maxHeight?: number;
    /**
     * Optional. Specify a video bitrate to encode to, e.g. 500000. If omitted this will be left to encoder defaults.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly videoBitRate?: number;
    /**
     * Optional. The index of the subtitle stream to use. If omitted no subtitles will be used.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly subtitleStreamIndex?: number;
    /**
     * Optional. Specify the subtitle delivery method.
     * @type {SubtitleDeliveryMethod}
     * @memberof VideosApiGetVideoStream
     */
    readonly subtitleMethod?: SubtitleDeliveryMethod;
    /**
     * Optional.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly maxRefFrames?: number;
    /**
     * Optional. The maximum video bit depth.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly maxVideoBitDepth?: number;
    /**
     * Optional. Whether to require avc.
     * @type {boolean}
     * @memberof VideosApiGetVideoStream
     */
    readonly requireAvc?: boolean;
    /**
     * Optional. Whether to deinterlace the video.
     * @type {boolean}
     * @memberof VideosApiGetVideoStream
     */
    readonly deInterlace?: boolean;
    /**
     * Optional. Whether to require a non anamorphic stream.
     * @type {boolean}
     * @memberof VideosApiGetVideoStream
     */
    readonly requireNonAnamorphic?: boolean;
    /**
     * Optional. The maximum number of audio channels to transcode.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly transcodingMaxAudioChannels?: number;
    /**
     * Optional. The limit of how many cpu cores to use.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly cpuCoreLimit?: number;
    /**
     * The live stream id.
     * @type {string}
     * @memberof VideosApiGetVideoStream
     */
    readonly liveStreamId?: string;
    /**
     * Optional. Whether to enable the MpegtsM2Ts mode.
     * @type {boolean}
     * @memberof VideosApiGetVideoStream
     */
    readonly enableMpegtsM2TsMode?: boolean;
    /**
     * Optional. Specify a video codec to encode to, e.g. h264. If omitted the server will auto-select using the url\&#39;s extension. Options: h265, h264, mpeg4, theora, vpx, wmv.
     * @type {string}
     * @memberof VideosApiGetVideoStream
     */
    readonly videoCodec?: string;
    /**
     * Optional. Specify a subtitle codec to encode to.
     * @type {string}
     * @memberof VideosApiGetVideoStream
     */
    readonly subtitleCodec?: string;
    /**
     * Optional. The transcoding reason.
     * @type {string}
     * @memberof VideosApiGetVideoStream
     */
    readonly transcodeReasons?: string;
    /**
     * Optional. The index of the audio stream to use. If omitted the first audio stream will be used.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly audioStreamIndex?: number;
    /**
     * Optional. The index of the video stream to use. If omitted the first video stream will be used.
     * @type {number}
     * @memberof VideosApiGetVideoStream
     */
    readonly videoStreamIndex?: number;
    /**
     * Optional. The MediaBrowser.Model.Dlna.EncodingContext.
     * @type {EncodingContext}
     * @memberof VideosApiGetVideoStream
     */
    readonly context?: EncodingContext;
    /**
     * Optional. The streaming options.
     * @type {{ [key: string]: string; }}
     * @memberof VideosApiGetVideoStream
     */
    readonly streamOptions?: {
        [key: string]: string;
    };
}
/**
 * Request parameters for getVideoStreamByContainer operation in VideosApi.
 * @export
 * @interface VideosApiGetVideoStreamByContainerRequest
 */
export interface VideosApiGetVideoStreamByContainerRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly itemId: string;
    /**
     * The video container. Possible values are: ts, webm, asf, wmv, ogv, mp4, m4v, mkv, mpeg, mpg, avi, 3gp, wmv, wtv, m2ts, mov, iso, flv.
     * @type {string}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly container: string;
    /**
     * Optional. If true, the original file will be streamed statically without any encoding. Use either no url extension or the original file extension. true/false.
     * @type {boolean}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly _static?: boolean;
    /**
     * The streaming parameters.
     * @type {string}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly params?: string;
    /**
     * The tag.
     * @type {string}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly tag?: string;
    /**
     * Optional. The dlna device profile id to utilize.
     * @type {string}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly deviceProfileId?: string;
    /**
     * The play session id.
     * @type {string}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly playSessionId?: string;
    /**
     * The segment container.
     * @type {string}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly segmentContainer?: string;
    /**
     * The segment length.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly segmentLength?: number;
    /**
     * The minimum number of segments.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly minSegments?: number;
    /**
     * The media version id, if playing an alternate version.
     * @type {string}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly mediaSourceId?: string;
    /**
     * The device id of the client requesting. Used to stop encoding processes when needed.
     * @type {string}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly deviceId?: string;
    /**
     * Optional. Specify a audio codec to encode to, e.g. mp3. If omitted the server will auto-select using the url\&#39;s extension. Options: aac, mp3, vorbis, wma.
     * @type {string}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly audioCodec?: string;
    /**
     * Whether or not to allow automatic stream copy if requested values match the original source. Defaults to true.
     * @type {boolean}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly enableAutoStreamCopy?: boolean;
    /**
     * Whether or not to allow copying of the video stream url.
     * @type {boolean}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly allowVideoStreamCopy?: boolean;
    /**
     * Whether or not to allow copying of the audio stream url.
     * @type {boolean}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly allowAudioStreamCopy?: boolean;
    /**
     * Optional. Whether to break on non key frames.
     * @type {boolean}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly breakOnNonKeyFrames?: boolean;
    /**
     * Optional. Specify a specific audio sample rate, e.g. 44100.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly audioSampleRate?: number;
    /**
     * Optional. The maximum audio bit depth.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly maxAudioBitDepth?: number;
    /**
     * Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly audioBitRate?: number;
    /**
     * Optional. Specify a specific number of audio channels to encode to, e.g. 2.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly audioChannels?: number;
    /**
     * Optional. Specify a maximum number of audio channels to encode to, e.g. 2.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly maxAudioChannels?: number;
    /**
     * Optional. Specify a specific an encoder profile (varies by encoder), e.g. main, baseline, high.
     * @type {string}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly profile?: string;
    /**
     * Optional. Specify a level for the encoder profile (varies by encoder), e.g. 3, 3.1.
     * @type {string}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly level?: string;
    /**
     * Optional. A specific video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly framerate?: number;
    /**
     * Optional. A specific maximum video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly maxFramerate?: number;
    /**
     * Whether or not to copy timestamps when transcoding with an offset. Defaults to false.
     * @type {boolean}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly copyTimestamps?: boolean;
    /**
     * Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly startTimeTicks?: number;
    /**
     * Optional. The fixed horizontal resolution of the encoded video.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly width?: number;
    /**
     * Optional. The fixed vertical resolution of the encoded video.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly height?: number;
    /**
     * Optional. The maximum horizontal resolution of the encoded video.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly maxWidth?: number;
    /**
     * Optional. The maximum vertical resolution of the encoded video.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly maxHeight?: number;
    /**
     * Optional. Specify a video bitrate to encode to, e.g. 500000. If omitted this will be left to encoder defaults.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly videoBitRate?: number;
    /**
     * Optional. The index of the subtitle stream to use. If omitted no subtitles will be used.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly subtitleStreamIndex?: number;
    /**
     * Optional. Specify the subtitle delivery method.
     * @type {SubtitleDeliveryMethod}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly subtitleMethod?: SubtitleDeliveryMethod;
    /**
     * Optional.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly maxRefFrames?: number;
    /**
     * Optional. The maximum video bit depth.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly maxVideoBitDepth?: number;
    /**
     * Optional. Whether to require avc.
     * @type {boolean}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly requireAvc?: boolean;
    /**
     * Optional. Whether to deinterlace the video.
     * @type {boolean}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly deInterlace?: boolean;
    /**
     * Optional. Whether to require a non anamorphic stream.
     * @type {boolean}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly requireNonAnamorphic?: boolean;
    /**
     * Optional. The maximum number of audio channels to transcode.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly transcodingMaxAudioChannels?: number;
    /**
     * Optional. The limit of how many cpu cores to use.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly cpuCoreLimit?: number;
    /**
     * The live stream id.
     * @type {string}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly liveStreamId?: string;
    /**
     * Optional. Whether to enable the MpegtsM2Ts mode.
     * @type {boolean}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly enableMpegtsM2TsMode?: boolean;
    /**
     * Optional. Specify a video codec to encode to, e.g. h264. If omitted the server will auto-select using the url\&#39;s extension. Options: h265, h264, mpeg4, theora, vpx, wmv.
     * @type {string}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly videoCodec?: string;
    /**
     * Optional. Specify a subtitle codec to encode to.
     * @type {string}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly subtitleCodec?: string;
    /**
     * Optional. The transcoding reason.
     * @type {string}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly transcodeReasons?: string;
    /**
     * Optional. The index of the audio stream to use. If omitted the first audio stream will be used.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly audioStreamIndex?: number;
    /**
     * Optional. The index of the video stream to use. If omitted the first video stream will be used.
     * @type {number}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly videoStreamIndex?: number;
    /**
     * Optional. The MediaBrowser.Model.Dlna.EncodingContext.
     * @type {EncodingContext}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly context?: EncodingContext;
    /**
     * Optional. The streaming options.
     * @type {{ [key: string]: string; }}
     * @memberof VideosApiGetVideoStreamByContainer
     */
    readonly streamOptions?: {
        [key: string]: string;
    };
}
/**
 * Request parameters for headVideoStream operation in VideosApi.
 * @export
 * @interface VideosApiHeadVideoStreamRequest
 */
export interface VideosApiHeadVideoStreamRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof VideosApiHeadVideoStream
     */
    readonly itemId: string;
    /**
     * The video container. Possible values are: ts, webm, asf, wmv, ogv, mp4, m4v, mkv, mpeg, mpg, avi, 3gp, wmv, wtv, m2ts, mov, iso, flv.
     * @type {string}
     * @memberof VideosApiHeadVideoStream
     */
    readonly container?: string;
    /**
     * Optional. If true, the original file will be streamed statically without any encoding. Use either no url extension or the original file extension. true/false.
     * @type {boolean}
     * @memberof VideosApiHeadVideoStream
     */
    readonly _static?: boolean;
    /**
     * The streaming parameters.
     * @type {string}
     * @memberof VideosApiHeadVideoStream
     */
    readonly params?: string;
    /**
     * The tag.
     * @type {string}
     * @memberof VideosApiHeadVideoStream
     */
    readonly tag?: string;
    /**
     * Optional. The dlna device profile id to utilize.
     * @type {string}
     * @memberof VideosApiHeadVideoStream
     */
    readonly deviceProfileId?: string;
    /**
     * The play session id.
     * @type {string}
     * @memberof VideosApiHeadVideoStream
     */
    readonly playSessionId?: string;
    /**
     * The segment container.
     * @type {string}
     * @memberof VideosApiHeadVideoStream
     */
    readonly segmentContainer?: string;
    /**
     * The segment length.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly segmentLength?: number;
    /**
     * The minimum number of segments.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly minSegments?: number;
    /**
     * The media version id, if playing an alternate version.
     * @type {string}
     * @memberof VideosApiHeadVideoStream
     */
    readonly mediaSourceId?: string;
    /**
     * The device id of the client requesting. Used to stop encoding processes when needed.
     * @type {string}
     * @memberof VideosApiHeadVideoStream
     */
    readonly deviceId?: string;
    /**
     * Optional. Specify a audio codec to encode to, e.g. mp3. If omitted the server will auto-select using the url\&#39;s extension. Options: aac, mp3, vorbis, wma.
     * @type {string}
     * @memberof VideosApiHeadVideoStream
     */
    readonly audioCodec?: string;
    /**
     * Whether or not to allow automatic stream copy if requested values match the original source. Defaults to true.
     * @type {boolean}
     * @memberof VideosApiHeadVideoStream
     */
    readonly enableAutoStreamCopy?: boolean;
    /**
     * Whether or not to allow copying of the video stream url.
     * @type {boolean}
     * @memberof VideosApiHeadVideoStream
     */
    readonly allowVideoStreamCopy?: boolean;
    /**
     * Whether or not to allow copying of the audio stream url.
     * @type {boolean}
     * @memberof VideosApiHeadVideoStream
     */
    readonly allowAudioStreamCopy?: boolean;
    /**
     * Optional. Whether to break on non key frames.
     * @type {boolean}
     * @memberof VideosApiHeadVideoStream
     */
    readonly breakOnNonKeyFrames?: boolean;
    /**
     * Optional. Specify a specific audio sample rate, e.g. 44100.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly audioSampleRate?: number;
    /**
     * Optional. The maximum audio bit depth.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly maxAudioBitDepth?: number;
    /**
     * Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly audioBitRate?: number;
    /**
     * Optional. Specify a specific number of audio channels to encode to, e.g. 2.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly audioChannels?: number;
    /**
     * Optional. Specify a maximum number of audio channels to encode to, e.g. 2.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly maxAudioChannels?: number;
    /**
     * Optional. Specify a specific an encoder profile (varies by encoder), e.g. main, baseline, high.
     * @type {string}
     * @memberof VideosApiHeadVideoStream
     */
    readonly profile?: string;
    /**
     * Optional. Specify a level for the encoder profile (varies by encoder), e.g. 3, 3.1.
     * @type {string}
     * @memberof VideosApiHeadVideoStream
     */
    readonly level?: string;
    /**
     * Optional. A specific video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly framerate?: number;
    /**
     * Optional. A specific maximum video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly maxFramerate?: number;
    /**
     * Whether or not to copy timestamps when transcoding with an offset. Defaults to false.
     * @type {boolean}
     * @memberof VideosApiHeadVideoStream
     */
    readonly copyTimestamps?: boolean;
    /**
     * Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly startTimeTicks?: number;
    /**
     * Optional. The fixed horizontal resolution of the encoded video.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly width?: number;
    /**
     * Optional. The fixed vertical resolution of the encoded video.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly height?: number;
    /**
     * Optional. The maximum horizontal resolution of the encoded video.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly maxWidth?: number;
    /**
     * Optional. The maximum vertical resolution of the encoded video.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly maxHeight?: number;
    /**
     * Optional. Specify a video bitrate to encode to, e.g. 500000. If omitted this will be left to encoder defaults.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly videoBitRate?: number;
    /**
     * Optional. The index of the subtitle stream to use. If omitted no subtitles will be used.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly subtitleStreamIndex?: number;
    /**
     * Optional. Specify the subtitle delivery method.
     * @type {SubtitleDeliveryMethod}
     * @memberof VideosApiHeadVideoStream
     */
    readonly subtitleMethod?: SubtitleDeliveryMethod;
    /**
     * Optional.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly maxRefFrames?: number;
    /**
     * Optional. The maximum video bit depth.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly maxVideoBitDepth?: number;
    /**
     * Optional. Whether to require avc.
     * @type {boolean}
     * @memberof VideosApiHeadVideoStream
     */
    readonly requireAvc?: boolean;
    /**
     * Optional. Whether to deinterlace the video.
     * @type {boolean}
     * @memberof VideosApiHeadVideoStream
     */
    readonly deInterlace?: boolean;
    /**
     * Optional. Whether to require a non anamorphic stream.
     * @type {boolean}
     * @memberof VideosApiHeadVideoStream
     */
    readonly requireNonAnamorphic?: boolean;
    /**
     * Optional. The maximum number of audio channels to transcode.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly transcodingMaxAudioChannels?: number;
    /**
     * Optional. The limit of how many cpu cores to use.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly cpuCoreLimit?: number;
    /**
     * The live stream id.
     * @type {string}
     * @memberof VideosApiHeadVideoStream
     */
    readonly liveStreamId?: string;
    /**
     * Optional. Whether to enable the MpegtsM2Ts mode.
     * @type {boolean}
     * @memberof VideosApiHeadVideoStream
     */
    readonly enableMpegtsM2TsMode?: boolean;
    /**
     * Optional. Specify a video codec to encode to, e.g. h264. If omitted the server will auto-select using the url\&#39;s extension. Options: h265, h264, mpeg4, theora, vpx, wmv.
     * @type {string}
     * @memberof VideosApiHeadVideoStream
     */
    readonly videoCodec?: string;
    /**
     * Optional. Specify a subtitle codec to encode to.
     * @type {string}
     * @memberof VideosApiHeadVideoStream
     */
    readonly subtitleCodec?: string;
    /**
     * Optional. The transcoding reason.
     * @type {string}
     * @memberof VideosApiHeadVideoStream
     */
    readonly transcodeReasons?: string;
    /**
     * Optional. The index of the audio stream to use. If omitted the first audio stream will be used.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly audioStreamIndex?: number;
    /**
     * Optional. The index of the video stream to use. If omitted the first video stream will be used.
     * @type {number}
     * @memberof VideosApiHeadVideoStream
     */
    readonly videoStreamIndex?: number;
    /**
     * Optional. The MediaBrowser.Model.Dlna.EncodingContext.
     * @type {EncodingContext}
     * @memberof VideosApiHeadVideoStream
     */
    readonly context?: EncodingContext;
    /**
     * Optional. The streaming options.
     * @type {{ [key: string]: string; }}
     * @memberof VideosApiHeadVideoStream
     */
    readonly streamOptions?: {
        [key: string]: string;
    };
}
/**
 * Request parameters for headVideoStreamByContainer operation in VideosApi.
 * @export
 * @interface VideosApiHeadVideoStreamByContainerRequest
 */
export interface VideosApiHeadVideoStreamByContainerRequest {
    /**
     * The item id.
     * @type {string}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly itemId: string;
    /**
     * The video container. Possible values are: ts, webm, asf, wmv, ogv, mp4, m4v, mkv, mpeg, mpg, avi, 3gp, wmv, wtv, m2ts, mov, iso, flv.
     * @type {string}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly container: string;
    /**
     * Optional. If true, the original file will be streamed statically without any encoding. Use either no url extension or the original file extension. true/false.
     * @type {boolean}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly _static?: boolean;
    /**
     * The streaming parameters.
     * @type {string}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly params?: string;
    /**
     * The tag.
     * @type {string}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly tag?: string;
    /**
     * Optional. The dlna device profile id to utilize.
     * @type {string}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly deviceProfileId?: string;
    /**
     * The play session id.
     * @type {string}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly playSessionId?: string;
    /**
     * The segment container.
     * @type {string}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly segmentContainer?: string;
    /**
     * The segment length.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly segmentLength?: number;
    /**
     * The minimum number of segments.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly minSegments?: number;
    /**
     * The media version id, if playing an alternate version.
     * @type {string}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly mediaSourceId?: string;
    /**
     * The device id of the client requesting. Used to stop encoding processes when needed.
     * @type {string}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly deviceId?: string;
    /**
     * Optional. Specify a audio codec to encode to, e.g. mp3. If omitted the server will auto-select using the url\&#39;s extension. Options: aac, mp3, vorbis, wma.
     * @type {string}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly audioCodec?: string;
    /**
     * Whether or not to allow automatic stream copy if requested values match the original source. Defaults to true.
     * @type {boolean}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly enableAutoStreamCopy?: boolean;
    /**
     * Whether or not to allow copying of the video stream url.
     * @type {boolean}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly allowVideoStreamCopy?: boolean;
    /**
     * Whether or not to allow copying of the audio stream url.
     * @type {boolean}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly allowAudioStreamCopy?: boolean;
    /**
     * Optional. Whether to break on non key frames.
     * @type {boolean}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly breakOnNonKeyFrames?: boolean;
    /**
     * Optional. Specify a specific audio sample rate, e.g. 44100.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly audioSampleRate?: number;
    /**
     * Optional. The maximum audio bit depth.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly maxAudioBitDepth?: number;
    /**
     * Optional. Specify an audio bitrate to encode to, e.g. 128000. If omitted this will be left to encoder defaults.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly audioBitRate?: number;
    /**
     * Optional. Specify a specific number of audio channels to encode to, e.g. 2.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly audioChannels?: number;
    /**
     * Optional. Specify a maximum number of audio channels to encode to, e.g. 2.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly maxAudioChannels?: number;
    /**
     * Optional. Specify a specific an encoder profile (varies by encoder), e.g. main, baseline, high.
     * @type {string}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly profile?: string;
    /**
     * Optional. Specify a level for the encoder profile (varies by encoder), e.g. 3, 3.1.
     * @type {string}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly level?: string;
    /**
     * Optional. A specific video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly framerate?: number;
    /**
     * Optional. A specific maximum video framerate to encode to, e.g. 23.976. Generally this should be omitted unless the device has specific requirements.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly maxFramerate?: number;
    /**
     * Whether or not to copy timestamps when transcoding with an offset. Defaults to false.
     * @type {boolean}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly copyTimestamps?: boolean;
    /**
     * Optional. Specify a starting offset, in ticks. 1 tick &#x3D; 10000 ms.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly startTimeTicks?: number;
    /**
     * Optional. The fixed horizontal resolution of the encoded video.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly width?: number;
    /**
     * Optional. The fixed vertical resolution of the encoded video.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly height?: number;
    /**
     * Optional. The maximum horizontal resolution of the encoded video.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly maxWidth?: number;
    /**
     * Optional. The maximum vertical resolution of the encoded video.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly maxHeight?: number;
    /**
     * Optional. Specify a video bitrate to encode to, e.g. 500000. If omitted this will be left to encoder defaults.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly videoBitRate?: number;
    /**
     * Optional. The index of the subtitle stream to use. If omitted no subtitles will be used.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly subtitleStreamIndex?: number;
    /**
     * Optional. Specify the subtitle delivery method.
     * @type {SubtitleDeliveryMethod}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly subtitleMethod?: SubtitleDeliveryMethod;
    /**
     * Optional.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly maxRefFrames?: number;
    /**
     * Optional. The maximum video bit depth.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly maxVideoBitDepth?: number;
    /**
     * Optional. Whether to require avc.
     * @type {boolean}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly requireAvc?: boolean;
    /**
     * Optional. Whether to deinterlace the video.
     * @type {boolean}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly deInterlace?: boolean;
    /**
     * Optional. Whether to require a non anamorphic stream.
     * @type {boolean}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly requireNonAnamorphic?: boolean;
    /**
     * Optional. The maximum number of audio channels to transcode.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly transcodingMaxAudioChannels?: number;
    /**
     * Optional. The limit of how many cpu cores to use.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly cpuCoreLimit?: number;
    /**
     * The live stream id.
     * @type {string}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly liveStreamId?: string;
    /**
     * Optional. Whether to enable the MpegtsM2Ts mode.
     * @type {boolean}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly enableMpegtsM2TsMode?: boolean;
    /**
     * Optional. Specify a video codec to encode to, e.g. h264. If omitted the server will auto-select using the url\&#39;s extension. Options: h265, h264, mpeg4, theora, vpx, wmv.
     * @type {string}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly videoCodec?: string;
    /**
     * Optional. Specify a subtitle codec to encode to.
     * @type {string}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly subtitleCodec?: string;
    /**
     * Optional. The transcoding reason.
     * @type {string}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly transcodeReasons?: string;
    /**
     * Optional. The index of the audio stream to use. If omitted the first audio stream will be used.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly audioStreamIndex?: number;
    /**
     * Optional. The index of the video stream to use. If omitted the first video stream will be used.
     * @type {number}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly videoStreamIndex?: number;
    /**
     * Optional. The MediaBrowser.Model.Dlna.EncodingContext.
     * @type {EncodingContext}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly context?: EncodingContext;
    /**
     * Optional. The streaming options.
     * @type {{ [key: string]: string; }}
     * @memberof VideosApiHeadVideoStreamByContainer
     */
    readonly streamOptions?: {
        [key: string]: string;
    };
}
/**
 * Request parameters for mergeVersions operation in VideosApi.
 * @export
 * @interface VideosApiMergeVersionsRequest
 */
export interface VideosApiMergeVersionsRequest {
    /**
     * Item id list. This allows multiple, comma delimited.
     * @type {Array<string>}
     * @memberof VideosApiMergeVersions
     */
    readonly ids: Array<string>;
}
/**
 * VideosApi - object-oriented interface
 * @export
 * @class VideosApi
 * @extends {BaseAPI}
 */
export declare class VideosApi extends BaseAPI {
    /**
     *
     * @summary Removes alternate video sources.
     * @param {VideosApiDeleteAlternateSourcesRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VideosApi
     */
    deleteAlternateSources(requestParameters: VideosApiDeleteAlternateSourcesRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Gets additional parts for a video.
     * @param {VideosApiGetAdditionalPartRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VideosApi
     */
    getAdditionalPart(requestParameters: VideosApiGetAdditionalPartRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
    /**
     *
     * @summary Gets a video stream.
     * @param {VideosApiGetVideoStreamRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VideosApi
     */
    getVideoStream(requestParameters: VideosApiGetVideoStreamRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets a video stream.
     * @param {VideosApiGetVideoStreamByContainerRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VideosApi
     */
    getVideoStreamByContainer(requestParameters: VideosApiGetVideoStreamByContainerRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets a video stream.
     * @param {VideosApiHeadVideoStreamRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VideosApi
     */
    headVideoStream(requestParameters: VideosApiHeadVideoStreamRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets a video stream.
     * @param {VideosApiHeadVideoStreamByContainerRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VideosApi
     */
    headVideoStreamByContainer(requestParameters: VideosApiHeadVideoStreamByContainerRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Merges videos into a single record.
     * @param {VideosApiMergeVersionsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VideosApi
     */
    mergeVersions(requestParameters: VideosApiMergeVersionsRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
