/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { BaseItemDto } from '../models';
import { BaseItemDtoQueryResult } from '../models';
import { ImageType } from '../models';
import { ItemFields } from '../models';
import { SortOrder } from '../models';
/**
 * YearsApi - axios parameter creator
 * @export
 */
export declare const YearsApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets a year.
     * @param {number} year The year.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getYear: (year: number, userId?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get years.
     * @param {number} [startIndex] Skips over a given number of items within the results. Use for paging.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<SortOrder>} [sortOrder] Sort Order - Ascending,Descending.
     * @param {string} [parentId] Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {Array<string>} [excludeItemTypes] Optional. If specified, results will be excluded based on item type. This allows multiple, comma delimited.
     * @param {Array<string>} [includeItemTypes] Optional. If specified, results will be included based on item type. This allows multiple, comma delimited.
     * @param {Array<string>} [mediaTypes] Optional. Filter by MediaType. Allows multiple, comma delimited.
     * @param {Array<string>} [sortBy] Optional. Specify one or more sort orders, comma delimited. Options: Album, AlbumArtist, Artist, Budget, CommunityRating, CriticRating, DateCreated, DatePlayed, PlayCount, PremiereDate, ProductionYear, SortName, Random, Revenue, Runtime.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {string} [userId] User Id.
     * @param {boolean} [recursive] Search recursively.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getYears: (startIndex?: number | undefined, limit?: number | undefined, sortOrder?: SortOrder[] | undefined, parentId?: string | undefined, fields?: ItemFields[] | undefined, excludeItemTypes?: string[] | undefined, includeItemTypes?: string[] | undefined, mediaTypes?: string[] | undefined, sortBy?: string[] | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, userId?: string | undefined, recursive?: boolean | undefined, enableImages?: boolean | undefined, options?: any) => Promise<RequestArgs>;
};
/**
 * YearsApi - functional programming interface
 * @export
 */
export declare const YearsApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Gets a year.
     * @param {number} year The year.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getYear(year: number, userId?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDto>>;
    /**
     *
     * @summary Get years.
     * @param {number} [startIndex] Skips over a given number of items within the results. Use for paging.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<SortOrder>} [sortOrder] Sort Order - Ascending,Descending.
     * @param {string} [parentId] Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {Array<string>} [excludeItemTypes] Optional. If specified, results will be excluded based on item type. This allows multiple, comma delimited.
     * @param {Array<string>} [includeItemTypes] Optional. If specified, results will be included based on item type. This allows multiple, comma delimited.
     * @param {Array<string>} [mediaTypes] Optional. Filter by MediaType. Allows multiple, comma delimited.
     * @param {Array<string>} [sortBy] Optional. Specify one or more sort orders, comma delimited. Options: Album, AlbumArtist, Artist, Budget, CommunityRating, CriticRating, DateCreated, DatePlayed, PlayCount, PremiereDate, ProductionYear, SortName, Random, Revenue, Runtime.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {string} [userId] User Id.
     * @param {boolean} [recursive] Search recursively.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getYears(startIndex?: number | undefined, limit?: number | undefined, sortOrder?: SortOrder[] | undefined, parentId?: string | undefined, fields?: ItemFields[] | undefined, excludeItemTypes?: string[] | undefined, includeItemTypes?: string[] | undefined, mediaTypes?: string[] | undefined, sortBy?: string[] | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, userId?: string | undefined, recursive?: boolean | undefined, enableImages?: boolean | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<BaseItemDtoQueryResult>>;
};
/**
 * YearsApi - factory interface
 * @export
 */
export declare const YearsApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Gets a year.
     * @param {number} year The year.
     * @param {string} [userId] Optional. Filter by user id, and attach user data.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getYear(year: number, userId?: string | undefined, options?: any): AxiosPromise<BaseItemDto>;
    /**
     *
     * @summary Get years.
     * @param {number} [startIndex] Skips over a given number of items within the results. Use for paging.
     * @param {number} [limit] Optional. The maximum number of records to return.
     * @param {Array<SortOrder>} [sortOrder] Sort Order - Ascending,Descending.
     * @param {string} [parentId] Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @param {Array<ItemFields>} [fields] Optional. Specify additional fields of information to return in the output.
     * @param {Array<string>} [excludeItemTypes] Optional. If specified, results will be excluded based on item type. This allows multiple, comma delimited.
     * @param {Array<string>} [includeItemTypes] Optional. If specified, results will be included based on item type. This allows multiple, comma delimited.
     * @param {Array<string>} [mediaTypes] Optional. Filter by MediaType. Allows multiple, comma delimited.
     * @param {Array<string>} [sortBy] Optional. Specify one or more sort orders, comma delimited. Options: Album, AlbumArtist, Artist, Budget, CommunityRating, CriticRating, DateCreated, DatePlayed, PlayCount, PremiereDate, ProductionYear, SortName, Random, Revenue, Runtime.
     * @param {boolean} [enableUserData] Optional. Include user data.
     * @param {number} [imageTypeLimit] Optional. The max number of images to return, per image type.
     * @param {Array<ImageType>} [enableImageTypes] Optional. The image types to include in the output.
     * @param {string} [userId] User Id.
     * @param {boolean} [recursive] Search recursively.
     * @param {boolean} [enableImages] Optional. Include image information in output.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getYears(startIndex?: number | undefined, limit?: number | undefined, sortOrder?: SortOrder[] | undefined, parentId?: string | undefined, fields?: ItemFields[] | undefined, excludeItemTypes?: string[] | undefined, includeItemTypes?: string[] | undefined, mediaTypes?: string[] | undefined, sortBy?: string[] | undefined, enableUserData?: boolean | undefined, imageTypeLimit?: number | undefined, enableImageTypes?: ImageType[] | undefined, userId?: string | undefined, recursive?: boolean | undefined, enableImages?: boolean | undefined, options?: any): AxiosPromise<BaseItemDtoQueryResult>;
};
/**
 * Request parameters for getYear operation in YearsApi.
 * @export
 * @interface YearsApiGetYearRequest
 */
export interface YearsApiGetYearRequest {
    /**
     * The year.
     * @type {number}
     * @memberof YearsApiGetYear
     */
    readonly year: number;
    /**
     * Optional. Filter by user id, and attach user data.
     * @type {string}
     * @memberof YearsApiGetYear
     */
    readonly userId?: string;
}
/**
 * Request parameters for getYears operation in YearsApi.
 * @export
 * @interface YearsApiGetYearsRequest
 */
export interface YearsApiGetYearsRequest {
    /**
     * Skips over a given number of items within the results. Use for paging.
     * @type {number}
     * @memberof YearsApiGetYears
     */
    readonly startIndex?: number;
    /**
     * Optional. The maximum number of records to return.
     * @type {number}
     * @memberof YearsApiGetYears
     */
    readonly limit?: number;
    /**
     * Sort Order - Ascending,Descending.
     * @type {Array<SortOrder>}
     * @memberof YearsApiGetYears
     */
    readonly sortOrder?: Array<SortOrder>;
    /**
     * Specify this to localize the search to a specific item or folder. Omit to use the root.
     * @type {string}
     * @memberof YearsApiGetYears
     */
    readonly parentId?: string;
    /**
     * Optional. Specify additional fields of information to return in the output.
     * @type {Array<ItemFields>}
     * @memberof YearsApiGetYears
     */
    readonly fields?: Array<ItemFields>;
    /**
     * Optional. If specified, results will be excluded based on item type. This allows multiple, comma delimited.
     * @type {Array<string>}
     * @memberof YearsApiGetYears
     */
    readonly excludeItemTypes?: Array<string>;
    /**
     * Optional. If specified, results will be included based on item type. This allows multiple, comma delimited.
     * @type {Array<string>}
     * @memberof YearsApiGetYears
     */
    readonly includeItemTypes?: Array<string>;
    /**
     * Optional. Filter by MediaType. Allows multiple, comma delimited.
     * @type {Array<string>}
     * @memberof YearsApiGetYears
     */
    readonly mediaTypes?: Array<string>;
    /**
     * Optional. Specify one or more sort orders, comma delimited. Options: Album, AlbumArtist, Artist, Budget, CommunityRating, CriticRating, DateCreated, DatePlayed, PlayCount, PremiereDate, ProductionYear, SortName, Random, Revenue, Runtime.
     * @type {Array<string>}
     * @memberof YearsApiGetYears
     */
    readonly sortBy?: Array<string>;
    /**
     * Optional. Include user data.
     * @type {boolean}
     * @memberof YearsApiGetYears
     */
    readonly enableUserData?: boolean;
    /**
     * Optional. The max number of images to return, per image type.
     * @type {number}
     * @memberof YearsApiGetYears
     */
    readonly imageTypeLimit?: number;
    /**
     * Optional. The image types to include in the output.
     * @type {Array<ImageType>}
     * @memberof YearsApiGetYears
     */
    readonly enableImageTypes?: Array<ImageType>;
    /**
     * User Id.
     * @type {string}
     * @memberof YearsApiGetYears
     */
    readonly userId?: string;
    /**
     * Search recursively.
     * @type {boolean}
     * @memberof YearsApiGetYears
     */
    readonly recursive?: boolean;
    /**
     * Optional. Include image information in output.
     * @type {boolean}
     * @memberof YearsApiGetYears
     */
    readonly enableImages?: boolean;
}
/**
 * YearsApi - object-oriented interface
 * @export
 * @class YearsApi
 * @extends {BaseAPI}
 */
export declare class YearsApi extends BaseAPI {
    /**
     *
     * @summary Gets a year.
     * @param {YearsApiGetYearRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof YearsApi
     */
    getYear(requestParameters: YearsApiGetYearRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDto, any>>;
    /**
     *
     * @summary Get years.
     * @param {YearsApiGetYearsRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof YearsApi
     */
    getYears(requestParameters?: YearsApiGetYearsRequest, options?: any): Promise<import("axios").AxiosResponse<BaseItemDtoQueryResult, any>>;
}
