"use strict";
/**
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Jellyfin = exports.MINIMUM_VERSION = exports.API_VERSION = void 0;
var api_1 = require("./api");
var discovery_1 = require("./discovery");
// NOTE: This must be updated manually on updates.
/** The current API version of the generated client. */
exports.API_VERSION = '10.7.7';
/** The minimum supported server version. */
exports.MINIMUM_VERSION = '10.7.0';
/** Class representing the Jellyfin SDK. */
var Jellyfin = /** @class */ (function () {
    function Jellyfin(parameters) {
        this.clientInfo = parameters.clientInfo;
        this.deviceInfo = parameters.deviceInfo;
        this.discovery = new discovery_1.DiscoveryService(this);
    }
    /**
     * Creates an Api instance for a given server path.
     * @param basePath A base path of a server.
     * @param accessToken An (optional) access token to use for authentication.
     * @param axiosInstance An (optional) Axios instance for the Api to use.
     * @returns An Api instance.
     */
    Jellyfin.prototype.createApi = function (basePath, accessToken, axiosInstance) {
        return new api_1.Api(basePath, this.clientInfo, this.deviceInfo, accessToken, axiosInstance);
    };
    return Jellyfin;
}());
exports.Jellyfin = Jellyfin;
