"use strict";
/**
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseItemKind = void 0;
// NOTE: This should be included in the generated models in the 10.8 openapi spec
/**
 * An enum representing the possible base item types.
 * References: https://github.com/jellyfin/jellyfin/blob/master/Jellyfin.Data/Enums/BaseItemKind.cs
 * @export
 * @enum {string}
 */
var BaseItemKind;
(function (BaseItemKind) {
    BaseItemKind["AggregateFolder"] = "AggregateFolder";
    BaseItemKind["Audio"] = "Audio";
    BaseItemKind["AudioBook"] = "AudioBook";
    BaseItemKind["BasePluginFolder"] = "BasePluginFolder";
    BaseItemKind["Book"] = "Book";
    BaseItemKind["BoxSet"] = "BoxSet";
    BaseItemKind["Channel"] = "Channel";
    BaseItemKind["ChannelFolderItem"] = "ChannelFolderItem";
    BaseItemKind["CollectionFolder"] = "CollectionFolder";
    BaseItemKind["Episode"] = "Episode";
    BaseItemKind["Folder"] = "Folder";
    BaseItemKind["Genre"] = "Genre";
    BaseItemKind["ManualPlaylistsFolder"] = "ManualPlaylistsFolder";
    BaseItemKind["Movie"] = "Movie";
    BaseItemKind["LiveTvChannel"] = "LiveTvChannel";
    BaseItemKind["LiveTvProgram"] = "LiveTvProgram";
    BaseItemKind["MusicAlbum"] = "MusicAlbum";
    BaseItemKind["MusicArtist"] = "MusicArtist";
    BaseItemKind["MusicGenre"] = "MusicGenre";
    BaseItemKind["MusicVideo"] = "MusicVideo";
    BaseItemKind["Person"] = "Person";
    BaseItemKind["Photo"] = "Photo";
    BaseItemKind["PhotoAlbum"] = "PhotoAlbum";
    BaseItemKind["Playlist"] = "Playlist";
    BaseItemKind["PlaylistsFolder"] = "PlaylistsFolder";
    BaseItemKind["Program"] = "Program";
    BaseItemKind["Recording"] = "Recording";
    BaseItemKind["Season"] = "Season";
    BaseItemKind["Series"] = "Series";
    BaseItemKind["Studio"] = "Studio";
    BaseItemKind["Trailer"] = "Trailer";
    BaseItemKind["TvChannel"] = "TvChannel";
    BaseItemKind["TvProgram"] = "TvProgram";
    BaseItemKind["UserRootFolder"] = "UserRootFolder";
    BaseItemKind["UserView"] = "UserView";
    BaseItemKind["Video"] = "Video";
    BaseItemKind["Year"] = "Year";
})(BaseItemKind = exports.BaseItemKind || (exports.BaseItemKind = {}));
