"use strict";
/**
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.VersionUnsupportedIssue = exports.VersionOutdatedIssue = exports.VersionMissingIssue = exports.SystemInfoIssue = exports.SlowResponseIssue = exports.ProductNameIssue = exports.RecommendedServerIssue = void 0;
/** Class representing an issue encountered with a recommended server. */
var RecommendedServerIssue = /** @class */ (function () {
    function RecommendedServerIssue() {
    }
    return RecommendedServerIssue;
}());
exports.RecommendedServerIssue = RecommendedServerIssue;
/** Class representing an issue with the returned product name. */
var ProductNameIssue = /** @class */ (function (_super) {
    __extends(ProductNameIssue, _super);
    function ProductNameIssue(productName) {
        var _this = _super.call(this) || this;
        _this.productName = productName;
        return _this;
    }
    return ProductNameIssue;
}(RecommendedServerIssue));
exports.ProductNameIssue = ProductNameIssue;
/** Class representing a slow response from a server. */
var SlowResponseIssue = /** @class */ (function (_super) {
    __extends(SlowResponseIssue, _super);
    function SlowResponseIssue(responseTime) {
        var _this = _super.call(this) || this;
        _this.responseTime = responseTime;
        return _this;
    }
    return SlowResponseIssue;
}(RecommendedServerIssue));
exports.SlowResponseIssue = SlowResponseIssue;
/**
 * Class representing an issue with the system information.
 * This could be due to a networking error or invalid address.
 */
var SystemInfoIssue = /** @class */ (function (_super) {
    __extends(SystemInfoIssue, _super);
    function SystemInfoIssue(error) {
        var _this = _super.call(this) || this;
        _this.error = error;
        return _this;
    }
    return SystemInfoIssue;
}(RecommendedServerIssue));
exports.SystemInfoIssue = SystemInfoIssue;
/** Class representing the version was missing from system information. */
var VersionMissingIssue = /** @class */ (function (_super) {
    __extends(VersionMissingIssue, _super);
    function VersionMissingIssue() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return VersionMissingIssue;
}(RecommendedServerIssue));
exports.VersionMissingIssue = VersionMissingIssue;
/**
 * Class representing the server version is outdated.
 * (The version is lower than the generated client, but higher than the minimum supported.)
 */
var VersionOutdatedIssue = /** @class */ (function (_super) {
    __extends(VersionOutdatedIssue, _super);
    function VersionOutdatedIssue(version) {
        var _this = _super.call(this) || this;
        _this.version = version;
        return _this;
    }
    return VersionOutdatedIssue;
}(RecommendedServerIssue));
exports.VersionOutdatedIssue = VersionOutdatedIssue;
/**
 * Class representing the server version is unsupported.
 * (The version is lower than the minimum supported.)
 */
var VersionUnsupportedIssue = /** @class */ (function (_super) {
    __extends(VersionUnsupportedIssue, _super);
    function VersionUnsupportedIssue(version) {
        var _this = _super.call(this) || this;
        _this.version = version;
        return _this;
    }
    return VersionUnsupportedIssue;
}(RecommendedServerIssue));
exports.VersionUnsupportedIssue = VersionUnsupportedIssue;
