"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAuthorizationHeader = void 0;
/**
 * Returns a valid authorization header string.
 */
function getAuthorizationHeader(clientInfo, deviceInfo, accessToken) {
    if (accessToken === void 0) { accessToken = ''; }
    // TODO: We should ensure values are properly escaped
    return [
        "MediaBrowser Client=\"".concat(clientInfo.name, "\""),
        "Device=\"".concat(deviceInfo.name, "\""),
        "DeviceId=\"".concat(deviceInfo.id, "\""),
        "Version=\"".concat(clientInfo.version, "\""),
        "Token=\"".concat(accessToken, "\"")
    ].join(', ');
}
exports.getAuthorizationHeader = getAuthorizationHeader;
