/**
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
import { DeviceProfile } from '../generated-client';
/**
 * Options parameters to build profiles
 * @export
 * @interface DeviceProfileGeneratorOptions
 */
export interface DeviceProfileGeneratorOptions {
    /**
     * Deliver SSA subtitles externally instead of requiring a burn in
     */
    ssaExternal?: boolean;
}
/**
 * Generates a device profile based on a few options and the current browser capabilites
 * @exports
 * @param {DeviceProfileGeneratorOptions} options - Options to pass to the different profiles generators
 * @param {HTMLVideoElement} videoElement - Optionnal HTML video element to use, else it'll create one
 * @returns A detected device profile
 */
export declare const getBrowserDeviceProfile: (options?: DeviceProfileGeneratorOptions | undefined, videoElement?: HTMLVideoElement | undefined) => DeviceProfile;
