/**
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
/** The http protocol string. */
export declare const HTTP_PROTOCOL = "http:";
/** The https protocol string. */
export declare const HTTPS_PROTOCOL = "https:";
/** The default port for the http protocol. */
export declare const HTTP_PORT = 80;
/** The default port for the https protocol. */
export declare const HTTPS_PORT = 443;
/**
 * Copies a URL instance.
 * @param original The original URL.
 * @returns A copy of the original URL.
 */
export declare function copyUrl(original: URL): URL;
/**
 * Returns the default port number for a given protocol.
 * @param protocol The protocol string.
 * @returns The default port number of the protocol.
 */
export declare function getDefaultPort(protocol: string): number;
/**
 * Parses a string to a Url object.
 * @param input A string representing a url.
 * @returns The Url object.
 */
export declare function parseUrl(input: string): URL;
