/**
 * Jellyfin API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 10.7.7
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { ImageFormat } from '../models';
import { ImageInfo } from '../models';
import { ImageType } from '../models';
/**
 * ImageApi - axios parameter creator
 * @export
 */
export declare const ImageApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Delete an item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} [imageIndex] The image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteItemImage: (itemId: string, imageType: ImageType, imageIndex?: number | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete an item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex The image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteItemImageByIndex: (itemId: string, imageType: ImageType, imageIndex: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete the user\'s image.
     * @param {string} userId User Id.
     * @param {ImageType} imageType (Unused) Image type.
     * @param {number} [index] (Unused) Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteUserImage: (userId: string, imageType: ImageType, index?: number | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete the user\'s image.
     * @param {string} userId User Id.
     * @param {ImageType} imageType (Unused) Image type.
     * @param {number} index (Unused) Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteUserImageByIndex: (userId: string, imageType: ImageType, index: number, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get artist image by name.
     * @param {string} name Artist name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getArtistImage: (name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get genre image by name.
     * @param {string} name Genre name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGenreImage: (name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get genre image by name.
     * @param {string} name Genre name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGenreImageByIndex: (name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {ImageFormat} [format] Optional. The MediaBrowser.Model.Drawing.ImageFormat of the returned image.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getItemImage: (itemId: string, imageType: ImageType, maxWidth?: number | undefined, maxHeight?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, tag?: string | undefined, cropWhitespace?: boolean | undefined, format?: ImageFormat | undefined, addPlayedIndicator?: boolean | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} maxWidth The maximum image width to return.
     * @param {number} maxHeight The maximum image height to return.
     * @param {string} tag Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} format Determines the output format of the image - original,gif,jpg,png.
     * @param {number} percentPlayed Optional. Percent to render for the percent played overlay.
     * @param {number} unplayedCount Optional. Unplayed count overlay to render.
     * @param {number} imageIndex Image index.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getItemImage2: (itemId: string, imageType: ImageType, maxWidth: number, maxHeight: number, tag: string, format: ImageFormat, percentPlayed: number, unplayedCount: number, imageIndex: number, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {ImageFormat} [format] Optional. The MediaBrowser.Model.Drawing.ImageFormat of the returned image.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getItemImageByIndex: (itemId: string, imageType: ImageType, imageIndex: number, maxWidth?: number | undefined, maxHeight?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, tag?: string | undefined, cropWhitespace?: boolean | undefined, format?: ImageFormat | undefined, addPlayedIndicator?: boolean | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get item image infos.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getItemImageInfos: (itemId: string, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get music genre image by name.
     * @param {string} name Music genre name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMusicGenreImage: (name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get music genre image by name.
     * @param {string} name Music genre name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMusicGenreImageByIndex: (name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get person image by name.
     * @param {string} name Person name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPersonImage: (name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get person image by name.
     * @param {string} name Person name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPersonImageByIndex: (name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get studio image by name.
     * @param {string} name Studio name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getStudioImage: (name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get studio image by name.
     * @param {string} name Studio name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getStudioImageByIndex: (name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get user profile image.
     * @param {string} userId User id.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUserImage: (userId: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get user profile image.
     * @param {string} userId User id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUserImageByIndex: (userId: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get artist image by name.
     * @param {string} name Artist name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headArtistImage: (name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get genre image by name.
     * @param {string} name Genre name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headGenreImage: (name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get genre image by name.
     * @param {string} name Genre name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headGenreImageByIndex: (name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {ImageFormat} [format] Optional. The MediaBrowser.Model.Drawing.ImageFormat of the returned image.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headItemImage: (itemId: string, imageType: ImageType, maxWidth?: number | undefined, maxHeight?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, tag?: string | undefined, cropWhitespace?: boolean | undefined, format?: ImageFormat | undefined, addPlayedIndicator?: boolean | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} maxWidth The maximum image width to return.
     * @param {number} maxHeight The maximum image height to return.
     * @param {string} tag Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} format Determines the output format of the image - original,gif,jpg,png.
     * @param {number} percentPlayed Optional. Percent to render for the percent played overlay.
     * @param {number} unplayedCount Optional. Unplayed count overlay to render.
     * @param {number} imageIndex Image index.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headItemImage2: (itemId: string, imageType: ImageType, maxWidth: number, maxHeight: number, tag: string, format: ImageFormat, percentPlayed: number, unplayedCount: number, imageIndex: number, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {ImageFormat} [format] Optional. The MediaBrowser.Model.Drawing.ImageFormat of the returned image.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headItemImageByIndex: (itemId: string, imageType: ImageType, imageIndex: number, maxWidth?: number | undefined, maxHeight?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, tag?: string | undefined, cropWhitespace?: boolean | undefined, format?: ImageFormat | undefined, addPlayedIndicator?: boolean | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get music genre image by name.
     * @param {string} name Music genre name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headMusicGenreImage: (name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get music genre image by name.
     * @param {string} name Music genre name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headMusicGenreImageByIndex: (name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get person image by name.
     * @param {string} name Person name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headPersonImage: (name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get person image by name.
     * @param {string} name Person name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headPersonImageByIndex: (name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get studio image by name.
     * @param {string} name Studio name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headStudioImage: (name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get studio image by name.
     * @param {string} name Studio name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headStudioImageByIndex: (name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get user profile image.
     * @param {string} userId User id.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headUserImage: (userId: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get user profile image.
     * @param {string} userId User id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headUserImageByIndex: (userId: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Sets the user image.
     * @param {string} userId User Id.
     * @param {ImageType} imageType (Unused) Image type.
     * @param {number} [index] (Unused) Image index.
     * @param {any} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postUserImage: (userId: string, imageType: ImageType, index?: number | undefined, body?: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Sets the user image.
     * @param {string} userId User Id.
     * @param {ImageType} imageType (Unused) Image type.
     * @param {number} index (Unused) Image index.
     * @param {any} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postUserImageByIndex: (userId: string, imageType: ImageType, index: number, body?: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Set item image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {any} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    setItemImage: (itemId: string, imageType: ImageType, body?: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Set item image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex (Unused) Image index.
     * @param {any} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    setItemImageByIndex: (itemId: string, imageType: ImageType, imageIndex: number, body?: any, options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Updates the index for an item image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Old image index.
     * @param {number} newIndex New image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateItemImageIndex: (itemId: string, imageType: ImageType, imageIndex: number, newIndex: number, options?: any) => Promise<RequestArgs>;
};
/**
 * ImageApi - functional programming interface
 * @export
 */
export declare const ImageApiFp: (configuration?: Configuration | undefined) => {
    /**
     *
     * @summary Delete an item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} [imageIndex] The image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteItemImage(itemId: string, imageType: ImageType, imageIndex?: number | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete an item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex The image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteItemImageByIndex(itemId: string, imageType: ImageType, imageIndex: number, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete the user\'s image.
     * @param {string} userId User Id.
     * @param {ImageType} imageType (Unused) Image type.
     * @param {number} [index] (Unused) Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteUserImage(userId: string, imageType: ImageType, index?: number | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Delete the user\'s image.
     * @param {string} userId User Id.
     * @param {ImageType} imageType (Unused) Image type.
     * @param {number} index (Unused) Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteUserImageByIndex(userId: string, imageType: ImageType, index: number, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Get artist image by name.
     * @param {string} name Artist name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getArtistImage(name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get genre image by name.
     * @param {string} name Genre name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGenreImage(name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get genre image by name.
     * @param {string} name Genre name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGenreImageByIndex(name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {ImageFormat} [format] Optional. The MediaBrowser.Model.Drawing.ImageFormat of the returned image.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getItemImage(itemId: string, imageType: ImageType, maxWidth?: number | undefined, maxHeight?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, tag?: string | undefined, cropWhitespace?: boolean | undefined, format?: ImageFormat | undefined, addPlayedIndicator?: boolean | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} maxWidth The maximum image width to return.
     * @param {number} maxHeight The maximum image height to return.
     * @param {string} tag Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} format Determines the output format of the image - original,gif,jpg,png.
     * @param {number} percentPlayed Optional. Percent to render for the percent played overlay.
     * @param {number} unplayedCount Optional. Unplayed count overlay to render.
     * @param {number} imageIndex Image index.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getItemImage2(itemId: string, imageType: ImageType, maxWidth: number, maxHeight: number, tag: string, format: ImageFormat, percentPlayed: number, unplayedCount: number, imageIndex: number, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {ImageFormat} [format] Optional. The MediaBrowser.Model.Drawing.ImageFormat of the returned image.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getItemImageByIndex(itemId: string, imageType: ImageType, imageIndex: number, maxWidth?: number | undefined, maxHeight?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, tag?: string | undefined, cropWhitespace?: boolean | undefined, format?: ImageFormat | undefined, addPlayedIndicator?: boolean | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get item image infos.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getItemImageInfos(itemId: string, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<Array<ImageInfo>>>;
    /**
     *
     * @summary Get music genre image by name.
     * @param {string} name Music genre name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMusicGenreImage(name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get music genre image by name.
     * @param {string} name Music genre name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMusicGenreImageByIndex(name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get person image by name.
     * @param {string} name Person name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPersonImage(name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get person image by name.
     * @param {string} name Person name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPersonImageByIndex(name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get studio image by name.
     * @param {string} name Studio name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getStudioImage(name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get studio image by name.
     * @param {string} name Studio name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getStudioImageByIndex(name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get user profile image.
     * @param {string} userId User id.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUserImage(userId: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get user profile image.
     * @param {string} userId User id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUserImageByIndex(userId: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get artist image by name.
     * @param {string} name Artist name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headArtistImage(name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get genre image by name.
     * @param {string} name Genre name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headGenreImage(name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get genre image by name.
     * @param {string} name Genre name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headGenreImageByIndex(name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {ImageFormat} [format] Optional. The MediaBrowser.Model.Drawing.ImageFormat of the returned image.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headItemImage(itemId: string, imageType: ImageType, maxWidth?: number | undefined, maxHeight?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, tag?: string | undefined, cropWhitespace?: boolean | undefined, format?: ImageFormat | undefined, addPlayedIndicator?: boolean | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} maxWidth The maximum image width to return.
     * @param {number} maxHeight The maximum image height to return.
     * @param {string} tag Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} format Determines the output format of the image - original,gif,jpg,png.
     * @param {number} percentPlayed Optional. Percent to render for the percent played overlay.
     * @param {number} unplayedCount Optional. Unplayed count overlay to render.
     * @param {number} imageIndex Image index.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headItemImage2(itemId: string, imageType: ImageType, maxWidth: number, maxHeight: number, tag: string, format: ImageFormat, percentPlayed: number, unplayedCount: number, imageIndex: number, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {ImageFormat} [format] Optional. The MediaBrowser.Model.Drawing.ImageFormat of the returned image.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headItemImageByIndex(itemId: string, imageType: ImageType, imageIndex: number, maxWidth?: number | undefined, maxHeight?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, tag?: string | undefined, cropWhitespace?: boolean | undefined, format?: ImageFormat | undefined, addPlayedIndicator?: boolean | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get music genre image by name.
     * @param {string} name Music genre name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headMusicGenreImage(name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get music genre image by name.
     * @param {string} name Music genre name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headMusicGenreImageByIndex(name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get person image by name.
     * @param {string} name Person name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headPersonImage(name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get person image by name.
     * @param {string} name Person name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headPersonImageByIndex(name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get studio image by name.
     * @param {string} name Studio name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headStudioImage(name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get studio image by name.
     * @param {string} name Studio name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headStudioImageByIndex(name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get user profile image.
     * @param {string} userId User id.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headUserImage(userId: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Get user profile image.
     * @param {string} userId User id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headUserImageByIndex(userId: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<any>>;
    /**
     *
     * @summary Sets the user image.
     * @param {string} userId User Id.
     * @param {ImageType} imageType (Unused) Image type.
     * @param {number} [index] (Unused) Image index.
     * @param {any} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postUserImage(userId: string, imageType: ImageType, index?: number | undefined, body?: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Sets the user image.
     * @param {string} userId User Id.
     * @param {ImageType} imageType (Unused) Image type.
     * @param {number} index (Unused) Image index.
     * @param {any} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postUserImageByIndex(userId: string, imageType: ImageType, index: number, body?: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Set item image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {any} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    setItemImage(itemId: string, imageType: ImageType, body?: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Set item image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex (Unused) Image index.
     * @param {any} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    setItemImageByIndex(itemId: string, imageType: ImageType, imageIndex: number, body?: any, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
    /**
     *
     * @summary Updates the index for an item image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Old image index.
     * @param {number} newIndex New image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateItemImageIndex(itemId: string, imageType: ImageType, imageIndex: number, newIndex: number, options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<void>>;
};
/**
 * ImageApi - factory interface
 * @export
 */
export declare const ImageApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     *
     * @summary Delete an item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} [imageIndex] The image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteItemImage(itemId: string, imageType: ImageType, imageIndex?: number | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete an item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex The image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteItemImageByIndex(itemId: string, imageType: ImageType, imageIndex: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete the user\'s image.
     * @param {string} userId User Id.
     * @param {ImageType} imageType (Unused) Image type.
     * @param {number} [index] (Unused) Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteUserImage(userId: string, imageType: ImageType, index?: number | undefined, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Delete the user\'s image.
     * @param {string} userId User Id.
     * @param {ImageType} imageType (Unused) Image type.
     * @param {number} index (Unused) Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteUserImageByIndex(userId: string, imageType: ImageType, index: number, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Get artist image by name.
     * @param {string} name Artist name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getArtistImage(name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get genre image by name.
     * @param {string} name Genre name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGenreImage(name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get genre image by name.
     * @param {string} name Genre name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getGenreImageByIndex(name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {ImageFormat} [format] Optional. The MediaBrowser.Model.Drawing.ImageFormat of the returned image.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getItemImage(itemId: string, imageType: ImageType, maxWidth?: number | undefined, maxHeight?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, tag?: string | undefined, cropWhitespace?: boolean | undefined, format?: ImageFormat | undefined, addPlayedIndicator?: boolean | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} maxWidth The maximum image width to return.
     * @param {number} maxHeight The maximum image height to return.
     * @param {string} tag Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} format Determines the output format of the image - original,gif,jpg,png.
     * @param {number} percentPlayed Optional. Percent to render for the percent played overlay.
     * @param {number} unplayedCount Optional. Unplayed count overlay to render.
     * @param {number} imageIndex Image index.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getItemImage2(itemId: string, imageType: ImageType, maxWidth: number, maxHeight: number, tag: string, format: ImageFormat, percentPlayed: number, unplayedCount: number, imageIndex: number, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {ImageFormat} [format] Optional. The MediaBrowser.Model.Drawing.ImageFormat of the returned image.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getItemImageByIndex(itemId: string, imageType: ImageType, imageIndex: number, maxWidth?: number | undefined, maxHeight?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, tag?: string | undefined, cropWhitespace?: boolean | undefined, format?: ImageFormat | undefined, addPlayedIndicator?: boolean | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get item image infos.
     * @param {string} itemId Item id.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getItemImageInfos(itemId: string, options?: any): AxiosPromise<Array<ImageInfo>>;
    /**
     *
     * @summary Get music genre image by name.
     * @param {string} name Music genre name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMusicGenreImage(name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get music genre image by name.
     * @param {string} name Music genre name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getMusicGenreImageByIndex(name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get person image by name.
     * @param {string} name Person name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPersonImage(name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get person image by name.
     * @param {string} name Person name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPersonImageByIndex(name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get studio image by name.
     * @param {string} name Studio name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getStudioImage(name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get studio image by name.
     * @param {string} name Studio name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getStudioImageByIndex(name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get user profile image.
     * @param {string} userId User id.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUserImage(userId: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get user profile image.
     * @param {string} userId User id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getUserImageByIndex(userId: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get artist image by name.
     * @param {string} name Artist name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headArtistImage(name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get genre image by name.
     * @param {string} name Genre name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headGenreImage(name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get genre image by name.
     * @param {string} name Genre name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headGenreImageByIndex(name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {ImageFormat} [format] Optional. The MediaBrowser.Model.Drawing.ImageFormat of the returned image.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headItemImage(itemId: string, imageType: ImageType, maxWidth?: number | undefined, maxHeight?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, tag?: string | undefined, cropWhitespace?: boolean | undefined, format?: ImageFormat | undefined, addPlayedIndicator?: boolean | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} maxWidth The maximum image width to return.
     * @param {number} maxHeight The maximum image height to return.
     * @param {string} tag Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} format Determines the output format of the image - original,gif,jpg,png.
     * @param {number} percentPlayed Optional. Percent to render for the percent played overlay.
     * @param {number} unplayedCount Optional. Unplayed count overlay to render.
     * @param {number} imageIndex Image index.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headItemImage2(itemId: string, imageType: ImageType, maxWidth: number, maxHeight: number, tag: string, format: ImageFormat, percentPlayed: number, unplayedCount: number, imageIndex: number, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {ImageFormat} [format] Optional. The MediaBrowser.Model.Drawing.ImageFormat of the returned image.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headItemImageByIndex(itemId: string, imageType: ImageType, imageIndex: number, maxWidth?: number | undefined, maxHeight?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, tag?: string | undefined, cropWhitespace?: boolean | undefined, format?: ImageFormat | undefined, addPlayedIndicator?: boolean | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get music genre image by name.
     * @param {string} name Music genre name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headMusicGenreImage(name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get music genre image by name.
     * @param {string} name Music genre name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headMusicGenreImageByIndex(name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get person image by name.
     * @param {string} name Person name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headPersonImage(name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get person image by name.
     * @param {string} name Person name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headPersonImageByIndex(name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get studio image by name.
     * @param {string} name Studio name.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headStudioImage(name: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get studio image by name.
     * @param {string} name Studio name.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headStudioImageByIndex(name: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get user profile image.
     * @param {string} userId User id.
     * @param {ImageType} imageType Image type.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {number} [imageIndex] Image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headUserImage(userId: string, imageType: ImageType, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, imageIndex?: number | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Get user profile image.
     * @param {string} userId User id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Image index.
     * @param {string} [tag] Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @param {ImageFormat} [format] Determines the output format of the image - original,gif,jpg,png.
     * @param {number} [maxWidth] The maximum image width to return.
     * @param {number} [maxHeight] The maximum image height to return.
     * @param {number} [percentPlayed] Optional. Percent to render for the percent played overlay.
     * @param {number} [unplayedCount] Optional. Unplayed count overlay to render.
     * @param {number} [width] The fixed image width to return.
     * @param {number} [height] The fixed image height to return.
     * @param {number} [quality] Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @param {number} [fillWidth] Width of box to fill.
     * @param {number} [fillHeight] Height of box to fill.
     * @param {boolean} [cropWhitespace] Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @param {boolean} [addPlayedIndicator] Optional. Add a played indicator.
     * @param {number} [blur] Optional. Blur image.
     * @param {string} [backgroundColor] Optional. Apply a background color for transparent images.
     * @param {string} [foregroundLayer] Optional. Apply a foreground layer on top of the image.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    headUserImageByIndex(userId: string, imageType: ImageType, imageIndex: number, tag?: string | undefined, format?: ImageFormat | undefined, maxWidth?: number | undefined, maxHeight?: number | undefined, percentPlayed?: number | undefined, unplayedCount?: number | undefined, width?: number | undefined, height?: number | undefined, quality?: number | undefined, fillWidth?: number | undefined, fillHeight?: number | undefined, cropWhitespace?: boolean | undefined, addPlayedIndicator?: boolean | undefined, blur?: number | undefined, backgroundColor?: string | undefined, foregroundLayer?: string | undefined, options?: any): AxiosPromise<any>;
    /**
     *
     * @summary Sets the user image.
     * @param {string} userId User Id.
     * @param {ImageType} imageType (Unused) Image type.
     * @param {number} [index] (Unused) Image index.
     * @param {any} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postUserImage(userId: string, imageType: ImageType, index?: number | undefined, body?: any, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Sets the user image.
     * @param {string} userId User Id.
     * @param {ImageType} imageType (Unused) Image type.
     * @param {number} index (Unused) Image index.
     * @param {any} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    postUserImageByIndex(userId: string, imageType: ImageType, index: number, body?: any, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Set item image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {any} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    setItemImage(itemId: string, imageType: ImageType, body?: any, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Set item image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex (Unused) Image index.
     * @param {any} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    setItemImageByIndex(itemId: string, imageType: ImageType, imageIndex: number, body?: any, options?: any): AxiosPromise<void>;
    /**
     *
     * @summary Updates the index for an item image.
     * @param {string} itemId Item id.
     * @param {ImageType} imageType Image type.
     * @param {number} imageIndex Old image index.
     * @param {number} newIndex New image index.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    updateItemImageIndex(itemId: string, imageType: ImageType, imageIndex: number, newIndex: number, options?: any): AxiosPromise<void>;
};
/**
 * Request parameters for deleteItemImage operation in ImageApi.
 * @export
 * @interface ImageApiDeleteItemImageRequest
 */
export interface ImageApiDeleteItemImageRequest {
    /**
     * Item id.
     * @type {string}
     * @memberof ImageApiDeleteItemImage
     */
    readonly itemId: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiDeleteItemImage
     */
    readonly imageType: ImageType;
    /**
     * The image index.
     * @type {number}
     * @memberof ImageApiDeleteItemImage
     */
    readonly imageIndex?: number;
}
/**
 * Request parameters for deleteItemImageByIndex operation in ImageApi.
 * @export
 * @interface ImageApiDeleteItemImageByIndexRequest
 */
export interface ImageApiDeleteItemImageByIndexRequest {
    /**
     * Item id.
     * @type {string}
     * @memberof ImageApiDeleteItemImageByIndex
     */
    readonly itemId: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiDeleteItemImageByIndex
     */
    readonly imageType: ImageType;
    /**
     * The image index.
     * @type {number}
     * @memberof ImageApiDeleteItemImageByIndex
     */
    readonly imageIndex: number;
}
/**
 * Request parameters for deleteUserImage operation in ImageApi.
 * @export
 * @interface ImageApiDeleteUserImageRequest
 */
export interface ImageApiDeleteUserImageRequest {
    /**
     * User Id.
     * @type {string}
     * @memberof ImageApiDeleteUserImage
     */
    readonly userId: string;
    /**
     * (Unused) Image type.
     * @type {ImageType}
     * @memberof ImageApiDeleteUserImage
     */
    readonly imageType: ImageType;
    /**
     * (Unused) Image index.
     * @type {number}
     * @memberof ImageApiDeleteUserImage
     */
    readonly index?: number;
}
/**
 * Request parameters for deleteUserImageByIndex operation in ImageApi.
 * @export
 * @interface ImageApiDeleteUserImageByIndexRequest
 */
export interface ImageApiDeleteUserImageByIndexRequest {
    /**
     * User Id.
     * @type {string}
     * @memberof ImageApiDeleteUserImageByIndex
     */
    readonly userId: string;
    /**
     * (Unused) Image type.
     * @type {ImageType}
     * @memberof ImageApiDeleteUserImageByIndex
     */
    readonly imageType: ImageType;
    /**
     * (Unused) Image index.
     * @type {number}
     * @memberof ImageApiDeleteUserImageByIndex
     */
    readonly index: number;
}
/**
 * Request parameters for getArtistImage operation in ImageApi.
 * @export
 * @interface ImageApiGetArtistImageRequest
 */
export interface ImageApiGetArtistImageRequest {
    /**
     * Artist name.
     * @type {string}
     * @memberof ImageApiGetArtistImage
     */
    readonly name: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiGetArtistImage
     */
    readonly imageType: ImageType;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiGetArtistImage
     */
    readonly imageIndex: number;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiGetArtistImage
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiGetArtistImage
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiGetArtistImage
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiGetArtistImage
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiGetArtistImage
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiGetArtistImage
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiGetArtistImage
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiGetArtistImage
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiGetArtistImage
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiGetArtistImage
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiGetArtistImage
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiGetArtistImage
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiGetArtistImage
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiGetArtistImage
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiGetArtistImage
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiGetArtistImage
     */
    readonly foregroundLayer?: string;
}
/**
 * Request parameters for getGenreImage operation in ImageApi.
 * @export
 * @interface ImageApiGetGenreImageRequest
 */
export interface ImageApiGetGenreImageRequest {
    /**
     * Genre name.
     * @type {string}
     * @memberof ImageApiGetGenreImage
     */
    readonly name: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiGetGenreImage
     */
    readonly imageType: ImageType;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiGetGenreImage
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiGetGenreImage
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiGetGenreImage
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiGetGenreImage
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiGetGenreImage
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiGetGenreImage
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiGetGenreImage
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiGetGenreImage
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiGetGenreImage
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiGetGenreImage
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiGetGenreImage
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiGetGenreImage
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiGetGenreImage
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiGetGenreImage
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiGetGenreImage
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiGetGenreImage
     */
    readonly foregroundLayer?: string;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiGetGenreImage
     */
    readonly imageIndex?: number;
}
/**
 * Request parameters for getGenreImageByIndex operation in ImageApi.
 * @export
 * @interface ImageApiGetGenreImageByIndexRequest
 */
export interface ImageApiGetGenreImageByIndexRequest {
    /**
     * Genre name.
     * @type {string}
     * @memberof ImageApiGetGenreImageByIndex
     */
    readonly name: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiGetGenreImageByIndex
     */
    readonly imageType: ImageType;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiGetGenreImageByIndex
     */
    readonly imageIndex: number;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiGetGenreImageByIndex
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiGetGenreImageByIndex
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiGetGenreImageByIndex
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiGetGenreImageByIndex
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiGetGenreImageByIndex
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiGetGenreImageByIndex
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiGetGenreImageByIndex
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiGetGenreImageByIndex
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiGetGenreImageByIndex
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiGetGenreImageByIndex
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiGetGenreImageByIndex
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiGetGenreImageByIndex
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiGetGenreImageByIndex
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiGetGenreImageByIndex
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiGetGenreImageByIndex
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiGetGenreImageByIndex
     */
    readonly foregroundLayer?: string;
}
/**
 * Request parameters for getItemImage operation in ImageApi.
 * @export
 * @interface ImageApiGetItemImageRequest
 */
export interface ImageApiGetItemImageRequest {
    /**
     * Item id.
     * @type {string}
     * @memberof ImageApiGetItemImage
     */
    readonly itemId: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiGetItemImage
     */
    readonly imageType: ImageType;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiGetItemImage
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiGetItemImage
     */
    readonly maxHeight?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiGetItemImage
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiGetItemImage
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiGetItemImage
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiGetItemImage
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiGetItemImage
     */
    readonly fillHeight?: number;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiGetItemImage
     */
    readonly tag?: string;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiGetItemImage
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. The MediaBrowser.Model.Drawing.ImageFormat of the returned image.
     * @type {ImageFormat}
     * @memberof ImageApiGetItemImage
     */
    readonly format?: ImageFormat;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiGetItemImage
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiGetItemImage
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiGetItemImage
     */
    readonly unplayedCount?: number;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiGetItemImage
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiGetItemImage
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiGetItemImage
     */
    readonly foregroundLayer?: string;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiGetItemImage
     */
    readonly imageIndex?: number;
}
/**
 * Request parameters for getItemImage2 operation in ImageApi.
 * @export
 * @interface ImageApiGetItemImage2Request
 */
export interface ImageApiGetItemImage2Request {
    /**
     * Item id.
     * @type {string}
     * @memberof ImageApiGetItemImage2
     */
    readonly itemId: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiGetItemImage2
     */
    readonly imageType: ImageType;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiGetItemImage2
     */
    readonly maxWidth: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiGetItemImage2
     */
    readonly maxHeight: number;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiGetItemImage2
     */
    readonly tag: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiGetItemImage2
     */
    readonly format: ImageFormat;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiGetItemImage2
     */
    readonly percentPlayed: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiGetItemImage2
     */
    readonly unplayedCount: number;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiGetItemImage2
     */
    readonly imageIndex: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiGetItemImage2
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiGetItemImage2
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiGetItemImage2
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiGetItemImage2
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiGetItemImage2
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiGetItemImage2
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiGetItemImage2
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiGetItemImage2
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiGetItemImage2
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiGetItemImage2
     */
    readonly foregroundLayer?: string;
}
/**
 * Request parameters for getItemImageByIndex operation in ImageApi.
 * @export
 * @interface ImageApiGetItemImageByIndexRequest
 */
export interface ImageApiGetItemImageByIndexRequest {
    /**
     * Item id.
     * @type {string}
     * @memberof ImageApiGetItemImageByIndex
     */
    readonly itemId: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiGetItemImageByIndex
     */
    readonly imageType: ImageType;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiGetItemImageByIndex
     */
    readonly imageIndex: number;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiGetItemImageByIndex
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiGetItemImageByIndex
     */
    readonly maxHeight?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiGetItemImageByIndex
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiGetItemImageByIndex
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiGetItemImageByIndex
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiGetItemImageByIndex
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiGetItemImageByIndex
     */
    readonly fillHeight?: number;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiGetItemImageByIndex
     */
    readonly tag?: string;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiGetItemImageByIndex
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. The MediaBrowser.Model.Drawing.ImageFormat of the returned image.
     * @type {ImageFormat}
     * @memberof ImageApiGetItemImageByIndex
     */
    readonly format?: ImageFormat;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiGetItemImageByIndex
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiGetItemImageByIndex
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiGetItemImageByIndex
     */
    readonly unplayedCount?: number;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiGetItemImageByIndex
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiGetItemImageByIndex
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiGetItemImageByIndex
     */
    readonly foregroundLayer?: string;
}
/**
 * Request parameters for getItemImageInfos operation in ImageApi.
 * @export
 * @interface ImageApiGetItemImageInfosRequest
 */
export interface ImageApiGetItemImageInfosRequest {
    /**
     * Item id.
     * @type {string}
     * @memberof ImageApiGetItemImageInfos
     */
    readonly itemId: string;
}
/**
 * Request parameters for getMusicGenreImage operation in ImageApi.
 * @export
 * @interface ImageApiGetMusicGenreImageRequest
 */
export interface ImageApiGetMusicGenreImageRequest {
    /**
     * Music genre name.
     * @type {string}
     * @memberof ImageApiGetMusicGenreImage
     */
    readonly name: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiGetMusicGenreImage
     */
    readonly imageType: ImageType;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiGetMusicGenreImage
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiGetMusicGenreImage
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImage
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImage
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImage
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImage
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImage
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImage
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImage
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImage
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImage
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiGetMusicGenreImage
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiGetMusicGenreImage
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImage
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiGetMusicGenreImage
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiGetMusicGenreImage
     */
    readonly foregroundLayer?: string;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImage
     */
    readonly imageIndex?: number;
}
/**
 * Request parameters for getMusicGenreImageByIndex operation in ImageApi.
 * @export
 * @interface ImageApiGetMusicGenreImageByIndexRequest
 */
export interface ImageApiGetMusicGenreImageByIndexRequest {
    /**
     * Music genre name.
     * @type {string}
     * @memberof ImageApiGetMusicGenreImageByIndex
     */
    readonly name: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiGetMusicGenreImageByIndex
     */
    readonly imageType: ImageType;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImageByIndex
     */
    readonly imageIndex: number;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiGetMusicGenreImageByIndex
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiGetMusicGenreImageByIndex
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImageByIndex
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImageByIndex
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImageByIndex
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImageByIndex
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImageByIndex
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImageByIndex
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImageByIndex
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImageByIndex
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImageByIndex
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiGetMusicGenreImageByIndex
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiGetMusicGenreImageByIndex
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiGetMusicGenreImageByIndex
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiGetMusicGenreImageByIndex
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiGetMusicGenreImageByIndex
     */
    readonly foregroundLayer?: string;
}
/**
 * Request parameters for getPersonImage operation in ImageApi.
 * @export
 * @interface ImageApiGetPersonImageRequest
 */
export interface ImageApiGetPersonImageRequest {
    /**
     * Person name.
     * @type {string}
     * @memberof ImageApiGetPersonImage
     */
    readonly name: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiGetPersonImage
     */
    readonly imageType: ImageType;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiGetPersonImage
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiGetPersonImage
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiGetPersonImage
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiGetPersonImage
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiGetPersonImage
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiGetPersonImage
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiGetPersonImage
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiGetPersonImage
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiGetPersonImage
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiGetPersonImage
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiGetPersonImage
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiGetPersonImage
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiGetPersonImage
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiGetPersonImage
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiGetPersonImage
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiGetPersonImage
     */
    readonly foregroundLayer?: string;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiGetPersonImage
     */
    readonly imageIndex?: number;
}
/**
 * Request parameters for getPersonImageByIndex operation in ImageApi.
 * @export
 * @interface ImageApiGetPersonImageByIndexRequest
 */
export interface ImageApiGetPersonImageByIndexRequest {
    /**
     * Person name.
     * @type {string}
     * @memberof ImageApiGetPersonImageByIndex
     */
    readonly name: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiGetPersonImageByIndex
     */
    readonly imageType: ImageType;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiGetPersonImageByIndex
     */
    readonly imageIndex: number;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiGetPersonImageByIndex
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiGetPersonImageByIndex
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiGetPersonImageByIndex
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiGetPersonImageByIndex
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiGetPersonImageByIndex
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiGetPersonImageByIndex
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiGetPersonImageByIndex
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiGetPersonImageByIndex
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiGetPersonImageByIndex
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiGetPersonImageByIndex
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiGetPersonImageByIndex
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiGetPersonImageByIndex
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiGetPersonImageByIndex
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiGetPersonImageByIndex
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiGetPersonImageByIndex
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiGetPersonImageByIndex
     */
    readonly foregroundLayer?: string;
}
/**
 * Request parameters for getStudioImage operation in ImageApi.
 * @export
 * @interface ImageApiGetStudioImageRequest
 */
export interface ImageApiGetStudioImageRequest {
    /**
     * Studio name.
     * @type {string}
     * @memberof ImageApiGetStudioImage
     */
    readonly name: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiGetStudioImage
     */
    readonly imageType: ImageType;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiGetStudioImage
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiGetStudioImage
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiGetStudioImage
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiGetStudioImage
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiGetStudioImage
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiGetStudioImage
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiGetStudioImage
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiGetStudioImage
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiGetStudioImage
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiGetStudioImage
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiGetStudioImage
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiGetStudioImage
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiGetStudioImage
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiGetStudioImage
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiGetStudioImage
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiGetStudioImage
     */
    readonly foregroundLayer?: string;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiGetStudioImage
     */
    readonly imageIndex?: number;
}
/**
 * Request parameters for getStudioImageByIndex operation in ImageApi.
 * @export
 * @interface ImageApiGetStudioImageByIndexRequest
 */
export interface ImageApiGetStudioImageByIndexRequest {
    /**
     * Studio name.
     * @type {string}
     * @memberof ImageApiGetStudioImageByIndex
     */
    readonly name: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiGetStudioImageByIndex
     */
    readonly imageType: ImageType;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiGetStudioImageByIndex
     */
    readonly imageIndex: number;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiGetStudioImageByIndex
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiGetStudioImageByIndex
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiGetStudioImageByIndex
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiGetStudioImageByIndex
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiGetStudioImageByIndex
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiGetStudioImageByIndex
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiGetStudioImageByIndex
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiGetStudioImageByIndex
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiGetStudioImageByIndex
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiGetStudioImageByIndex
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiGetStudioImageByIndex
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiGetStudioImageByIndex
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiGetStudioImageByIndex
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiGetStudioImageByIndex
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiGetStudioImageByIndex
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiGetStudioImageByIndex
     */
    readonly foregroundLayer?: string;
}
/**
 * Request parameters for getUserImage operation in ImageApi.
 * @export
 * @interface ImageApiGetUserImageRequest
 */
export interface ImageApiGetUserImageRequest {
    /**
     * User id.
     * @type {string}
     * @memberof ImageApiGetUserImage
     */
    readonly userId: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiGetUserImage
     */
    readonly imageType: ImageType;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiGetUserImage
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiGetUserImage
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiGetUserImage
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiGetUserImage
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiGetUserImage
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiGetUserImage
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiGetUserImage
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiGetUserImage
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiGetUserImage
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiGetUserImage
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiGetUserImage
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiGetUserImage
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiGetUserImage
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiGetUserImage
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiGetUserImage
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiGetUserImage
     */
    readonly foregroundLayer?: string;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiGetUserImage
     */
    readonly imageIndex?: number;
}
/**
 * Request parameters for getUserImageByIndex operation in ImageApi.
 * @export
 * @interface ImageApiGetUserImageByIndexRequest
 */
export interface ImageApiGetUserImageByIndexRequest {
    /**
     * User id.
     * @type {string}
     * @memberof ImageApiGetUserImageByIndex
     */
    readonly userId: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiGetUserImageByIndex
     */
    readonly imageType: ImageType;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiGetUserImageByIndex
     */
    readonly imageIndex: number;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiGetUserImageByIndex
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiGetUserImageByIndex
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiGetUserImageByIndex
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiGetUserImageByIndex
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiGetUserImageByIndex
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiGetUserImageByIndex
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiGetUserImageByIndex
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiGetUserImageByIndex
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiGetUserImageByIndex
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiGetUserImageByIndex
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiGetUserImageByIndex
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiGetUserImageByIndex
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiGetUserImageByIndex
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiGetUserImageByIndex
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiGetUserImageByIndex
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiGetUserImageByIndex
     */
    readonly foregroundLayer?: string;
}
/**
 * Request parameters for headArtistImage operation in ImageApi.
 * @export
 * @interface ImageApiHeadArtistImageRequest
 */
export interface ImageApiHeadArtistImageRequest {
    /**
     * Artist name.
     * @type {string}
     * @memberof ImageApiHeadArtistImage
     */
    readonly name: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiHeadArtistImage
     */
    readonly imageType: ImageType;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiHeadArtistImage
     */
    readonly imageIndex: number;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiHeadArtistImage
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiHeadArtistImage
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiHeadArtistImage
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiHeadArtistImage
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiHeadArtistImage
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiHeadArtistImage
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiHeadArtistImage
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiHeadArtistImage
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiHeadArtistImage
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiHeadArtistImage
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiHeadArtistImage
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiHeadArtistImage
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiHeadArtistImage
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiHeadArtistImage
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiHeadArtistImage
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiHeadArtistImage
     */
    readonly foregroundLayer?: string;
}
/**
 * Request parameters for headGenreImage operation in ImageApi.
 * @export
 * @interface ImageApiHeadGenreImageRequest
 */
export interface ImageApiHeadGenreImageRequest {
    /**
     * Genre name.
     * @type {string}
     * @memberof ImageApiHeadGenreImage
     */
    readonly name: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiHeadGenreImage
     */
    readonly imageType: ImageType;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiHeadGenreImage
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiHeadGenreImage
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiHeadGenreImage
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiHeadGenreImage
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiHeadGenreImage
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiHeadGenreImage
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiHeadGenreImage
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiHeadGenreImage
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiHeadGenreImage
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiHeadGenreImage
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiHeadGenreImage
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiHeadGenreImage
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiHeadGenreImage
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiHeadGenreImage
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiHeadGenreImage
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiHeadGenreImage
     */
    readonly foregroundLayer?: string;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiHeadGenreImage
     */
    readonly imageIndex?: number;
}
/**
 * Request parameters for headGenreImageByIndex operation in ImageApi.
 * @export
 * @interface ImageApiHeadGenreImageByIndexRequest
 */
export interface ImageApiHeadGenreImageByIndexRequest {
    /**
     * Genre name.
     * @type {string}
     * @memberof ImageApiHeadGenreImageByIndex
     */
    readonly name: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiHeadGenreImageByIndex
     */
    readonly imageType: ImageType;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiHeadGenreImageByIndex
     */
    readonly imageIndex: number;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiHeadGenreImageByIndex
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiHeadGenreImageByIndex
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiHeadGenreImageByIndex
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiHeadGenreImageByIndex
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiHeadGenreImageByIndex
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiHeadGenreImageByIndex
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiHeadGenreImageByIndex
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiHeadGenreImageByIndex
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiHeadGenreImageByIndex
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiHeadGenreImageByIndex
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiHeadGenreImageByIndex
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiHeadGenreImageByIndex
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiHeadGenreImageByIndex
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiHeadGenreImageByIndex
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiHeadGenreImageByIndex
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiHeadGenreImageByIndex
     */
    readonly foregroundLayer?: string;
}
/**
 * Request parameters for headItemImage operation in ImageApi.
 * @export
 * @interface ImageApiHeadItemImageRequest
 */
export interface ImageApiHeadItemImageRequest {
    /**
     * Item id.
     * @type {string}
     * @memberof ImageApiHeadItemImage
     */
    readonly itemId: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiHeadItemImage
     */
    readonly imageType: ImageType;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiHeadItemImage
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiHeadItemImage
     */
    readonly maxHeight?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiHeadItemImage
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiHeadItemImage
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiHeadItemImage
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiHeadItemImage
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiHeadItemImage
     */
    readonly fillHeight?: number;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiHeadItemImage
     */
    readonly tag?: string;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiHeadItemImage
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. The MediaBrowser.Model.Drawing.ImageFormat of the returned image.
     * @type {ImageFormat}
     * @memberof ImageApiHeadItemImage
     */
    readonly format?: ImageFormat;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiHeadItemImage
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiHeadItemImage
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiHeadItemImage
     */
    readonly unplayedCount?: number;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiHeadItemImage
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiHeadItemImage
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiHeadItemImage
     */
    readonly foregroundLayer?: string;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiHeadItemImage
     */
    readonly imageIndex?: number;
}
/**
 * Request parameters for headItemImage2 operation in ImageApi.
 * @export
 * @interface ImageApiHeadItemImage2Request
 */
export interface ImageApiHeadItemImage2Request {
    /**
     * Item id.
     * @type {string}
     * @memberof ImageApiHeadItemImage2
     */
    readonly itemId: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiHeadItemImage2
     */
    readonly imageType: ImageType;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiHeadItemImage2
     */
    readonly maxWidth: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiHeadItemImage2
     */
    readonly maxHeight: number;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiHeadItemImage2
     */
    readonly tag: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiHeadItemImage2
     */
    readonly format: ImageFormat;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiHeadItemImage2
     */
    readonly percentPlayed: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiHeadItemImage2
     */
    readonly unplayedCount: number;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiHeadItemImage2
     */
    readonly imageIndex: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiHeadItemImage2
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiHeadItemImage2
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiHeadItemImage2
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiHeadItemImage2
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiHeadItemImage2
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiHeadItemImage2
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiHeadItemImage2
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiHeadItemImage2
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiHeadItemImage2
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiHeadItemImage2
     */
    readonly foregroundLayer?: string;
}
/**
 * Request parameters for headItemImageByIndex operation in ImageApi.
 * @export
 * @interface ImageApiHeadItemImageByIndexRequest
 */
export interface ImageApiHeadItemImageByIndexRequest {
    /**
     * Item id.
     * @type {string}
     * @memberof ImageApiHeadItemImageByIndex
     */
    readonly itemId: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiHeadItemImageByIndex
     */
    readonly imageType: ImageType;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiHeadItemImageByIndex
     */
    readonly imageIndex: number;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiHeadItemImageByIndex
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiHeadItemImageByIndex
     */
    readonly maxHeight?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiHeadItemImageByIndex
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiHeadItemImageByIndex
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiHeadItemImageByIndex
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiHeadItemImageByIndex
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiHeadItemImageByIndex
     */
    readonly fillHeight?: number;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiHeadItemImageByIndex
     */
    readonly tag?: string;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiHeadItemImageByIndex
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. The MediaBrowser.Model.Drawing.ImageFormat of the returned image.
     * @type {ImageFormat}
     * @memberof ImageApiHeadItemImageByIndex
     */
    readonly format?: ImageFormat;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiHeadItemImageByIndex
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiHeadItemImageByIndex
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiHeadItemImageByIndex
     */
    readonly unplayedCount?: number;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiHeadItemImageByIndex
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiHeadItemImageByIndex
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiHeadItemImageByIndex
     */
    readonly foregroundLayer?: string;
}
/**
 * Request parameters for headMusicGenreImage operation in ImageApi.
 * @export
 * @interface ImageApiHeadMusicGenreImageRequest
 */
export interface ImageApiHeadMusicGenreImageRequest {
    /**
     * Music genre name.
     * @type {string}
     * @memberof ImageApiHeadMusicGenreImage
     */
    readonly name: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiHeadMusicGenreImage
     */
    readonly imageType: ImageType;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiHeadMusicGenreImage
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiHeadMusicGenreImage
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImage
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImage
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImage
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImage
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImage
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImage
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImage
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImage
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImage
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiHeadMusicGenreImage
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiHeadMusicGenreImage
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImage
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiHeadMusicGenreImage
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiHeadMusicGenreImage
     */
    readonly foregroundLayer?: string;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImage
     */
    readonly imageIndex?: number;
}
/**
 * Request parameters for headMusicGenreImageByIndex operation in ImageApi.
 * @export
 * @interface ImageApiHeadMusicGenreImageByIndexRequest
 */
export interface ImageApiHeadMusicGenreImageByIndexRequest {
    /**
     * Music genre name.
     * @type {string}
     * @memberof ImageApiHeadMusicGenreImageByIndex
     */
    readonly name: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiHeadMusicGenreImageByIndex
     */
    readonly imageType: ImageType;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImageByIndex
     */
    readonly imageIndex: number;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiHeadMusicGenreImageByIndex
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiHeadMusicGenreImageByIndex
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImageByIndex
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImageByIndex
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImageByIndex
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImageByIndex
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImageByIndex
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImageByIndex
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImageByIndex
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImageByIndex
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImageByIndex
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiHeadMusicGenreImageByIndex
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiHeadMusicGenreImageByIndex
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiHeadMusicGenreImageByIndex
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiHeadMusicGenreImageByIndex
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiHeadMusicGenreImageByIndex
     */
    readonly foregroundLayer?: string;
}
/**
 * Request parameters for headPersonImage operation in ImageApi.
 * @export
 * @interface ImageApiHeadPersonImageRequest
 */
export interface ImageApiHeadPersonImageRequest {
    /**
     * Person name.
     * @type {string}
     * @memberof ImageApiHeadPersonImage
     */
    readonly name: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiHeadPersonImage
     */
    readonly imageType: ImageType;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiHeadPersonImage
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiHeadPersonImage
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiHeadPersonImage
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiHeadPersonImage
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiHeadPersonImage
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiHeadPersonImage
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiHeadPersonImage
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiHeadPersonImage
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiHeadPersonImage
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiHeadPersonImage
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiHeadPersonImage
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiHeadPersonImage
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiHeadPersonImage
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiHeadPersonImage
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiHeadPersonImage
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiHeadPersonImage
     */
    readonly foregroundLayer?: string;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiHeadPersonImage
     */
    readonly imageIndex?: number;
}
/**
 * Request parameters for headPersonImageByIndex operation in ImageApi.
 * @export
 * @interface ImageApiHeadPersonImageByIndexRequest
 */
export interface ImageApiHeadPersonImageByIndexRequest {
    /**
     * Person name.
     * @type {string}
     * @memberof ImageApiHeadPersonImageByIndex
     */
    readonly name: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiHeadPersonImageByIndex
     */
    readonly imageType: ImageType;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiHeadPersonImageByIndex
     */
    readonly imageIndex: number;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiHeadPersonImageByIndex
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiHeadPersonImageByIndex
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiHeadPersonImageByIndex
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiHeadPersonImageByIndex
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiHeadPersonImageByIndex
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiHeadPersonImageByIndex
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiHeadPersonImageByIndex
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiHeadPersonImageByIndex
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiHeadPersonImageByIndex
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiHeadPersonImageByIndex
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiHeadPersonImageByIndex
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiHeadPersonImageByIndex
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiHeadPersonImageByIndex
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiHeadPersonImageByIndex
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiHeadPersonImageByIndex
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiHeadPersonImageByIndex
     */
    readonly foregroundLayer?: string;
}
/**
 * Request parameters for headStudioImage operation in ImageApi.
 * @export
 * @interface ImageApiHeadStudioImageRequest
 */
export interface ImageApiHeadStudioImageRequest {
    /**
     * Studio name.
     * @type {string}
     * @memberof ImageApiHeadStudioImage
     */
    readonly name: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiHeadStudioImage
     */
    readonly imageType: ImageType;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiHeadStudioImage
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiHeadStudioImage
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiHeadStudioImage
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiHeadStudioImage
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiHeadStudioImage
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiHeadStudioImage
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiHeadStudioImage
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiHeadStudioImage
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiHeadStudioImage
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiHeadStudioImage
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiHeadStudioImage
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiHeadStudioImage
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiHeadStudioImage
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiHeadStudioImage
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiHeadStudioImage
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiHeadStudioImage
     */
    readonly foregroundLayer?: string;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiHeadStudioImage
     */
    readonly imageIndex?: number;
}
/**
 * Request parameters for headStudioImageByIndex operation in ImageApi.
 * @export
 * @interface ImageApiHeadStudioImageByIndexRequest
 */
export interface ImageApiHeadStudioImageByIndexRequest {
    /**
     * Studio name.
     * @type {string}
     * @memberof ImageApiHeadStudioImageByIndex
     */
    readonly name: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiHeadStudioImageByIndex
     */
    readonly imageType: ImageType;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiHeadStudioImageByIndex
     */
    readonly imageIndex: number;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiHeadStudioImageByIndex
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiHeadStudioImageByIndex
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiHeadStudioImageByIndex
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiHeadStudioImageByIndex
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiHeadStudioImageByIndex
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiHeadStudioImageByIndex
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiHeadStudioImageByIndex
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiHeadStudioImageByIndex
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiHeadStudioImageByIndex
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiHeadStudioImageByIndex
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiHeadStudioImageByIndex
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiHeadStudioImageByIndex
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiHeadStudioImageByIndex
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiHeadStudioImageByIndex
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiHeadStudioImageByIndex
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiHeadStudioImageByIndex
     */
    readonly foregroundLayer?: string;
}
/**
 * Request parameters for headUserImage operation in ImageApi.
 * @export
 * @interface ImageApiHeadUserImageRequest
 */
export interface ImageApiHeadUserImageRequest {
    /**
     * User id.
     * @type {string}
     * @memberof ImageApiHeadUserImage
     */
    readonly userId: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiHeadUserImage
     */
    readonly imageType: ImageType;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiHeadUserImage
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiHeadUserImage
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiHeadUserImage
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiHeadUserImage
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiHeadUserImage
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiHeadUserImage
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiHeadUserImage
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiHeadUserImage
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiHeadUserImage
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiHeadUserImage
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiHeadUserImage
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiHeadUserImage
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiHeadUserImage
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiHeadUserImage
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiHeadUserImage
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiHeadUserImage
     */
    readonly foregroundLayer?: string;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiHeadUserImage
     */
    readonly imageIndex?: number;
}
/**
 * Request parameters for headUserImageByIndex operation in ImageApi.
 * @export
 * @interface ImageApiHeadUserImageByIndexRequest
 */
export interface ImageApiHeadUserImageByIndexRequest {
    /**
     * User id.
     * @type {string}
     * @memberof ImageApiHeadUserImageByIndex
     */
    readonly userId: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiHeadUserImageByIndex
     */
    readonly imageType: ImageType;
    /**
     * Image index.
     * @type {number}
     * @memberof ImageApiHeadUserImageByIndex
     */
    readonly imageIndex: number;
    /**
     * Optional. Supply the cache tag from the item object to receive strong caching headers.
     * @type {string}
     * @memberof ImageApiHeadUserImageByIndex
     */
    readonly tag?: string;
    /**
     * Determines the output format of the image - original,gif,jpg,png.
     * @type {ImageFormat}
     * @memberof ImageApiHeadUserImageByIndex
     */
    readonly format?: ImageFormat;
    /**
     * The maximum image width to return.
     * @type {number}
     * @memberof ImageApiHeadUserImageByIndex
     */
    readonly maxWidth?: number;
    /**
     * The maximum image height to return.
     * @type {number}
     * @memberof ImageApiHeadUserImageByIndex
     */
    readonly maxHeight?: number;
    /**
     * Optional. Percent to render for the percent played overlay.
     * @type {number}
     * @memberof ImageApiHeadUserImageByIndex
     */
    readonly percentPlayed?: number;
    /**
     * Optional. Unplayed count overlay to render.
     * @type {number}
     * @memberof ImageApiHeadUserImageByIndex
     */
    readonly unplayedCount?: number;
    /**
     * The fixed image width to return.
     * @type {number}
     * @memberof ImageApiHeadUserImageByIndex
     */
    readonly width?: number;
    /**
     * The fixed image height to return.
     * @type {number}
     * @memberof ImageApiHeadUserImageByIndex
     */
    readonly height?: number;
    /**
     * Optional. Quality setting, from 0-100. Defaults to 90 and should suffice in most cases.
     * @type {number}
     * @memberof ImageApiHeadUserImageByIndex
     */
    readonly quality?: number;
    /**
     * Width of box to fill.
     * @type {number}
     * @memberof ImageApiHeadUserImageByIndex
     */
    readonly fillWidth?: number;
    /**
     * Height of box to fill.
     * @type {number}
     * @memberof ImageApiHeadUserImageByIndex
     */
    readonly fillHeight?: number;
    /**
     * Optional. Specify if whitespace should be cropped out of the image. True/False. If unspecified, whitespace will be cropped from logos and clear art.
     * @type {boolean}
     * @memberof ImageApiHeadUserImageByIndex
     */
    readonly cropWhitespace?: boolean;
    /**
     * Optional. Add a played indicator.
     * @type {boolean}
     * @memberof ImageApiHeadUserImageByIndex
     */
    readonly addPlayedIndicator?: boolean;
    /**
     * Optional. Blur image.
     * @type {number}
     * @memberof ImageApiHeadUserImageByIndex
     */
    readonly blur?: number;
    /**
     * Optional. Apply a background color for transparent images.
     * @type {string}
     * @memberof ImageApiHeadUserImageByIndex
     */
    readonly backgroundColor?: string;
    /**
     * Optional. Apply a foreground layer on top of the image.
     * @type {string}
     * @memberof ImageApiHeadUserImageByIndex
     */
    readonly foregroundLayer?: string;
}
/**
 * Request parameters for postUserImage operation in ImageApi.
 * @export
 * @interface ImageApiPostUserImageRequest
 */
export interface ImageApiPostUserImageRequest {
    /**
     * User Id.
     * @type {string}
     * @memberof ImageApiPostUserImage
     */
    readonly userId: string;
    /**
     * (Unused) Image type.
     * @type {ImageType}
     * @memberof ImageApiPostUserImage
     */
    readonly imageType: ImageType;
    /**
     * (Unused) Image index.
     * @type {number}
     * @memberof ImageApiPostUserImage
     */
    readonly index?: number;
    /**
     *
     * @type {any}
     * @memberof ImageApiPostUserImage
     */
    readonly body?: any;
}
/**
 * Request parameters for postUserImageByIndex operation in ImageApi.
 * @export
 * @interface ImageApiPostUserImageByIndexRequest
 */
export interface ImageApiPostUserImageByIndexRequest {
    /**
     * User Id.
     * @type {string}
     * @memberof ImageApiPostUserImageByIndex
     */
    readonly userId: string;
    /**
     * (Unused) Image type.
     * @type {ImageType}
     * @memberof ImageApiPostUserImageByIndex
     */
    readonly imageType: ImageType;
    /**
     * (Unused) Image index.
     * @type {number}
     * @memberof ImageApiPostUserImageByIndex
     */
    readonly index: number;
    /**
     *
     * @type {any}
     * @memberof ImageApiPostUserImageByIndex
     */
    readonly body?: any;
}
/**
 * Request parameters for setItemImage operation in ImageApi.
 * @export
 * @interface ImageApiSetItemImageRequest
 */
export interface ImageApiSetItemImageRequest {
    /**
     * Item id.
     * @type {string}
     * @memberof ImageApiSetItemImage
     */
    readonly itemId: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiSetItemImage
     */
    readonly imageType: ImageType;
    /**
     *
     * @type {any}
     * @memberof ImageApiSetItemImage
     */
    readonly body?: any;
}
/**
 * Request parameters for setItemImageByIndex operation in ImageApi.
 * @export
 * @interface ImageApiSetItemImageByIndexRequest
 */
export interface ImageApiSetItemImageByIndexRequest {
    /**
     * Item id.
     * @type {string}
     * @memberof ImageApiSetItemImageByIndex
     */
    readonly itemId: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiSetItemImageByIndex
     */
    readonly imageType: ImageType;
    /**
     * (Unused) Image index.
     * @type {number}
     * @memberof ImageApiSetItemImageByIndex
     */
    readonly imageIndex: number;
    /**
     *
     * @type {any}
     * @memberof ImageApiSetItemImageByIndex
     */
    readonly body?: any;
}
/**
 * Request parameters for updateItemImageIndex operation in ImageApi.
 * @export
 * @interface ImageApiUpdateItemImageIndexRequest
 */
export interface ImageApiUpdateItemImageIndexRequest {
    /**
     * Item id.
     * @type {string}
     * @memberof ImageApiUpdateItemImageIndex
     */
    readonly itemId: string;
    /**
     * Image type.
     * @type {ImageType}
     * @memberof ImageApiUpdateItemImageIndex
     */
    readonly imageType: ImageType;
    /**
     * Old image index.
     * @type {number}
     * @memberof ImageApiUpdateItemImageIndex
     */
    readonly imageIndex: number;
    /**
     * New image index.
     * @type {number}
     * @memberof ImageApiUpdateItemImageIndex
     */
    readonly newIndex: number;
}
/**
 * ImageApi - object-oriented interface
 * @export
 * @class ImageApi
 * @extends {BaseAPI}
 */
export declare class ImageApi extends BaseAPI {
    /**
     *
     * @summary Delete an item\'s image.
     * @param {ImageApiDeleteItemImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    deleteItemImage(requestParameters: ImageApiDeleteItemImageRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Delete an item\'s image.
     * @param {ImageApiDeleteItemImageByIndexRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    deleteItemImageByIndex(requestParameters: ImageApiDeleteItemImageByIndexRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Delete the user\'s image.
     * @param {ImageApiDeleteUserImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    deleteUserImage(requestParameters: ImageApiDeleteUserImageRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Delete the user\'s image.
     * @param {ImageApiDeleteUserImageByIndexRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    deleteUserImageByIndex(requestParameters: ImageApiDeleteUserImageByIndexRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Get artist image by name.
     * @param {ImageApiGetArtistImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    getArtistImage(requestParameters: ImageApiGetArtistImageRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get genre image by name.
     * @param {ImageApiGetGenreImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    getGenreImage(requestParameters: ImageApiGetGenreImageRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get genre image by name.
     * @param {ImageApiGetGenreImageByIndexRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    getGenreImageByIndex(requestParameters: ImageApiGetGenreImageByIndexRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {ImageApiGetItemImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    getItemImage(requestParameters: ImageApiGetItemImageRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {ImageApiGetItemImage2Request} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    getItemImage2(requestParameters: ImageApiGetItemImage2Request, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {ImageApiGetItemImageByIndexRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    getItemImageByIndex(requestParameters: ImageApiGetItemImageByIndexRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get item image infos.
     * @param {ImageApiGetItemImageInfosRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    getItemImageInfos(requestParameters: ImageApiGetItemImageInfosRequest, options?: any): Promise<import("axios").AxiosResponse<ImageInfo[], any>>;
    /**
     *
     * @summary Get music genre image by name.
     * @param {ImageApiGetMusicGenreImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    getMusicGenreImage(requestParameters: ImageApiGetMusicGenreImageRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get music genre image by name.
     * @param {ImageApiGetMusicGenreImageByIndexRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    getMusicGenreImageByIndex(requestParameters: ImageApiGetMusicGenreImageByIndexRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get person image by name.
     * @param {ImageApiGetPersonImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    getPersonImage(requestParameters: ImageApiGetPersonImageRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get person image by name.
     * @param {ImageApiGetPersonImageByIndexRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    getPersonImageByIndex(requestParameters: ImageApiGetPersonImageByIndexRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get studio image by name.
     * @param {ImageApiGetStudioImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    getStudioImage(requestParameters: ImageApiGetStudioImageRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get studio image by name.
     * @param {ImageApiGetStudioImageByIndexRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    getStudioImageByIndex(requestParameters: ImageApiGetStudioImageByIndexRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get user profile image.
     * @param {ImageApiGetUserImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    getUserImage(requestParameters: ImageApiGetUserImageRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get user profile image.
     * @param {ImageApiGetUserImageByIndexRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    getUserImageByIndex(requestParameters: ImageApiGetUserImageByIndexRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get artist image by name.
     * @param {ImageApiHeadArtistImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    headArtistImage(requestParameters: ImageApiHeadArtistImageRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get genre image by name.
     * @param {ImageApiHeadGenreImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    headGenreImage(requestParameters: ImageApiHeadGenreImageRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get genre image by name.
     * @param {ImageApiHeadGenreImageByIndexRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    headGenreImageByIndex(requestParameters: ImageApiHeadGenreImageByIndexRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {ImageApiHeadItemImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    headItemImage(requestParameters: ImageApiHeadItemImageRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {ImageApiHeadItemImage2Request} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    headItemImage2(requestParameters: ImageApiHeadItemImage2Request, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Gets the item\'s image.
     * @param {ImageApiHeadItemImageByIndexRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    headItemImageByIndex(requestParameters: ImageApiHeadItemImageByIndexRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get music genre image by name.
     * @param {ImageApiHeadMusicGenreImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    headMusicGenreImage(requestParameters: ImageApiHeadMusicGenreImageRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get music genre image by name.
     * @param {ImageApiHeadMusicGenreImageByIndexRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    headMusicGenreImageByIndex(requestParameters: ImageApiHeadMusicGenreImageByIndexRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get person image by name.
     * @param {ImageApiHeadPersonImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    headPersonImage(requestParameters: ImageApiHeadPersonImageRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get person image by name.
     * @param {ImageApiHeadPersonImageByIndexRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    headPersonImageByIndex(requestParameters: ImageApiHeadPersonImageByIndexRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get studio image by name.
     * @param {ImageApiHeadStudioImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    headStudioImage(requestParameters: ImageApiHeadStudioImageRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get studio image by name.
     * @param {ImageApiHeadStudioImageByIndexRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    headStudioImageByIndex(requestParameters: ImageApiHeadStudioImageByIndexRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get user profile image.
     * @param {ImageApiHeadUserImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    headUserImage(requestParameters: ImageApiHeadUserImageRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Get user profile image.
     * @param {ImageApiHeadUserImageByIndexRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    headUserImageByIndex(requestParameters: ImageApiHeadUserImageByIndexRequest, options?: any): Promise<import("axios").AxiosResponse<any, any>>;
    /**
     *
     * @summary Sets the user image.
     * @param {ImageApiPostUserImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    postUserImage(requestParameters: ImageApiPostUserImageRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Sets the user image.
     * @param {ImageApiPostUserImageByIndexRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    postUserImageByIndex(requestParameters: ImageApiPostUserImageByIndexRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Set item image.
     * @param {ImageApiSetItemImageRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    setItemImage(requestParameters: ImageApiSetItemImageRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Set item image.
     * @param {ImageApiSetItemImageByIndexRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    setItemImageByIndex(requestParameters: ImageApiSetItemImageByIndexRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
    /**
     *
     * @summary Updates the index for an item image.
     * @param {ImageApiUpdateItemImageIndexRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ImageApi
     */
    updateItemImageIndex(requestParameters: ImageApiUpdateItemImageIndexRequest, options?: any): Promise<import("axios").AxiosResponse<void, any>>;
}
